// $ANTLR 3.1.3 Mar 17, 2009 19:23:44 org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g 2013-02-18 13:59:49

/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
*/

package org.apache.uima.textmarker.ide.core.parser;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Stack;

import org.antlr.runtime.BaseRecognizer;
import org.antlr.runtime.BitSet;
import org.antlr.runtime.CommonToken;
import org.antlr.runtime.DFA;
import org.antlr.runtime.EarlyExitException;
import org.antlr.runtime.FailedPredicateException;
import org.antlr.runtime.IntStream;
import org.antlr.runtime.MismatchedSetException;
import org.antlr.runtime.NoViableAltException;
import org.antlr.runtime.Parser;
import org.antlr.runtime.RecognitionException;
import org.antlr.runtime.RecognizerSharedState;
import org.antlr.runtime.Token;
import org.antlr.runtime.TokenStream;
import org.eclipse.dltk.ast.ASTNode;
import org.eclipse.dltk.ast.DLTKToken;
import org.eclipse.dltk.ast.declarations.Declaration;
import org.eclipse.dltk.ast.declarations.ModuleDeclaration;
import org.eclipse.dltk.ast.expressions.BooleanLiteral;
import org.eclipse.dltk.ast.expressions.Expression;
import org.eclipse.dltk.ast.references.VariableReference;
import org.eclipse.dltk.ast.statements.Statement;

import org.apache.uima.textmarker.ide.core.extensions.TextMarkerExternalFactory;
import org.apache.uima.textmarker.ide.core.builder.DescriptorManager;
import org.apache.uima.textmarker.ide.parser.ast.ActionFactory;
import org.apache.uima.textmarker.ide.parser.ast.ComponentDeclaration;
import org.apache.uima.textmarker.ide.parser.ast.ComponentReference;
import org.apache.uima.textmarker.ide.parser.ast.ComposedRuleElement;
import org.apache.uima.textmarker.ide.parser.ast.ConditionFactory;
import org.apache.uima.textmarker.ide.parser.ast.ExpressionFactory;
import org.apache.uima.textmarker.ide.parser.ast.ScriptFactory;
import org.apache.uima.textmarker.ide.parser.ast.StatementFactory;
import org.apache.uima.textmarker.ide.parser.ast.TMTypeConstants;
import org.apache.uima.textmarker.ide.parser.ast.TextMarkerBlock;
import org.apache.uima.textmarker.ide.parser.ast.TextMarkerExpression;
import org.apache.uima.textmarker.ide.parser.ast.TextMarkerRule;
import org.apache.uima.textmarker.ide.parser.ast.TextMarkerRuleElement;
import org.apache.uima.textmarker.ide.parser.ast.TextMarkerScriptBlock;
import org.apache.uima.textmarker.ide.parser.ast.TextMarkerAction;
import org.apache.uima.textmarker.ide.parser.ast.TextMarkerCondition;
import org.apache.uima.textmarker.ide.parser.ast.TextMarkerFeatureDeclaration;
import org.apache.uima.textmarker.ide.parser.ast.TextMarkerPackageDeclaration;


import org.antlr.runtime.*;
import java.util.Stack;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.util.HashMap;
public class TextMarkerParser extends Parser {
    public static final String[] tokenNames = new String[] {
        "<invalid>", "<EOR>", "<DOWN>", "<UP>", "DocComment", "Annotation", "ListIdentifier", "TRIE", "CONTAINS", "DECLARE", "WORDLIST", "WORDTABLE", "AND", "CONTEXTCOUNT", "COUNT", "TOTALCOUNT", "CURRENTCOUNT", "INLIST", "LAST", "MOFN", "NEAR", "OR", "PARTOF", "PARTOFNEQ", "POSITION", "REGEXP", "SCORE", "VOTE", "IF", "FEATURE", "PARSE", "CREATE", "GATHER", "FILL", "ATTRIBUTE", "COLOR", "DEL", "LOG", "MARK", "MARKSCORE", "MARKONCE", "MARKFAST", "MARKTABLE", "MARKLAST", "REPLACE", "RETAINTYPE", "FILTERTYPE", "CALL", "EXEC", "CONFIGURE", "ASSIGN", "SETFEATURE", "GETFEATURE", "UNMARK", "UNMARKALL", "TRANSFER", "SHIFT", "DYNAMICANCHORING", "TRIM", "BEFORE", "AFTER", "IS", "STARTSWITH", "ENDSWITH", "ADDRETAINTYPE", "REMOVERETAINTYPE", "ADDFILTERTYPE", "REMOVEFILTERTYPE", "NOT", "ADD", "REMOVE", "REMOVEDUPLICATE", "MERGE", "GET", "GETLIST", "SIZE", "MATCHEDTEXT", "REMOVESTRING", "CLEAR", "THEN", "BasicAnnotationType", "LogLevel", "OldColor", "PackageString", "ScriptString", "EngineString", "BlockString", "AutomataBlockString", "TypeString", "IntString", "DoubleString", "FloatString", "StringString", "BooleanString", "TypeSystemString", "SymbolString", "CONDITION", "ACTION", "BOOLEANLIST", "INTLIST", "DOUBLELIST", "FLOATLIST", "STRINGLIST", "TYPELIST", "EXP", "LOGN", "SIN", "COS", "TAN", "XOR", "TRUE", "FALSE", "HexDigit", "IntegerTypeSuffix", "HexLiteral", "DecimalLiteral", "OctalLiteral", "Exponent", "FloatTypeSuffix", "FloatingPointLiteral", "EscapeSequence", "CharacterLiteral", "StringLiteral", "RessourceLiteral", "UnicodeEscape", "OctalEscape", "Letter", "JavaIDDigit", "Identifier", "LPAREN", "RPAREN", "LBRACK", "RBRACK", "LCURLY", "RCURLY", "CIRCUMFLEX", "AT", "DOT", "COLON", "COMMA", "SEMI", "PLUS", "MINUS", "STAR", "SLASH", "VBAR", "AMPER", "LESS", "GREATER", "ASSIGN_EQUAL", "PERCENT", "QUESTION", "EQUAL", "NOTEQUAL", "ALT_NOTEQUAL", "LESSEQUAL", "GREATEREQUAL", "WS", "COMMENT", "LINE_COMMENT"
    };
    public static final int STAR=143;
    public static final int FloatTypeSuffix=118;
    public static final int OctalLiteral=116;
    public static final int LOG=37;
    public static final int CONTAINS=8;
    public static final int REMOVE=70;
    public static final int GREATEREQUAL=156;
    public static final int MARKFAST=41;
    public static final int CONDITION=96;
    public static final int MATCHEDTEXT=76;
    public static final int COUNT=14;
    public static final int LOGN=105;
    public static final int DYNAMICANCHORING=57;
    public static final int NOT=68;
    public static final int EOF=-1;
    public static final int Identifier=128;
    public static final int ACTION=97;
    public static final int CLEAR=78;
    public static final int NOTEQUAL=153;
    public static final int ENDSWITH=63;
    public static final int DOUBLELIST=100;
    public static final int VBAR=145;
    public static final int RPAREN=130;
    public static final int CREATE=31;
    public static final int GREATER=148;
    public static final int SIN=106;
    public static final int EXP=104;
    public static final int CURRENTCOUNT=16;
    public static final int COS=107;
    public static final int TAN=108;
    public static final int TYPELIST=103;
    public static final int FloatString=91;
    public static final int LESS=147;
    public static final int REGEXP=25;
    public static final int GET=73;
    public static final int UNMARK=53;
    public static final int PARTOF=22;
    public static final int LAST=18;
    public static final int COMMENT=158;
    public static final int REMOVEDUPLICATE=71;
    public static final int UNMARKALL=54;
    public static final int RBRACK=132;
    public static final int NEAR=20;
    public static final int LINE_COMMENT=159;
    public static final int IntegerTypeSuffix=113;
    public static final int MARKSCORE=39;
    public static final int REMOVESTRING=77;
    public static final int TRANSFER=55;
    public static final int LCURLY=133;
    public static final int TRIE=7;
    public static final int FILTERTYPE=46;
    public static final int STRINGLIST=102;
    public static final int MARKONCE=40;
    public static final int ScriptString=84;
    public static final int EngineString=85;
    public static final int WS=157;
    public static final int WORDTABLE=11;
    public static final int WORDLIST=10;
    public static final int AutomataBlockString=87;
    public static final int FloatingPointLiteral=119;
    public static final int INTLIST=99;
    public static final int OR=21;
    public static final int TRIM=58;
    public static final int JavaIDDigit=127;
    public static final int FLOATLIST=101;
    public static final int CALL=47;
    public static final int Annotation=5;
    public static final int FALSE=111;
    public static final int LESSEQUAL=155;
    public static final int RessourceLiteral=123;
    public static final int VOTE=27;
    public static final int Letter=126;
    public static final int EscapeSequence=120;
    public static final int SIZE=75;
    public static final int REMOVEFILTERTYPE=67;
    public static final int BasicAnnotationType=80;
    public static final int LBRACK=131;
    public static final int CharacterLiteral=121;
    public static final int DEL=36;
    public static final int ATTRIBUTE=34;
    public static final int TypeString=88;
    public static final int SHIFT=56;
    public static final int Exponent=117;
    public static final int ASSIGN_EQUAL=149;
    public static final int RETAINTYPE=45;
    public static final int TypeSystemString=94;
    public static final int AND=12;
    public static final int IntString=89;
    public static final int ADDFILTERTYPE=66;
    public static final int BlockString=86;
    public static final int HexDigit=112;
    public static final int COLOR=35;
    public static final int POSITION=24;
    public static final int LPAREN=129;
    public static final int IF=28;
    public static final int AT=136;
    public static final int LogLevel=81;
    public static final int CONFIGURE=49;
    public static final int SLASH=144;
    public static final int THEN=79;
    public static final int FILL=33;
    public static final int COMMA=139;
    public static final int IS=61;
    public static final int GETLIST=74;
    public static final int REPLACE=44;
    public static final int AMPER=146;
    public static final int EQUAL=152;
    public static final int GATHER=32;
    public static final int INLIST=17;
    public static final int PLUS=141;
    public static final int BooleanString=93;
    public static final int GETFEATURE=52;
    public static final int DOT=137;
    public static final int ListIdentifier=6;
    public static final int PARTOFNEQ=23;
    public static final int ADD=69;
    public static final int BOOLEANLIST=98;
    public static final int MARKTABLE=42;
    public static final int HexLiteral=114;
    public static final int XOR=109;
    public static final int MARK=38;
    public static final int PERCENT=150;
    public static final int PackageString=83;
    public static final int PARSE=30;
    public static final int OldColor=82;
    public static final int MERGE=72;
    public static final int MARKLAST=43;
    public static final int CONTEXTCOUNT=13;
    public static final int BEFORE=59;
    public static final int EXEC=48;
    public static final int AFTER=60;
    public static final int MINUS=142;
    public static final int DecimalLiteral=115;
    public static final int TRUE=110;
    public static final int SEMI=140;
    public static final int FEATURE=29;
    public static final int SymbolString=95;
    public static final int StringString=92;
    public static final int StringLiteral=122;
    public static final int COLON=138;
    public static final int SCORE=26;
    public static final int QUESTION=151;
    public static final int ADDRETAINTYPE=64;
    public static final int UnicodeEscape=124;
    public static final int STARTSWITH=62;
    public static final int RCURLY=134;
    public static final int ASSIGN=50;
    public static final int REMOVERETAINTYPE=65;
    public static final int TOTALCOUNT=15;
    public static final int DECLARE=9;
    public static final int DocComment=4;
    public static final int MOFN=19;
    public static final int SETFEATURE=51;
    public static final int OctalEscape=125;
    public static final int DoubleString=90;
    public static final int CIRCUMFLEX=135;
    public static final int ALT_NOTEQUAL=154;

    // delegates
    // delegators


        public TextMarkerParser(TokenStream input) {
            this(input, new RecognizerSharedState());
        }
        public TextMarkerParser(TokenStream input, RecognizerSharedState state) {
            super(input, state);
             
        }
        

    public String[] getTokenNames() { return TextMarkerParser.tokenNames; }
    public String getGrammarFileName() { return "org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g"; }


    	public DLTKTextMarkerErrorReporter reporter;
    	public ModuleDeclaration md;
    	private List<String> vars = new ArrayList<String>();	
    	private Map<String, String> varTypeMap = new HashMap<String, String>();
    	private Map<String, String> lists = new HashMap<String, String>();
    	private Map<String, String> tables = new HashMap<String, String>();
    	public int length;
    	public DLTKTokenConverter converter;
    	public DescriptorManager descriptor;
    	private int level = 0;
    	private TextMarkerExternalFactory external = new TextMarkerExternalFactory();
    	
    	private String module;
    	private String packageString;
    	
    	private ScriptFactory scriptFactory = new ScriptFactory();
    	
    	public List<String> getVariables() {
    		return vars;
    	}
    	
    	public Map<String, String> getVariableTypes() {
    		return varTypeMap;
    	}
    	
    	DLTKToken toDLTK(Token token) {
    		return converter.convert(token);
    	}
    	public void emitErrorMessage(String msg) {
    		reporter.reportMessage(msg);
    	}
    	public void reportError(RecognitionException e) {
    		if( reporter != null ) {
    			reporter.reportError(e);
    		}
    	}
    	
    	public void addType(TextMarkerBlock parent, String type, String parentType) {
    		vars.add(type);
    		descriptor.addType(parent.getNamespace()+"."+type.trim(), "Type defined in "+packageString+"."+module, parentType);
    	}
    	
    	public void addPredefinedType(String type) {
    		vars.add(type);
    		varTypeMap.put(type, "TYPE");
    		
    	}
    	
    	public void addType(TextMarkerBlock parent, String name, String parentType, List featuresTypes,
              List<Token> featuresNames) {
    	   	 name = parent.getNamespace() + "." + name.trim();
    	   	 descriptor.addType(name, "Type defined in " + packageString + "." + module, parentType);
    	    	for (int i = 0; i < featuresTypes.size(); i++) {
    	    	  Object object = featuresTypes.get(i);
    	    	  String ftype = "";
    	    	  if (object instanceof ASTNode) {
    	    		    ftype = ((ASTNode) object).toString();
    		      } else if (object instanceof Token) {
    	     	   ftype = ((Token) object).getText();
    	     	 }
    		      String fname = featuresNames.get(i).getText();
    	     	 descriptor.addFeature(name, fname, fname, ftype);
    	   	 }
     	 }
    	
    	public void addWordList(TextMarkerBlock parent, String name, String list) {
    		lists.put(name, list);
    	}
    	
    	public void addCSVTable(TextMarkerBlock parent, String name, String table) {
    		tables.put(name, table);
    	}
    	
    	public boolean isType(TextMarkerBlock parent, String type) {
    		return vars.contains(type);
    	}
    		
    	public void addVariable(String var, String type, IntStream input) throws NoViableAltException {
    		if(!vars.contains(var)) {
    			vars.add(var);
    			varTypeMap.put(var, type);
    		} 
    	}
    	
    	public void addVariable(String var, String type) {
    		if(!vars.contains(var)) {
    			vars.add(var);
    			varTypeMap.put(var, type);
    		}
    	}
    	
    	public boolean isVariable(String var) {
    		return vars.contains(var);
    	}
    	
    	public boolean isVariableOfType(String var, String type) {
    		return vars.contains(var) && type.equals(varTypeMap.get(var));
    	}
    	
    	public void checkVariable(String var, IntStream input) throws NoViableAltException {
    		if(!vars.contains(var)) {
    			throw new NoViableAltException("not declared \"" + var + "\"", 3, 0, input);
    		}
    	}
    	
    	  public void addImportTypeSystem(ComponentDeclaration module) {
    	    descriptor.addTypeSystem(module.getName());
    	  }
    	
    	  public void addImportScript(ComponentDeclaration module) {
    		    descriptor.addScript(module.getName());
    		  }
    	
    	  public void addImportEngine(ComponentDeclaration module) {
    		    descriptor.addEngine(module.getName());
    		  }
    	
    	protected static final int[] getBounds(Token t) {
    		if (t instanceof CommonToken) {
    			CommonToken ct = (CommonToken) t;
    			int[] bounds = {ct.getStartIndex(), ct.getStopIndex()}; 
    			return bounds;
    		}
    		return null;
    	}
    	
    //	public String getTypeOf(String varName) {
    //		String vn = varTypeMap.get(varName);
    //		return vn != null? vn : "";
    //	}
    	



    // $ANTLR start "file_input"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:230:1: file_input[String module] : p= packageDeclaration gs= globalStatements s= statements EOF ;
    public final void file_input(String module) throws RecognitionException {
        TextMarkerPackageDeclaration p = null;

        List<Statement> gs = null;

        List<Statement> s = null;



        TextMarkerScriptBlock rootBlock = null;
        List<Statement> stmts = new ArrayList<Statement>();

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:235:2: (p= packageDeclaration gs= globalStatements s= statements EOF )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:236:2: p= packageDeclaration gs= globalStatements s= statements EOF
            {
            pushFollow(FOLLOW_packageDeclaration_in_file_input73);
            p=packageDeclaration();

            state._fsp--;
            if (state.failed) return ;
            if ( state.backtracking==0 ) {

              	String packageName = "org.apache.uima.tm";
              	if(p != null) {packageName = p.getName();}
              	rootBlock = scriptFactory.createScriptBlock(0,0,0,0,module, null, null, packageName);
              	stmts.add(p);
              	this.module = module;
              	if(p != null) {
              		this.packageString = p.getName();
              	}
              	
            }
            if ( state.backtracking==0 ) {
              blockDeclaration_stack.push(new blockDeclaration_scope());((blockDeclaration_scope)blockDeclaration_stack.peek()).env = rootBlock;
            }
            pushFollow(FOLLOW_globalStatements_in_file_input87);
            gs=globalStatements();

            state._fsp--;
            if (state.failed) return ;
            pushFollow(FOLLOW_statements_in_file_input94);
            s=statements();

            state._fsp--;
            if (state.failed) return ;
            if ( state.backtracking==0 ) {

              	  stmts.addAll(gs);
              	  stmts.addAll(s);
                	  for (Statement stmt : stmts){
              		  if (stmt != null) {
              		    md.addStatement(stmt);
              		  }
              	  };
              	
            }
            match(input,EOF,FOLLOW_EOF_in_file_input100); if (state.failed) return ;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return ;
    }
    // $ANTLR end "file_input"


    // $ANTLR start "packageDeclaration"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:264:1: packageDeclaration returns [TextMarkerPackageDeclaration pack] : pString= PackageString p= dottedId SEMI ;
    public final TextMarkerPackageDeclaration packageDeclaration() throws RecognitionException {
        TextMarkerPackageDeclaration pack = null;

        Token pString=null;
        Token p = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:265:2: (pString= PackageString p= dottedId SEMI )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:265:4: pString= PackageString p= dottedId SEMI
            {
            pString=(Token)match(input,PackageString,FOLLOW_PackageString_in_packageDeclaration121); if (state.failed) return pack;
            if ( state.backtracking==0 ) {

              	pack = StatementFactory.createPkgDeclaration(p, pString);
              	
            }
            pushFollow(FOLLOW_dottedId_in_packageDeclaration132);
            p=dottedId();

            state._fsp--;
            if (state.failed) return pack;
            if ( state.backtracking==0 ) {

              	pack = StatementFactory.createPkgDeclaration(p, pString);
              	
            }
            match(input,SEMI,FOLLOW_SEMI_in_packageDeclaration139); if (state.failed) return pack;
            if ( state.backtracking==0 ) {

              	pack = StatementFactory.createPkgDeclaration(p, pString);
              	
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return pack;
    }
    // $ANTLR end "packageDeclaration"


    // $ANTLR start "statements"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:279:1: statements returns [List<Statement> stmts = new ArrayList<Statement>()] : (morestmts= statement )* ;
    public final List<Statement> statements() throws RecognitionException {
        List<Statement> stmts =  new ArrayList<Statement>();

        List<Statement> morestmts = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:280:2: ( (morestmts= statement )* )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:281:2: (morestmts= statement )*
            {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:281:2: (morestmts= statement )*
            loop1:
            do {
                int alt1=2;
                int LA1_0 = input.LA(1);

                if ( ((LA1_0>=DECLARE && LA1_0<=WORDTABLE)||LA1_0==BasicAnnotationType||(LA1_0>=BlockString && LA1_0<=BooleanString)||(LA1_0>=BOOLEANLIST && LA1_0<=TYPELIST)||LA1_0==StringLiteral||(LA1_0>=Identifier && LA1_0<=LPAREN)) ) {
                    alt1=1;
                }


                switch (alt1) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:281:3: morestmts= statement
            	    {
            	    pushFollow(FOLLOW_statement_in_statements163);
            	    morestmts=statement();

            	    state._fsp--;
            	    if (state.failed) return stmts;
            	    if ( state.backtracking==0 ) {
            	      if(morestmts != null) {stmts.addAll(morestmts);}
            	    }

            	    }
            	    break;

            	default :
            	    break loop1;
                }
            } while (true);


            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return stmts;
    }
    // $ANTLR end "statements"


    // $ANTLR start "globalStatements"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:284:1: globalStatements returns [List<Statement> stmts = new ArrayList<Statement>()] : (morestmts= globalStatement )* ;
    public final List<Statement> globalStatements() throws RecognitionException {
        List<Statement> stmts =  new ArrayList<Statement>();

        List<Statement> morestmts = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:285:2: ( (morestmts= globalStatement )* )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:286:2: (morestmts= globalStatement )*
            {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:286:2: (morestmts= globalStatement )*
            loop2:
            do {
                int alt2=2;
                int LA2_0 = input.LA(1);

                if ( ((LA2_0>=ScriptString && LA2_0<=EngineString)||LA2_0==TypeSystemString) ) {
                    alt2=1;
                }


                switch (alt2) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:286:3: morestmts= globalStatement
            	    {
            	    pushFollow(FOLLOW_globalStatement_in_globalStatements189);
            	    morestmts=globalStatement();

            	    state._fsp--;
            	    if (state.failed) return stmts;
            	    if ( state.backtracking==0 ) {
            	      if(morestmts != null) {stmts.addAll(morestmts);}
            	    }

            	    }
            	    break;

            	default :
            	    break loop2;
                }
            } while (true);


            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return stmts;
    }
    // $ANTLR end "globalStatements"


    // $ANTLR start "globalStatement"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:289:1: globalStatement returns [List<Statement> stmts = new ArrayList<Statement>()] : stmtImport= importStatement ;
    public final List<Statement> globalStatement() throws RecognitionException {
        List<Statement> stmts =  new ArrayList<Statement>();

        Statement stmtImport = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:290:2: (stmtImport= importStatement )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:291:2: stmtImport= importStatement
            {
            pushFollow(FOLLOW_importStatement_in_globalStatement213);
            stmtImport=importStatement();

            state._fsp--;
            if (state.failed) return stmts;
            if ( state.backtracking==0 ) {
              stmts.add(stmtImport);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return stmts;
    }
    // $ANTLR end "globalStatement"


    // $ANTLR start "statement"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:294:1: statement returns [List<Statement> stmts = new ArrayList<Statement>()] : (stmts1= declaration | stmtVariable= variableDeclaration | stmt3= blockDeclaration | stmt2= simpleStatement ) ;
    public final List<Statement> statement() throws RecognitionException {
        List<Statement> stmts =  new ArrayList<Statement>();

        List<Statement> stmts1 = null;

        List<Statement> stmtVariable = null;

        TextMarkerBlock stmt3 = null;

        TextMarkerRule stmt2 = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:295:2: ( (stmts1= declaration | stmtVariable= variableDeclaration | stmt3= blockDeclaration | stmt2= simpleStatement ) )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:296:2: (stmts1= declaration | stmtVariable= variableDeclaration | stmt3= blockDeclaration | stmt2= simpleStatement )
            {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:296:2: (stmts1= declaration | stmtVariable= variableDeclaration | stmt3= blockDeclaration | stmt2= simpleStatement )
            int alt3=4;
            switch ( input.LA(1) ) {
            case DECLARE:
                {
                alt3=1;
                }
                break;
            case WORDLIST:
            case WORDTABLE:
            case TypeString:
            case IntString:
            case DoubleString:
            case FloatString:
            case StringString:
            case BooleanString:
            case BOOLEANLIST:
            case INTLIST:
            case DOUBLELIST:
            case FLOATLIST:
            case STRINGLIST:
            case TYPELIST:
                {
                alt3=2;
                }
                break;
            case BlockString:
            case AutomataBlockString:
                {
                alt3=3;
                }
                break;
            case BasicAnnotationType:
            case StringLiteral:
            case Identifier:
            case LPAREN:
                {
                alt3=4;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return stmts;}
                NoViableAltException nvae =
                    new NoViableAltException("", 3, 0, input);

                throw nvae;
            }

            switch (alt3) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:296:4: stmts1= declaration
                    {
                    pushFollow(FOLLOW_declaration_in_statement239);
                    stmts1=declaration();

                    state._fsp--;
                    if (state.failed) return stmts;
                    if ( state.backtracking==0 ) {
                      stmts.addAll(stmts1);
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:297:4: stmtVariable= variableDeclaration
                    {
                    pushFollow(FOLLOW_variableDeclaration_in_statement250);
                    stmtVariable=variableDeclaration();

                    state._fsp--;
                    if (state.failed) return stmts;
                    if ( state.backtracking==0 ) {
                      stmts.addAll(stmtVariable);
                    }

                    }
                    break;
                case 3 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:298:4: stmt3= blockDeclaration
                    {
                    pushFollow(FOLLOW_blockDeclaration_in_statement261);
                    stmt3=blockDeclaration();

                    state._fsp--;
                    if (state.failed) return stmts;
                    if ( state.backtracking==0 ) {
                      stmts.add(stmt3);
                    }

                    }
                    break;
                case 4 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:300:4: stmt2= simpleStatement
                    {
                    pushFollow(FOLLOW_simpleStatement_in_statement274);
                    stmt2=simpleStatement();

                    state._fsp--;
                    if (state.failed) return stmts;
                    if ( state.backtracking==0 ) {
                      stmts.add(stmt2);
                    }

                    }
                    break;

            }


            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return stmts;
    }
    // $ANTLR end "statement"


    // $ANTLR start "importStatement"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:306:1: importStatement returns [Statement stmt = null] : (im= TypeSystemString name= dottedComponentDeclaration SEMI | im= ScriptString name= dottedComponentDeclaration SEMI | im= EngineString name= dottedComponentDeclaration SEMI );
    public final Statement importStatement() throws RecognitionException {
        Statement stmt =  null;

        Token im=null;
        ComponentDeclaration name = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:307:2: (im= TypeSystemString name= dottedComponentDeclaration SEMI | im= ScriptString name= dottedComponentDeclaration SEMI | im= EngineString name= dottedComponentDeclaration SEMI )
            int alt4=3;
            switch ( input.LA(1) ) {
            case TypeSystemString:
                {
                alt4=1;
                }
                break;
            case ScriptString:
                {
                alt4=2;
                }
                break;
            case EngineString:
                {
                alt4=3;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return stmt;}
                NoViableAltException nvae =
                    new NoViableAltException("", 4, 0, input);

                throw nvae;
            }

            switch (alt4) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:308:2: im= TypeSystemString name= dottedComponentDeclaration SEMI
                    {
                    im=(Token)match(input,TypeSystemString,FOLLOW_TypeSystemString_in_importStatement303); if (state.failed) return stmt;
                    if ( state.backtracking==0 ) {
                      stmt = StatementFactory.createImportTypeSystem(StatementFactory.createEmptyComponentDeclaration(im),im);
                    }
                    pushFollow(FOLLOW_dottedComponentDeclaration_in_importStatement315);
                    name=dottedComponentDeclaration();

                    state._fsp--;
                    if (state.failed) return stmt;
                    if ( state.backtracking==0 ) {
                      if(name != null) {stmt = StatementFactory.createImportTypeSystem(name,im);addImportTypeSystem(name);}
                    }
                    match(input,SEMI,FOLLOW_SEMI_in_importStatement323); if (state.failed) return stmt;

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:313:4: im= ScriptString name= dottedComponentDeclaration SEMI
                    {
                    im=(Token)match(input,ScriptString,FOLLOW_ScriptString_in_importStatement333); if (state.failed) return stmt;
                    if ( state.backtracking==0 ) {
                      stmt = StatementFactory.createImportScript(StatementFactory.createEmptyComponentDeclaration(im),im);
                    }
                    pushFollow(FOLLOW_dottedComponentDeclaration_in_importStatement345);
                    name=dottedComponentDeclaration();

                    state._fsp--;
                    if (state.failed) return stmt;
                    if ( state.backtracking==0 ) {
                      if(name != null) {stmt = StatementFactory.createImportScript(name,im);addImportScript(name);}
                    }
                    match(input,SEMI,FOLLOW_SEMI_in_importStatement353); if (state.failed) return stmt;

                    }
                    break;
                case 3 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:318:4: im= EngineString name= dottedComponentDeclaration SEMI
                    {
                    im=(Token)match(input,EngineString,FOLLOW_EngineString_in_importStatement363); if (state.failed) return stmt;
                    if ( state.backtracking==0 ) {
                      stmt = StatementFactory.createImportEngine(StatementFactory.createEmptyComponentDeclaration(im),im);
                    }
                    pushFollow(FOLLOW_dottedComponentDeclaration_in_importStatement375);
                    name=dottedComponentDeclaration();

                    state._fsp--;
                    if (state.failed) return stmt;
                    if ( state.backtracking==0 ) {
                      if(name != null) {stmt = StatementFactory.createImportEngine(name,im);addImportEngine(name);}
                    }
                    match(input,SEMI,FOLLOW_SEMI_in_importStatement383); if (state.failed) return stmt;

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return stmt;
    }
    // $ANTLR end "importStatement"


    // $ANTLR start "variableDeclaration"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:325:1: variableDeclaration returns [List<Statement> stmts = new ArrayList<Statement>()] : (type= IntString id= Identifier ( COMMA id= Identifier )* ( ASSIGN_EQUAL init= numberExpression )? SEMI | type= DoubleString id= Identifier ( COMMA id= Identifier )* ( ASSIGN_EQUAL init= numberExpression )? SEMI | type= FloatString id= Identifier ( COMMA id= Identifier )* ( ASSIGN_EQUAL init= numberExpression )? SEMI | type= StringString id= Identifier ( COMMA id= Identifier )* ( ASSIGN_EQUAL init= stringExpression )? SEMI | type= BooleanString id= Identifier ( COMMA id= Identifier )* ( ASSIGN_EQUAL init= booleanExpression )? SEMI | type= TypeString id= Identifier ( COMMA id= Identifier )* ( ASSIGN_EQUAL init= annotationType )? SEMI | type= WORDLIST id= Identifier ( ASSIGN_EQUAL list= wordListExpression )? SEMI | type= WORDTABLE id= Identifier ( ASSIGN_EQUAL table= wordTableExpression )? SEMI | type= BOOLEANLIST id= Identifier ( ASSIGN_EQUAL list= booleanListExpression )? SEMI | type= INTLIST id= Identifier ( ASSIGN_EQUAL list= numberListExpression )? SEMI | type= DOUBLELIST id= Identifier ( ASSIGN_EQUAL list= numberListExpression )? SEMI | type= FLOATLIST id= Identifier ( ASSIGN_EQUAL list= numberListExpression )? SEMI | type= STRINGLIST id= Identifier ( ASSIGN_EQUAL list= stringListExpression )? SEMI | type= TYPELIST id= Identifier ( ASSIGN_EQUAL list= typeListExpression )? SEMI );
    public final List<Statement> variableDeclaration() throws RecognitionException {
        List<Statement> stmts =  new ArrayList<Statement>();

        Token type=null;
        Token id=null;
        Expression init = null;

        Expression list = null;

        Expression table = null;



        	List decls = new ArrayList();

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:329:2: (type= IntString id= Identifier ( COMMA id= Identifier )* ( ASSIGN_EQUAL init= numberExpression )? SEMI | type= DoubleString id= Identifier ( COMMA id= Identifier )* ( ASSIGN_EQUAL init= numberExpression )? SEMI | type= FloatString id= Identifier ( COMMA id= Identifier )* ( ASSIGN_EQUAL init= numberExpression )? SEMI | type= StringString id= Identifier ( COMMA id= Identifier )* ( ASSIGN_EQUAL init= stringExpression )? SEMI | type= BooleanString id= Identifier ( COMMA id= Identifier )* ( ASSIGN_EQUAL init= booleanExpression )? SEMI | type= TypeString id= Identifier ( COMMA id= Identifier )* ( ASSIGN_EQUAL init= annotationType )? SEMI | type= WORDLIST id= Identifier ( ASSIGN_EQUAL list= wordListExpression )? SEMI | type= WORDTABLE id= Identifier ( ASSIGN_EQUAL table= wordTableExpression )? SEMI | type= BOOLEANLIST id= Identifier ( ASSIGN_EQUAL list= booleanListExpression )? SEMI | type= INTLIST id= Identifier ( ASSIGN_EQUAL list= numberListExpression )? SEMI | type= DOUBLELIST id= Identifier ( ASSIGN_EQUAL list= numberListExpression )? SEMI | type= FLOATLIST id= Identifier ( ASSIGN_EQUAL list= numberListExpression )? SEMI | type= STRINGLIST id= Identifier ( ASSIGN_EQUAL list= stringListExpression )? SEMI | type= TYPELIST id= Identifier ( ASSIGN_EQUAL list= typeListExpression )? SEMI )
            int alt25=14;
            switch ( input.LA(1) ) {
            case IntString:
                {
                alt25=1;
                }
                break;
            case DoubleString:
                {
                alt25=2;
                }
                break;
            case FloatString:
                {
                alt25=3;
                }
                break;
            case StringString:
                {
                alt25=4;
                }
                break;
            case BooleanString:
                {
                alt25=5;
                }
                break;
            case TypeString:
                {
                alt25=6;
                }
                break;
            case WORDLIST:
                {
                alt25=7;
                }
                break;
            case WORDTABLE:
                {
                alt25=8;
                }
                break;
            case BOOLEANLIST:
                {
                alt25=9;
                }
                break;
            case INTLIST:
                {
                alt25=10;
                }
                break;
            case DOUBLELIST:
                {
                alt25=11;
                }
                break;
            case FLOATLIST:
                {
                alt25=12;
                }
                break;
            case STRINGLIST:
                {
                alt25=13;
                }
                break;
            case TYPELIST:
                {
                alt25=14;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return stmts;}
                NoViableAltException nvae =
                    new NoViableAltException("", 25, 0, input);

                throw nvae;
            }

            switch (alt25) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:330:2: type= IntString id= Identifier ( COMMA id= Identifier )* ( ASSIGN_EQUAL init= numberExpression )? SEMI
                    {
                    type=(Token)match(input,IntString,FOLLOW_IntString_in_variableDeclaration410); if (state.failed) return stmts;
                    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration416); if (state.failed) return stmts;
                    if ( state.backtracking==0 ) {
                      addVariable(id.getText(), type.getText()); decls.add(StatementFactory.createIntVariable(id, type));
                    }
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:331:3: ( COMMA id= Identifier )*
                    loop5:
                    do {
                        int alt5=2;
                        int LA5_0 = input.LA(1);

                        if ( (LA5_0==COMMA) ) {
                            alt5=1;
                        }


                        switch (alt5) {
                    	case 1 :
                    	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:331:4: COMMA id= Identifier
                    	    {
                    	    match(input,COMMA,FOLLOW_COMMA_in_variableDeclaration423); if (state.failed) return stmts;
                    	    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration428); if (state.failed) return stmts;
                    	    if ( state.backtracking==0 ) {
                    	      addVariable(id.getText(), type.getText()); decls.add(StatementFactory.createIntVariable(id, type));
                    	    }

                    	    }
                    	    break;

                    	default :
                    	    break loop5;
                        }
                    } while (true);

                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:332:6: ( ASSIGN_EQUAL init= numberExpression )?
                    int alt6=2;
                    int LA6_0 = input.LA(1);

                    if ( (LA6_0==ASSIGN_EQUAL) ) {
                        alt6=1;
                    }
                    switch (alt6) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:332:7: ASSIGN_EQUAL init= numberExpression
                            {
                            match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_variableDeclaration438); if (state.failed) return stmts;
                            pushFollow(FOLLOW_numberExpression_in_variableDeclaration444);
                            init=numberExpression();

                            state._fsp--;
                            if (state.failed) return stmts;

                            }
                            break;

                    }

                    match(input,SEMI,FOLLOW_SEMI_in_variableDeclaration449); if (state.failed) return stmts;
                    if ( state.backtracking==0 ) {

                      		 stmts.add(StatementFactory.createDeclarationsStatement(type, decls, init));
                      		 
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:337:2: type= DoubleString id= Identifier ( COMMA id= Identifier )* ( ASSIGN_EQUAL init= numberExpression )? SEMI
                    {
                    type=(Token)match(input,DoubleString,FOLLOW_DoubleString_in_variableDeclaration463); if (state.failed) return stmts;
                    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration469); if (state.failed) return stmts;
                    if ( state.backtracking==0 ) {
                      addVariable(id.getText(), type.getText());decls.add(StatementFactory.createDoubleVariable(id, type));
                    }
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:338:4: ( COMMA id= Identifier )*
                    loop7:
                    do {
                        int alt7=2;
                        int LA7_0 = input.LA(1);

                        if ( (LA7_0==COMMA) ) {
                            alt7=1;
                        }


                        switch (alt7) {
                    	case 1 :
                    	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:338:5: COMMA id= Identifier
                    	    {
                    	    match(input,COMMA,FOLLOW_COMMA_in_variableDeclaration477); if (state.failed) return stmts;
                    	    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration483); if (state.failed) return stmts;
                    	    if ( state.backtracking==0 ) {
                    	      addVariable(id.getText(), type.getText());decls.add(StatementFactory.createDoubleVariable(id, type));
                    	    }

                    	    }
                    	    break;

                    	default :
                    	    break loop7;
                        }
                    } while (true);

                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:339:7: ( ASSIGN_EQUAL init= numberExpression )?
                    int alt8=2;
                    int LA8_0 = input.LA(1);

                    if ( (LA8_0==ASSIGN_EQUAL) ) {
                        alt8=1;
                    }
                    switch (alt8) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:339:8: ASSIGN_EQUAL init= numberExpression
                            {
                            match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_variableDeclaration494); if (state.failed) return stmts;
                            pushFollow(FOLLOW_numberExpression_in_variableDeclaration500);
                            init=numberExpression();

                            state._fsp--;
                            if (state.failed) return stmts;

                            }
                            break;

                    }

                    match(input,SEMI,FOLLOW_SEMI_in_variableDeclaration505); if (state.failed) return stmts;
                    if ( state.backtracking==0 ) {

                      		 stmts.add(StatementFactory.createDeclarationsStatement(type, decls, init));
                      		 
                    }

                    }
                    break;
                case 3 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:344:2: type= FloatString id= Identifier ( COMMA id= Identifier )* ( ASSIGN_EQUAL init= numberExpression )? SEMI
                    {
                    type=(Token)match(input,FloatString,FOLLOW_FloatString_in_variableDeclaration519); if (state.failed) return stmts;
                    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration525); if (state.failed) return stmts;
                    if ( state.backtracking==0 ) {
                      addVariable(id.getText(), type.getText());decls.add(StatementFactory.createFloatVariable(id, type));
                    }
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:345:4: ( COMMA id= Identifier )*
                    loop9:
                    do {
                        int alt9=2;
                        int LA9_0 = input.LA(1);

                        if ( (LA9_0==COMMA) ) {
                            alt9=1;
                        }


                        switch (alt9) {
                    	case 1 :
                    	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:345:5: COMMA id= Identifier
                    	    {
                    	    match(input,COMMA,FOLLOW_COMMA_in_variableDeclaration533); if (state.failed) return stmts;
                    	    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration539); if (state.failed) return stmts;
                    	    if ( state.backtracking==0 ) {
                    	      addVariable(id.getText(), type.getText());decls.add(StatementFactory.createFloatVariable(id, type));
                    	    }

                    	    }
                    	    break;

                    	default :
                    	    break loop9;
                        }
                    } while (true);

                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:346:7: ( ASSIGN_EQUAL init= numberExpression )?
                    int alt10=2;
                    int LA10_0 = input.LA(1);

                    if ( (LA10_0==ASSIGN_EQUAL) ) {
                        alt10=1;
                    }
                    switch (alt10) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:346:8: ASSIGN_EQUAL init= numberExpression
                            {
                            match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_variableDeclaration550); if (state.failed) return stmts;
                            pushFollow(FOLLOW_numberExpression_in_variableDeclaration556);
                            init=numberExpression();

                            state._fsp--;
                            if (state.failed) return stmts;

                            }
                            break;

                    }

                    match(input,SEMI,FOLLOW_SEMI_in_variableDeclaration561); if (state.failed) return stmts;
                    if ( state.backtracking==0 ) {

                      		 stmts.add(StatementFactory.createDeclarationsStatement(type, decls, init));
                      		 
                    }

                    }
                    break;
                case 4 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:351:2: type= StringString id= Identifier ( COMMA id= Identifier )* ( ASSIGN_EQUAL init= stringExpression )? SEMI
                    {
                    type=(Token)match(input,StringString,FOLLOW_StringString_in_variableDeclaration575); if (state.failed) return stmts;
                    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration581); if (state.failed) return stmts;
                    if ( state.backtracking==0 ) {
                      addVariable(id.getText(), type.getText());decls.add(StatementFactory.createStringVariable(id, type));
                    }
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:352:4: ( COMMA id= Identifier )*
                    loop11:
                    do {
                        int alt11=2;
                        int LA11_0 = input.LA(1);

                        if ( (LA11_0==COMMA) ) {
                            alt11=1;
                        }


                        switch (alt11) {
                    	case 1 :
                    	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:352:5: COMMA id= Identifier
                    	    {
                    	    match(input,COMMA,FOLLOW_COMMA_in_variableDeclaration589); if (state.failed) return stmts;
                    	    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration595); if (state.failed) return stmts;
                    	    if ( state.backtracking==0 ) {
                    	      addVariable(id.getText(), type.getText());decls.add(StatementFactory.createStringVariable(id, type));
                    	    }

                    	    }
                    	    break;

                    	default :
                    	    break loop11;
                        }
                    } while (true);

                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:353:7: ( ASSIGN_EQUAL init= stringExpression )?
                    int alt12=2;
                    int LA12_0 = input.LA(1);

                    if ( (LA12_0==ASSIGN_EQUAL) ) {
                        alt12=1;
                    }
                    switch (alt12) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:353:8: ASSIGN_EQUAL init= stringExpression
                            {
                            match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_variableDeclaration606); if (state.failed) return stmts;
                            pushFollow(FOLLOW_stringExpression_in_variableDeclaration612);
                            init=stringExpression();

                            state._fsp--;
                            if (state.failed) return stmts;

                            }
                            break;

                    }

                    match(input,SEMI,FOLLOW_SEMI_in_variableDeclaration617); if (state.failed) return stmts;
                    if ( state.backtracking==0 ) {

                      		 stmts.add(StatementFactory.createDeclarationsStatement(type, decls, init));
                      		 
                    }

                    }
                    break;
                case 5 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:358:2: type= BooleanString id= Identifier ( COMMA id= Identifier )* ( ASSIGN_EQUAL init= booleanExpression )? SEMI
                    {
                    type=(Token)match(input,BooleanString,FOLLOW_BooleanString_in_variableDeclaration631); if (state.failed) return stmts;
                    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration637); if (state.failed) return stmts;
                    if ( state.backtracking==0 ) {
                      addVariable(id.getText(), type.getText());decls.add(StatementFactory.createBooleanVariable(id, type));
                    }
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:359:4: ( COMMA id= Identifier )*
                    loop13:
                    do {
                        int alt13=2;
                        int LA13_0 = input.LA(1);

                        if ( (LA13_0==COMMA) ) {
                            alt13=1;
                        }


                        switch (alt13) {
                    	case 1 :
                    	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:359:5: COMMA id= Identifier
                    	    {
                    	    match(input,COMMA,FOLLOW_COMMA_in_variableDeclaration645); if (state.failed) return stmts;
                    	    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration651); if (state.failed) return stmts;
                    	    if ( state.backtracking==0 ) {
                    	      addVariable(id.getText(), type.getText());decls.add(StatementFactory.createBooleanVariable(id, type));
                    	    }

                    	    }
                    	    break;

                    	default :
                    	    break loop13;
                        }
                    } while (true);

                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:360:7: ( ASSIGN_EQUAL init= booleanExpression )?
                    int alt14=2;
                    int LA14_0 = input.LA(1);

                    if ( (LA14_0==ASSIGN_EQUAL) ) {
                        alt14=1;
                    }
                    switch (alt14) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:360:8: ASSIGN_EQUAL init= booleanExpression
                            {
                            match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_variableDeclaration662); if (state.failed) return stmts;
                            pushFollow(FOLLOW_booleanExpression_in_variableDeclaration668);
                            init=booleanExpression();

                            state._fsp--;
                            if (state.failed) return stmts;

                            }
                            break;

                    }

                    match(input,SEMI,FOLLOW_SEMI_in_variableDeclaration673); if (state.failed) return stmts;
                    if ( state.backtracking==0 ) {

                      		 stmts.add(StatementFactory.createDeclarationsStatement(type, decls, init));
                      		 
                    }

                    }
                    break;
                case 6 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:365:2: type= TypeString id= Identifier ( COMMA id= Identifier )* ( ASSIGN_EQUAL init= annotationType )? SEMI
                    {
                    type=(Token)match(input,TypeString,FOLLOW_TypeString_in_variableDeclaration687); if (state.failed) return stmts;
                    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration693); if (state.failed) return stmts;
                    if ( state.backtracking==0 ) {
                      addVariable(id.getText(), type.getText());decls.add(StatementFactory.createTypeVariable(id,type));
                    }
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:366:4: ( COMMA id= Identifier )*
                    loop15:
                    do {
                        int alt15=2;
                        int LA15_0 = input.LA(1);

                        if ( (LA15_0==COMMA) ) {
                            alt15=1;
                        }


                        switch (alt15) {
                    	case 1 :
                    	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:366:5: COMMA id= Identifier
                    	    {
                    	    match(input,COMMA,FOLLOW_COMMA_in_variableDeclaration701); if (state.failed) return stmts;
                    	    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration707); if (state.failed) return stmts;
                    	    if ( state.backtracking==0 ) {
                    	      addVariable(id.getText(), type.getText());decls.add(StatementFactory.createTypeVariable(id,type));
                    	    }

                    	    }
                    	    break;

                    	default :
                    	    break loop15;
                        }
                    } while (true);

                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:367:7: ( ASSIGN_EQUAL init= annotationType )?
                    int alt16=2;
                    int LA16_0 = input.LA(1);

                    if ( (LA16_0==ASSIGN_EQUAL) ) {
                        alt16=1;
                    }
                    switch (alt16) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:367:8: ASSIGN_EQUAL init= annotationType
                            {
                            match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_variableDeclaration718); if (state.failed) return stmts;
                            pushFollow(FOLLOW_annotationType_in_variableDeclaration724);
                            init=annotationType();

                            state._fsp--;
                            if (state.failed) return stmts;

                            }
                            break;

                    }

                    match(input,SEMI,FOLLOW_SEMI_in_variableDeclaration729); if (state.failed) return stmts;
                    if ( state.backtracking==0 ) {

                      		 stmts.add(StatementFactory.createDeclarationsStatement(type, decls, init));
                      		 
                    }

                    }
                    break;
                case 7 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:372:9: type= WORDLIST id= Identifier ( ASSIGN_EQUAL list= wordListExpression )? SEMI
                    {
                    type=(Token)match(input,WORDLIST,FOLLOW_WORDLIST_in_variableDeclaration757); if (state.failed) return stmts;
                    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration763); if (state.failed) return stmts;
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:372:41: ( ASSIGN_EQUAL list= wordListExpression )?
                    int alt17=2;
                    int LA17_0 = input.LA(1);

                    if ( (LA17_0==ASSIGN_EQUAL) ) {
                        alt17=1;
                    }
                    switch (alt17) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:372:42: ASSIGN_EQUAL list= wordListExpression
                            {
                            match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_variableDeclaration766); if (state.failed) return stmts;
                            pushFollow(FOLLOW_wordListExpression_in_variableDeclaration772);
                            list=wordListExpression();

                            state._fsp--;
                            if (state.failed) return stmts;

                            }
                            break;

                    }

                    match(input,SEMI,FOLLOW_SEMI_in_variableDeclaration776); if (state.failed) return stmts;
                    if ( state.backtracking==0 ) {

                              addVariable(id.getText(), type.getText());
                              decls.add(StatementFactory.createListVariable(id,type,list));
                              stmts.add(StatementFactory.createDeclarationsStatement(type, decls, list));
                              
                    }

                    }
                    break;
                case 8 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:379:9: type= WORDTABLE id= Identifier ( ASSIGN_EQUAL table= wordTableExpression )? SEMI
                    {
                    type=(Token)match(input,WORDTABLE,FOLLOW_WORDTABLE_in_variableDeclaration810); if (state.failed) return stmts;
                    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration816); if (state.failed) return stmts;
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:379:42: ( ASSIGN_EQUAL table= wordTableExpression )?
                    int alt18=2;
                    int LA18_0 = input.LA(1);

                    if ( (LA18_0==ASSIGN_EQUAL) ) {
                        alt18=1;
                    }
                    switch (alt18) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:379:43: ASSIGN_EQUAL table= wordTableExpression
                            {
                            match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_variableDeclaration819); if (state.failed) return stmts;
                            pushFollow(FOLLOW_wordTableExpression_in_variableDeclaration825);
                            table=wordTableExpression();

                            state._fsp--;
                            if (state.failed) return stmts;

                            }
                            break;

                    }

                    match(input,SEMI,FOLLOW_SEMI_in_variableDeclaration830); if (state.failed) return stmts;
                    if ( state.backtracking==0 ) {

                              addVariable(id.getText(), type.getText());
                              decls.add(StatementFactory.createTableVariable(id,type,table));
                              stmts.add(StatementFactory.createDeclarationsStatement(type, decls, table));
                              
                    }

                    }
                    break;
                case 9 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:386:9: type= BOOLEANLIST id= Identifier ( ASSIGN_EQUAL list= booleanListExpression )? SEMI
                    {
                    type=(Token)match(input,BOOLEANLIST,FOLLOW_BOOLEANLIST_in_variableDeclaration864); if (state.failed) return stmts;
                    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration870); if (state.failed) return stmts;
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:386:44: ( ASSIGN_EQUAL list= booleanListExpression )?
                    int alt19=2;
                    int LA19_0 = input.LA(1);

                    if ( (LA19_0==ASSIGN_EQUAL) ) {
                        alt19=1;
                    }
                    switch (alt19) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:386:45: ASSIGN_EQUAL list= booleanListExpression
                            {
                            match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_variableDeclaration873); if (state.failed) return stmts;
                            pushFollow(FOLLOW_booleanListExpression_in_variableDeclaration879);
                            list=booleanListExpression();

                            state._fsp--;
                            if (state.failed) return stmts;

                            }
                            break;

                    }

                    match(input,SEMI,FOLLOW_SEMI_in_variableDeclaration884); if (state.failed) return stmts;
                    if ( state.backtracking==0 ) {

                              addVariable(id.getText(), type.getText());
                              decls.add(StatementFactory.createVarListVariable(id,type,list, TMTypeConstants.TM_TYPE_BL));
                              stmts.add(StatementFactory.createDeclarationsStatement(type, decls, list));
                              
                    }

                    }
                    break;
                case 10 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:393:9: type= INTLIST id= Identifier ( ASSIGN_EQUAL list= numberListExpression )? SEMI
                    {
                    type=(Token)match(input,INTLIST,FOLLOW_INTLIST_in_variableDeclaration918); if (state.failed) return stmts;
                    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration924); if (state.failed) return stmts;
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:393:40: ( ASSIGN_EQUAL list= numberListExpression )?
                    int alt20=2;
                    int LA20_0 = input.LA(1);

                    if ( (LA20_0==ASSIGN_EQUAL) ) {
                        alt20=1;
                    }
                    switch (alt20) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:393:41: ASSIGN_EQUAL list= numberListExpression
                            {
                            match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_variableDeclaration927); if (state.failed) return stmts;
                            pushFollow(FOLLOW_numberListExpression_in_variableDeclaration933);
                            list=numberListExpression();

                            state._fsp--;
                            if (state.failed) return stmts;

                            }
                            break;

                    }

                    match(input,SEMI,FOLLOW_SEMI_in_variableDeclaration938); if (state.failed) return stmts;
                    if ( state.backtracking==0 ) {

                              addVariable(id.getText(), type.getText());
                              decls.add(StatementFactory.createVarListVariable(id,type,list, TMTypeConstants.TM_TYPE_NL));
                              stmts.add(StatementFactory.createDeclarationsStatement(type, decls, list));
                              
                    }

                    }
                    break;
                case 11 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:400:9: type= DOUBLELIST id= Identifier ( ASSIGN_EQUAL list= numberListExpression )? SEMI
                    {
                    type=(Token)match(input,DOUBLELIST,FOLLOW_DOUBLELIST_in_variableDeclaration973); if (state.failed) return stmts;
                    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration979); if (state.failed) return stmts;
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:400:43: ( ASSIGN_EQUAL list= numberListExpression )?
                    int alt21=2;
                    int LA21_0 = input.LA(1);

                    if ( (LA21_0==ASSIGN_EQUAL) ) {
                        alt21=1;
                    }
                    switch (alt21) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:400:44: ASSIGN_EQUAL list= numberListExpression
                            {
                            match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_variableDeclaration982); if (state.failed) return stmts;
                            pushFollow(FOLLOW_numberListExpression_in_variableDeclaration988);
                            list=numberListExpression();

                            state._fsp--;
                            if (state.failed) return stmts;

                            }
                            break;

                    }

                    match(input,SEMI,FOLLOW_SEMI_in_variableDeclaration993); if (state.failed) return stmts;
                    if ( state.backtracking==0 ) {

                              addVariable(id.getText(), type.getText());
                              decls.add(StatementFactory.createVarListVariable(id,type,list, TMTypeConstants.TM_TYPE_NL));
                              stmts.add(StatementFactory.createDeclarationsStatement(type, decls, list));
                              
                    }

                    }
                    break;
                case 12 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:407:9: type= FLOATLIST id= Identifier ( ASSIGN_EQUAL list= numberListExpression )? SEMI
                    {
                    type=(Token)match(input,FLOATLIST,FOLLOW_FLOATLIST_in_variableDeclaration1029); if (state.failed) return stmts;
                    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration1035); if (state.failed) return stmts;
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:407:42: ( ASSIGN_EQUAL list= numberListExpression )?
                    int alt22=2;
                    int LA22_0 = input.LA(1);

                    if ( (LA22_0==ASSIGN_EQUAL) ) {
                        alt22=1;
                    }
                    switch (alt22) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:407:43: ASSIGN_EQUAL list= numberListExpression
                            {
                            match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_variableDeclaration1038); if (state.failed) return stmts;
                            pushFollow(FOLLOW_numberListExpression_in_variableDeclaration1044);
                            list=numberListExpression();

                            state._fsp--;
                            if (state.failed) return stmts;

                            }
                            break;

                    }

                    match(input,SEMI,FOLLOW_SEMI_in_variableDeclaration1049); if (state.failed) return stmts;
                    if ( state.backtracking==0 ) {

                              addVariable(id.getText(), type.getText());
                              decls.add(StatementFactory.createVarListVariable(id,type,list, TMTypeConstants.TM_TYPE_NL));
                              stmts.add(StatementFactory.createDeclarationsStatement(type, decls, list));
                              
                    }

                    }
                    break;
                case 13 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:414:9: type= STRINGLIST id= Identifier ( ASSIGN_EQUAL list= stringListExpression )? SEMI
                    {
                    type=(Token)match(input,STRINGLIST,FOLLOW_STRINGLIST_in_variableDeclaration1091); if (state.failed) return stmts;
                    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration1097); if (state.failed) return stmts;
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:414:43: ( ASSIGN_EQUAL list= stringListExpression )?
                    int alt23=2;
                    int LA23_0 = input.LA(1);

                    if ( (LA23_0==ASSIGN_EQUAL) ) {
                        alt23=1;
                    }
                    switch (alt23) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:414:44: ASSIGN_EQUAL list= stringListExpression
                            {
                            match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_variableDeclaration1100); if (state.failed) return stmts;
                            pushFollow(FOLLOW_stringListExpression_in_variableDeclaration1106);
                            list=stringListExpression();

                            state._fsp--;
                            if (state.failed) return stmts;

                            }
                            break;

                    }

                    match(input,SEMI,FOLLOW_SEMI_in_variableDeclaration1111); if (state.failed) return stmts;
                    if ( state.backtracking==0 ) {

                              addVariable(id.getText(), type.getText());
                              decls.add(StatementFactory.createVarListVariable(id,type,list, TMTypeConstants.TM_TYPE_SL));
                              stmts.add(StatementFactory.createDeclarationsStatement(type, decls, list));
                              
                    }

                    }
                    break;
                case 14 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:421:9: type= TYPELIST id= Identifier ( ASSIGN_EQUAL list= typeListExpression )? SEMI
                    {
                    type=(Token)match(input,TYPELIST,FOLLOW_TYPELIST_in_variableDeclaration1153); if (state.failed) return stmts;
                    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaration1159); if (state.failed) return stmts;
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:421:41: ( ASSIGN_EQUAL list= typeListExpression )?
                    int alt24=2;
                    int LA24_0 = input.LA(1);

                    if ( (LA24_0==ASSIGN_EQUAL) ) {
                        alt24=1;
                    }
                    switch (alt24) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:421:42: ASSIGN_EQUAL list= typeListExpression
                            {
                            match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_variableDeclaration1162); if (state.failed) return stmts;
                            pushFollow(FOLLOW_typeListExpression_in_variableDeclaration1168);
                            list=typeListExpression();

                            state._fsp--;
                            if (state.failed) return stmts;

                            }
                            break;

                    }

                    match(input,SEMI,FOLLOW_SEMI_in_variableDeclaration1173); if (state.failed) return stmts;
                    if ( state.backtracking==0 ) {

                              addVariable(id.getText(), type.getText());
                              decls.add(StatementFactory.createVarListVariable(id,type,list, TMTypeConstants.TM_TYPE_TL));
                              stmts.add(StatementFactory.createDeclarationsStatement(type, decls, list));
                              
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return stmts;
    }
    // $ANTLR end "variableDeclaration"


    // $ANTLR start "declaration"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:450:1: declaration returns [List<Statement> stmts = new ArrayList<Statement>()] : (declareToken= DECLARE (lazyParent= annotationType )? id= Identifier ( COMMA id= Identifier )* end= SEMI | declareToken= DECLARE type= annotationType id= Identifier ( LPAREN (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString ) fname= Identifier ( COMMA (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString ) fname= Identifier )* RPAREN ) SEMI ) ;
    public final List<Statement> declaration() throws RecognitionException {
        List<Statement> stmts =  new ArrayList<Statement>();

        Token declareToken=null;
        Token id=null;
        Token end=null;
        Token obj2=null;
        Token obj3=null;
        Token obj6=null;
        Token obj4=null;
        Token obj5=null;
        Token fname=null;
        Expression lazyParent = null;

        Expression type = null;

        Expression obj1 = null;



        	Statement stmt = null;
        	List<Object> featureTypes = new ArrayList<Object>();
        	List<Token> featureNames = new ArrayList<Token>();
        	List<Declaration> declarations = new ArrayList<Declaration>();

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:457:2: ( (declareToken= DECLARE (lazyParent= annotationType )? id= Identifier ( COMMA id= Identifier )* end= SEMI | declareToken= DECLARE type= annotationType id= Identifier ( LPAREN (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString ) fname= Identifier ( COMMA (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString ) fname= Identifier )* RPAREN ) SEMI ) )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:459:2: (declareToken= DECLARE (lazyParent= annotationType )? id= Identifier ( COMMA id= Identifier )* end= SEMI | declareToken= DECLARE type= annotationType id= Identifier ( LPAREN (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString ) fname= Identifier ( COMMA (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString ) fname= Identifier )* RPAREN ) SEMI )
            {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:459:2: (declareToken= DECLARE (lazyParent= annotationType )? id= Identifier ( COMMA id= Identifier )* end= SEMI | declareToken= DECLARE type= annotationType id= Identifier ( LPAREN (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString ) fname= Identifier ( COMMA (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString ) fname= Identifier )* RPAREN ) SEMI )
            int alt31=2;
            alt31 = dfa31.predict(input);
            switch (alt31) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:459:3: declareToken= DECLARE (lazyParent= annotationType )? id= Identifier ( COMMA id= Identifier )* end= SEMI
                    {
                    declareToken=(Token)match(input,DECLARE,FOLLOW_DECLARE_in_declaration1241); if (state.failed) return stmts;
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:459:35: (lazyParent= annotationType )?
                    int alt26=2;
                    int LA26_0 = input.LA(1);

                    if ( (LA26_0==Identifier) ) {
                        int LA26_1 = input.LA(2);

                        if ( (LA26_1==Identifier||LA26_1==DOT) ) {
                            alt26=1;
                        }
                    }
                    else if ( (LA26_0==BasicAnnotationType) ) {
                        alt26=1;
                    }
                    switch (alt26) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:459:35: lazyParent= annotationType
                            {
                            pushFollow(FOLLOW_annotationType_in_declaration1247);
                            lazyParent=annotationType();

                            state._fsp--;
                            if (state.failed) return stmts;

                            }
                            break;

                    }

                    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_declaration1257); if (state.failed) return stmts;
                    if ( state.backtracking==0 ) {
                      addVariable(id.getText(), declareToken.getText());
                    }
                    if ( state.backtracking==0 ) {
                      addType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, id.getText(), lazyParent == null ? null : lazyParent.toString());
                      			declarations.add(StatementFactory.createAnnotationType(id,declareToken));
                    }
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:463:3: ( COMMA id= Identifier )*
                    loop27:
                    do {
                        int alt27=2;
                        int LA27_0 = input.LA(1);

                        if ( (LA27_0==COMMA) ) {
                            alt27=1;
                        }


                        switch (alt27) {
                    	case 1 :
                    	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:463:4: COMMA id= Identifier
                    	    {
                    	    match(input,COMMA,FOLLOW_COMMA_in_declaration1269); if (state.failed) return stmts;
                    	    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_declaration1279); if (state.failed) return stmts;
                    	    if ( state.backtracking==0 ) {
                    	      addVariable(id.getText(), declareToken.getText());
                    	    }
                    	    if ( state.backtracking==0 ) {
                    	      addType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, id.getText(),  lazyParent == null ? null : lazyParent.toString()); 
                    	      			declarations.add(StatementFactory.createAnnotationType(id,declareToken));
                    	    }

                    	    }
                    	    break;

                    	default :
                    	    break loop27;
                        }
                    } while (true);

                    end=(Token)match(input,SEMI,FOLLOW_SEMI_in_declaration1298); if (state.failed) return stmts;
                    if ( state.backtracking==0 ) {

                      		 stmt = StatementFactory.createDeclareDeclarationsStatement(declareToken, declarations, lazyParent);
                      		 stmts.add(stmt);
                      		 
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:473:2: declareToken= DECLARE type= annotationType id= Identifier ( LPAREN (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString ) fname= Identifier ( COMMA (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString ) fname= Identifier )* RPAREN ) SEMI
                    {
                    declareToken=(Token)match(input,DECLARE,FOLLOW_DECLARE_in_declaration1311); if (state.failed) return stmts;
                    pushFollow(FOLLOW_annotationType_in_declaration1315);
                    type=annotationType();

                    state._fsp--;
                    if (state.failed) return stmts;
                    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_declaration1322); if (state.failed) return stmts;
                    if ( state.backtracking==0 ) {
                      addVariable(id.getText(), declareToken.getText());
                    }
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:475:3: ( LPAREN (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString ) fname= Identifier ( COMMA (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString ) fname= Identifier )* RPAREN )
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:475:4: LPAREN (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString ) fname= Identifier ( COMMA (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString ) fname= Identifier )* RPAREN
                    {
                    match(input,LPAREN,FOLLOW_LPAREN_in_declaration1329); if (state.failed) return stmts;
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:476:4: (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString )
                    int alt28=6;
                    switch ( input.LA(1) ) {
                    case BasicAnnotationType:
                    case Identifier:
                        {
                        alt28=1;
                        }
                        break;
                    case StringString:
                        {
                        alt28=2;
                        }
                        break;
                    case DoubleString:
                        {
                        alt28=3;
                        }
                        break;
                    case FloatString:
                        {
                        alt28=4;
                        }
                        break;
                    case IntString:
                        {
                        alt28=5;
                        }
                        break;
                    case BooleanString:
                        {
                        alt28=6;
                        }
                        break;
                    default:
                        if (state.backtracking>0) {state.failed=true; return stmts;}
                        NoViableAltException nvae =
                            new NoViableAltException("", 28, 0, input);

                        throw nvae;
                    }

                    switch (alt28) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:477:4: obj1= annotationType
                            {
                            pushFollow(FOLLOW_annotationType_in_declaration1344);
                            obj1=annotationType();

                            state._fsp--;
                            if (state.failed) return stmts;
                            if ( state.backtracking==0 ) {
                              featureTypes.add(obj1);
                            }

                            }
                            break;
                        case 2 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:478:6: obj2= StringString
                            {
                            obj2=(Token)match(input,StringString,FOLLOW_StringString_in_declaration1357); if (state.failed) return stmts;
                            if ( state.backtracking==0 ) {
                              featureTypes.add(obj2);
                            }

                            }
                            break;
                        case 3 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:479:6: obj3= DoubleString
                            {
                            obj3=(Token)match(input,DoubleString,FOLLOW_DoubleString_in_declaration1370); if (state.failed) return stmts;
                            if ( state.backtracking==0 ) {
                              featureTypes.add(obj3);
                            }

                            }
                            break;
                        case 4 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:480:6: obj6= FloatString
                            {
                            obj6=(Token)match(input,FloatString,FOLLOW_FloatString_in_declaration1382); if (state.failed) return stmts;
                            if ( state.backtracking==0 ) {
                              featureTypes.add(obj6);
                            }

                            }
                            break;
                        case 5 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:481:6: obj4= IntString
                            {
                            obj4=(Token)match(input,IntString,FOLLOW_IntString_in_declaration1396); if (state.failed) return stmts;
                            if ( state.backtracking==0 ) {
                              featureTypes.add(obj4);
                            }

                            }
                            break;
                        case 6 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:482:6: obj5= BooleanString
                            {
                            obj5=(Token)match(input,BooleanString,FOLLOW_BooleanString_in_declaration1408); if (state.failed) return stmts;
                            if ( state.backtracking==0 ) {
                              featureTypes.add(obj5);
                            }

                            }
                            break;

                    }

                    fname=(Token)match(input,Identifier,FOLLOW_Identifier_in_declaration1428); if (state.failed) return stmts;
                    if ( state.backtracking==0 ) {
                      featureNames.add(fname);
                    }
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:486:4: ( COMMA (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString ) fname= Identifier )*
                    loop30:
                    do {
                        int alt30=2;
                        int LA30_0 = input.LA(1);

                        if ( (LA30_0==COMMA) ) {
                            alt30=1;
                        }


                        switch (alt30) {
                    	case 1 :
                    	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:487:4: COMMA (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString ) fname= Identifier
                    	    {
                    	    match(input,COMMA,FOLLOW_COMMA_in_declaration1440); if (state.failed) return stmts;
                    	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:488:4: (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString )
                    	    int alt29=6;
                    	    switch ( input.LA(1) ) {
                    	    case BasicAnnotationType:
                    	    case Identifier:
                    	        {
                    	        alt29=1;
                    	        }
                    	        break;
                    	    case StringString:
                    	        {
                    	        alt29=2;
                    	        }
                    	        break;
                    	    case DoubleString:
                    	        {
                    	        alt29=3;
                    	        }
                    	        break;
                    	    case FloatString:
                    	        {
                    	        alt29=4;
                    	        }
                    	        break;
                    	    case IntString:
                    	        {
                    	        alt29=5;
                    	        }
                    	        break;
                    	    case BooleanString:
                    	        {
                    	        alt29=6;
                    	        }
                    	        break;
                    	    default:
                    	        if (state.backtracking>0) {state.failed=true; return stmts;}
                    	        NoViableAltException nvae =
                    	            new NoViableAltException("", 29, 0, input);

                    	        throw nvae;
                    	    }

                    	    switch (alt29) {
                    	        case 1 :
                    	            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:489:4: obj1= annotationType
                    	            {
                    	            pushFollow(FOLLOW_annotationType_in_declaration1455);
                    	            obj1=annotationType();

                    	            state._fsp--;
                    	            if (state.failed) return stmts;
                    	            if ( state.backtracking==0 ) {
                    	              featureTypes.add(obj1);
                    	            }

                    	            }
                    	            break;
                    	        case 2 :
                    	            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:490:6: obj2= StringString
                    	            {
                    	            obj2=(Token)match(input,StringString,FOLLOW_StringString_in_declaration1468); if (state.failed) return stmts;
                    	            if ( state.backtracking==0 ) {
                    	              featureTypes.add(obj2);
                    	            }

                    	            }
                    	            break;
                    	        case 3 :
                    	            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:491:6: obj3= DoubleString
                    	            {
                    	            obj3=(Token)match(input,DoubleString,FOLLOW_DoubleString_in_declaration1481); if (state.failed) return stmts;
                    	            if ( state.backtracking==0 ) {
                    	              featureTypes.add(obj3);
                    	            }

                    	            }
                    	            break;
                    	        case 4 :
                    	            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:492:6: obj6= FloatString
                    	            {
                    	            obj6=(Token)match(input,FloatString,FOLLOW_FloatString_in_declaration1493); if (state.failed) return stmts;
                    	            if ( state.backtracking==0 ) {
                    	              featureTypes.add(obj6);
                    	            }

                    	            }
                    	            break;
                    	        case 5 :
                    	            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:493:6: obj4= IntString
                    	            {
                    	            obj4=(Token)match(input,IntString,FOLLOW_IntString_in_declaration1507); if (state.failed) return stmts;
                    	            if ( state.backtracking==0 ) {
                    	              featureTypes.add(obj4);
                    	            }

                    	            }
                    	            break;
                    	        case 6 :
                    	            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:494:6: obj5= BooleanString
                    	            {
                    	            obj5=(Token)match(input,BooleanString,FOLLOW_BooleanString_in_declaration1519); if (state.failed) return stmts;
                    	            if ( state.backtracking==0 ) {
                    	              featureTypes.add(obj5);
                    	            }

                    	            }
                    	            break;

                    	    }

                    	    fname=(Token)match(input,Identifier,FOLLOW_Identifier_in_declaration1538); if (state.failed) return stmts;
                    	    if ( state.backtracking==0 ) {
                    	      featureNames.add(fname);
                    	    }

                    	    }
                    	    break;

                    	default :
                    	    break loop30;
                        }
                    } while (true);

                    match(input,RPAREN,FOLLOW_RPAREN_in_declaration1546); if (state.failed) return stmts;

                    }

                    match(input,SEMI,FOLLOW_SEMI_in_declaration1549); if (state.failed) return stmts;
                    if ( state.backtracking==0 ) {

                      		List<TextMarkerFeatureDeclaration> features = new ArrayList<TextMarkerFeatureDeclaration>();
                      		int i = 0;
                      		for (Object eachTO : featureTypes) {
                      		   Token eachName = featureNames.get(i); 
                      		   features.add(StatementFactory.createFeatureDeclaration(eachTO, eachName));  
                      		   i++;
                      		}
                      		addType(((blockDeclaration_scope)blockDeclaration_stack.peek()).env, id.getText(), type.toString(), featureTypes, featureNames);
                      		declarations.add( StatementFactory.createAnnotationType(id,declareToken, type, features));
                      		stmt = StatementFactory.createDeclareDeclarationsStatement(declareToken, declarations, type);
                      		stmts.add(stmt);
                      		
                    }

                    }
                    break;

            }


            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return stmts;
    }
    // $ANTLR end "declaration"

    protected static class blockDeclaration_scope {
        TextMarkerBlock env;
    }
    protected Stack blockDeclaration_stack = new Stack();


    // $ANTLR start "blockDeclaration"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:519:1: blockDeclaration returns [TextMarkerBlock block = null] options {backtrack=true; } : (declareToken= BlockString | declareToken= AutomataBlockString ) LPAREN id= Identifier RPAREN re1= ruleElementWithCA LCURLY body= statements rc= RCURLY ;
    public final TextMarkerBlock blockDeclaration() throws RecognitionException {
        blockDeclaration_stack.push(new blockDeclaration_scope());
        TextMarkerBlock block =  null;

        Token declareToken=null;
        Token id=null;
        Token rc=null;
        TextMarkerRuleElement re1 = null;

        List<Statement> body = null;



        TextMarkerRule rule = null;
        level++;

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:533:2: ( (declareToken= BlockString | declareToken= AutomataBlockString ) LPAREN id= Identifier RPAREN re1= ruleElementWithCA LCURLY body= statements rc= RCURLY )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:535:2: (declareToken= BlockString | declareToken= AutomataBlockString ) LPAREN id= Identifier RPAREN re1= ruleElementWithCA LCURLY body= statements rc= RCURLY
            {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:535:2: (declareToken= BlockString | declareToken= AutomataBlockString )
            int alt32=2;
            int LA32_0 = input.LA(1);

            if ( (LA32_0==BlockString) ) {
                alt32=1;
            }
            else if ( (LA32_0==AutomataBlockString) ) {
                alt32=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return block;}
                NoViableAltException nvae =
                    new NoViableAltException("", 32, 0, input);

                throw nvae;
            }
            switch (alt32) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:535:3: declareToken= BlockString
                    {
                    declareToken=(Token)match(input,BlockString,FOLLOW_BlockString_in_blockDeclaration1610); if (state.failed) return block;

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:535:32: declareToken= AutomataBlockString
                    {
                    declareToken=(Token)match(input,AutomataBlockString,FOLLOW_AutomataBlockString_in_blockDeclaration1618); if (state.failed) return block;

                    }
                    break;

            }

            match(input,LPAREN,FOLLOW_LPAREN_in_blockDeclaration1622); if (state.failed) return block;
            id=(Token)match(input,Identifier,FOLLOW_Identifier_in_blockDeclaration1629); if (state.failed) return block;
            if ( state.backtracking==0 ) {
              addVariable(id.getText(), declareToken.getText());
            }
            if ( state.backtracking==0 ) {

              		block = scriptFactory.createScriptBlock(id, declareToken, ((blockDeclaration_scope)blockDeclaration_stack.elementAt(level - 1)).env);
              		((blockDeclaration_scope)blockDeclaration_stack.peek()).env = block;
              	
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_blockDeclaration1637); if (state.failed) return block;
            pushFollow(FOLLOW_ruleElementWithCA_in_blockDeclaration1644);
            re1=ruleElementWithCA();

            state._fsp--;
            if (state.failed) return block;
            if ( state.backtracking==0 ) {

              	rule = scriptFactory.createRule(re1);
              	scriptFactory.finalizeScriptBlock(block, rc, rule, body);
            }
            match(input,LCURLY,FOLLOW_LCURLY_in_blockDeclaration1650); if (state.failed) return block;
            pushFollow(FOLLOW_statements_in_blockDeclaration1656);
            body=statements();

            state._fsp--;
            if (state.failed) return block;
            rc=(Token)match(input,RCURLY,FOLLOW_RCURLY_in_blockDeclaration1662); if (state.failed) return block;
            if ( state.backtracking==0 ) {
              scriptFactory.finalizeScriptBlock(block, rc, rule, body);
            }

            }

            if ( state.backtracking==0 ) {

              level--;

            }
        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
            blockDeclaration_stack.pop();
        }
        return block;
    }
    // $ANTLR end "blockDeclaration"


    // $ANTLR start "ruleElementWithCA"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:552:1: ruleElementWithCA returns [TextMarkerRuleElement re = null] : idRef= typeExpression (quantifier= quantifierPart )? LCURLY (c= conditions )? ( THEN a= actions )? end= RCURLY ;
    public final TextMarkerRuleElement ruleElementWithCA() throws RecognitionException {
        TextMarkerRuleElement re =  null;

        Token end=null;
        Expression idRef = null;

        List<Expression> quantifier = null;

        List<TextMarkerCondition> c = null;

        List<TextMarkerAction> a = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:553:5: (idRef= typeExpression (quantifier= quantifierPart )? LCURLY (c= conditions )? ( THEN a= actions )? end= RCURLY )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:554:5: idRef= typeExpression (quantifier= quantifierPart )? LCURLY (c= conditions )? ( THEN a= actions )? end= RCURLY
            {
            pushFollow(FOLLOW_typeExpression_in_ruleElementWithCA1692);
            idRef=typeExpression();

            state._fsp--;
            if (state.failed) return re;
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:554:37: (quantifier= quantifierPart )?
            int alt33=2;
            int LA33_0 = input.LA(1);

            if ( (LA33_0==LBRACK||LA33_0==PLUS||LA33_0==STAR||LA33_0==QUESTION) ) {
                alt33=1;
            }
            switch (alt33) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:554:37: quantifier= quantifierPart
                    {
                    pushFollow(FOLLOW_quantifierPart_in_ruleElementWithCA1698);
                    quantifier=quantifierPart();

                    state._fsp--;
                    if (state.failed) return re;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              re = scriptFactory.createRuleElement(idRef,quantifier,c,a, end);
            }
            match(input,LCURLY,FOLLOW_LCURLY_in_ruleElementWithCA1711); if (state.failed) return re;
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:555:18: (c= conditions )?
            int alt34=2;
            int LA34_0 = input.LA(1);

            if ( (LA34_0==CONTAINS||(LA34_0>=AND && LA34_0<=PARSE)||(LA34_0>=BEFORE && LA34_0<=ENDSWITH)||LA34_0==NOT||LA34_0==SIZE||LA34_0==Identifier||LA34_0==MINUS) ) {
                alt34=1;
            }
            switch (alt34) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:555:18: c= conditions
                    {
                    pushFollow(FOLLOW_conditions_in_ruleElementWithCA1717);
                    c=conditions();

                    state._fsp--;
                    if (state.failed) return re;

                    }
                    break;

            }

            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:555:32: ( THEN a= actions )?
            int alt35=2;
            int LA35_0 = input.LA(1);

            if ( (LA35_0==THEN) ) {
                alt35=1;
            }
            switch (alt35) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:555:33: THEN a= actions
                    {
                    match(input,THEN,FOLLOW_THEN_in_ruleElementWithCA1721); if (state.failed) return re;
                    pushFollow(FOLLOW_actions_in_ruleElementWithCA1727);
                    a=actions();

                    state._fsp--;
                    if (state.failed) return re;

                    }
                    break;

            }

            end=(Token)match(input,RCURLY,FOLLOW_RCURLY_in_ruleElementWithCA1735); if (state.failed) return re;
            if ( state.backtracking==0 ) {
              re = scriptFactory.createRuleElement(idRef,quantifier,c,a, end);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return re;
    }
    // $ANTLR end "ruleElementWithCA"


    // $ANTLR start "ruleElementWithoutCA"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:560:1: ruleElementWithoutCA returns [TextMarkerRuleElement re = null] : idRef= typeExpression (quantifier= quantifierPart )? ;
    public final TextMarkerRuleElement ruleElementWithoutCA() throws RecognitionException {
        TextMarkerRuleElement re =  null;

        Expression idRef = null;

        List<Expression> quantifier = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:561:5: (idRef= typeExpression (quantifier= quantifierPart )? )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:562:5: idRef= typeExpression (quantifier= quantifierPart )?
            {
            pushFollow(FOLLOW_typeExpression_in_ruleElementWithoutCA1775);
            idRef=typeExpression();

            state._fsp--;
            if (state.failed) return re;
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:562:37: (quantifier= quantifierPart )?
            int alt36=2;
            int LA36_0 = input.LA(1);

            if ( (LA36_0==LBRACK||LA36_0==PLUS||LA36_0==STAR||LA36_0==QUESTION) ) {
                alt36=1;
            }
            switch (alt36) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:562:37: quantifier= quantifierPart
                    {
                    pushFollow(FOLLOW_quantifierPart_in_ruleElementWithoutCA1781);
                    quantifier=quantifierPart();

                    state._fsp--;
                    if (state.failed) return re;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              re = scriptFactory.createRuleElement(idRef,quantifier,null,null, null);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return re;
    }
    // $ANTLR end "ruleElementWithoutCA"


    // $ANTLR start "simpleStatement"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:567:1: simpleStatement returns [TextMarkerRule stmt = null] : elements= ruleElements s= SEMI ;
    public final TextMarkerRule simpleStatement() throws RecognitionException {
        TextMarkerRule stmt =  null;

        Token s=null;
        List<Expression> elements = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:568:2: (elements= ruleElements s= SEMI )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:569:2: elements= ruleElements s= SEMI
            {
            pushFollow(FOLLOW_ruleElements_in_simpleStatement1823);
            elements=ruleElements();

            state._fsp--;
            if (state.failed) return stmt;
            s=(Token)match(input,SEMI,FOLLOW_SEMI_in_simpleStatement1832); if (state.failed) return stmt;
            if ( state.backtracking==0 ) {
              stmt = scriptFactory.createRule(elements, s);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return stmt;
    }
    // $ANTLR end "simpleStatement"


    // $ANTLR start "ruleElements"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:575:1: ruleElements returns [List<Expression> elements = new ArrayList<Expression>()] : re= ruleElement (re= ruleElement )* ;
    public final List<Expression> ruleElements() throws RecognitionException {
        List<Expression> elements =  new ArrayList<Expression>();

        Expression re = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:576:2: (re= ruleElement (re= ruleElement )* )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:577:2: re= ruleElement (re= ruleElement )*
            {
            pushFollow(FOLLOW_ruleElement_in_ruleElements1860);
            re=ruleElement();

            state._fsp--;
            if (state.failed) return elements;
            if ( state.backtracking==0 ) {
              if(re!=null) elements.add(re);
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:577:52: (re= ruleElement )*
            loop37:
            do {
                int alt37=2;
                int LA37_0 = input.LA(1);

                if ( (LA37_0==BasicAnnotationType||LA37_0==StringLiteral||(LA37_0>=Identifier && LA37_0<=LPAREN)) ) {
                    alt37=1;
                }


                switch (alt37) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:577:53: re= ruleElement
            	    {
            	    pushFollow(FOLLOW_ruleElement_in_ruleElements1869);
            	    re=ruleElement();

            	    state._fsp--;
            	    if (state.failed) return elements;
            	    if ( state.backtracking==0 ) {
            	      if(re!=null) elements.add(re);
            	    }

            	    }
            	    break;

            	default :
            	    break loop37;
                }
            } while (true);


            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return elements;
    }
    // $ANTLR end "ruleElements"


    // $ANTLR start "blockRuleElement"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:580:1: blockRuleElement returns [TextMarkerRuleElement rElement = null] : re= ruleElementType ;
    public final TextMarkerRuleElement blockRuleElement() throws RecognitionException {
        TextMarkerRuleElement rElement =  null;

        TextMarkerRuleElement re = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:581:2: (re= ruleElementType )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:582:2: re= ruleElementType
            {
            pushFollow(FOLLOW_ruleElementType_in_blockRuleElement1896);
            re=ruleElementType();

            state._fsp--;
            if (state.failed) return rElement;
            if ( state.backtracking==0 ) {
              rElement = re;
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return rElement;
    }
    // $ANTLR end "blockRuleElement"


    // $ANTLR start "ruleElement"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:585:1: ruleElement returns [Expression re = null] : (re1= ruleElementType | re2= ruleElementLiteral | re3= ruleElementComposed );
    public final Expression ruleElement() throws RecognitionException {
        Expression re =  null;

        TextMarkerRuleElement re1 = null;

        TextMarkerRuleElement re2 = null;

        ComposedRuleElement re3 = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:586:2: (re1= ruleElementType | re2= ruleElementLiteral | re3= ruleElementComposed )
            int alt38=3;
            switch ( input.LA(1) ) {
            case Identifier:
                {
                int LA38_1 = input.LA(2);

                if ( (!(((isVariableOfType(input.LT(1).getText(), "STRING"))))) ) {
                    alt38=1;
                }
                else if ( ((isVariableOfType(input.LT(1).getText(), "STRING"))) ) {
                    alt38=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return re;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 38, 1, input);

                    throw nvae;
                }
                }
                break;
            case BasicAnnotationType:
                {
                alt38=1;
                }
                break;
            case StringLiteral:
                {
                alt38=2;
                }
                break;
            case LPAREN:
                {
                alt38=3;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return re;}
                NoViableAltException nvae =
                    new NoViableAltException("", 38, 0, input);

                throw nvae;
            }

            switch (alt38) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:587:2: re1= ruleElementType
                    {
                    pushFollow(FOLLOW_ruleElementType_in_ruleElement1920);
                    re1=ruleElementType();

                    state._fsp--;
                    if (state.failed) return re;
                    if ( state.backtracking==0 ) {
                      re = re1;
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:588:4: re2= ruleElementLiteral
                    {
                    pushFollow(FOLLOW_ruleElementLiteral_in_ruleElement1931);
                    re2=ruleElementLiteral();

                    state._fsp--;
                    if (state.failed) return re;
                    if ( state.backtracking==0 ) {
                      re = re2;
                    }

                    }
                    break;
                case 3 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:589:4: re3= ruleElementComposed
                    {
                    pushFollow(FOLLOW_ruleElementComposed_in_ruleElement1942);
                    re3=ruleElementComposed();

                    state._fsp--;
                    if (state.failed) return re;
                    if ( state.backtracking==0 ) {
                      re = re3;
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return re;
    }
    // $ANTLR end "ruleElement"


    // $ANTLR start "ruleElementComposed"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:592:1: ruleElementComposed returns [ComposedRuleElement re = null] : ft= LPAREN ( ( ( ruleElementType | ruleElementLiteral ) VBAR )=> (re11= ruleElementType | re12= ruleElementLiteral ) VBAR (re21= ruleElementType | re22= ruleElementLiteral ) ( VBAR (re31= ruleElementType | re32= ruleElementLiteral ) )* | ( ruleElements )=>res= ruleElements ) lt1= RPAREN (q= quantifierPart )? ( LCURLY (c= conditions )? ( THEN a= actions )? lt2= RCURLY )? ;
    public final ComposedRuleElement ruleElementComposed() throws RecognitionException {
        ComposedRuleElement re =  null;

        Token ft=null;
        Token lt1=null;
        Token lt2=null;
        TextMarkerRuleElement re11 = null;

        TextMarkerRuleElement re12 = null;

        TextMarkerRuleElement re21 = null;

        TextMarkerRuleElement re22 = null;

        TextMarkerRuleElement re31 = null;

        TextMarkerRuleElement re32 = null;

        List<Expression> res = null;

        List<Expression> q = null;

        List<TextMarkerCondition> c = null;

        List<TextMarkerAction> a = null;



        	boolean disjunctive = false;

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:596:2: (ft= LPAREN ( ( ( ruleElementType | ruleElementLiteral ) VBAR )=> (re11= ruleElementType | re12= ruleElementLiteral ) VBAR (re21= ruleElementType | re22= ruleElementLiteral ) ( VBAR (re31= ruleElementType | re32= ruleElementLiteral ) )* | ( ruleElements )=>res= ruleElements ) lt1= RPAREN (q= quantifierPart )? ( LCURLY (c= conditions )? ( THEN a= actions )? lt2= RCURLY )? )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:597:2: ft= LPAREN ( ( ( ruleElementType | ruleElementLiteral ) VBAR )=> (re11= ruleElementType | re12= ruleElementLiteral ) VBAR (re21= ruleElementType | re22= ruleElementLiteral ) ( VBAR (re31= ruleElementType | re32= ruleElementLiteral ) )* | ( ruleElements )=>res= ruleElements ) lt1= RPAREN (q= quantifierPart )? ( LCURLY (c= conditions )? ( THEN a= actions )? lt2= RCURLY )?
            {
            ft=(Token)match(input,LPAREN,FOLLOW_LPAREN_in_ruleElementComposed1970); if (state.failed) return re;
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:599:2: ( ( ( ruleElementType | ruleElementLiteral ) VBAR )=> (re11= ruleElementType | re12= ruleElementLiteral ) VBAR (re21= ruleElementType | re22= ruleElementLiteral ) ( VBAR (re31= ruleElementType | re32= ruleElementLiteral ) )* | ( ruleElements )=>res= ruleElements )
            int alt43=2;
            int LA43_0 = input.LA(1);

            if ( (LA43_0==Identifier) ) {
                int LA43_1 = input.LA(2);

                if ( ((synpred1_TextMarkerParser()||(synpred1_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "STRING")))||(synpred1_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "TYPEFUNCTION"))))) ) {
                    alt43=1;
                }
                else if ( (((synpred2_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "STRING")))||synpred2_TextMarkerParser()||(synpred2_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "TYPEFUNCTION"))))) ) {
                    alt43=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return re;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 43, 1, input);

                    throw nvae;
                }
            }
            else if ( (LA43_0==BasicAnnotationType) ) {
                int LA43_2 = input.LA(2);

                if ( (synpred1_TextMarkerParser()) ) {
                    alt43=1;
                }
                else if ( (synpred2_TextMarkerParser()) ) {
                    alt43=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return re;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 43, 2, input);

                    throw nvae;
                }
            }
            else if ( (LA43_0==StringLiteral) ) {
                int LA43_3 = input.LA(2);

                if ( (synpred1_TextMarkerParser()) ) {
                    alt43=1;
                }
                else if ( (synpred2_TextMarkerParser()) ) {
                    alt43=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return re;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 43, 3, input);

                    throw nvae;
                }
            }
            else if ( (LA43_0==LPAREN) && (synpred2_TextMarkerParser())) {
                alt43=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return re;}
                NoViableAltException nvae =
                    new NoViableAltException("", 43, 0, input);

                throw nvae;
            }
            switch (alt43) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:599:3: ( ( ruleElementType | ruleElementLiteral ) VBAR )=> (re11= ruleElementType | re12= ruleElementLiteral ) VBAR (re21= ruleElementType | re22= ruleElementLiteral ) ( VBAR (re31= ruleElementType | re32= ruleElementLiteral ) )*
                    {
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:599:52: (re11= ruleElementType | re12= ruleElementLiteral )
                    int alt39=2;
                    switch ( input.LA(1) ) {
                    case Identifier:
                        {
                        int LA39_1 = input.LA(2);

                        if ( (!(((isVariableOfType(input.LT(1).getText(), "STRING"))))) ) {
                            alt39=1;
                        }
                        else if ( ((isVariableOfType(input.LT(1).getText(), "STRING"))) ) {
                            alt39=2;
                        }
                        else {
                            if (state.backtracking>0) {state.failed=true; return re;}
                            NoViableAltException nvae =
                                new NoViableAltException("", 39, 1, input);

                            throw nvae;
                        }
                        }
                        break;
                    case BasicAnnotationType:
                        {
                        alt39=1;
                        }
                        break;
                    case StringLiteral:
                        {
                        alt39=2;
                        }
                        break;
                    default:
                        if (state.backtracking>0) {state.failed=true; return re;}
                        NoViableAltException nvae =
                            new NoViableAltException("", 39, 0, input);

                        throw nvae;
                    }

                    switch (alt39) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:599:53: re11= ruleElementType
                            {
                            pushFollow(FOLLOW_ruleElementType_in_ruleElementComposed1995);
                            re11=ruleElementType();

                            state._fsp--;
                            if (state.failed) return re;

                            }
                            break;
                        case 2 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:599:76: re12= ruleElementLiteral
                            {
                            pushFollow(FOLLOW_ruleElementLiteral_in_ruleElementComposed2002);
                            re12=ruleElementLiteral();

                            state._fsp--;
                            if (state.failed) return re;

                            }
                            break;

                    }

                    if ( state.backtracking==0 ) {
                      disjunctive = true; res = new ArrayList<Expression>(); if(re11!=null) res.add(re11);if(re12!=null) res.add(re12);
                    }
                    match(input,VBAR,FOLLOW_VBAR_in_ruleElementComposed2011); if (state.failed) return re;
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:601:7: (re21= ruleElementType | re22= ruleElementLiteral )
                    int alt40=2;
                    switch ( input.LA(1) ) {
                    case Identifier:
                        {
                        int LA40_1 = input.LA(2);

                        if ( (!(((isVariableOfType(input.LT(1).getText(), "STRING"))))) ) {
                            alt40=1;
                        }
                        else if ( ((isVariableOfType(input.LT(1).getText(), "STRING"))) ) {
                            alt40=2;
                        }
                        else {
                            if (state.backtracking>0) {state.failed=true; return re;}
                            NoViableAltException nvae =
                                new NoViableAltException("", 40, 1, input);

                            throw nvae;
                        }
                        }
                        break;
                    case BasicAnnotationType:
                        {
                        alt40=1;
                        }
                        break;
                    case StringLiteral:
                        {
                        alt40=2;
                        }
                        break;
                    default:
                        if (state.backtracking>0) {state.failed=true; return re;}
                        NoViableAltException nvae =
                            new NoViableAltException("", 40, 0, input);

                        throw nvae;
                    }

                    switch (alt40) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:601:8: re21= ruleElementType
                            {
                            pushFollow(FOLLOW_ruleElementType_in_ruleElementComposed2018);
                            re21=ruleElementType();

                            state._fsp--;
                            if (state.failed) return re;

                            }
                            break;
                        case 2 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:601:32: re22= ruleElementLiteral
                            {
                            pushFollow(FOLLOW_ruleElementLiteral_in_ruleElementComposed2025);
                            re22=ruleElementLiteral();

                            state._fsp--;
                            if (state.failed) return re;

                            }
                            break;

                    }

                    if ( state.backtracking==0 ) {
                       if(re21!=null) res.add(re21);if(re22!=null) res.add(re22);
                    }
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:603:2: ( VBAR (re31= ruleElementType | re32= ruleElementLiteral ) )*
                    loop42:
                    do {
                        int alt42=2;
                        int LA42_0 = input.LA(1);

                        if ( (LA42_0==VBAR) ) {
                            alt42=1;
                        }


                        switch (alt42) {
                    	case 1 :
                    	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:604:2: VBAR (re31= ruleElementType | re32= ruleElementLiteral )
                    	    {
                    	    match(input,VBAR,FOLLOW_VBAR_in_ruleElementComposed2036); if (state.failed) return re;
                    	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:604:7: (re31= ruleElementType | re32= ruleElementLiteral )
                    	    int alt41=2;
                    	    switch ( input.LA(1) ) {
                    	    case Identifier:
                    	        {
                    	        int LA41_1 = input.LA(2);

                    	        if ( (!(((isVariableOfType(input.LT(1).getText(), "STRING"))))) ) {
                    	            alt41=1;
                    	        }
                    	        else if ( ((isVariableOfType(input.LT(1).getText(), "STRING"))) ) {
                    	            alt41=2;
                    	        }
                    	        else {
                    	            if (state.backtracking>0) {state.failed=true; return re;}
                    	            NoViableAltException nvae =
                    	                new NoViableAltException("", 41, 1, input);

                    	            throw nvae;
                    	        }
                    	        }
                    	        break;
                    	    case BasicAnnotationType:
                    	        {
                    	        alt41=1;
                    	        }
                    	        break;
                    	    case StringLiteral:
                    	        {
                    	        alt41=2;
                    	        }
                    	        break;
                    	    default:
                    	        if (state.backtracking>0) {state.failed=true; return re;}
                    	        NoViableAltException nvae =
                    	            new NoViableAltException("", 41, 0, input);

                    	        throw nvae;
                    	    }

                    	    switch (alt41) {
                    	        case 1 :
                    	            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:604:8: re31= ruleElementType
                    	            {
                    	            pushFollow(FOLLOW_ruleElementType_in_ruleElementComposed2043);
                    	            re31=ruleElementType();

                    	            state._fsp--;
                    	            if (state.failed) return re;

                    	            }
                    	            break;
                    	        case 2 :
                    	            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:604:32: re32= ruleElementLiteral
                    	            {
                    	            pushFollow(FOLLOW_ruleElementLiteral_in_ruleElementComposed2050);
                    	            re32=ruleElementLiteral();

                    	            state._fsp--;
                    	            if (state.failed) return re;

                    	            }
                    	            break;

                    	    }

                    	    if ( state.backtracking==0 ) {
                    	       if(re31!=null) res.add(re31);if(re32!=null) res.add(re32);
                    	    }

                    	    }
                    	    break;

                    	default :
                    	    break loop42;
                        }
                    } while (true);


                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:607:4: ( ruleElements )=>res= ruleElements
                    {
                    pushFollow(FOLLOW_ruleElements_in_ruleElementComposed2072);
                    res=ruleElements();

                    state._fsp--;
                    if (state.failed) return re;

                    }
                    break;

            }

            lt1=(Token)match(input,RPAREN,FOLLOW_RPAREN_in_ruleElementComposed2082); if (state.failed) return re;
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:609:17: (q= quantifierPart )?
            int alt44=2;
            int LA44_0 = input.LA(1);

            if ( (LA44_0==LBRACK||LA44_0==PLUS||LA44_0==STAR||LA44_0==QUESTION) ) {
                alt44=1;
            }
            switch (alt44) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:609:17: q= quantifierPart
                    {
                    pushFollow(FOLLOW_quantifierPart_in_ruleElementComposed2088);
                    q=quantifierPart();

                    state._fsp--;
                    if (state.failed) return re;

                    }
                    break;

            }

            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:609:35: ( LCURLY (c= conditions )? ( THEN a= actions )? lt2= RCURLY )?
            int alt47=2;
            int LA47_0 = input.LA(1);

            if ( (LA47_0==LCURLY) ) {
                alt47=1;
            }
            switch (alt47) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:609:36: LCURLY (c= conditions )? ( THEN a= actions )? lt2= RCURLY
                    {
                    match(input,LCURLY,FOLLOW_LCURLY_in_ruleElementComposed2092); if (state.failed) return re;
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:609:45: (c= conditions )?
                    int alt45=2;
                    int LA45_0 = input.LA(1);

                    if ( (LA45_0==CONTAINS||(LA45_0>=AND && LA45_0<=PARSE)||(LA45_0>=BEFORE && LA45_0<=ENDSWITH)||LA45_0==NOT||LA45_0==SIZE||LA45_0==Identifier||LA45_0==MINUS) ) {
                        alt45=1;
                    }
                    switch (alt45) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:609:45: c= conditions
                            {
                            pushFollow(FOLLOW_conditions_in_ruleElementComposed2098);
                            c=conditions();

                            state._fsp--;
                            if (state.failed) return re;

                            }
                            break;

                    }

                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:609:59: ( THEN a= actions )?
                    int alt46=2;
                    int LA46_0 = input.LA(1);

                    if ( (LA46_0==THEN) ) {
                        alt46=1;
                    }
                    switch (alt46) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:609:60: THEN a= actions
                            {
                            match(input,THEN,FOLLOW_THEN_in_ruleElementComposed2102); if (state.failed) return re;
                            pushFollow(FOLLOW_actions_in_ruleElementComposed2108);
                            a=actions();

                            state._fsp--;
                            if (state.failed) return re;

                            }
                            break;

                    }

                    lt2=(Token)match(input,RCURLY,FOLLOW_RCURLY_in_ruleElementComposed2116); if (state.failed) return re;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              re = scriptFactory.createComposedRuleElement(res, q, c, a, disjunctive,((blockDeclaration_scope)blockDeclaration_stack.peek()).env, ft, lt1, lt2);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return re;
    }
    // $ANTLR end "ruleElementComposed"


    // $ANTLR start "ruleElementType"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:613:1: ruleElementType returns [TextMarkerRuleElement re = null] : ( typeExpression )=>idRef= typeExpression (quantifier= quantifierPart )? ( LCURLY (c= conditions )? ( THEN a= actions )? end= RCURLY )? ;
    public final TextMarkerRuleElement ruleElementType() throws RecognitionException {
        TextMarkerRuleElement re =  null;

        Token end=null;
        Expression idRef = null;

        List<Expression> quantifier = null;

        List<TextMarkerCondition> c = null;

        List<TextMarkerAction> a = null;



        List<TextMarkerCondition> dummyConds = new ArrayList<TextMarkerCondition>();

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:617:3: ( ( typeExpression )=>idRef= typeExpression (quantifier= quantifierPart )? ( LCURLY (c= conditions )? ( THEN a= actions )? end= RCURLY )? )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:618:5: ( typeExpression )=>idRef= typeExpression (quantifier= quantifierPart )? ( LCURLY (c= conditions )? ( THEN a= actions )? end= RCURLY )?
            {
            pushFollow(FOLLOW_typeExpression_in_ruleElementType2152);
            idRef=typeExpression();

            state._fsp--;
            if (state.failed) return re;
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:618:55: (quantifier= quantifierPart )?
            int alt48=2;
            int LA48_0 = input.LA(1);

            if ( (LA48_0==LBRACK||LA48_0==PLUS||LA48_0==STAR||LA48_0==QUESTION) ) {
                alt48=1;
            }
            switch (alt48) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:618:55: quantifier= quantifierPart
                    {
                    pushFollow(FOLLOW_quantifierPart_in_ruleElementType2158);
                    quantifier=quantifierPart();

                    state._fsp--;
                    if (state.failed) return re;

                    }
                    break;

            }

            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:619:9: ( LCURLY (c= conditions )? ( THEN a= actions )? end= RCURLY )?
            int alt51=2;
            int LA51_0 = input.LA(1);

            if ( (LA51_0==LCURLY) ) {
                alt51=1;
            }
            switch (alt51) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:619:10: LCURLY (c= conditions )? ( THEN a= actions )? end= RCURLY
                    {
                    match(input,LCURLY,FOLLOW_LCURLY_in_ruleElementType2171); if (state.failed) return re;
                    if ( state.backtracking==0 ) {

                              
                              dummyConds.add(ConditionFactory.createEmptyCondition(input.LT(1)));
                              
                    }
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:624:11: (c= conditions )?
                    int alt49=2;
                    int LA49_0 = input.LA(1);

                    if ( (LA49_0==CONTAINS||(LA49_0>=AND && LA49_0<=PARSE)||(LA49_0>=BEFORE && LA49_0<=ENDSWITH)||LA49_0==NOT||LA49_0==SIZE||LA49_0==Identifier||LA49_0==MINUS) ) {
                        alt49=1;
                    }
                    switch (alt49) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:624:11: c= conditions
                            {
                            pushFollow(FOLLOW_conditions_in_ruleElementType2197);
                            c=conditions();

                            state._fsp--;
                            if (state.failed) return re;

                            }
                            break;

                    }

                    if ( state.backtracking==0 ) {

                              if(c==null) {
                              	c = dummyConds;
                              }
                              
                    }
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:630:9: ( THEN a= actions )?
                    int alt50=2;
                    int LA50_0 = input.LA(1);

                    if ( (LA50_0==THEN) ) {
                        alt50=1;
                    }
                    switch (alt50) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:630:10: THEN a= actions
                            {
                            match(input,THEN,FOLLOW_THEN_in_ruleElementType2220); if (state.failed) return re;
                            pushFollow(FOLLOW_actions_in_ruleElementType2226);
                            a=actions();

                            state._fsp--;
                            if (state.failed) return re;

                            }
                            break;

                    }

                    end=(Token)match(input,RCURLY,FOLLOW_RCURLY_in_ruleElementType2234); if (state.failed) return re;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {

                      // TODO handle quantifierPart.
                      re = scriptFactory.createRuleElement(idRef,quantifier,c,a,end);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return re;
    }
    // $ANTLR end "ruleElementType"


    // $ANTLR start "ruleElementLiteral"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:637:1: ruleElementLiteral returns [TextMarkerRuleElement re = null] : ( simpleStringExpression )=>idRef= simpleStringExpression (quantifier= quantifierPart )? ( LCURLY (c= conditions )? ( THEN a= actions )? end= RCURLY )? ;
    public final TextMarkerRuleElement ruleElementLiteral() throws RecognitionException {
        TextMarkerRuleElement re =  null;

        Token end=null;
        Expression idRef = null;

        List<Expression> quantifier = null;

        List<TextMarkerCondition> c = null;

        List<TextMarkerAction> a = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:638:5: ( ( simpleStringExpression )=>idRef= simpleStringExpression (quantifier= quantifierPart )? ( LCURLY (c= conditions )? ( THEN a= actions )? end= RCURLY )? )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:639:5: ( simpleStringExpression )=>idRef= simpleStringExpression (quantifier= quantifierPart )? ( LCURLY (c= conditions )? ( THEN a= actions )? end= RCURLY )?
            {
            pushFollow(FOLLOW_simpleStringExpression_in_ruleElementLiteral2287);
            idRef=simpleStringExpression();

            state._fsp--;
            if (state.failed) return re;
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:639:71: (quantifier= quantifierPart )?
            int alt52=2;
            int LA52_0 = input.LA(1);

            if ( (LA52_0==LBRACK||LA52_0==PLUS||LA52_0==STAR||LA52_0==QUESTION) ) {
                alt52=1;
            }
            switch (alt52) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:639:71: quantifier= quantifierPart
                    {
                    pushFollow(FOLLOW_quantifierPart_in_ruleElementLiteral2293);
                    quantifier=quantifierPart();

                    state._fsp--;
                    if (state.failed) return re;

                    }
                    break;

            }

            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:640:9: ( LCURLY (c= conditions )? ( THEN a= actions )? end= RCURLY )?
            int alt55=2;
            int LA55_0 = input.LA(1);

            if ( (LA55_0==LCURLY) ) {
                alt55=1;
            }
            switch (alt55) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:640:10: LCURLY (c= conditions )? ( THEN a= actions )? end= RCURLY
                    {
                    match(input,LCURLY,FOLLOW_LCURLY_in_ruleElementLiteral2306); if (state.failed) return re;
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:642:11: (c= conditions )?
                    int alt53=2;
                    int LA53_0 = input.LA(1);

                    if ( (LA53_0==CONTAINS||(LA53_0>=AND && LA53_0<=PARSE)||(LA53_0>=BEFORE && LA53_0<=ENDSWITH)||LA53_0==NOT||LA53_0==SIZE||LA53_0==Identifier||LA53_0==MINUS) ) {
                        alt53=1;
                    }
                    switch (alt53) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:642:11: c= conditions
                            {
                            pushFollow(FOLLOW_conditions_in_ruleElementLiteral2322);
                            c=conditions();

                            state._fsp--;
                            if (state.failed) return re;

                            }
                            break;

                    }

                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:643:9: ( THEN a= actions )?
                    int alt54=2;
                    int LA54_0 = input.LA(1);

                    if ( (LA54_0==THEN) ) {
                        alt54=1;
                    }
                    switch (alt54) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:643:10: THEN a= actions
                            {
                            match(input,THEN,FOLLOW_THEN_in_ruleElementLiteral2335); if (state.failed) return re;
                            pushFollow(FOLLOW_actions_in_ruleElementLiteral2341);
                            a=actions();

                            state._fsp--;
                            if (state.failed) return re;

                            }
                            break;

                    }

                    end=(Token)match(input,RCURLY,FOLLOW_RCURLY_in_ruleElementLiteral2358); if (state.failed) return re;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {

                      // TODO handle quantifierPart.
                      re = scriptFactory.createRuleElement(idRef,quantifier,c,a,end);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return re;
    }
    // $ANTLR end "ruleElementLiteral"


    // $ANTLR start "conditions"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:651:1: conditions returns [List<TextMarkerCondition> conds = new ArrayList<TextMarkerCondition>()] : c= condition ( COMMA c= condition )* ;
    public final List<TextMarkerCondition> conditions() throws RecognitionException {
        List<TextMarkerCondition> conds =  new ArrayList<TextMarkerCondition>();

        TextMarkerCondition c = null;



        conds.add(ConditionFactory.createEmptyCondition(input.LT(1)));

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:655:5: (c= condition ( COMMA c= condition )* )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:656:5: c= condition ( COMMA c= condition )*
            {
            pushFollow(FOLLOW_condition_in_conditions2417);
            c=condition();

            state._fsp--;
            if (state.failed) return conds;
            if ( state.backtracking==0 ) {
              conds.remove(0);conds.add(c);
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:656:51: ( COMMA c= condition )*
            loop56:
            do {
                int alt56=2;
                int LA56_0 = input.LA(1);

                if ( (LA56_0==COMMA) ) {
                    alt56=1;
                }


                switch (alt56) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:656:52: COMMA c= condition
            	    {
            	    match(input,COMMA,FOLLOW_COMMA_in_conditions2422); if (state.failed) return conds;
            	    pushFollow(FOLLOW_condition_in_conditions2428);
            	    c=condition();

            	    state._fsp--;
            	    if (state.failed) return conds;
            	    if ( state.backtracking==0 ) {
            	      conds.add(c);
            	    }

            	    }
            	    break;

            	default :
            	    break loop56;
                }
            } while (true);


            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return conds;
    }
    // $ANTLR end "conditions"


    // $ANTLR start "actions"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:660:1: actions returns [List<TextMarkerAction> actions = new ArrayList<TextMarkerAction>()] : a= action ( COMMA a= action )* ;
    public final List<TextMarkerAction> actions() throws RecognitionException {
        List<TextMarkerAction> actions =  new ArrayList<TextMarkerAction>();

        TextMarkerAction a = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:661:5: (a= action ( COMMA a= action )* )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:662:5: a= action ( COMMA a= action )*
            {
            pushFollow(FOLLOW_action_in_actions2465);
            a=action();

            state._fsp--;
            if (state.failed) return actions;
            if ( state.backtracking==0 ) {
              actions.add(a);
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:662:34: ( COMMA a= action )*
            loop57:
            do {
                int alt57=2;
                int LA57_0 = input.LA(1);

                if ( (LA57_0==COMMA) ) {
                    alt57=1;
                }


                switch (alt57) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:662:35: COMMA a= action
            	    {
            	    match(input,COMMA,FOLLOW_COMMA_in_actions2470); if (state.failed) return actions;
            	    pushFollow(FOLLOW_action_in_actions2476);
            	    a=action();

            	    state._fsp--;
            	    if (state.failed) return actions;
            	    if ( state.backtracking==0 ) {
            	      actions.add(a);
            	    }

            	    }
            	    break;

            	default :
            	    break loop57;
                }
            } while (true);


            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return actions;
    }
    // $ANTLR end "actions"


    // $ANTLR start "listExpression"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:666:1: listExpression returns [Expression expr = null] : ( ( booleanListExpression )=>e= booleanListExpression | ( intListExpression )=>e= intListExpression | ( doubleListExpression )=>e= doubleListExpression | ( floatListExpression )=>e= floatListExpression | ( stringListExpression )=>e= stringListExpression | ( typeListExpression )=>e= typeListExpression );
    public final Expression listExpression() throws RecognitionException {
        Expression expr =  null;

        Expression e = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:667:2: ( ( booleanListExpression )=>e= booleanListExpression | ( intListExpression )=>e= intListExpression | ( doubleListExpression )=>e= doubleListExpression | ( floatListExpression )=>e= floatListExpression | ( stringListExpression )=>e= stringListExpression | ( typeListExpression )=>e= typeListExpression )
            int alt58=6;
            int LA58_0 = input.LA(1);

            if ( (LA58_0==LCURLY) ) {
                int LA58_1 = input.LA(2);

                if ( (synpred5_TextMarkerParser()) ) {
                    alt58=1;
                }
                else if ( (synpred6_TextMarkerParser()) ) {
                    alt58=2;
                }
                else if ( (synpred7_TextMarkerParser()) ) {
                    alt58=3;
                }
                else if ( (synpred8_TextMarkerParser()) ) {
                    alt58=4;
                }
                else if ( (synpred9_TextMarkerParser()) ) {
                    alt58=5;
                }
                else if ( (synpred10_TextMarkerParser()) ) {
                    alt58=6;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return expr;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 58, 1, input);

                    throw nvae;
                }
            }
            else if ( (LA58_0==Identifier) ) {
                int LA58_2 = input.LA(2);

                if ( ((synpred5_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "BOOLEANLIST")))) ) {
                    alt58=1;
                }
                else if ( ((synpred6_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "INTLIST")))) ) {
                    alt58=2;
                }
                else if ( ((synpred7_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "DOUBLELIST")))) ) {
                    alt58=3;
                }
                else if ( ((synpred8_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "FLOATLIST")))) ) {
                    alt58=4;
                }
                else if ( ((synpred9_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "STRINGLIST")))) ) {
                    alt58=5;
                }
                else if ( ((synpred10_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "TYPELIST")))) ) {
                    alt58=6;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return expr;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 58, 2, input);

                    throw nvae;
                }
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 58, 0, input);

                throw nvae;
            }
            switch (alt58) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:668:2: ( booleanListExpression )=>e= booleanListExpression
                    {
                    pushFollow(FOLLOW_booleanListExpression_in_listExpression2514);
                    e=booleanListExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = e;
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:669:4: ( intListExpression )=>e= intListExpression
                    {
                    pushFollow(FOLLOW_intListExpression_in_listExpression2530);
                    e=intListExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = e;
                    }

                    }
                    break;
                case 3 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:670:4: ( doubleListExpression )=>e= doubleListExpression
                    {
                    pushFollow(FOLLOW_doubleListExpression_in_listExpression2546);
                    e=doubleListExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = e;
                    }

                    }
                    break;
                case 4 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:671:4: ( floatListExpression )=>e= floatListExpression
                    {
                    pushFollow(FOLLOW_floatListExpression_in_listExpression2562);
                    e=floatListExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = e;
                    }

                    }
                    break;
                case 5 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:672:4: ( stringListExpression )=>e= stringListExpression
                    {
                    pushFollow(FOLLOW_stringListExpression_in_listExpression2578);
                    e=stringListExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = e;
                    }

                    }
                    break;
                case 6 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:673:4: ( typeListExpression )=>e= typeListExpression
                    {
                    pushFollow(FOLLOW_typeListExpression_in_listExpression2594);
                    e=typeListExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = e;
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "listExpression"


    // $ANTLR start "booleanListExpression"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:676:1: booleanListExpression returns [Expression expr = null] : e= simpleBooleanListExpression ;
    public final Expression booleanListExpression() throws RecognitionException {
        Expression expr =  null;

        Expression e = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:678:2: (e= simpleBooleanListExpression )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:679:2: e= simpleBooleanListExpression
            {
            pushFollow(FOLLOW_simpleBooleanListExpression_in_booleanListExpression2618);
            e=simpleBooleanListExpression();

            state._fsp--;
            if (state.failed) return expr;
            if ( state.backtracking==0 ) {
              expr = e;
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "booleanListExpression"


    // $ANTLR start "simpleBooleanListExpression"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:682:1: simpleBooleanListExpression returns [Expression expr = null] : ( LCURLY (e= simpleBooleanExpression ( COMMA e= simpleBooleanExpression )* )? RCURLY | {...}?var= Identifier );
    public final Expression simpleBooleanListExpression() throws RecognitionException {
        Expression expr =  null;

        Token var=null;
        Expression e = null;



        	List<Expression> list = new ArrayList<Expression>();

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:685:3: ( LCURLY (e= simpleBooleanExpression ( COMMA e= simpleBooleanExpression )* )? RCURLY | {...}?var= Identifier )
            int alt61=2;
            int LA61_0 = input.LA(1);

            if ( (LA61_0==LCURLY) ) {
                alt61=1;
            }
            else if ( (LA61_0==Identifier) ) {
                alt61=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 61, 0, input);

                throw nvae;
            }
            switch (alt61) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:686:2: LCURLY (e= simpleBooleanExpression ( COMMA e= simpleBooleanExpression )* )? RCURLY
                    {
                    match(input,LCURLY,FOLLOW_LCURLY_in_simpleBooleanListExpression2639); if (state.failed) return expr;
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:686:9: (e= simpleBooleanExpression ( COMMA e= simpleBooleanExpression )* )?
                    int alt60=2;
                    int LA60_0 = input.LA(1);

                    if ( ((LA60_0>=TRUE && LA60_0<=FALSE)||LA60_0==Identifier) ) {
                        alt60=1;
                    }
                    switch (alt60) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:686:10: e= simpleBooleanExpression ( COMMA e= simpleBooleanExpression )*
                            {
                            pushFollow(FOLLOW_simpleBooleanExpression_in_simpleBooleanListExpression2646);
                            e=simpleBooleanExpression();

                            state._fsp--;
                            if (state.failed) return expr;
                            if ( state.backtracking==0 ) {
                              list.add(e);
                            }
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:686:53: ( COMMA e= simpleBooleanExpression )*
                            loop59:
                            do {
                                int alt59=2;
                                int LA59_0 = input.LA(1);

                                if ( (LA59_0==COMMA) ) {
                                    alt59=1;
                                }


                                switch (alt59) {
                            	case 1 :
                            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:686:54: COMMA e= simpleBooleanExpression
                            	    {
                            	    match(input,COMMA,FOLLOW_COMMA_in_simpleBooleanListExpression2651); if (state.failed) return expr;
                            	    pushFollow(FOLLOW_simpleBooleanExpression_in_simpleBooleanListExpression2657);
                            	    e=simpleBooleanExpression();

                            	    state._fsp--;
                            	    if (state.failed) return expr;
                            	    if ( state.backtracking==0 ) {
                            	      list.add(e);
                            	    }

                            	    }
                            	    break;

                            	default :
                            	    break loop59;
                                }
                            } while (true);


                            }
                            break;

                    }

                    match(input,RCURLY,FOLLOW_RCURLY_in_simpleBooleanListExpression2666); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createListExpression(list, TMTypeConstants.TM_TYPE_BL);
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:689:2: {...}?var= Identifier
                    {
                    if ( !((isVariableOfType(input.LT(1).getText(), "BOOLEANLIST"))) ) {
                        if (state.backtracking>0) {state.failed=true; return expr;}
                        throw new FailedPredicateException(input, "simpleBooleanListExpression", "isVariableOfType(input.LT(1).getText(), \"BOOLEANLIST\")");
                    }
                    var=(Token)match(input,Identifier,FOLLOW_Identifier_in_simpleBooleanListExpression2683); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createListExpression(var, TMTypeConstants.TM_TYPE_BL);
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "simpleBooleanListExpression"


    // $ANTLR start "intListExpression"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:695:1: intListExpression returns [Expression expr = null] : e= simpleIntListExpression ;
    public final Expression intListExpression() throws RecognitionException {
        Expression expr =  null;

        Expression e = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:696:2: (e= simpleIntListExpression )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:697:2: e= simpleIntListExpression
            {
            pushFollow(FOLLOW_simpleIntListExpression_in_intListExpression2708);
            e=simpleIntListExpression();

            state._fsp--;
            if (state.failed) return expr;
            if ( state.backtracking==0 ) {
              expr = e;
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "intListExpression"


    // $ANTLR start "simpleIntListExpression"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:700:1: simpleIntListExpression returns [Expression expr = null] : ( LCURLY (e= simpleNumberExpression ( COMMA e= simpleNumberExpression )* )? RCURLY | {...}?var= Identifier );
    public final Expression simpleIntListExpression() throws RecognitionException {
        Expression expr =  null;

        Token var=null;
        Expression e = null;



        	List<Expression> list = new ArrayList<Expression>();

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:703:3: ( LCURLY (e= simpleNumberExpression ( COMMA e= simpleNumberExpression )* )? RCURLY | {...}?var= Identifier )
            int alt64=2;
            int LA64_0 = input.LA(1);

            if ( (LA64_0==LCURLY) ) {
                alt64=1;
            }
            else if ( (LA64_0==Identifier) ) {
                alt64=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 64, 0, input);

                throw nvae;
            }
            switch (alt64) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:704:2: LCURLY (e= simpleNumberExpression ( COMMA e= simpleNumberExpression )* )? RCURLY
                    {
                    match(input,LCURLY,FOLLOW_LCURLY_in_simpleIntListExpression2729); if (state.failed) return expr;
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:704:9: (e= simpleNumberExpression ( COMMA e= simpleNumberExpression )* )?
                    int alt63=2;
                    int LA63_0 = input.LA(1);

                    if ( (LA63_0==DecimalLiteral||LA63_0==FloatingPointLiteral||(LA63_0>=Identifier && LA63_0<=LPAREN)||LA63_0==MINUS) ) {
                        alt63=1;
                    }
                    switch (alt63) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:704:10: e= simpleNumberExpression ( COMMA e= simpleNumberExpression )*
                            {
                            pushFollow(FOLLOW_simpleNumberExpression_in_simpleIntListExpression2736);
                            e=simpleNumberExpression();

                            state._fsp--;
                            if (state.failed) return expr;
                            if ( state.backtracking==0 ) {
                              list.add(e);
                            }
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:704:52: ( COMMA e= simpleNumberExpression )*
                            loop62:
                            do {
                                int alt62=2;
                                int LA62_0 = input.LA(1);

                                if ( (LA62_0==COMMA) ) {
                                    alt62=1;
                                }


                                switch (alt62) {
                            	case 1 :
                            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:704:53: COMMA e= simpleNumberExpression
                            	    {
                            	    match(input,COMMA,FOLLOW_COMMA_in_simpleIntListExpression2741); if (state.failed) return expr;
                            	    pushFollow(FOLLOW_simpleNumberExpression_in_simpleIntListExpression2747);
                            	    e=simpleNumberExpression();

                            	    state._fsp--;
                            	    if (state.failed) return expr;
                            	    if ( state.backtracking==0 ) {
                            	      list.add(e);
                            	    }

                            	    }
                            	    break;

                            	default :
                            	    break loop62;
                                }
                            } while (true);


                            }
                            break;

                    }

                    match(input,RCURLY,FOLLOW_RCURLY_in_simpleIntListExpression2756); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createListExpression(list, TMTypeConstants.TM_TYPE_NL);
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:707:2: {...}?var= Identifier
                    {
                    if ( !((isVariableOfType(input.LT(1).getText(), "INTLIST"))) ) {
                        if (state.backtracking>0) {state.failed=true; return expr;}
                        throw new FailedPredicateException(input, "simpleIntListExpression", "isVariableOfType(input.LT(1).getText(), \"INTLIST\")");
                    }
                    var=(Token)match(input,Identifier,FOLLOW_Identifier_in_simpleIntListExpression2773); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createListExpression(var, TMTypeConstants.TM_TYPE_NL);
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "simpleIntListExpression"


    // $ANTLR start "numberListExpression"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:713:1: numberListExpression returns [Expression expr = null] : ( (e1= doubleListExpression )=>e1= doubleListExpression | (e1= floatListExpression )=>e1= floatListExpression | e2= intListExpression );
    public final Expression numberListExpression() throws RecognitionException {
        Expression expr =  null;

        Expression e1 = null;

        Expression e2 = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:714:2: ( (e1= doubleListExpression )=>e1= doubleListExpression | (e1= floatListExpression )=>e1= floatListExpression | e2= intListExpression )
            int alt65=3;
            int LA65_0 = input.LA(1);

            if ( (LA65_0==LCURLY) ) {
                int LA65_1 = input.LA(2);

                if ( (synpred11_TextMarkerParser()) ) {
                    alt65=1;
                }
                else if ( (synpred12_TextMarkerParser()) ) {
                    alt65=2;
                }
                else if ( (true) ) {
                    alt65=3;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return expr;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 65, 1, input);

                    throw nvae;
                }
            }
            else if ( (LA65_0==Identifier) ) {
                int LA65_2 = input.LA(2);

                if ( ((synpred11_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "DOUBLELIST")))) ) {
                    alt65=1;
                }
                else if ( ((synpred12_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "FLOATLIST")))) ) {
                    alt65=2;
                }
                else if ( ((isVariableOfType(input.LT(1).getText(), "INTLIST"))) ) {
                    alt65=3;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return expr;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 65, 2, input);

                    throw nvae;
                }
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 65, 0, input);

                throw nvae;
            }
            switch (alt65) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:715:2: (e1= doubleListExpression )=>e1= doubleListExpression
                    {
                    pushFollow(FOLLOW_doubleListExpression_in_numberListExpression2807);
                    e1=doubleListExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = e1;
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:717:2: (e1= floatListExpression )=>e1= floatListExpression
                    {
                    pushFollow(FOLLOW_floatListExpression_in_numberListExpression2828);
                    e1=floatListExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = e1;
                    }

                    }
                    break;
                case 3 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:719:2: e2= intListExpression
                    {
                    pushFollow(FOLLOW_intListExpression_in_numberListExpression2840);
                    e2=intListExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = e2;
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "numberListExpression"


    // $ANTLR start "doubleListExpression"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:722:1: doubleListExpression returns [Expression expr = null] : e= simpleDoubleListExpression ;
    public final Expression doubleListExpression() throws RecognitionException {
        Expression expr =  null;

        Expression e = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:723:2: (e= simpleDoubleListExpression )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:724:2: e= simpleDoubleListExpression
            {
            pushFollow(FOLLOW_simpleDoubleListExpression_in_doubleListExpression2863);
            e=simpleDoubleListExpression();

            state._fsp--;
            if (state.failed) return expr;
            if ( state.backtracking==0 ) {
              expr = e;
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "doubleListExpression"


    // $ANTLR start "simpleDoubleListExpression"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:727:1: simpleDoubleListExpression returns [Expression expr = null] : ( LCURLY (e= simpleNumberExpression ( COMMA e= simpleNumberExpression )* )? RCURLY | {...}?var= Identifier );
    public final Expression simpleDoubleListExpression() throws RecognitionException {
        Expression expr =  null;

        Token var=null;
        Expression e = null;



        	List<Expression> list = new ArrayList<Expression>();

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:730:3: ( LCURLY (e= simpleNumberExpression ( COMMA e= simpleNumberExpression )* )? RCURLY | {...}?var= Identifier )
            int alt68=2;
            int LA68_0 = input.LA(1);

            if ( (LA68_0==LCURLY) ) {
                alt68=1;
            }
            else if ( (LA68_0==Identifier) ) {
                alt68=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 68, 0, input);

                throw nvae;
            }
            switch (alt68) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:731:2: LCURLY (e= simpleNumberExpression ( COMMA e= simpleNumberExpression )* )? RCURLY
                    {
                    match(input,LCURLY,FOLLOW_LCURLY_in_simpleDoubleListExpression2884); if (state.failed) return expr;
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:731:9: (e= simpleNumberExpression ( COMMA e= simpleNumberExpression )* )?
                    int alt67=2;
                    int LA67_0 = input.LA(1);

                    if ( (LA67_0==DecimalLiteral||LA67_0==FloatingPointLiteral||(LA67_0>=Identifier && LA67_0<=LPAREN)||LA67_0==MINUS) ) {
                        alt67=1;
                    }
                    switch (alt67) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:731:10: e= simpleNumberExpression ( COMMA e= simpleNumberExpression )*
                            {
                            pushFollow(FOLLOW_simpleNumberExpression_in_simpleDoubleListExpression2891);
                            e=simpleNumberExpression();

                            state._fsp--;
                            if (state.failed) return expr;
                            if ( state.backtracking==0 ) {
                              list.add(e);
                            }
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:731:52: ( COMMA e= simpleNumberExpression )*
                            loop66:
                            do {
                                int alt66=2;
                                int LA66_0 = input.LA(1);

                                if ( (LA66_0==COMMA) ) {
                                    alt66=1;
                                }


                                switch (alt66) {
                            	case 1 :
                            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:731:53: COMMA e= simpleNumberExpression
                            	    {
                            	    match(input,COMMA,FOLLOW_COMMA_in_simpleDoubleListExpression2896); if (state.failed) return expr;
                            	    pushFollow(FOLLOW_simpleNumberExpression_in_simpleDoubleListExpression2902);
                            	    e=simpleNumberExpression();

                            	    state._fsp--;
                            	    if (state.failed) return expr;
                            	    if ( state.backtracking==0 ) {
                            	      list.add(e);
                            	    }

                            	    }
                            	    break;

                            	default :
                            	    break loop66;
                                }
                            } while (true);


                            }
                            break;

                    }

                    match(input,RCURLY,FOLLOW_RCURLY_in_simpleDoubleListExpression2911); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createListExpression(list, TMTypeConstants.TM_TYPE_NL);
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:734:2: {...}?var= Identifier
                    {
                    if ( !((isVariableOfType(input.LT(1).getText(), "DOUBLELIST"))) ) {
                        if (state.backtracking>0) {state.failed=true; return expr;}
                        throw new FailedPredicateException(input, "simpleDoubleListExpression", "isVariableOfType(input.LT(1).getText(), \"DOUBLELIST\")");
                    }
                    var=(Token)match(input,Identifier,FOLLOW_Identifier_in_simpleDoubleListExpression2928); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createListExpression(var, TMTypeConstants.TM_TYPE_NL);
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "simpleDoubleListExpression"


    // $ANTLR start "floatListExpression"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:739:1: floatListExpression returns [Expression expr = null] : e= simpleFloatListExpression ;
    public final Expression floatListExpression() throws RecognitionException {
        Expression expr =  null;

        Expression e = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:740:2: (e= simpleFloatListExpression )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:741:2: e= simpleFloatListExpression
            {
            pushFollow(FOLLOW_simpleFloatListExpression_in_floatListExpression2952);
            e=simpleFloatListExpression();

            state._fsp--;
            if (state.failed) return expr;
            if ( state.backtracking==0 ) {
              expr = e;
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "floatListExpression"


    // $ANTLR start "simpleFloatListExpression"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:744:1: simpleFloatListExpression returns [Expression expr = null] : ( LCURLY (e= simpleNumberExpression ( COMMA e= simpleNumberExpression )* )? RCURLY | {...}?var= Identifier );
    public final Expression simpleFloatListExpression() throws RecognitionException {
        Expression expr =  null;

        Token var=null;
        Expression e = null;



        	List<Expression> list = new ArrayList<Expression>();

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:747:3: ( LCURLY (e= simpleNumberExpression ( COMMA e= simpleNumberExpression )* )? RCURLY | {...}?var= Identifier )
            int alt71=2;
            int LA71_0 = input.LA(1);

            if ( (LA71_0==LCURLY) ) {
                alt71=1;
            }
            else if ( (LA71_0==Identifier) ) {
                alt71=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 71, 0, input);

                throw nvae;
            }
            switch (alt71) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:748:2: LCURLY (e= simpleNumberExpression ( COMMA e= simpleNumberExpression )* )? RCURLY
                    {
                    match(input,LCURLY,FOLLOW_LCURLY_in_simpleFloatListExpression2973); if (state.failed) return expr;
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:748:9: (e= simpleNumberExpression ( COMMA e= simpleNumberExpression )* )?
                    int alt70=2;
                    int LA70_0 = input.LA(1);

                    if ( (LA70_0==DecimalLiteral||LA70_0==FloatingPointLiteral||(LA70_0>=Identifier && LA70_0<=LPAREN)||LA70_0==MINUS) ) {
                        alt70=1;
                    }
                    switch (alt70) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:748:10: e= simpleNumberExpression ( COMMA e= simpleNumberExpression )*
                            {
                            pushFollow(FOLLOW_simpleNumberExpression_in_simpleFloatListExpression2980);
                            e=simpleNumberExpression();

                            state._fsp--;
                            if (state.failed) return expr;
                            if ( state.backtracking==0 ) {
                              list.add(e);
                            }
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:748:52: ( COMMA e= simpleNumberExpression )*
                            loop69:
                            do {
                                int alt69=2;
                                int LA69_0 = input.LA(1);

                                if ( (LA69_0==COMMA) ) {
                                    alt69=1;
                                }


                                switch (alt69) {
                            	case 1 :
                            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:748:53: COMMA e= simpleNumberExpression
                            	    {
                            	    match(input,COMMA,FOLLOW_COMMA_in_simpleFloatListExpression2985); if (state.failed) return expr;
                            	    pushFollow(FOLLOW_simpleNumberExpression_in_simpleFloatListExpression2991);
                            	    e=simpleNumberExpression();

                            	    state._fsp--;
                            	    if (state.failed) return expr;
                            	    if ( state.backtracking==0 ) {
                            	      list.add(e);
                            	    }

                            	    }
                            	    break;

                            	default :
                            	    break loop69;
                                }
                            } while (true);


                            }
                            break;

                    }

                    match(input,RCURLY,FOLLOW_RCURLY_in_simpleFloatListExpression3000); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createListExpression(list, TMTypeConstants.TM_TYPE_NL);
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:751:2: {...}?var= Identifier
                    {
                    if ( !((isVariableOfType(input.LT(1).getText(), "FLOATLIST"))) ) {
                        if (state.backtracking>0) {state.failed=true; return expr;}
                        throw new FailedPredicateException(input, "simpleFloatListExpression", "isVariableOfType(input.LT(1).getText(), \"FLOATLIST\")");
                    }
                    var=(Token)match(input,Identifier,FOLLOW_Identifier_in_simpleFloatListExpression3017); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createListExpression(var, TMTypeConstants.TM_TYPE_NL);
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "simpleFloatListExpression"


    // $ANTLR start "stringListExpression"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:757:1: stringListExpression returns [Expression expr = null] : e= simpleStringListExpression ;
    public final Expression stringListExpression() throws RecognitionException {
        Expression expr =  null;

        Expression e = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:758:2: (e= simpleStringListExpression )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:759:2: e= simpleStringListExpression
            {
            pushFollow(FOLLOW_simpleStringListExpression_in_stringListExpression3042);
            e=simpleStringListExpression();

            state._fsp--;
            if (state.failed) return expr;
            if ( state.backtracking==0 ) {
              expr = e;
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "stringListExpression"


    // $ANTLR start "simpleStringListExpression"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:762:1: simpleStringListExpression returns [Expression expr = null] : ( LCURLY (e= simpleStringExpression ( COMMA e= simpleStringExpression )* )? RCURLY | {...}?var= Identifier );
    public final Expression simpleStringListExpression() throws RecognitionException {
        Expression expr =  null;

        Token var=null;
        Expression e = null;



        	List<Expression> list = new ArrayList<Expression>();

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:765:3: ( LCURLY (e= simpleStringExpression ( COMMA e= simpleStringExpression )* )? RCURLY | {...}?var= Identifier )
            int alt74=2;
            int LA74_0 = input.LA(1);

            if ( (LA74_0==LCURLY) ) {
                alt74=1;
            }
            else if ( (LA74_0==Identifier) ) {
                alt74=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 74, 0, input);

                throw nvae;
            }
            switch (alt74) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:766:2: LCURLY (e= simpleStringExpression ( COMMA e= simpleStringExpression )* )? RCURLY
                    {
                    match(input,LCURLY,FOLLOW_LCURLY_in_simpleStringListExpression3063); if (state.failed) return expr;
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:766:9: (e= simpleStringExpression ( COMMA e= simpleStringExpression )* )?
                    int alt73=2;
                    int LA73_0 = input.LA(1);

                    if ( (LA73_0==StringLiteral||LA73_0==Identifier) ) {
                        alt73=1;
                    }
                    switch (alt73) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:766:10: e= simpleStringExpression ( COMMA e= simpleStringExpression )*
                            {
                            pushFollow(FOLLOW_simpleStringExpression_in_simpleStringListExpression3070);
                            e=simpleStringExpression();

                            state._fsp--;
                            if (state.failed) return expr;
                            if ( state.backtracking==0 ) {
                              list.add(e);
                            }
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:766:52: ( COMMA e= simpleStringExpression )*
                            loop72:
                            do {
                                int alt72=2;
                                int LA72_0 = input.LA(1);

                                if ( (LA72_0==COMMA) ) {
                                    alt72=1;
                                }


                                switch (alt72) {
                            	case 1 :
                            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:766:53: COMMA e= simpleStringExpression
                            	    {
                            	    match(input,COMMA,FOLLOW_COMMA_in_simpleStringListExpression3075); if (state.failed) return expr;
                            	    pushFollow(FOLLOW_simpleStringExpression_in_simpleStringListExpression3081);
                            	    e=simpleStringExpression();

                            	    state._fsp--;
                            	    if (state.failed) return expr;
                            	    if ( state.backtracking==0 ) {
                            	      list.add(e);
                            	    }

                            	    }
                            	    break;

                            	default :
                            	    break loop72;
                                }
                            } while (true);


                            }
                            break;

                    }

                    match(input,RCURLY,FOLLOW_RCURLY_in_simpleStringListExpression3090); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createListExpression(list, TMTypeConstants.TM_TYPE_SL);
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:769:2: {...}?var= Identifier
                    {
                    if ( !((isVariableOfType(input.LT(1).getText(), "STRINGLIST"))) ) {
                        if (state.backtracking>0) {state.failed=true; return expr;}
                        throw new FailedPredicateException(input, "simpleStringListExpression", "isVariableOfType(input.LT(1).getText(), \"STRINGLIST\")");
                    }
                    var=(Token)match(input,Identifier,FOLLOW_Identifier_in_simpleStringListExpression3107); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createListExpression(var, TMTypeConstants.TM_TYPE_SL);
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "simpleStringListExpression"


    // $ANTLR start "typeListExpression"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:775:1: typeListExpression returns [Expression expr = null] : e= simpleTypeListExpression ;
    public final Expression typeListExpression() throws RecognitionException {
        Expression expr =  null;

        Expression e = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:776:2: (e= simpleTypeListExpression )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:777:2: e= simpleTypeListExpression
            {
            pushFollow(FOLLOW_simpleTypeListExpression_in_typeListExpression3132);
            e=simpleTypeListExpression();

            state._fsp--;
            if (state.failed) return expr;
            if ( state.backtracking==0 ) {
              expr = e;
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "typeListExpression"


    // $ANTLR start "simpleTypeListExpression"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:780:1: simpleTypeListExpression returns [Expression expr = null] : ( LCURLY (e= simpleTypeExpression ( COMMA e= simpleTypeExpression )* )? RCURLY | {...}?var= Identifier );
    public final Expression simpleTypeListExpression() throws RecognitionException {
        Expression expr =  null;

        Token var=null;
        Expression e = null;



        	List<Expression> list = new ArrayList<Expression>();

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:783:3: ( LCURLY (e= simpleTypeExpression ( COMMA e= simpleTypeExpression )* )? RCURLY | {...}?var= Identifier )
            int alt77=2;
            int LA77_0 = input.LA(1);

            if ( (LA77_0==LCURLY) ) {
                alt77=1;
            }
            else if ( (LA77_0==Identifier) ) {
                alt77=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 77, 0, input);

                throw nvae;
            }
            switch (alt77) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:784:2: LCURLY (e= simpleTypeExpression ( COMMA e= simpleTypeExpression )* )? RCURLY
                    {
                    match(input,LCURLY,FOLLOW_LCURLY_in_simpleTypeListExpression3153); if (state.failed) return expr;
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:784:9: (e= simpleTypeExpression ( COMMA e= simpleTypeExpression )* )?
                    int alt76=2;
                    int LA76_0 = input.LA(1);

                    if ( (LA76_0==BasicAnnotationType||LA76_0==Identifier) ) {
                        alt76=1;
                    }
                    switch (alt76) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:784:10: e= simpleTypeExpression ( COMMA e= simpleTypeExpression )*
                            {
                            pushFollow(FOLLOW_simpleTypeExpression_in_simpleTypeListExpression3160);
                            e=simpleTypeExpression();

                            state._fsp--;
                            if (state.failed) return expr;
                            if ( state.backtracking==0 ) {
                              list.add(e);
                            }
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:784:50: ( COMMA e= simpleTypeExpression )*
                            loop75:
                            do {
                                int alt75=2;
                                int LA75_0 = input.LA(1);

                                if ( (LA75_0==COMMA) ) {
                                    alt75=1;
                                }


                                switch (alt75) {
                            	case 1 :
                            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:784:51: COMMA e= simpleTypeExpression
                            	    {
                            	    match(input,COMMA,FOLLOW_COMMA_in_simpleTypeListExpression3165); if (state.failed) return expr;
                            	    pushFollow(FOLLOW_simpleTypeExpression_in_simpleTypeListExpression3171);
                            	    e=simpleTypeExpression();

                            	    state._fsp--;
                            	    if (state.failed) return expr;
                            	    if ( state.backtracking==0 ) {
                            	      list.add(e);
                            	    }

                            	    }
                            	    break;

                            	default :
                            	    break loop75;
                                }
                            } while (true);


                            }
                            break;

                    }

                    match(input,RCURLY,FOLLOW_RCURLY_in_simpleTypeListExpression3180); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createListExpression(list, TMTypeConstants.TM_TYPE_TL);
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:787:2: {...}?var= Identifier
                    {
                    if ( !((isVariableOfType(input.LT(1).getText(), "TYPELIST"))) ) {
                        if (state.backtracking>0) {state.failed=true; return expr;}
                        throw new FailedPredicateException(input, "simpleTypeListExpression", "isVariableOfType(input.LT(1).getText(), \"TYPELIST\")");
                    }
                    var=(Token)match(input,Identifier,FOLLOW_Identifier_in_simpleTypeListExpression3197); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createListExpression(var, TMTypeConstants.TM_TYPE_TL);
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "simpleTypeListExpression"


    // $ANTLR start "typeExpression"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:792:1: typeExpression returns [Expression expr = null] : (tf= typeFunction | st= simpleTypeExpression );
    public final Expression typeExpression() throws RecognitionException {
        Expression expr =  null;

        Expression tf = null;

        Expression st = null;



        expr = ExpressionFactory.createEmptyTypeExpression(input.LT(1));

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:796:2: (tf= typeFunction | st= simpleTypeExpression )
            int alt78=2;
            int LA78_0 = input.LA(1);

            if ( (LA78_0==Identifier) ) {
                int LA78_1 = input.LA(2);

                if ( ((isVariableOfType(input.LT(1).getText(), "TYPEFUNCTION"))) ) {
                    alt78=1;
                }
                else if ( (true) ) {
                    alt78=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return expr;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 78, 1, input);

                    throw nvae;
                }
            }
            else if ( (LA78_0==BasicAnnotationType) ) {
                alt78=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 78, 0, input);

                throw nvae;
            }
            switch (alt78) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:797:2: tf= typeFunction
                    {
                    pushFollow(FOLLOW_typeFunction_in_typeExpression3228);
                    tf=typeFunction();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = tf;
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:798:4: st= simpleTypeExpression
                    {
                    pushFollow(FOLLOW_simpleTypeExpression_in_typeExpression3239);
                    st=simpleTypeExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createTypeExpression(st);
                      	 
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "typeExpression"


    // $ANTLR start "typeFunction"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:804:1: typeFunction returns [Expression expr = null] : (e= externalTypeFunction )=>e= externalTypeFunction ;
    public final Expression typeFunction() throws RecognitionException {
        Expression expr =  null;

        Expression e = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:805:2: ( (e= externalTypeFunction )=>e= externalTypeFunction )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:806:2: (e= externalTypeFunction )=>e= externalTypeFunction
            {
            pushFollow(FOLLOW_externalTypeFunction_in_typeFunction3273);
            e=externalTypeFunction();

            state._fsp--;
            if (state.failed) return expr;
            if ( state.backtracking==0 ) {
              expr = e;
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "typeFunction"


    // $ANTLR start "externalTypeFunction"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:810:1: externalTypeFunction returns [Expression expr = null] : {...}?id= Identifier LPAREN args= varArgumentList RPAREN ;
    public final Expression externalTypeFunction() throws RecognitionException {
        Expression expr =  null;

        Token id=null;
        List<Expression> args = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:811:2: ({...}?id= Identifier LPAREN args= varArgumentList RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:812:2: {...}?id= Identifier LPAREN args= varArgumentList RPAREN
            {
            if ( !((isVariableOfType(input.LT(1).getText(), "TYPEFUNCTION"))) ) {
                if (state.backtracking>0) {state.failed=true; return expr;}
                throw new FailedPredicateException(input, "externalTypeFunction", "isVariableOfType(input.LT(1).getText(), \"TYPEFUNCTION\")");
            }
            id=(Token)match(input,Identifier,FOLLOW_Identifier_in_externalTypeFunction3298); if (state.failed) return expr;
            match(input,LPAREN,FOLLOW_LPAREN_in_externalTypeFunction3302); if (state.failed) return expr;
            pushFollow(FOLLOW_varArgumentList_in_externalTypeFunction3309);
            args=varArgumentList();

            state._fsp--;
            if (state.failed) return expr;
            match(input,RPAREN,FOLLOW_RPAREN_in_externalTypeFunction3313); if (state.failed) return expr;
            if ( state.backtracking==0 ) {

              		expr = external.createExternalTypeFunction(id, args);
              	
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "externalTypeFunction"


    // $ANTLR start "simpleTypeExpression"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:821:1: simpleTypeExpression returns [Expression type = null] : at= annotationType ;
    public final Expression simpleTypeExpression() throws RecognitionException {
        Expression type =  null;

        Expression at = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:822:2: (at= annotationType )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:823:2: at= annotationType
            {
            pushFollow(FOLLOW_annotationType_in_simpleTypeExpression3336);
            at=annotationType();

            state._fsp--;
            if (state.failed) return type;
            if ( state.backtracking==0 ) {
              type = at;
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return type;
    }
    // $ANTLR end "simpleTypeExpression"


    // $ANTLR start "variable"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:826:1: variable returns [Expression var = null] : {...}?v= Identifier ;
    public final Expression variable() throws RecognitionException {
        Expression var =  null;

        Token v=null;

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:827:2: ({...}?v= Identifier )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:828:2: {...}?v= Identifier
            {
            if ( !((vars.contains(input.LT(1).getText()))) ) {
                if (state.backtracking>0) {state.failed=true; return var;}
                throw new FailedPredicateException(input, "variable", "vars.contains(input.LT(1).getText())");
            }
            v=(Token)match(input,Identifier,FOLLOW_Identifier_in_variable3360); if (state.failed) return var;
            if ( state.backtracking==0 ) {
              var=ExpressionFactory.createGenericVariableReference(v);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return var;
    }
    // $ANTLR end "variable"


    // $ANTLR start "listVariable"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:832:1: listVariable returns [Expression var = null] : {...}?v= Identifier ;
    public final Expression listVariable() throws RecognitionException {
        Expression var =  null;

        Token v=null;

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:833:2: ({...}?v= Identifier )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:834:2: {...}?v= Identifier
            {
            if ( !((isVariableOfType(input.LT(1).getText(), "BOOLEANLIST")
            	||isVariableOfType(input.LT(1).getText(), "INTLIST")
            	||isVariableOfType(input.LT(1).getText(), "FLOATLIST")
            	||isVariableOfType(input.LT(1).getText(), "DOUBLELIST")
            	||isVariableOfType(input.LT(1).getText(), "STRINGLIST")
            	||isVariableOfType(input.LT(1).getText(), "TYPELIST")
            	)) ) {
                if (state.backtracking>0) {state.failed=true; return var;}
                throw new FailedPredicateException(input, "listVariable", "isVariableOfType(input.LT(1).getText(), \"BOOLEANLIST\")\r\n\t||isVariableOfType(input.LT(1).getText(), \"INTLIST\")\r\n\t||isVariableOfType(input.LT(1).getText(), \"FLOATLIST\")\r\n\t||isVariableOfType(input.LT(1).getText(), \"DOUBLELIST\")\r\n\t||isVariableOfType(input.LT(1).getText(), \"STRINGLIST\")\r\n\t||isVariableOfType(input.LT(1).getText(), \"TYPELIST\")\r\n\t");
            }
            v=(Token)match(input,Identifier,FOLLOW_Identifier_in_listVariable3387); if (state.failed) return var;
            if ( state.backtracking==0 ) {
              var=ExpressionFactory.createGenericVariableReference(v);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return var;
    }
    // $ANTLR end "listVariable"


    // $ANTLR start "quantifierPart"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:845:1: quantifierPart returns [List<Expression> exprs = new ArrayList<Expression>()] : (s= STAR (q= QUESTION )? | p= PLUS (q= QUESTION )? | q1= QUESTION (q= QUESTION )? | (b1= LBRACK min= numberExpression ( COMMA (max= numberExpression )? )? b2= RBRACK (q= QUESTION )? ) );
    public final List<Expression> quantifierPart() throws RecognitionException {
        List<Expression> exprs =  new ArrayList<Expression>();

        Token s=null;
        Token q=null;
        Token p=null;
        Token q1=null;
        Token b1=null;
        Token b2=null;
        Expression min = null;

        Expression max = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:846:2: (s= STAR (q= QUESTION )? | p= PLUS (q= QUESTION )? | q1= QUESTION (q= QUESTION )? | (b1= LBRACK min= numberExpression ( COMMA (max= numberExpression )? )? b2= RBRACK (q= QUESTION )? ) )
            int alt85=4;
            switch ( input.LA(1) ) {
            case STAR:
                {
                alt85=1;
                }
                break;
            case PLUS:
                {
                alt85=2;
                }
                break;
            case QUESTION:
                {
                alt85=3;
                }
                break;
            case LBRACK:
                {
                alt85=4;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return exprs;}
                NoViableAltException nvae =
                    new NoViableAltException("", 85, 0, input);

                throw nvae;
            }

            switch (alt85) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:847:3: s= STAR (q= QUESTION )?
                    {
                    s=(Token)match(input,STAR,FOLLOW_STAR_in_quantifierPart3414); if (state.failed) return exprs;
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:847:14: (q= QUESTION )?
                    int alt79=2;
                    int LA79_0 = input.LA(1);

                    if ( (LA79_0==QUESTION) ) {
                        alt79=1;
                    }
                    switch (alt79) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:847:14: q= QUESTION
                            {
                            q=(Token)match(input,QUESTION,FOLLOW_QUESTION_in_quantifierPart3420); if (state.failed) return exprs;

                            }
                            break;

                    }

                    if ( state.backtracking==0 ) {
                      exprs.add(ExpressionFactory.createQuantifierLiteralExpression(s,q));
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:848:4: p= PLUS (q= QUESTION )?
                    {
                    p=(Token)match(input,PLUS,FOLLOW_PLUS_in_quantifierPart3432); if (state.failed) return exprs;
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:848:15: (q= QUESTION )?
                    int alt80=2;
                    int LA80_0 = input.LA(1);

                    if ( (LA80_0==QUESTION) ) {
                        alt80=1;
                    }
                    switch (alt80) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:848:15: q= QUESTION
                            {
                            q=(Token)match(input,QUESTION,FOLLOW_QUESTION_in_quantifierPart3438); if (state.failed) return exprs;

                            }
                            break;

                    }

                    if ( state.backtracking==0 ) {
                      exprs.add(ExpressionFactory.createQuantifierLiteralExpression(p,q));
                    }

                    }
                    break;
                case 3 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:849:4: q1= QUESTION (q= QUESTION )?
                    {
                    q1=(Token)match(input,QUESTION,FOLLOW_QUESTION_in_quantifierPart3450); if (state.failed) return exprs;
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:849:20: (q= QUESTION )?
                    int alt81=2;
                    int LA81_0 = input.LA(1);

                    if ( (LA81_0==QUESTION) ) {
                        alt81=1;
                    }
                    switch (alt81) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:849:20: q= QUESTION
                            {
                            q=(Token)match(input,QUESTION,FOLLOW_QUESTION_in_quantifierPart3456); if (state.failed) return exprs;

                            }
                            break;

                    }

                    if ( state.backtracking==0 ) {
                      exprs.add(ExpressionFactory.createQuantifierLiteralExpression(q1,q));
                    }

                    }
                    break;
                case 4 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:850:4: (b1= LBRACK min= numberExpression ( COMMA (max= numberExpression )? )? b2= RBRACK (q= QUESTION )? )
                    {
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:850:4: (b1= LBRACK min= numberExpression ( COMMA (max= numberExpression )? )? b2= RBRACK (q= QUESTION )? )
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:850:5: b1= LBRACK min= numberExpression ( COMMA (max= numberExpression )? )? b2= RBRACK (q= QUESTION )?
                    {
                    b1=(Token)match(input,LBRACK,FOLLOW_LBRACK_in_quantifierPart3469); if (state.failed) return exprs;
                    pushFollow(FOLLOW_numberExpression_in_quantifierPart3475);
                    min=numberExpression();

                    state._fsp--;
                    if (state.failed) return exprs;
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:850:40: ( COMMA (max= numberExpression )? )?
                    int alt83=2;
                    int LA83_0 = input.LA(1);

                    if ( (LA83_0==COMMA) ) {
                        alt83=1;
                    }
                    switch (alt83) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:850:41: COMMA (max= numberExpression )?
                            {
                            match(input,COMMA,FOLLOW_COMMA_in_quantifierPart3478); if (state.failed) return exprs;
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:850:47: (max= numberExpression )?
                            int alt82=2;
                            int LA82_0 = input.LA(1);

                            if ( ((LA82_0>=EXP && LA82_0<=TAN)||LA82_0==DecimalLiteral||LA82_0==FloatingPointLiteral||(LA82_0>=Identifier && LA82_0<=LPAREN)||LA82_0==MINUS) ) {
                                alt82=1;
                            }
                            switch (alt82) {
                                case 1 :
                                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:850:48: max= numberExpression
                                    {
                                    pushFollow(FOLLOW_numberExpression_in_quantifierPart3485);
                                    max=numberExpression();

                                    state._fsp--;
                                    if (state.failed) return exprs;

                                    }
                                    break;

                            }


                            }
                            break;

                    }

                    b2=(Token)match(input,RBRACK,FOLLOW_RBRACK_in_quantifierPart3495); if (state.failed) return exprs;
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:850:89: (q= QUESTION )?
                    int alt84=2;
                    int LA84_0 = input.LA(1);

                    if ( (LA84_0==QUESTION) ) {
                        alt84=1;
                    }
                    switch (alt84) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:850:89: q= QUESTION
                            {
                            q=(Token)match(input,QUESTION,FOLLOW_QUESTION_in_quantifierPart3501); if (state.failed) return exprs;

                            }
                            break;

                    }

                    if ( state.backtracking==0 ) {

                      		  //if(b1!=null) {exprs.add(b1);}
                      		  if(min!=null) {exprs.add(min);}
                      		  if(max!=null) {exprs.add(max);}
                      		  //if(b2!=null) {exprs.add(b2);}
                      		  if(q!=null) {exprs.add(ExpressionFactory.createQuantifierLiteralExpression(q, null));}
                      		 
                    }

                    }


                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return exprs;
    }
    // $ANTLR end "quantifierPart"


    // $ANTLR start "condition"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:862:1: condition returns [TextMarkerCondition result = null] : (c= conditionAnd | c= conditionContains | c= conditionContextCount | c= conditionCount | c= conditionCurrentCount | c= conditionInList | c= conditionLast | c= conditionMofN | c= conditionNear | c= conditionNot | c= conditionOr | c= conditionPartOf | c= conditionPosition | c= conditionRegExp | c= conditionScore | c= conditionTotalCount | c= conditionVote | c= conditionIf | c= conditionFeature | c= conditionParse | c= conditionIs | c= conditionBefore | c= conditionAfter | c= conditionStartsWith | c= conditionEndsWith | c= conditionPartOfNeq | c= conditionSize | (c= externalCondition )=>c= externalCondition | c= variableCondition ) ;
    public final TextMarkerCondition condition() throws RecognitionException {
        TextMarkerCondition result =  null;

        TextMarkerCondition c = null;



        result = ConditionFactory.createEmptyCondition(input.LT(1));

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:866:2: ( (c= conditionAnd | c= conditionContains | c= conditionContextCount | c= conditionCount | c= conditionCurrentCount | c= conditionInList | c= conditionLast | c= conditionMofN | c= conditionNear | c= conditionNot | c= conditionOr | c= conditionPartOf | c= conditionPosition | c= conditionRegExp | c= conditionScore | c= conditionTotalCount | c= conditionVote | c= conditionIf | c= conditionFeature | c= conditionParse | c= conditionIs | c= conditionBefore | c= conditionAfter | c= conditionStartsWith | c= conditionEndsWith | c= conditionPartOfNeq | c= conditionSize | (c= externalCondition )=>c= externalCondition | c= variableCondition ) )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:867:2: (c= conditionAnd | c= conditionContains | c= conditionContextCount | c= conditionCount | c= conditionCurrentCount | c= conditionInList | c= conditionLast | c= conditionMofN | c= conditionNear | c= conditionNot | c= conditionOr | c= conditionPartOf | c= conditionPosition | c= conditionRegExp | c= conditionScore | c= conditionTotalCount | c= conditionVote | c= conditionIf | c= conditionFeature | c= conditionParse | c= conditionIs | c= conditionBefore | c= conditionAfter | c= conditionStartsWith | c= conditionEndsWith | c= conditionPartOfNeq | c= conditionSize | (c= externalCondition )=>c= externalCondition | c= variableCondition )
            {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:867:2: (c= conditionAnd | c= conditionContains | c= conditionContextCount | c= conditionCount | c= conditionCurrentCount | c= conditionInList | c= conditionLast | c= conditionMofN | c= conditionNear | c= conditionNot | c= conditionOr | c= conditionPartOf | c= conditionPosition | c= conditionRegExp | c= conditionScore | c= conditionTotalCount | c= conditionVote | c= conditionIf | c= conditionFeature | c= conditionParse | c= conditionIs | c= conditionBefore | c= conditionAfter | c= conditionStartsWith | c= conditionEndsWith | c= conditionPartOfNeq | c= conditionSize | (c= externalCondition )=>c= externalCondition | c= variableCondition )
            int alt86=29;
            alt86 = dfa86.predict(input);
            switch (alt86) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:868:2: c= conditionAnd
                    {
                    pushFollow(FOLLOW_conditionAnd_in_condition3544);
                    c=conditionAnd();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:869:4: c= conditionContains
                    {
                    pushFollow(FOLLOW_conditionContains_in_condition3553);
                    c=conditionContains();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 3 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:870:4: c= conditionContextCount
                    {
                    pushFollow(FOLLOW_conditionContextCount_in_condition3562);
                    c=conditionContextCount();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 4 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:871:4: c= conditionCount
                    {
                    pushFollow(FOLLOW_conditionCount_in_condition3571);
                    c=conditionCount();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 5 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:872:4: c= conditionCurrentCount
                    {
                    pushFollow(FOLLOW_conditionCurrentCount_in_condition3580);
                    c=conditionCurrentCount();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 6 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:873:4: c= conditionInList
                    {
                    pushFollow(FOLLOW_conditionInList_in_condition3589);
                    c=conditionInList();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 7 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:874:4: c= conditionLast
                    {
                    pushFollow(FOLLOW_conditionLast_in_condition3598);
                    c=conditionLast();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 8 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:875:4: c= conditionMofN
                    {
                    pushFollow(FOLLOW_conditionMofN_in_condition3607);
                    c=conditionMofN();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 9 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:876:4: c= conditionNear
                    {
                    pushFollow(FOLLOW_conditionNear_in_condition3616);
                    c=conditionNear();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 10 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:877:4: c= conditionNot
                    {
                    pushFollow(FOLLOW_conditionNot_in_condition3625);
                    c=conditionNot();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 11 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:878:4: c= conditionOr
                    {
                    pushFollow(FOLLOW_conditionOr_in_condition3634);
                    c=conditionOr();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 12 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:879:4: c= conditionPartOf
                    {
                    pushFollow(FOLLOW_conditionPartOf_in_condition3643);
                    c=conditionPartOf();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 13 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:880:4: c= conditionPosition
                    {
                    pushFollow(FOLLOW_conditionPosition_in_condition3652);
                    c=conditionPosition();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 14 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:881:4: c= conditionRegExp
                    {
                    pushFollow(FOLLOW_conditionRegExp_in_condition3661);
                    c=conditionRegExp();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 15 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:882:4: c= conditionScore
                    {
                    pushFollow(FOLLOW_conditionScore_in_condition3670);
                    c=conditionScore();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 16 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:883:4: c= conditionTotalCount
                    {
                    pushFollow(FOLLOW_conditionTotalCount_in_condition3679);
                    c=conditionTotalCount();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 17 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:884:4: c= conditionVote
                    {
                    pushFollow(FOLLOW_conditionVote_in_condition3688);
                    c=conditionVote();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 18 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:885:4: c= conditionIf
                    {
                    pushFollow(FOLLOW_conditionIf_in_condition3697);
                    c=conditionIf();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 19 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:886:4: c= conditionFeature
                    {
                    pushFollow(FOLLOW_conditionFeature_in_condition3706);
                    c=conditionFeature();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 20 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:887:4: c= conditionParse
                    {
                    pushFollow(FOLLOW_conditionParse_in_condition3715);
                    c=conditionParse();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 21 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:888:4: c= conditionIs
                    {
                    pushFollow(FOLLOW_conditionIs_in_condition3724);
                    c=conditionIs();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 22 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:889:4: c= conditionBefore
                    {
                    pushFollow(FOLLOW_conditionBefore_in_condition3733);
                    c=conditionBefore();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 23 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:890:4: c= conditionAfter
                    {
                    pushFollow(FOLLOW_conditionAfter_in_condition3742);
                    c=conditionAfter();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 24 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:891:4: c= conditionStartsWith
                    {
                    pushFollow(FOLLOW_conditionStartsWith_in_condition3751);
                    c=conditionStartsWith();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 25 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:892:4: c= conditionEndsWith
                    {
                    pushFollow(FOLLOW_conditionEndsWith_in_condition3760);
                    c=conditionEndsWith();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 26 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:893:4: c= conditionPartOfNeq
                    {
                    pushFollow(FOLLOW_conditionPartOfNeq_in_condition3769);
                    c=conditionPartOfNeq();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 27 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:894:4: c= conditionSize
                    {
                    pushFollow(FOLLOW_conditionSize_in_condition3778);
                    c=conditionSize();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 28 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:895:4: (c= externalCondition )=>c= externalCondition
                    {
                    pushFollow(FOLLOW_externalCondition_in_condition3796);
                    c=externalCondition();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 29 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:896:4: c= variableCondition
                    {
                    pushFollow(FOLLOW_variableCondition_in_condition3805);
                    c=variableCondition();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              result = c;
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return result;
    }
    // $ANTLR end "condition"


    // $ANTLR start "variableCondition"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:901:1: variableCondition returns [TextMarkerCondition condition = null] : id= Identifier ;
    public final TextMarkerCondition variableCondition() throws RecognitionException {
        TextMarkerCondition condition =  null;

        Token id=null;

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:902:2: (id= Identifier )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:905:2: id= Identifier
            {
            id=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableCondition3838); if (state.failed) return condition;
            if ( state.backtracking==0 ) {

              		condition = ConditionFactory.createCondition(id);
              	
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return condition;
    }
    // $ANTLR end "variableCondition"


    // $ANTLR start "externalCondition"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:912:1: externalCondition returns [TextMarkerCondition condition = null] : {...}?id= Identifier LPAREN args= varArgumentList RPAREN ;
    public final TextMarkerCondition externalCondition() throws RecognitionException {
        TextMarkerCondition condition =  null;

        Token id=null;
        List<Expression> args = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:913:2: ({...}?id= Identifier LPAREN args= varArgumentList RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:914:2: {...}?id= Identifier LPAREN args= varArgumentList RPAREN
            {
            if ( !((isVariableOfType(input.LT(1).getText(), "CONDITION"))) ) {
                if (state.backtracking>0) {state.failed=true; return condition;}
                throw new FailedPredicateException(input, "externalCondition", "isVariableOfType(input.LT(1).getText(), \"CONDITION\")");
            }
            id=(Token)match(input,Identifier,FOLLOW_Identifier_in_externalCondition3867); if (state.failed) return condition;
            match(input,LPAREN,FOLLOW_LPAREN_in_externalCondition3870); if (state.failed) return condition;
            if ( state.backtracking==0 ) {
              condition = external.createExternalCondition(id, args);
            }
            pushFollow(FOLLOW_varArgumentList_in_externalCondition3880);
            args=varArgumentList();

            state._fsp--;
            if (state.failed) return condition;
            if ( state.backtracking==0 ) {
              condition = external.createExternalCondition(id, args);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_externalCondition3887); if (state.failed) return condition;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return condition;
    }
    // $ANTLR end "externalCondition"


    // $ANTLR start "conditionAnd"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:921:1: conditionAnd returns [TextMarkerCondition cond = null] : name= AND LPAREN conds= conditions RPAREN ;
    public final TextMarkerCondition conditionAnd() throws RecognitionException {
        TextMarkerCondition cond =  null;

        Token name=null;
        List<TextMarkerCondition> conds = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:922:5: (name= AND LPAREN conds= conditions RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:923:5: name= AND LPAREN conds= conditions RPAREN
            {
            name=(Token)match(input,AND,FOLLOW_AND_in_conditionAnd3915); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionAnd3917); if (state.failed) return cond;
            pushFollow(FOLLOW_conditions_in_conditionAnd3923);
            conds=conditions();

            state._fsp--;
            if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createCondition(name, conds);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_conditionAnd3937); if (state.failed) return cond;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionAnd"


    // $ANTLR start "conditionContains"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:928:1: conditionContains returns [TextMarkerCondition cond = null] options {backtrack=true; } : name= CONTAINS LPAREN (type= typeExpression | list= listExpression COMMA a= argument ) ( COMMA min= numberExpression COMMA max= numberExpression ( COMMA percent= booleanExpression )? )? RPAREN ;
    public final TextMarkerCondition conditionContains() throws RecognitionException {
        TextMarkerCondition cond =  null;

        Token name=null;
        Expression type = null;

        Expression list = null;

        Expression a = null;

        Expression min = null;

        Expression max = null;

        Expression percent = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:932:5: (name= CONTAINS LPAREN (type= typeExpression | list= listExpression COMMA a= argument ) ( COMMA min= numberExpression COMMA max= numberExpression ( COMMA percent= booleanExpression )? )? RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:933:5: name= CONTAINS LPAREN (type= typeExpression | list= listExpression COMMA a= argument ) ( COMMA min= numberExpression COMMA max= numberExpression ( COMMA percent= booleanExpression )? )? RPAREN
            {
            name=(Token)match(input,CONTAINS,FOLLOW_CONTAINS_in_conditionContains3983); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionContains3985); if (state.failed) return cond;
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:933:29: (type= typeExpression | list= listExpression COMMA a= argument )
            int alt87=2;
            switch ( input.LA(1) ) {
            case Identifier:
                {
                int LA87_1 = input.LA(2);

                if ( (!((((isVariableOfType(input.LT(1).getText(), "INTLIST"))||(isVariableOfType(input.LT(1).getText(), "TYPELIST"))||(isVariableOfType(input.LT(1).getText(), "DOUBLELIST"))||(isVariableOfType(input.LT(1).getText(), "FLOATLIST"))||(isVariableOfType(input.LT(1).getText(), "BOOLEANLIST"))||(isVariableOfType(input.LT(1).getText(), "STRINGLIST")))))) ) {
                    alt87=1;
                }
                else if ( (((isVariableOfType(input.LT(1).getText(), "INTLIST"))||(isVariableOfType(input.LT(1).getText(), "TYPELIST"))||(isVariableOfType(input.LT(1).getText(), "DOUBLELIST"))||(isVariableOfType(input.LT(1).getText(), "FLOATLIST"))||(isVariableOfType(input.LT(1).getText(), "BOOLEANLIST"))||(isVariableOfType(input.LT(1).getText(), "STRINGLIST")))) ) {
                    alt87=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return cond;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 87, 1, input);

                    throw nvae;
                }
                }
                break;
            case BasicAnnotationType:
                {
                alt87=1;
                }
                break;
            case LCURLY:
                {
                alt87=2;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return cond;}
                NoViableAltException nvae =
                    new NoViableAltException("", 87, 0, input);

                throw nvae;
            }

            switch (alt87) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:933:30: type= typeExpression
                    {
                    pushFollow(FOLLOW_typeExpression_in_conditionContains3992);
                    type=typeExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:933:54: list= listExpression COMMA a= argument
                    {
                    pushFollow(FOLLOW_listExpression_in_conditionContains4000);
                    list=listExpression();

                    state._fsp--;
                    if (state.failed) return cond;
                    match(input,COMMA,FOLLOW_COMMA_in_conditionContains4002); if (state.failed) return cond;
                    pushFollow(FOLLOW_argument_in_conditionContains4008);
                    a=argument();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:934:5: ( COMMA min= numberExpression COMMA max= numberExpression ( COMMA percent= booleanExpression )? )?
            int alt89=2;
            int LA89_0 = input.LA(1);

            if ( (LA89_0==COMMA) ) {
                alt89=1;
            }
            switch (alt89) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:934:6: COMMA min= numberExpression COMMA max= numberExpression ( COMMA percent= booleanExpression )?
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_conditionContains4017); if (state.failed) return cond;
                    pushFollow(FOLLOW_numberExpression_in_conditionContains4023);
                    min=numberExpression();

                    state._fsp--;
                    if (state.failed) return cond;
                    match(input,COMMA,FOLLOW_COMMA_in_conditionContains4025); if (state.failed) return cond;
                    pushFollow(FOLLOW_numberExpression_in_conditionContains4031);
                    max=numberExpression();

                    state._fsp--;
                    if (state.failed) return cond;
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:934:64: ( COMMA percent= booleanExpression )?
                    int alt88=2;
                    int LA88_0 = input.LA(1);

                    if ( (LA88_0==COMMA) ) {
                        alt88=1;
                    }
                    switch (alt88) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:934:65: COMMA percent= booleanExpression
                            {
                            match(input,COMMA,FOLLOW_COMMA_in_conditionContains4034); if (state.failed) return cond;
                            pushFollow(FOLLOW_booleanExpression_in_conditionContains4040);
                            percent=booleanExpression();

                            state._fsp--;
                            if (state.failed) return cond;

                            }
                            break;

                    }


                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              if(type != null) {cond = ConditionFactory.createCondition(name,type, min, max, percent);}
                  else {cond = ConditionFactory.createCondition(name,list,a, min, max, percent);};
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_conditionContains4057); if (state.failed) return cond;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionContains"


    // $ANTLR start "conditionContextCount"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:940:1: conditionContextCount returns [TextMarkerCondition cond = null] : name= CONTEXTCOUNT LPAREN typeExpr= typeExpression ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN ;
    public final TextMarkerCondition conditionContextCount() throws RecognitionException {
        TextMarkerCondition cond =  null;

        Token name=null;
        Expression typeExpr = null;

        Expression min = null;

        Expression max = null;

        Expression var = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:941:5: (name= CONTEXTCOUNT LPAREN typeExpr= typeExpression ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:942:5: name= CONTEXTCOUNT LPAREN typeExpr= typeExpression ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN
            {
            name=(Token)match(input,CONTEXTCOUNT,FOLLOW_CONTEXTCOUNT_in_conditionContextCount4093); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionContextCount4095); if (state.failed) return cond;
            pushFollow(FOLLOW_typeExpression_in_conditionContextCount4101);
            typeExpr=typeExpression();

            state._fsp--;
            if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createCondition(name, typeExpr, min, max, var);
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:944:5: ( COMMA min= numberExpression COMMA max= numberExpression )?
            int alt90=2;
            int LA90_0 = input.LA(1);

            if ( (LA90_0==COMMA) ) {
                int LA90_1 = input.LA(2);

                if ( (LA90_1==Identifier) ) {
                    int LA90_3 = input.LA(3);

                    if ( (LA90_3==LPAREN||LA90_3==COMMA||(LA90_3>=PLUS && LA90_3<=SLASH)||LA90_3==PERCENT) ) {
                        alt90=1;
                    }
                }
                else if ( ((LA90_1>=EXP && LA90_1<=TAN)||LA90_1==DecimalLiteral||LA90_1==FloatingPointLiteral||LA90_1==LPAREN||LA90_1==MINUS) ) {
                    alt90=1;
                }
            }
            switch (alt90) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:944:6: COMMA min= numberExpression COMMA max= numberExpression
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_conditionContextCount4115); if (state.failed) return cond;
                    pushFollow(FOLLOW_numberExpression_in_conditionContextCount4121);
                    min=numberExpression();

                    state._fsp--;
                    if (state.failed) return cond;
                    match(input,COMMA,FOLLOW_COMMA_in_conditionContextCount4123); if (state.failed) return cond;
                    pushFollow(FOLLOW_numberExpression_in_conditionContextCount4129);
                    max=numberExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createCondition(name, typeExpr, min, max, var);
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:946:5: ( COMMA var= numberVariable )?
            int alt91=2;
            int LA91_0 = input.LA(1);

            if ( (LA91_0==COMMA) ) {
                alt91=1;
            }
            switch (alt91) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:946:6: COMMA var= numberVariable
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_conditionContextCount4144); if (state.failed) return cond;
                    pushFollow(FOLLOW_numberVariable_in_conditionContextCount4150);
                    var=numberVariable();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createCondition(name, typeExpr, min, max, var);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_conditionContextCount4165); if (state.failed) return cond;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionContextCount"


    // $ANTLR start "conditionCount"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:951:1: conditionCount returns [TextMarkerCondition cond = null] options {backtrack=true; } : (name= COUNT LPAREN type= listExpression COMMA a= argument ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN | name= COUNT LPAREN type= typeExpression ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN );
    public final TextMarkerCondition conditionCount() throws RecognitionException {
        TextMarkerCondition cond =  null;

        Token name=null;
        Expression type = null;

        Expression a = null;

        Expression min = null;

        Expression max = null;

        Expression var = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:955:6: (name= COUNT LPAREN type= listExpression COMMA a= argument ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN | name= COUNT LPAREN type= typeExpression ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN )
            int alt96=2;
            int LA96_0 = input.LA(1);

            if ( (LA96_0==COUNT) ) {
                int LA96_1 = input.LA(2);

                if ( (synpred15_TextMarkerParser()) ) {
                    alt96=1;
                }
                else if ( (true) ) {
                    alt96=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return cond;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 96, 1, input);

                    throw nvae;
                }
            }
            else {
                if (state.backtracking>0) {state.failed=true; return cond;}
                NoViableAltException nvae =
                    new NoViableAltException("", 96, 0, input);

                throw nvae;
            }
            switch (alt96) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:956:6: name= COUNT LPAREN type= listExpression COMMA a= argument ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN
                    {
                    name=(Token)match(input,COUNT,FOLLOW_COUNT_in_conditionCount4216); if (state.failed) return cond;
                    match(input,LPAREN,FOLLOW_LPAREN_in_conditionCount4218); if (state.failed) return cond;
                    pushFollow(FOLLOW_listExpression_in_conditionCount4224);
                    type=listExpression();

                    state._fsp--;
                    if (state.failed) return cond;
                    if ( state.backtracking==0 ) {
                      cond = ConditionFactory.createCondition(name, type, a, min, max, var);
                    }
                    match(input,COMMA,FOLLOW_COMMA_in_conditionCount4239); if (state.failed) return cond;
                    pushFollow(FOLLOW_argument_in_conditionCount4245);
                    a=argument();

                    state._fsp--;
                    if (state.failed) return cond;
                    if ( state.backtracking==0 ) {
                      cond = ConditionFactory.createCondition(name, type, a, min, max, var);
                    }
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:960:6: ( COMMA min= numberExpression COMMA max= numberExpression )?
                    int alt92=2;
                    int LA92_0 = input.LA(1);

                    if ( (LA92_0==COMMA) ) {
                        int LA92_1 = input.LA(2);

                        if ( ((LA92_1>=EXP && LA92_1<=TAN)||LA92_1==DecimalLiteral||LA92_1==FloatingPointLiteral||LA92_1==LPAREN||LA92_1==MINUS) ) {
                            alt92=1;
                        }
                        else if ( (LA92_1==Identifier) ) {
                            int LA92_4 = input.LA(3);

                            if ( (LA92_4==LPAREN||LA92_4==COMMA||(LA92_4>=PLUS && LA92_4<=SLASH)||LA92_4==PERCENT) ) {
                                alt92=1;
                            }
                        }
                    }
                    switch (alt92) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:960:7: COMMA min= numberExpression COMMA max= numberExpression
                            {
                            match(input,COMMA,FOLLOW_COMMA_in_conditionCount4261); if (state.failed) return cond;
                            pushFollow(FOLLOW_numberExpression_in_conditionCount4267);
                            min=numberExpression();

                            state._fsp--;
                            if (state.failed) return cond;
                            match(input,COMMA,FOLLOW_COMMA_in_conditionCount4269); if (state.failed) return cond;
                            pushFollow(FOLLOW_numberExpression_in_conditionCount4275);
                            max=numberExpression();

                            state._fsp--;
                            if (state.failed) return cond;

                            }
                            break;

                    }

                    if ( state.backtracking==0 ) {
                      cond = ConditionFactory.createCondition(name, type, a, min, max, var);
                    }
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:962:6: ( COMMA var= numberVariable )?
                    int alt93=2;
                    int LA93_0 = input.LA(1);

                    if ( (LA93_0==COMMA) ) {
                        alt93=1;
                    }
                    switch (alt93) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:962:7: COMMA var= numberVariable
                            {
                            match(input,COMMA,FOLLOW_COMMA_in_conditionCount4293); if (state.failed) return cond;
                            pushFollow(FOLLOW_numberVariable_in_conditionCount4299);
                            var=numberVariable();

                            state._fsp--;
                            if (state.failed) return cond;

                            }
                            break;

                    }

                    if ( state.backtracking==0 ) {
                      cond = ConditionFactory.createCondition(name, type, a, min, max, var);
                    }
                    match(input,RPAREN,FOLLOW_RPAREN_in_conditionCount4315); if (state.failed) return cond;

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:966:5: name= COUNT LPAREN type= typeExpression ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN
                    {
                    name=(Token)match(input,COUNT,FOLLOW_COUNT_in_conditionCount4331); if (state.failed) return cond;
                    match(input,LPAREN,FOLLOW_LPAREN_in_conditionCount4333); if (state.failed) return cond;
                    pushFollow(FOLLOW_typeExpression_in_conditionCount4339);
                    type=typeExpression();

                    state._fsp--;
                    if (state.failed) return cond;
                    if ( state.backtracking==0 ) {
                      cond = ConditionFactory.createCondition(name, type, min, max, var);
                    }
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:968:5: ( COMMA min= numberExpression COMMA max= numberExpression )?
                    int alt94=2;
                    int LA94_0 = input.LA(1);

                    if ( (LA94_0==COMMA) ) {
                        int LA94_1 = input.LA(2);

                        if ( (LA94_1==Identifier) ) {
                            int LA94_3 = input.LA(3);

                            if ( (LA94_3==LPAREN||LA94_3==COMMA||(LA94_3>=PLUS && LA94_3<=SLASH)||LA94_3==PERCENT) ) {
                                alt94=1;
                            }
                        }
                        else if ( ((LA94_1>=EXP && LA94_1<=TAN)||LA94_1==DecimalLiteral||LA94_1==FloatingPointLiteral||LA94_1==LPAREN||LA94_1==MINUS) ) {
                            alt94=1;
                        }
                    }
                    switch (alt94) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:968:6: COMMA min= numberExpression COMMA max= numberExpression
                            {
                            match(input,COMMA,FOLLOW_COMMA_in_conditionCount4353); if (state.failed) return cond;
                            pushFollow(FOLLOW_numberExpression_in_conditionCount4359);
                            min=numberExpression();

                            state._fsp--;
                            if (state.failed) return cond;
                            match(input,COMMA,FOLLOW_COMMA_in_conditionCount4361); if (state.failed) return cond;
                            pushFollow(FOLLOW_numberExpression_in_conditionCount4367);
                            max=numberExpression();

                            state._fsp--;
                            if (state.failed) return cond;

                            }
                            break;

                    }

                    if ( state.backtracking==0 ) {
                      cond = ConditionFactory.createCondition(name, type, min, max, var);
                    }
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:970:5: ( COMMA var= numberVariable )?
                    int alt95=2;
                    int LA95_0 = input.LA(1);

                    if ( (LA95_0==COMMA) ) {
                        alt95=1;
                    }
                    switch (alt95) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:970:6: COMMA var= numberVariable
                            {
                            match(input,COMMA,FOLLOW_COMMA_in_conditionCount4382); if (state.failed) return cond;
                            pushFollow(FOLLOW_numberVariable_in_conditionCount4388);
                            var=numberVariable();

                            state._fsp--;
                            if (state.failed) return cond;

                            }
                            break;

                    }

                    if ( state.backtracking==0 ) {
                      cond = ConditionFactory.createCondition(name, type, min, max, var);
                    }
                    match(input,RPAREN,FOLLOW_RPAREN_in_conditionCount4405); if (state.failed) return cond;

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionCount"


    // $ANTLR start "conditionCurrentCount"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:975:1: conditionCurrentCount returns [TextMarkerCondition cond = null] : name= CURRENTCOUNT LPAREN type= typeExpression ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN ;
    public final TextMarkerCondition conditionCurrentCount() throws RecognitionException {
        TextMarkerCondition cond =  null;

        Token name=null;
        Expression type = null;

        Expression min = null;

        Expression max = null;

        Expression var = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:976:5: (name= CURRENTCOUNT LPAREN type= typeExpression ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:977:5: name= CURRENTCOUNT LPAREN type= typeExpression ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN
            {
            name=(Token)match(input,CURRENTCOUNT,FOLLOW_CURRENTCOUNT_in_conditionCurrentCount4445); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionCurrentCount4447); if (state.failed) return cond;
            pushFollow(FOLLOW_typeExpression_in_conditionCurrentCount4453);
            type=typeExpression();

            state._fsp--;
            if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createCondition(name,type, min, max, var);
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:979:5: ( COMMA min= numberExpression COMMA max= numberExpression )?
            int alt97=2;
            int LA97_0 = input.LA(1);

            if ( (LA97_0==COMMA) ) {
                int LA97_1 = input.LA(2);

                if ( ((LA97_1>=EXP && LA97_1<=TAN)||LA97_1==DecimalLiteral||LA97_1==FloatingPointLiteral||LA97_1==LPAREN||LA97_1==MINUS) ) {
                    alt97=1;
                }
                else if ( (LA97_1==Identifier) ) {
                    int LA97_4 = input.LA(3);

                    if ( (LA97_4==LPAREN||LA97_4==COMMA||(LA97_4>=PLUS && LA97_4<=SLASH)||LA97_4==PERCENT) ) {
                        alt97=1;
                    }
                }
            }
            switch (alt97) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:979:6: COMMA min= numberExpression COMMA max= numberExpression
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_conditionCurrentCount4467); if (state.failed) return cond;
                    pushFollow(FOLLOW_numberExpression_in_conditionCurrentCount4473);
                    min=numberExpression();

                    state._fsp--;
                    if (state.failed) return cond;
                    match(input,COMMA,FOLLOW_COMMA_in_conditionCurrentCount4475); if (state.failed) return cond;
                    pushFollow(FOLLOW_numberExpression_in_conditionCurrentCount4481);
                    max=numberExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createCondition(name,type, min, max, var);
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:981:5: ( COMMA var= numberVariable )?
            int alt98=2;
            int LA98_0 = input.LA(1);

            if ( (LA98_0==COMMA) ) {
                alt98=1;
            }
            switch (alt98) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:981:6: COMMA var= numberVariable
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_conditionCurrentCount4497); if (state.failed) return cond;
                    pushFollow(FOLLOW_numberVariable_in_conditionCurrentCount4503);
                    var=numberVariable();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createCondition(name,type, min, max, var);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_conditionCurrentCount4518); if (state.failed) return cond;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionCurrentCount"


    // $ANTLR start "conditionTotalCount"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:986:1: conditionTotalCount returns [TextMarkerCondition cond = null] : name= TOTALCOUNT LPAREN type= typeExpression ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN ;
    public final TextMarkerCondition conditionTotalCount() throws RecognitionException {
        TextMarkerCondition cond =  null;

        Token name=null;
        Expression type = null;

        Expression min = null;

        Expression max = null;

        Expression var = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:987:5: (name= TOTALCOUNT LPAREN type= typeExpression ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:988:5: name= TOTALCOUNT LPAREN type= typeExpression ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN
            {
            name=(Token)match(input,TOTALCOUNT,FOLLOW_TOTALCOUNT_in_conditionTotalCount4557); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionTotalCount4559); if (state.failed) return cond;
            pushFollow(FOLLOW_typeExpression_in_conditionTotalCount4565);
            type=typeExpression();

            state._fsp--;
            if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createCondition(name,type, min, max, var);
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:990:5: ( COMMA min= numberExpression COMMA max= numberExpression )?
            int alt99=2;
            int LA99_0 = input.LA(1);

            if ( (LA99_0==COMMA) ) {
                int LA99_1 = input.LA(2);

                if ( (LA99_1==Identifier) ) {
                    int LA99_3 = input.LA(3);

                    if ( (LA99_3==LPAREN||LA99_3==COMMA||(LA99_3>=PLUS && LA99_3<=SLASH)||LA99_3==PERCENT) ) {
                        alt99=1;
                    }
                }
                else if ( ((LA99_1>=EXP && LA99_1<=TAN)||LA99_1==DecimalLiteral||LA99_1==FloatingPointLiteral||LA99_1==LPAREN||LA99_1==MINUS) ) {
                    alt99=1;
                }
            }
            switch (alt99) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:990:6: COMMA min= numberExpression COMMA max= numberExpression
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_conditionTotalCount4579); if (state.failed) return cond;
                    pushFollow(FOLLOW_numberExpression_in_conditionTotalCount4585);
                    min=numberExpression();

                    state._fsp--;
                    if (state.failed) return cond;
                    match(input,COMMA,FOLLOW_COMMA_in_conditionTotalCount4587); if (state.failed) return cond;
                    pushFollow(FOLLOW_numberExpression_in_conditionTotalCount4593);
                    max=numberExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createCondition(name,type, min, max, var);
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:992:5: ( COMMA var= numberVariable )?
            int alt100=2;
            int LA100_0 = input.LA(1);

            if ( (LA100_0==COMMA) ) {
                alt100=1;
            }
            switch (alt100) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:992:6: COMMA var= numberVariable
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_conditionTotalCount4608); if (state.failed) return cond;
                    pushFollow(FOLLOW_numberVariable_in_conditionTotalCount4614);
                    var=numberVariable();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createCondition(name, type, min, max, var);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_conditionTotalCount4629); if (state.failed) return cond;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionTotalCount"


    // $ANTLR start "conditionInList"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:996:1: conditionInList returns [TextMarkerCondition cond = null] options {backtrack=true; } : name= INLIST LPAREN ( (list2= stringListExpression )=>list2= stringListExpression | list1= wordListExpression ) ( COMMA dist= numberExpression ( COMMA rel= booleanExpression )? )? RPAREN ;
    public final TextMarkerCondition conditionInList() throws RecognitionException {
        TextMarkerCondition cond =  null;

        Token name=null;
        Expression list2 = null;

        Expression list1 = null;

        Expression dist = null;

        Expression rel = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1000:5: (name= INLIST LPAREN ( (list2= stringListExpression )=>list2= stringListExpression | list1= wordListExpression ) ( COMMA dist= numberExpression ( COMMA rel= booleanExpression )? )? RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1001:5: name= INLIST LPAREN ( (list2= stringListExpression )=>list2= stringListExpression | list1= wordListExpression ) ( COMMA dist= numberExpression ( COMMA rel= booleanExpression )? )? RPAREN
            {
            name=(Token)match(input,INLIST,FOLLOW_INLIST_in_conditionInList4670); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionInList4672); if (state.failed) return cond;
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1001:26: ( (list2= stringListExpression )=>list2= stringListExpression | list1= wordListExpression )
            int alt101=2;
            int LA101_0 = input.LA(1);

            if ( (LA101_0==LCURLY) && (synpred16_TextMarkerParser())) {
                alt101=1;
            }
            else if ( (LA101_0==Identifier) ) {
                int LA101_2 = input.LA(2);

                if ( ((synpred16_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "STRINGLIST")))) ) {
                    alt101=1;
                }
                else if ( (true) ) {
                    alt101=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return cond;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 101, 2, input);

                    throw nvae;
                }
            }
            else if ( (LA101_0==RessourceLiteral) ) {
                alt101=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return cond;}
                NoViableAltException nvae =
                    new NoViableAltException("", 101, 0, input);

                throw nvae;
            }
            switch (alt101) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1001:27: (list2= stringListExpression )=>list2= stringListExpression
                    {
                    pushFollow(FOLLOW_stringListExpression_in_conditionInList4687);
                    list2=stringListExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1001:90: list1= wordListExpression
                    {
                    pushFollow(FOLLOW_wordListExpression_in_conditionInList4695);
                    list1=wordListExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1002:5: ( COMMA dist= numberExpression ( COMMA rel= booleanExpression )? )?
            int alt103=2;
            int LA103_0 = input.LA(1);

            if ( (LA103_0==COMMA) ) {
                alt103=1;
            }
            switch (alt103) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1002:6: COMMA dist= numberExpression ( COMMA rel= booleanExpression )?
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_conditionInList4704); if (state.failed) return cond;
                    pushFollow(FOLLOW_numberExpression_in_conditionInList4710);
                    dist=numberExpression();

                    state._fsp--;
                    if (state.failed) return cond;
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1002:36: ( COMMA rel= booleanExpression )?
                    int alt102=2;
                    int LA102_0 = input.LA(1);

                    if ( (LA102_0==COMMA) ) {
                        alt102=1;
                    }
                    switch (alt102) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1002:37: COMMA rel= booleanExpression
                            {
                            match(input,COMMA,FOLLOW_COMMA_in_conditionInList4713); if (state.failed) return cond;
                            pushFollow(FOLLOW_booleanExpression_in_conditionInList4719);
                            rel=booleanExpression();

                            state._fsp--;
                            if (state.failed) return cond;

                            }
                            break;

                    }


                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              if(list1 != null) {cond = ConditionFactory.createCondition(name, list1, dist, rel);}
                  else {cond = ConditionFactory.createCondition(name, list2, dist, rel);};
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_conditionInList4737); if (state.failed) return cond;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionInList"


    // $ANTLR start "conditionLast"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1008:1: conditionLast returns [TextMarkerCondition cond = null] : name= LAST LPAREN type= typeExpression RPAREN ;
    public final TextMarkerCondition conditionLast() throws RecognitionException {
        TextMarkerCondition cond =  null;

        Token name=null;
        Expression type = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1009:5: (name= LAST LPAREN type= typeExpression RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1010:5: name= LAST LPAREN type= typeExpression RPAREN
            {
            name=(Token)match(input,LAST,FOLLOW_LAST_in_conditionLast4781); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionLast4783); if (state.failed) return cond;
            pushFollow(FOLLOW_typeExpression_in_conditionLast4789);
            type=typeExpression();

            state._fsp--;
            if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createCondition(name, type);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_conditionLast4802); if (state.failed) return cond;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionLast"


    // $ANTLR start "conditionMofN"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1015:1: conditionMofN returns [TextMarkerCondition cond = null] : name= MOFN LPAREN min= numberExpression COMMA max= numberExpression COMMA conds= conditions RPAREN ;
    public final TextMarkerCondition conditionMofN() throws RecognitionException {
        TextMarkerCondition cond =  null;

        Token name=null;
        Expression min = null;

        Expression max = null;

        List<TextMarkerCondition> conds = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1016:5: (name= MOFN LPAREN min= numberExpression COMMA max= numberExpression COMMA conds= conditions RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1017:5: name= MOFN LPAREN min= numberExpression COMMA max= numberExpression COMMA conds= conditions RPAREN
            {
            name=(Token)match(input,MOFN,FOLLOW_MOFN_in_conditionMofN4838); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionMofN4840); if (state.failed) return cond;
            pushFollow(FOLLOW_numberExpression_in_conditionMofN4846);
            min=numberExpression();

            state._fsp--;
            if (state.failed) return cond;
            match(input,COMMA,FOLLOW_COMMA_in_conditionMofN4848); if (state.failed) return cond;
            pushFollow(FOLLOW_numberExpression_in_conditionMofN4854);
            max=numberExpression();

            state._fsp--;
            if (state.failed) return cond;
            match(input,COMMA,FOLLOW_COMMA_in_conditionMofN4856); if (state.failed) return cond;
            pushFollow(FOLLOW_conditions_in_conditionMofN4862);
            conds=conditions();

            state._fsp--;
            if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              List exprs = new ArrayList();
                  exprs.add(min);
                  exprs.add(max);
                  exprs.addAll(conds);
                  cond = ConditionFactory.createCondition(name, exprs);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_conditionMofN4877); if (state.failed) return cond;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionMofN"


    // $ANTLR start "conditionNear"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1026:1: conditionNear returns [TextMarkerCondition cond = null] : name= NEAR LPAREN type= typeExpression COMMA min= numberExpression COMMA max= numberExpression ( COMMA direction= booleanExpression ( COMMA filtered= booleanExpression )? )? RPAREN ;
    public final TextMarkerCondition conditionNear() throws RecognitionException {
        TextMarkerCondition cond =  null;

        Token name=null;
        Expression type = null;

        Expression min = null;

        Expression max = null;

        Expression direction = null;

        Expression filtered = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1027:5: (name= NEAR LPAREN type= typeExpression COMMA min= numberExpression COMMA max= numberExpression ( COMMA direction= booleanExpression ( COMMA filtered= booleanExpression )? )? RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1028:5: name= NEAR LPAREN type= typeExpression COMMA min= numberExpression COMMA max= numberExpression ( COMMA direction= booleanExpression ( COMMA filtered= booleanExpression )? )? RPAREN
            {
            name=(Token)match(input,NEAR,FOLLOW_NEAR_in_conditionNear4909); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionNear4911); if (state.failed) return cond;
            pushFollow(FOLLOW_typeExpression_in_conditionNear4917);
            type=typeExpression();

            state._fsp--;
            if (state.failed) return cond;
            match(input,COMMA,FOLLOW_COMMA_in_conditionNear4919); if (state.failed) return cond;
            pushFollow(FOLLOW_numberExpression_in_conditionNear4925);
            min=numberExpression();

            state._fsp--;
            if (state.failed) return cond;
            match(input,COMMA,FOLLOW_COMMA_in_conditionNear4927); if (state.failed) return cond;
            pushFollow(FOLLOW_numberExpression_in_conditionNear4933);
            max=numberExpression();

            state._fsp--;
            if (state.failed) return cond;
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1029:5: ( COMMA direction= booleanExpression ( COMMA filtered= booleanExpression )? )?
            int alt105=2;
            int LA105_0 = input.LA(1);

            if ( (LA105_0==COMMA) ) {
                alt105=1;
            }
            switch (alt105) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1029:6: COMMA direction= booleanExpression ( COMMA filtered= booleanExpression )?
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_conditionNear4941); if (state.failed) return cond;
                    pushFollow(FOLLOW_booleanExpression_in_conditionNear4947);
                    direction=booleanExpression();

                    state._fsp--;
                    if (state.failed) return cond;
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1029:42: ( COMMA filtered= booleanExpression )?
                    int alt104=2;
                    int LA104_0 = input.LA(1);

                    if ( (LA104_0==COMMA) ) {
                        alt104=1;
                    }
                    switch (alt104) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1029:43: COMMA filtered= booleanExpression
                            {
                            match(input,COMMA,FOLLOW_COMMA_in_conditionNear4950); if (state.failed) return cond;
                            pushFollow(FOLLOW_booleanExpression_in_conditionNear4956);
                            filtered=booleanExpression();

                            state._fsp--;
                            if (state.failed) return cond;

                            }
                            break;

                    }


                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createCondition(name, type, min, max, direction, filtered);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_conditionNear4976); if (state.failed) return cond;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionNear"


    // $ANTLR start "conditionNot"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1033:1: conditionNot returns [TextMarkerCondition cond = null] : ( (name= MINUS c= condition ) | (name= NOT LPAREN c= condition RPAREN ) ) ;
    public final TextMarkerCondition conditionNot() throws RecognitionException {
        TextMarkerCondition cond =  null;

        Token name=null;
        TextMarkerCondition c = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1034:5: ( ( (name= MINUS c= condition ) | (name= NOT LPAREN c= condition RPAREN ) ) )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1035:5: ( (name= MINUS c= condition ) | (name= NOT LPAREN c= condition RPAREN ) )
            {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1035:5: ( (name= MINUS c= condition ) | (name= NOT LPAREN c= condition RPAREN ) )
            int alt106=2;
            int LA106_0 = input.LA(1);

            if ( (LA106_0==MINUS) ) {
                alt106=1;
            }
            else if ( (LA106_0==NOT) ) {
                alt106=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return cond;}
                NoViableAltException nvae =
                    new NoViableAltException("", 106, 0, input);

                throw nvae;
            }
            switch (alt106) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1035:6: (name= MINUS c= condition )
                    {
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1035:6: (name= MINUS c= condition )
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1035:7: name= MINUS c= condition
                    {
                    name=(Token)match(input,MINUS,FOLLOW_MINUS_in_conditionNot5009); if (state.failed) return cond;
                    pushFollow(FOLLOW_condition_in_conditionNot5015);
                    c=condition();

                    state._fsp--;
                    if (state.failed) return cond;

                    }


                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1035:38: (name= NOT LPAREN c= condition RPAREN )
                    {
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1035:38: (name= NOT LPAREN c= condition RPAREN )
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1035:39: name= NOT LPAREN c= condition RPAREN
                    {
                    name=(Token)match(input,NOT,FOLLOW_NOT_in_conditionNot5026); if (state.failed) return cond;
                    match(input,LPAREN,FOLLOW_LPAREN_in_conditionNot5028); if (state.failed) return cond;
                    pushFollow(FOLLOW_condition_in_conditionNot5034);
                    c=condition();

                    state._fsp--;
                    if (state.failed) return cond;
                    match(input,RPAREN,FOLLOW_RPAREN_in_conditionNot5036); if (state.failed) return cond;

                    }


                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createCondition(name, c);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionNot"


    // $ANTLR start "conditionOr"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1038:1: conditionOr returns [TextMarkerCondition cond = null] : name= OR LPAREN conds= conditions RPAREN ;
    public final TextMarkerCondition conditionOr() throws RecognitionException {
        TextMarkerCondition cond =  null;

        Token name=null;
        List<TextMarkerCondition> conds = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1039:5: (name= OR LPAREN conds= conditions RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1040:5: name= OR LPAREN conds= conditions RPAREN
            {
            name=(Token)match(input,OR,FOLLOW_OR_in_conditionOr5076); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionOr5078); if (state.failed) return cond;
            pushFollow(FOLLOW_conditions_in_conditionOr5084);
            conds=conditions();

            state._fsp--;
            if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createCondition(name, conds);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_conditionOr5097); if (state.failed) return cond;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionOr"


    // $ANTLR start "conditionPartOf"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1044:1: conditionPartOf returns [TextMarkerCondition cond = null] : name= PARTOF LPAREN (type= typeExpression | type= typeListExpression ) RPAREN ;
    public final TextMarkerCondition conditionPartOf() throws RecognitionException {
        TextMarkerCondition cond =  null;

        Token name=null;
        Expression type = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1045:5: (name= PARTOF LPAREN (type= typeExpression | type= typeListExpression ) RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1046:5: name= PARTOF LPAREN (type= typeExpression | type= typeListExpression ) RPAREN
            {
            name=(Token)match(input,PARTOF,FOLLOW_PARTOF_in_conditionPartOf5125); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionPartOf5127); if (state.failed) return cond;
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1046:26: (type= typeExpression | type= typeListExpression )
            int alt107=2;
            switch ( input.LA(1) ) {
            case Identifier:
                {
                int LA107_1 = input.LA(2);

                if ( (!(((isVariableOfType(input.LT(1).getText(), "TYPELIST"))))) ) {
                    alt107=1;
                }
                else if ( ((isVariableOfType(input.LT(1).getText(), "TYPELIST"))) ) {
                    alt107=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return cond;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 107, 1, input);

                    throw nvae;
                }
                }
                break;
            case BasicAnnotationType:
                {
                alt107=1;
                }
                break;
            case LCURLY:
                {
                alt107=2;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return cond;}
                NoViableAltException nvae =
                    new NoViableAltException("", 107, 0, input);

                throw nvae;
            }

            switch (alt107) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1046:27: type= typeExpression
                    {
                    pushFollow(FOLLOW_typeExpression_in_conditionPartOf5134);
                    type=typeExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1046:49: type= typeListExpression
                    {
                    pushFollow(FOLLOW_typeListExpression_in_conditionPartOf5140);
                    type=typeListExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createCondition(name, type);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_conditionPartOf5157); if (state.failed) return cond;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionPartOf"


    // $ANTLR start "conditionPartOfNeq"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1051:1: conditionPartOfNeq returns [TextMarkerCondition cond = null] : name= PARTOFNEQ LPAREN (type= typeExpression | type= typeListExpression ) RPAREN ;
    public final TextMarkerCondition conditionPartOfNeq() throws RecognitionException {
        TextMarkerCondition cond =  null;

        Token name=null;
        Expression type = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1052:5: (name= PARTOFNEQ LPAREN (type= typeExpression | type= typeListExpression ) RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1053:5: name= PARTOFNEQ LPAREN (type= typeExpression | type= typeListExpression ) RPAREN
            {
            name=(Token)match(input,PARTOFNEQ,FOLLOW_PARTOFNEQ_in_conditionPartOfNeq5190); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionPartOfNeq5192); if (state.failed) return cond;
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1053:29: (type= typeExpression | type= typeListExpression )
            int alt108=2;
            switch ( input.LA(1) ) {
            case Identifier:
                {
                int LA108_1 = input.LA(2);

                if ( (!(((isVariableOfType(input.LT(1).getText(), "TYPELIST"))))) ) {
                    alt108=1;
                }
                else if ( ((isVariableOfType(input.LT(1).getText(), "TYPELIST"))) ) {
                    alt108=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return cond;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 108, 1, input);

                    throw nvae;
                }
                }
                break;
            case BasicAnnotationType:
                {
                alt108=1;
                }
                break;
            case LCURLY:
                {
                alt108=2;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return cond;}
                NoViableAltException nvae =
                    new NoViableAltException("", 108, 0, input);

                throw nvae;
            }

            switch (alt108) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1053:30: type= typeExpression
                    {
                    pushFollow(FOLLOW_typeExpression_in_conditionPartOfNeq5199);
                    type=typeExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1053:52: type= typeListExpression
                    {
                    pushFollow(FOLLOW_typeListExpression_in_conditionPartOfNeq5205);
                    type=typeListExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createCondition(name, type);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_conditionPartOfNeq5222); if (state.failed) return cond;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionPartOfNeq"


    // $ANTLR start "conditionPosition"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1059:1: conditionPosition returns [TextMarkerCondition cond = null] : name= POSITION LPAREN type= typeExpression COMMA pos= numberExpression ( COMMA rel= booleanExpression )? RPAREN ;
    public final TextMarkerCondition conditionPosition() throws RecognitionException {
        TextMarkerCondition cond =  null;

        Token name=null;
        Expression type = null;

        Expression pos = null;

        Expression rel = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1060:5: (name= POSITION LPAREN type= typeExpression COMMA pos= numberExpression ( COMMA rel= booleanExpression )? RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1061:5: name= POSITION LPAREN type= typeExpression COMMA pos= numberExpression ( COMMA rel= booleanExpression )? RPAREN
            {
            name=(Token)match(input,POSITION,FOLLOW_POSITION_in_conditionPosition5259); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionPosition5261); if (state.failed) return cond;
            pushFollow(FOLLOW_typeExpression_in_conditionPosition5267);
            type=typeExpression();

            state._fsp--;
            if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createCondition(name, type, pos, rel);
            }
            match(input,COMMA,FOLLOW_COMMA_in_conditionPosition5280); if (state.failed) return cond;
            pushFollow(FOLLOW_numberExpression_in_conditionPosition5286);
            pos=numberExpression();

            state._fsp--;
            if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createCondition(name, type, pos, rel);
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1065:5: ( COMMA rel= booleanExpression )?
            int alt109=2;
            int LA109_0 = input.LA(1);

            if ( (LA109_0==COMMA) ) {
                alt109=1;
            }
            switch (alt109) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1065:6: COMMA rel= booleanExpression
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_conditionPosition5300); if (state.failed) return cond;
                    pushFollow(FOLLOW_booleanExpression_in_conditionPosition5306);
                    rel=booleanExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createCondition(name, type, pos, rel);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_conditionPosition5321); if (state.failed) return cond;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionPosition"


    // $ANTLR start "conditionRegExp"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1069:1: conditionRegExp returns [TextMarkerCondition cond = null] : name= REGEXP LPAREN (v= variable COMMA )? pattern= stringExpression ( COMMA caseSensitive= booleanExpression )? RPAREN ;
    public final TextMarkerCondition conditionRegExp() throws RecognitionException {
        TextMarkerCondition cond =  null;

        Token name=null;
        Expression v = null;

        Expression pattern = null;

        Expression caseSensitive = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1070:5: (name= REGEXP LPAREN (v= variable COMMA )? pattern= stringExpression ( COMMA caseSensitive= booleanExpression )? RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1071:5: name= REGEXP LPAREN (v= variable COMMA )? pattern= stringExpression ( COMMA caseSensitive= booleanExpression )? RPAREN
            {
            name=(Token)match(input,REGEXP,FOLLOW_REGEXP_in_conditionRegExp5349); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionRegExp5351); if (state.failed) return cond;
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1071:26: (v= variable COMMA )?
            int alt110=2;
            int LA110_0 = input.LA(1);

            if ( (LA110_0==Identifier) ) {
                int LA110_1 = input.LA(2);

                if ( (LA110_1==COMMA) ) {
                    int LA110_3 = input.LA(3);

                    if ( (LA110_3==Identifier) ) {
                        int LA110_4 = input.LA(4);

                        if ( ((vars.contains(input.LT(1).getText()))) ) {
                            alt110=1;
                        }
                    }
                    else if ( (LA110_3==REMOVESTRING||LA110_3==StringLiteral) ) {
                        alt110=1;
                    }
                }
            }
            switch (alt110) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1071:27: v= variable COMMA
                    {
                    pushFollow(FOLLOW_variable_in_conditionRegExp5358);
                    v=variable();

                    state._fsp--;
                    if (state.failed) return cond;
                    match(input,COMMA,FOLLOW_COMMA_in_conditionRegExp5360); if (state.failed) return cond;

                    }
                    break;

            }

            pushFollow(FOLLOW_stringExpression_in_conditionRegExp5368);
            pattern=stringExpression();

            state._fsp--;
            if (state.failed) return cond;
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1071:75: ( COMMA caseSensitive= booleanExpression )?
            int alt111=2;
            int LA111_0 = input.LA(1);

            if ( (LA111_0==COMMA) ) {
                alt111=1;
            }
            switch (alt111) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1071:76: COMMA caseSensitive= booleanExpression
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_conditionRegExp5371); if (state.failed) return cond;
                    pushFollow(FOLLOW_booleanExpression_in_conditionRegExp5377);
                    caseSensitive=booleanExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createCondition(name, v, pattern, caseSensitive);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_conditionRegExp5395); if (state.failed) return cond;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionRegExp"


    // $ANTLR start "conditionScore"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1076:1: conditionScore returns [TextMarkerCondition cond = null] : name= SCORE LPAREN min= numberExpression ( COMMA max= numberExpression ( COMMA var= numberVariable )? )? RPAREN ;
    public final TextMarkerCondition conditionScore() throws RecognitionException {
        TextMarkerCondition cond =  null;

        Token name=null;
        Expression min = null;

        Expression max = null;

        Expression var = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1077:5: (name= SCORE LPAREN min= numberExpression ( COMMA max= numberExpression ( COMMA var= numberVariable )? )? RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1078:5: name= SCORE LPAREN min= numberExpression ( COMMA max= numberExpression ( COMMA var= numberVariable )? )? RPAREN
            {
            name=(Token)match(input,SCORE,FOLLOW_SCORE_in_conditionScore5429); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionScore5431); if (state.failed) return cond;
            pushFollow(FOLLOW_numberExpression_in_conditionScore5437);
            min=numberExpression();

            state._fsp--;
            if (state.failed) return cond;
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1078:48: ( COMMA max= numberExpression ( COMMA var= numberVariable )? )?
            int alt113=2;
            int LA113_0 = input.LA(1);

            if ( (LA113_0==COMMA) ) {
                alt113=1;
            }
            switch (alt113) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1078:49: COMMA max= numberExpression ( COMMA var= numberVariable )?
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_conditionScore5440); if (state.failed) return cond;
                    pushFollow(FOLLOW_numberExpression_in_conditionScore5446);
                    max=numberExpression();

                    state._fsp--;
                    if (state.failed) return cond;
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1079:5: ( COMMA var= numberVariable )?
                    int alt112=2;
                    int LA112_0 = input.LA(1);

                    if ( (LA112_0==COMMA) ) {
                        alt112=1;
                    }
                    switch (alt112) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1079:6: COMMA var= numberVariable
                            {
                            match(input,COMMA,FOLLOW_COMMA_in_conditionScore5455); if (state.failed) return cond;
                            pushFollow(FOLLOW_numberVariable_in_conditionScore5461);
                            var=numberVariable();

                            state._fsp--;
                            if (state.failed) return cond;

                            }
                            break;

                    }


                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createCondition(name, min, max, var);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_conditionScore5478); if (state.failed) return cond;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionScore"


    // $ANTLR start "conditionVote"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1084:1: conditionVote returns [TextMarkerCondition cond = null] : name= VOTE LPAREN type1= typeExpression COMMA type2= typeExpression RPAREN ;
    public final TextMarkerCondition conditionVote() throws RecognitionException {
        TextMarkerCondition cond =  null;

        Token name=null;
        Expression type1 = null;

        Expression type2 = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1085:5: (name= VOTE LPAREN type1= typeExpression COMMA type2= typeExpression RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1086:5: name= VOTE LPAREN type1= typeExpression COMMA type2= typeExpression RPAREN
            {
            name=(Token)match(input,VOTE,FOLLOW_VOTE_in_conditionVote5510); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionVote5512); if (state.failed) return cond;
            pushFollow(FOLLOW_typeExpression_in_conditionVote5518);
            type1=typeExpression();

            state._fsp--;
            if (state.failed) return cond;
            match(input,COMMA,FOLLOW_COMMA_in_conditionVote5520); if (state.failed) return cond;
            pushFollow(FOLLOW_typeExpression_in_conditionVote5526);
            type2=typeExpression();

            state._fsp--;
            if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createCondition(name, type1, type2);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_conditionVote5539); if (state.failed) return cond;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionVote"


    // $ANTLR start "conditionIf"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1090:1: conditionIf returns [TextMarkerCondition cond = null] : name= IF LPAREN e= booleanExpression RPAREN ;
    public final TextMarkerCondition conditionIf() throws RecognitionException {
        TextMarkerCondition cond =  null;

        Token name=null;
        Expression e = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1091:5: (name= IF LPAREN e= booleanExpression RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1092:5: name= IF LPAREN e= booleanExpression RPAREN
            {
            name=(Token)match(input,IF,FOLLOW_IF_in_conditionIf5573); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionIf5575); if (state.failed) return cond;
            pushFollow(FOLLOW_booleanExpression_in_conditionIf5581);
            e=booleanExpression();

            state._fsp--;
            if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createCondition(name, e);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_conditionIf5594); if (state.failed) return cond;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionIf"


    // $ANTLR start "conditionFeature"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1097:1: conditionFeature returns [TextMarkerCondition cond = null] : name= FEATURE LPAREN se= stringExpression COMMA v= argument RPAREN ;
    public final TextMarkerCondition conditionFeature() throws RecognitionException {
        TextMarkerCondition cond =  null;

        Token name=null;
        Expression se = null;

        Expression v = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1098:5: (name= FEATURE LPAREN se= stringExpression COMMA v= argument RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1099:5: name= FEATURE LPAREN se= stringExpression COMMA v= argument RPAREN
            {
            name=(Token)match(input,FEATURE,FOLLOW_FEATURE_in_conditionFeature5633); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionFeature5635); if (state.failed) return cond;
            pushFollow(FOLLOW_stringExpression_in_conditionFeature5641);
            se=stringExpression();

            state._fsp--;
            if (state.failed) return cond;
            match(input,COMMA,FOLLOW_COMMA_in_conditionFeature5643); if (state.failed) return cond;
            pushFollow(FOLLOW_argument_in_conditionFeature5649);
            v=argument();

            state._fsp--;
            if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createCondition(name, se, v);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_conditionFeature5662); if (state.failed) return cond;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionFeature"


    // $ANTLR start "conditionParse"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1103:1: conditionParse returns [TextMarkerCondition cond = null] : name= PARSE LPAREN var= genericVariableReference RPAREN ;
    public final TextMarkerCondition conditionParse() throws RecognitionException {
        TextMarkerCondition cond =  null;

        Token name=null;
        Expression var = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1104:5: (name= PARSE LPAREN var= genericVariableReference RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1105:5: name= PARSE LPAREN var= genericVariableReference RPAREN
            {
            name=(Token)match(input,PARSE,FOLLOW_PARSE_in_conditionParse5693); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionParse5695); if (state.failed) return cond;
            pushFollow(FOLLOW_genericVariableReference_in_conditionParse5704);
            var=genericVariableReference();

            state._fsp--;
            if (state.failed) return cond;
            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createCondition(name, var);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_conditionParse5717); if (state.failed) return cond;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionParse"


    // $ANTLR start "conditionIs"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1112:1: conditionIs returns [TextMarkerCondition cond = null] : name= IS LPAREN (type= typeExpression | type= typeListExpression ) RPAREN ;
    public final TextMarkerCondition conditionIs() throws RecognitionException {
        TextMarkerCondition cond =  null;

        Token name=null;
        Expression type = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1113:5: (name= IS LPAREN (type= typeExpression | type= typeListExpression ) RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1114:5: name= IS LPAREN (type= typeExpression | type= typeListExpression ) RPAREN
            {
            name=(Token)match(input,IS,FOLLOW_IS_in_conditionIs5747); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionIs5749); if (state.failed) return cond;
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1114:22: (type= typeExpression | type= typeListExpression )
            int alt114=2;
            switch ( input.LA(1) ) {
            case Identifier:
                {
                int LA114_1 = input.LA(2);

                if ( (!(((isVariableOfType(input.LT(1).getText(), "TYPELIST"))))) ) {
                    alt114=1;
                }
                else if ( ((isVariableOfType(input.LT(1).getText(), "TYPELIST"))) ) {
                    alt114=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return cond;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 114, 1, input);

                    throw nvae;
                }
                }
                break;
            case BasicAnnotationType:
                {
                alt114=1;
                }
                break;
            case LCURLY:
                {
                alt114=2;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return cond;}
                NoViableAltException nvae =
                    new NoViableAltException("", 114, 0, input);

                throw nvae;
            }

            switch (alt114) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1114:23: type= typeExpression
                    {
                    pushFollow(FOLLOW_typeExpression_in_conditionIs5756);
                    type=typeExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1114:45: type= typeListExpression
                    {
                    pushFollow(FOLLOW_typeListExpression_in_conditionIs5762);
                    type=typeListExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createCondition(name, type);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_conditionIs5776); if (state.failed) return cond;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionIs"


    // $ANTLR start "conditionBefore"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1119:1: conditionBefore returns [TextMarkerCondition cond = null] : name= BEFORE LPAREN (type= typeExpression | type= typeListExpression ) RPAREN ;
    public final TextMarkerCondition conditionBefore() throws RecognitionException {
        TextMarkerCondition cond =  null;

        Token name=null;
        Expression type = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1120:5: (name= BEFORE LPAREN (type= typeExpression | type= typeListExpression ) RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1121:5: name= BEFORE LPAREN (type= typeExpression | type= typeListExpression ) RPAREN
            {
            name=(Token)match(input,BEFORE,FOLLOW_BEFORE_in_conditionBefore5805); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionBefore5807); if (state.failed) return cond;
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1121:26: (type= typeExpression | type= typeListExpression )
            int alt115=2;
            switch ( input.LA(1) ) {
            case Identifier:
                {
                int LA115_1 = input.LA(2);

                if ( (!(((isVariableOfType(input.LT(1).getText(), "TYPELIST"))))) ) {
                    alt115=1;
                }
                else if ( ((isVariableOfType(input.LT(1).getText(), "TYPELIST"))) ) {
                    alt115=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return cond;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 115, 1, input);

                    throw nvae;
                }
                }
                break;
            case BasicAnnotationType:
                {
                alt115=1;
                }
                break;
            case LCURLY:
                {
                alt115=2;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return cond;}
                NoViableAltException nvae =
                    new NoViableAltException("", 115, 0, input);

                throw nvae;
            }

            switch (alt115) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1121:27: type= typeExpression
                    {
                    pushFollow(FOLLOW_typeExpression_in_conditionBefore5814);
                    type=typeExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1121:49: type= typeListExpression
                    {
                    pushFollow(FOLLOW_typeListExpression_in_conditionBefore5820);
                    type=typeListExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createCondition(name, type);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_conditionBefore5834); if (state.failed) return cond;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionBefore"


    // $ANTLR start "conditionAfter"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1126:1: conditionAfter returns [TextMarkerCondition cond = null] : name= AFTER LPAREN (type= typeExpression | type= typeListExpression ) RPAREN ;
    public final TextMarkerCondition conditionAfter() throws RecognitionException {
        TextMarkerCondition cond =  null;

        Token name=null;
        Expression type = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1127:5: (name= AFTER LPAREN (type= typeExpression | type= typeListExpression ) RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1128:5: name= AFTER LPAREN (type= typeExpression | type= typeListExpression ) RPAREN
            {
            name=(Token)match(input,AFTER,FOLLOW_AFTER_in_conditionAfter5863); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionAfter5865); if (state.failed) return cond;
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1128:25: (type= typeExpression | type= typeListExpression )
            int alt116=2;
            switch ( input.LA(1) ) {
            case Identifier:
                {
                int LA116_1 = input.LA(2);

                if ( (!(((isVariableOfType(input.LT(1).getText(), "TYPELIST"))))) ) {
                    alt116=1;
                }
                else if ( ((isVariableOfType(input.LT(1).getText(), "TYPELIST"))) ) {
                    alt116=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return cond;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 116, 1, input);

                    throw nvae;
                }
                }
                break;
            case BasicAnnotationType:
                {
                alt116=1;
                }
                break;
            case LCURLY:
                {
                alt116=2;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return cond;}
                NoViableAltException nvae =
                    new NoViableAltException("", 116, 0, input);

                throw nvae;
            }

            switch (alt116) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1128:26: type= typeExpression
                    {
                    pushFollow(FOLLOW_typeExpression_in_conditionAfter5872);
                    type=typeExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1128:48: type= typeListExpression
                    {
                    pushFollow(FOLLOW_typeListExpression_in_conditionAfter5878);
                    type=typeListExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createCondition(name, type);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_conditionAfter5892); if (state.failed) return cond;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionAfter"


    // $ANTLR start "conditionStartsWith"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1133:1: conditionStartsWith returns [TextMarkerCondition cond = null] : name= STARTSWITH LPAREN (type= typeExpression | type= typeListExpression ) RPAREN ;
    public final TextMarkerCondition conditionStartsWith() throws RecognitionException {
        TextMarkerCondition cond =  null;

        Token name=null;
        Expression type = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1134:5: (name= STARTSWITH LPAREN (type= typeExpression | type= typeListExpression ) RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1135:5: name= STARTSWITH LPAREN (type= typeExpression | type= typeListExpression ) RPAREN
            {
            name=(Token)match(input,STARTSWITH,FOLLOW_STARTSWITH_in_conditionStartsWith5925); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionStartsWith5927); if (state.failed) return cond;
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1135:30: (type= typeExpression | type= typeListExpression )
            int alt117=2;
            switch ( input.LA(1) ) {
            case Identifier:
                {
                int LA117_1 = input.LA(2);

                if ( (!(((isVariableOfType(input.LT(1).getText(), "TYPELIST"))))) ) {
                    alt117=1;
                }
                else if ( ((isVariableOfType(input.LT(1).getText(), "TYPELIST"))) ) {
                    alt117=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return cond;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 117, 1, input);

                    throw nvae;
                }
                }
                break;
            case BasicAnnotationType:
                {
                alt117=1;
                }
                break;
            case LCURLY:
                {
                alt117=2;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return cond;}
                NoViableAltException nvae =
                    new NoViableAltException("", 117, 0, input);

                throw nvae;
            }

            switch (alt117) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1135:31: type= typeExpression
                    {
                    pushFollow(FOLLOW_typeExpression_in_conditionStartsWith5934);
                    type=typeExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1135:53: type= typeListExpression
                    {
                    pushFollow(FOLLOW_typeListExpression_in_conditionStartsWith5940);
                    type=typeListExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createCondition(name, type);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_conditionStartsWith5954); if (state.failed) return cond;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionStartsWith"


    // $ANTLR start "conditionEndsWith"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1140:1: conditionEndsWith returns [TextMarkerCondition cond = null] : name= ENDSWITH LPAREN (type= typeExpression | type= typeListExpression ) RPAREN ;
    public final TextMarkerCondition conditionEndsWith() throws RecognitionException {
        TextMarkerCondition cond =  null;

        Token name=null;
        Expression type = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1141:5: (name= ENDSWITH LPAREN (type= typeExpression | type= typeListExpression ) RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1142:5: name= ENDSWITH LPAREN (type= typeExpression | type= typeListExpression ) RPAREN
            {
            name=(Token)match(input,ENDSWITH,FOLLOW_ENDSWITH_in_conditionEndsWith5987); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionEndsWith5989); if (state.failed) return cond;
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1142:28: (type= typeExpression | type= typeListExpression )
            int alt118=2;
            switch ( input.LA(1) ) {
            case Identifier:
                {
                int LA118_1 = input.LA(2);

                if ( (!(((isVariableOfType(input.LT(1).getText(), "TYPELIST"))))) ) {
                    alt118=1;
                }
                else if ( ((isVariableOfType(input.LT(1).getText(), "TYPELIST"))) ) {
                    alt118=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return cond;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 118, 1, input);

                    throw nvae;
                }
                }
                break;
            case BasicAnnotationType:
                {
                alt118=1;
                }
                break;
            case LCURLY:
                {
                alt118=2;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return cond;}
                NoViableAltException nvae =
                    new NoViableAltException("", 118, 0, input);

                throw nvae;
            }

            switch (alt118) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1142:29: type= typeExpression
                    {
                    pushFollow(FOLLOW_typeExpression_in_conditionEndsWith5996);
                    type=typeExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1142:51: type= typeListExpression
                    {
                    pushFollow(FOLLOW_typeListExpression_in_conditionEndsWith6002);
                    type=typeListExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createCondition(name, type);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_conditionEndsWith6016); if (state.failed) return cond;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionEndsWith"


    // $ANTLR start "conditionSize"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1147:1: conditionSize returns [TextMarkerCondition cond = null] : name= SIZE LPAREN list= listExpression ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN ;
    public final TextMarkerCondition conditionSize() throws RecognitionException {
        TextMarkerCondition cond =  null;

        Token name=null;
        Expression list = null;

        Expression min = null;

        Expression max = null;

        Expression var = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1148:5: (name= SIZE LPAREN list= listExpression ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1149:5: name= SIZE LPAREN list= listExpression ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN
            {
            name=(Token)match(input,SIZE,FOLLOW_SIZE_in_conditionSize6049); if (state.failed) return cond;
            match(input,LPAREN,FOLLOW_LPAREN_in_conditionSize6051); if (state.failed) return cond;
            pushFollow(FOLLOW_listExpression_in_conditionSize6057);
            list=listExpression();

            state._fsp--;
            if (state.failed) return cond;
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1149:46: ( COMMA min= numberExpression COMMA max= numberExpression )?
            int alt119=2;
            int LA119_0 = input.LA(1);

            if ( (LA119_0==COMMA) ) {
                int LA119_1 = input.LA(2);

                if ( ((LA119_1>=EXP && LA119_1<=TAN)||LA119_1==DecimalLiteral||LA119_1==FloatingPointLiteral||LA119_1==LPAREN||LA119_1==MINUS) ) {
                    alt119=1;
                }
                else if ( (LA119_1==Identifier) ) {
                    int LA119_4 = input.LA(3);

                    if ( (LA119_4==LPAREN||LA119_4==COMMA||(LA119_4>=PLUS && LA119_4<=SLASH)||LA119_4==PERCENT) ) {
                        alt119=1;
                    }
                }
            }
            switch (alt119) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1149:47: COMMA min= numberExpression COMMA max= numberExpression
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_conditionSize6060); if (state.failed) return cond;
                    pushFollow(FOLLOW_numberExpression_in_conditionSize6066);
                    min=numberExpression();

                    state._fsp--;
                    if (state.failed) return cond;
                    match(input,COMMA,FOLLOW_COMMA_in_conditionSize6068); if (state.failed) return cond;
                    pushFollow(FOLLOW_numberExpression_in_conditionSize6074);
                    max=numberExpression();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1149:107: ( COMMA var= numberVariable )?
            int alt120=2;
            int LA120_0 = input.LA(1);

            if ( (LA120_0==COMMA) ) {
                alt120=1;
            }
            switch (alt120) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1149:108: COMMA var= numberVariable
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_conditionSize6079); if (state.failed) return cond;
                    pushFollow(FOLLOW_numberVariable_in_conditionSize6085);
                    var=numberVariable();

                    state._fsp--;
                    if (state.failed) return cond;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              cond = ConditionFactory.createCondition(name, list, min, max, var);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_conditionSize6100); if (state.failed) return cond;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return cond;
    }
    // $ANTLR end "conditionSize"


    // $ANTLR start "action"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1155:1: action returns [TextMarkerAction result = null] : (a= actionColor | a= actionDel | a= actionLog | a= actionMark | a= actionMarkScore | a= actionMarkFast | a= actionMarkLast | a= actionReplace | a= actionRetainType | a= actionFilterType | a= actionCreate | a= actionFill | a= actionCall | a= actionAssign | a= actionSetFeature | a= actionGetFeature | a= actionUnmark | a= actionUnmarkAll | a= actionTransfer | a= actionMarkOnce | a= actionTrie | a= actionGather | a= actionExec | a= actionMarkTable | a= actionAdd | a= actionRemove | a= actionRemoveDuplicate | a= actionMerge | a= actionGet | a= actionGetList | a= actionMatchedText | a= actionClear | a= actionShift | a= actionConfigure | a= actionDynamicAnchoring | a= actionTrim | a= actionAddFilterType | a= actionAddRetainType | a= actionRemoveFilterType | a= actionRemoveRetainType | (a= externalAction )=>a= externalAction | a= variableAction ) ;
    public final TextMarkerAction action() throws RecognitionException {
        TextMarkerAction result =  null;

        TextMarkerAction a = null;



        result = ActionFactory.createEmptyAction(input.LT(1));

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1159:2: ( (a= actionColor | a= actionDel | a= actionLog | a= actionMark | a= actionMarkScore | a= actionMarkFast | a= actionMarkLast | a= actionReplace | a= actionRetainType | a= actionFilterType | a= actionCreate | a= actionFill | a= actionCall | a= actionAssign | a= actionSetFeature | a= actionGetFeature | a= actionUnmark | a= actionUnmarkAll | a= actionTransfer | a= actionMarkOnce | a= actionTrie | a= actionGather | a= actionExec | a= actionMarkTable | a= actionAdd | a= actionRemove | a= actionRemoveDuplicate | a= actionMerge | a= actionGet | a= actionGetList | a= actionMatchedText | a= actionClear | a= actionShift | a= actionConfigure | a= actionDynamicAnchoring | a= actionTrim | a= actionAddFilterType | a= actionAddRetainType | a= actionRemoveFilterType | a= actionRemoveRetainType | (a= externalAction )=>a= externalAction | a= variableAction ) )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1160:2: (a= actionColor | a= actionDel | a= actionLog | a= actionMark | a= actionMarkScore | a= actionMarkFast | a= actionMarkLast | a= actionReplace | a= actionRetainType | a= actionFilterType | a= actionCreate | a= actionFill | a= actionCall | a= actionAssign | a= actionSetFeature | a= actionGetFeature | a= actionUnmark | a= actionUnmarkAll | a= actionTransfer | a= actionMarkOnce | a= actionTrie | a= actionGather | a= actionExec | a= actionMarkTable | a= actionAdd | a= actionRemove | a= actionRemoveDuplicate | a= actionMerge | a= actionGet | a= actionGetList | a= actionMatchedText | a= actionClear | a= actionShift | a= actionConfigure | a= actionDynamicAnchoring | a= actionTrim | a= actionAddFilterType | a= actionAddRetainType | a= actionRemoveFilterType | a= actionRemoveRetainType | (a= externalAction )=>a= externalAction | a= variableAction )
            {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1160:2: (a= actionColor | a= actionDel | a= actionLog | a= actionMark | a= actionMarkScore | a= actionMarkFast | a= actionMarkLast | a= actionReplace | a= actionRetainType | a= actionFilterType | a= actionCreate | a= actionFill | a= actionCall | a= actionAssign | a= actionSetFeature | a= actionGetFeature | a= actionUnmark | a= actionUnmarkAll | a= actionTransfer | a= actionMarkOnce | a= actionTrie | a= actionGather | a= actionExec | a= actionMarkTable | a= actionAdd | a= actionRemove | a= actionRemoveDuplicate | a= actionMerge | a= actionGet | a= actionGetList | a= actionMatchedText | a= actionClear | a= actionShift | a= actionConfigure | a= actionDynamicAnchoring | a= actionTrim | a= actionAddFilterType | a= actionAddRetainType | a= actionRemoveFilterType | a= actionRemoveRetainType | (a= externalAction )=>a= externalAction | a= variableAction )
            int alt121=42;
            alt121 = dfa121.predict(input);
            switch (alt121) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1161:2: a= actionColor
                    {
                    pushFollow(FOLLOW_actionColor_in_action6133);
                    a=actionColor();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1162:4: a= actionDel
                    {
                    pushFollow(FOLLOW_actionDel_in_action6142);
                    a=actionDel();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 3 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1163:4: a= actionLog
                    {
                    pushFollow(FOLLOW_actionLog_in_action6151);
                    a=actionLog();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 4 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1164:4: a= actionMark
                    {
                    pushFollow(FOLLOW_actionMark_in_action6160);
                    a=actionMark();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 5 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1165:4: a= actionMarkScore
                    {
                    pushFollow(FOLLOW_actionMarkScore_in_action6169);
                    a=actionMarkScore();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 6 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1166:4: a= actionMarkFast
                    {
                    pushFollow(FOLLOW_actionMarkFast_in_action6178);
                    a=actionMarkFast();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 7 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1167:4: a= actionMarkLast
                    {
                    pushFollow(FOLLOW_actionMarkLast_in_action6187);
                    a=actionMarkLast();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 8 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1168:4: a= actionReplace
                    {
                    pushFollow(FOLLOW_actionReplace_in_action6196);
                    a=actionReplace();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 9 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1169:4: a= actionRetainType
                    {
                    pushFollow(FOLLOW_actionRetainType_in_action6205);
                    a=actionRetainType();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 10 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1170:4: a= actionFilterType
                    {
                    pushFollow(FOLLOW_actionFilterType_in_action6214);
                    a=actionFilterType();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 11 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1171:4: a= actionCreate
                    {
                    pushFollow(FOLLOW_actionCreate_in_action6223);
                    a=actionCreate();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 12 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1172:4: a= actionFill
                    {
                    pushFollow(FOLLOW_actionFill_in_action6232);
                    a=actionFill();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 13 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1173:4: a= actionCall
                    {
                    pushFollow(FOLLOW_actionCall_in_action6241);
                    a=actionCall();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 14 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1174:4: a= actionAssign
                    {
                    pushFollow(FOLLOW_actionAssign_in_action6250);
                    a=actionAssign();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 15 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1175:4: a= actionSetFeature
                    {
                    pushFollow(FOLLOW_actionSetFeature_in_action6259);
                    a=actionSetFeature();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 16 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1176:4: a= actionGetFeature
                    {
                    pushFollow(FOLLOW_actionGetFeature_in_action6268);
                    a=actionGetFeature();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 17 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1177:4: a= actionUnmark
                    {
                    pushFollow(FOLLOW_actionUnmark_in_action6277);
                    a=actionUnmark();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 18 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1178:4: a= actionUnmarkAll
                    {
                    pushFollow(FOLLOW_actionUnmarkAll_in_action6286);
                    a=actionUnmarkAll();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 19 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1179:4: a= actionTransfer
                    {
                    pushFollow(FOLLOW_actionTransfer_in_action6295);
                    a=actionTransfer();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 20 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1180:4: a= actionMarkOnce
                    {
                    pushFollow(FOLLOW_actionMarkOnce_in_action6304);
                    a=actionMarkOnce();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 21 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1181:4: a= actionTrie
                    {
                    pushFollow(FOLLOW_actionTrie_in_action6313);
                    a=actionTrie();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 22 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1182:4: a= actionGather
                    {
                    pushFollow(FOLLOW_actionGather_in_action6322);
                    a=actionGather();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 23 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1183:4: a= actionExec
                    {
                    pushFollow(FOLLOW_actionExec_in_action6332);
                    a=actionExec();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 24 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1184:4: a= actionMarkTable
                    {
                    pushFollow(FOLLOW_actionMarkTable_in_action6341);
                    a=actionMarkTable();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 25 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1185:4: a= actionAdd
                    {
                    pushFollow(FOLLOW_actionAdd_in_action6350);
                    a=actionAdd();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 26 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1186:4: a= actionRemove
                    {
                    pushFollow(FOLLOW_actionRemove_in_action6359);
                    a=actionRemove();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 27 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1187:4: a= actionRemoveDuplicate
                    {
                    pushFollow(FOLLOW_actionRemoveDuplicate_in_action6368);
                    a=actionRemoveDuplicate();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 28 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1188:4: a= actionMerge
                    {
                    pushFollow(FOLLOW_actionMerge_in_action6377);
                    a=actionMerge();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 29 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1189:4: a= actionGet
                    {
                    pushFollow(FOLLOW_actionGet_in_action6386);
                    a=actionGet();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 30 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1190:4: a= actionGetList
                    {
                    pushFollow(FOLLOW_actionGetList_in_action6396);
                    a=actionGetList();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 31 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1191:4: a= actionMatchedText
                    {
                    pushFollow(FOLLOW_actionMatchedText_in_action6405);
                    a=actionMatchedText();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 32 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1192:4: a= actionClear
                    {
                    pushFollow(FOLLOW_actionClear_in_action6414);
                    a=actionClear();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 33 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1193:4: a= actionShift
                    {
                    pushFollow(FOLLOW_actionShift_in_action6423);
                    a=actionShift();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 34 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1194:4: a= actionConfigure
                    {
                    pushFollow(FOLLOW_actionConfigure_in_action6432);
                    a=actionConfigure();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 35 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1195:4: a= actionDynamicAnchoring
                    {
                    pushFollow(FOLLOW_actionDynamicAnchoring_in_action6441);
                    a=actionDynamicAnchoring();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 36 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1196:4: a= actionTrim
                    {
                    pushFollow(FOLLOW_actionTrim_in_action6450);
                    a=actionTrim();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 37 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1197:4: a= actionAddFilterType
                    {
                    pushFollow(FOLLOW_actionAddFilterType_in_action6459);
                    a=actionAddFilterType();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 38 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1198:4: a= actionAddRetainType
                    {
                    pushFollow(FOLLOW_actionAddRetainType_in_action6468);
                    a=actionAddRetainType();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 39 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1199:4: a= actionRemoveFilterType
                    {
                    pushFollow(FOLLOW_actionRemoveFilterType_in_action6477);
                    a=actionRemoveFilterType();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 40 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1200:4: a= actionRemoveRetainType
                    {
                    pushFollow(FOLLOW_actionRemoveRetainType_in_action6486);
                    a=actionRemoveRetainType();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 41 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1201:4: (a= externalAction )=>a= externalAction
                    {
                    pushFollow(FOLLOW_externalAction_in_action6504);
                    a=externalAction();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;
                case 42 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1202:4: a= variableAction
                    {
                    pushFollow(FOLLOW_variableAction_in_action6513);
                    a=variableAction();

                    state._fsp--;
                    if (state.failed) return result;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              result = a;
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return result;
    }
    // $ANTLR end "action"


    // $ANTLR start "variableAction"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1207:1: variableAction returns [TextMarkerAction action = null] : id= Identifier ;
    public final TextMarkerAction variableAction() throws RecognitionException {
        TextMarkerAction action =  null;

        Token id=null;

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1208:2: (id= Identifier )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1211:3: id= Identifier
            {
            id=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableAction6544); if (state.failed) return action;
            if ( state.backtracking==0 ) {

              		action = ActionFactory.createAction(id);
              	
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "variableAction"


    // $ANTLR start "externalAction"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1217:1: externalAction returns [TextMarkerAction action = null] : {...}?id= Identifier LPAREN args= varArgumentList RPAREN ;
    public final TextMarkerAction externalAction() throws RecognitionException {
        TextMarkerAction action =  null;

        Token id=null;
        List<Expression> args = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1218:2: ({...}?id= Identifier LPAREN args= varArgumentList RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1219:2: {...}?id= Identifier LPAREN args= varArgumentList RPAREN
            {
            if ( !((isVariableOfType(input.LT(1).getText(), "ACTION"))) ) {
                if (state.backtracking>0) {state.failed=true; return action;}
                throw new FailedPredicateException(input, "externalAction", "isVariableOfType(input.LT(1).getText(), \"ACTION\")");
            }
            id=(Token)match(input,Identifier,FOLLOW_Identifier_in_externalAction6570); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_externalAction6574); if (state.failed) return action;
            pushFollow(FOLLOW_varArgumentList_in_externalAction6583);
            args=varArgumentList();

            state._fsp--;
            if (state.failed) return action;
            match(input,RPAREN,FOLLOW_RPAREN_in_externalAction6588); if (state.failed) return action;
            if ( state.backtracking==0 ) {

              		action = external.createExternalAction(id, args);
              	
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "externalAction"


    // $ANTLR start "actionCreate"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1229:1: actionCreate returns [TextMarkerAction action = null] : name= CREATE LPAREN structure= typeExpression ( COMMA (index= numberExpression ( ( COMMA index= numberExpression )=> ( COMMA index= numberExpression ) )* COMMA )? (fname= stringExpression ASSIGN_EQUAL obj1= argument ( COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument )* )? )? RPAREN ;
    public final TextMarkerAction actionCreate() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Expression structure = null;

        Expression index = null;

        Expression fname = null;

        Expression obj1 = null;



            List left = new ArrayList();
            List right = new ArrayList();
            List indexes = new ArrayList();

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1235:5: (name= CREATE LPAREN structure= typeExpression ( COMMA (index= numberExpression ( ( COMMA index= numberExpression )=> ( COMMA index= numberExpression ) )* COMMA )? (fname= stringExpression ASSIGN_EQUAL obj1= argument ( COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument )* )? )? RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1236:5: name= CREATE LPAREN structure= typeExpression ( COMMA (index= numberExpression ( ( COMMA index= numberExpression )=> ( COMMA index= numberExpression ) )* COMMA )? (fname= stringExpression ASSIGN_EQUAL obj1= argument ( COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument )* )? )? RPAREN
            {
            name=(Token)match(input,CREATE,FOLLOW_CREATE_in_actionCreate6624); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionCreate6626); if (state.failed) return action;
            pushFollow(FOLLOW_typeExpression_in_actionCreate6632);
            structure=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1237:5: ( COMMA (index= numberExpression ( ( COMMA index= numberExpression )=> ( COMMA index= numberExpression ) )* COMMA )? (fname= stringExpression ASSIGN_EQUAL obj1= argument ( COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument )* )? )?
            int alt126=2;
            int LA126_0 = input.LA(1);

            if ( (LA126_0==COMMA) ) {
                alt126=1;
            }
            switch (alt126) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1237:6: COMMA (index= numberExpression ( ( COMMA index= numberExpression )=> ( COMMA index= numberExpression ) )* COMMA )? (fname= stringExpression ASSIGN_EQUAL obj1= argument ( COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument )* )?
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_actionCreate6639); if (state.failed) return action;
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1239:5: (index= numberExpression ( ( COMMA index= numberExpression )=> ( COMMA index= numberExpression ) )* COMMA )?
                    int alt123=2;
                    alt123 = dfa123.predict(input);
                    switch (alt123) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1239:6: index= numberExpression ( ( COMMA index= numberExpression )=> ( COMMA index= numberExpression ) )* COMMA
                            {
                            pushFollow(FOLLOW_numberExpression_in_actionCreate6660);
                            index=numberExpression();

                            state._fsp--;
                            if (state.failed) return action;
                            if ( state.backtracking==0 ) {
                              indexes.add(index);
                            }
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1239:53: ( ( COMMA index= numberExpression )=> ( COMMA index= numberExpression ) )*
                            loop122:
                            do {
                                int alt122=2;
                                int LA122_0 = input.LA(1);

                                if ( (LA122_0==COMMA) ) {
                                    int LA122_1 = input.LA(2);

                                    if ( (synpred18_TextMarkerParser()) ) {
                                        alt122=1;
                                    }


                                }


                                switch (alt122) {
                            	case 1 :
                            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1239:54: ( COMMA index= numberExpression )=> ( COMMA index= numberExpression )
                            	    {
                            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1239:89: ( COMMA index= numberExpression )
                            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1239:90: COMMA index= numberExpression
                            	    {
                            	    match(input,COMMA,FOLLOW_COMMA_in_actionCreate6677); if (state.failed) return action;
                            	    pushFollow(FOLLOW_numberExpression_in_actionCreate6683);
                            	    index=numberExpression();

                            	    state._fsp--;
                            	    if (state.failed) return action;

                            	    }

                            	    if ( state.backtracking==0 ) {
                            	      indexes.add(index);
                            	    }

                            	    }
                            	    break;

                            	default :
                            	    break loop122;
                                }
                            } while (true);

                            match(input,COMMA,FOLLOW_COMMA_in_actionCreate6689); if (state.failed) return action;

                            }
                            break;

                    }

                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1241:5: (fname= stringExpression ASSIGN_EQUAL obj1= argument ( COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument )* )?
                    int alt125=2;
                    int LA125_0 = input.LA(1);

                    if ( (LA125_0==REMOVESTRING||LA125_0==StringLiteral||LA125_0==Identifier) ) {
                        alt125=1;
                    }
                    switch (alt125) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1241:6: fname= stringExpression ASSIGN_EQUAL obj1= argument ( COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument )*
                            {
                            pushFollow(FOLLOW_stringExpression_in_actionCreate6707);
                            fname=stringExpression();

                            state._fsp--;
                            if (state.failed) return action;
                            match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_actionCreate6709); if (state.failed) return action;
                            pushFollow(FOLLOW_argument_in_actionCreate6715);
                            obj1=argument();

                            state._fsp--;
                            if (state.failed) return action;
                            if ( state.backtracking==0 ) {
                              left.add(fname); right.add(obj1);
                            }
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1242:5: ( COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument )*
                            loop124:
                            do {
                                int alt124=2;
                                int LA124_0 = input.LA(1);

                                if ( (LA124_0==COMMA) ) {
                                    alt124=1;
                                }


                                switch (alt124) {
                            	case 1 :
                            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1242:6: COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument
                            	    {
                            	    match(input,COMMA,FOLLOW_COMMA_in_actionCreate6725); if (state.failed) return action;
                            	    pushFollow(FOLLOW_stringExpression_in_actionCreate6731);
                            	    fname=stringExpression();

                            	    state._fsp--;
                            	    if (state.failed) return action;
                            	    match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_actionCreate6733); if (state.failed) return action;
                            	    pushFollow(FOLLOW_argument_in_actionCreate6739);
                            	    obj1=argument();

                            	    state._fsp--;
                            	    if (state.failed) return action;
                            	    if ( state.backtracking==0 ) {
                            	      left.add(fname);right.add(obj1);
                            	    }

                            	    }
                            	    break;

                            	default :
                            	    break loop124;
                                }
                            } while (true);


                            }
                            break;

                    }


                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              action = ActionFactory.createStructureAction(name, structure, indexes, left, right);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_actionCreate6770); if (state.failed) return action;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionCreate"


    // $ANTLR start "actionMarkTable"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1250:1: actionMarkTable returns [TextMarkerAction action = null] : name= MARKTABLE LPAREN structure= typeExpression COMMA index= numberExpression COMMA table= wordTableExpression COMMA (ignoreCase= booleanExpression COMMA ignoreLength= numberExpression COMMA ignoreChar= stringExpression COMMA maxIgnoreChar= numberExpression COMMA )? key= stringExpression ASSIGN_EQUAL value= numberExpression ( COMMA key= stringExpression ASSIGN_EQUAL value= numberExpression )* RPAREN ;
    public final TextMarkerAction actionMarkTable() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Expression structure = null;

        Expression index = null;

        Expression table = null;

        Expression ignoreCase = null;

        Expression ignoreLength = null;

        Expression ignoreChar = null;

        Expression maxIgnoreChar = null;

        Expression key = null;

        Expression value = null;



            List<Expression> left = new ArrayList<Expression>();
            List<Expression> right = new ArrayList<Expression>();

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1255:5: (name= MARKTABLE LPAREN structure= typeExpression COMMA index= numberExpression COMMA table= wordTableExpression COMMA (ignoreCase= booleanExpression COMMA ignoreLength= numberExpression COMMA ignoreChar= stringExpression COMMA maxIgnoreChar= numberExpression COMMA )? key= stringExpression ASSIGN_EQUAL value= numberExpression ( COMMA key= stringExpression ASSIGN_EQUAL value= numberExpression )* RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1256:5: name= MARKTABLE LPAREN structure= typeExpression COMMA index= numberExpression COMMA table= wordTableExpression COMMA (ignoreCase= booleanExpression COMMA ignoreLength= numberExpression COMMA ignoreChar= stringExpression COMMA maxIgnoreChar= numberExpression COMMA )? key= stringExpression ASSIGN_EQUAL value= numberExpression ( COMMA key= stringExpression ASSIGN_EQUAL value= numberExpression )* RPAREN
            {
            name=(Token)match(input,MARKTABLE,FOLLOW_MARKTABLE_in_actionMarkTable6805); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionMarkTable6807); if (state.failed) return action;
            pushFollow(FOLLOW_typeExpression_in_actionMarkTable6818);
            structure=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            match(input,COMMA,FOLLOW_COMMA_in_actionMarkTable6820); if (state.failed) return action;
            pushFollow(FOLLOW_numberExpression_in_actionMarkTable6831);
            index=numberExpression();

            state._fsp--;
            if (state.failed) return action;
            match(input,COMMA,FOLLOW_COMMA_in_actionMarkTable6833); if (state.failed) return action;
            pushFollow(FOLLOW_wordTableExpression_in_actionMarkTable6843);
            table=wordTableExpression();

            state._fsp--;
            if (state.failed) return action;
            match(input,COMMA,FOLLOW_COMMA_in_actionMarkTable6850); if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1261:5: (ignoreCase= booleanExpression COMMA ignoreLength= numberExpression COMMA ignoreChar= stringExpression COMMA maxIgnoreChar= numberExpression COMMA )?
            int alt127=2;
            int LA127_0 = input.LA(1);

            if ( (LA127_0==BasicAnnotationType||(LA127_0>=XOR && LA127_0<=FALSE)||LA127_0==LPAREN) ) {
                alt127=1;
            }
            else if ( (LA127_0==Identifier) ) {
                int LA127_3 = input.LA(2);

                if ( (!((((isVariableOfType(input.LT(1).getText(), "STRINGFUNCTION"))||(isVariableOfType(input.LT(1).getText(), "STRING")))))) ) {
                    alt127=1;
                }
            }
            switch (alt127) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1261:7: ignoreCase= booleanExpression COMMA ignoreLength= numberExpression COMMA ignoreChar= stringExpression COMMA maxIgnoreChar= numberExpression COMMA
                    {
                    pushFollow(FOLLOW_booleanExpression_in_actionMarkTable6862);
                    ignoreCase=booleanExpression();

                    state._fsp--;
                    if (state.failed) return action;
                    match(input,COMMA,FOLLOW_COMMA_in_actionMarkTable6869); if (state.failed) return action;
                    pushFollow(FOLLOW_numberExpression_in_actionMarkTable6875);
                    ignoreLength=numberExpression();

                    state._fsp--;
                    if (state.failed) return action;
                    match(input,COMMA,FOLLOW_COMMA_in_actionMarkTable6882); if (state.failed) return action;
                    pushFollow(FOLLOW_stringExpression_in_actionMarkTable6888);
                    ignoreChar=stringExpression();

                    state._fsp--;
                    if (state.failed) return action;
                    match(input,COMMA,FOLLOW_COMMA_in_actionMarkTable6894); if (state.failed) return action;
                    pushFollow(FOLLOW_numberExpression_in_actionMarkTable6900);
                    maxIgnoreChar=numberExpression();

                    state._fsp--;
                    if (state.failed) return action;
                    match(input,COMMA,FOLLOW_COMMA_in_actionMarkTable6902); if (state.failed) return action;

                    }
                    break;

            }

            pushFollow(FOLLOW_stringExpression_in_actionMarkTable6915);
            key=stringExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              left.add(key);
            }
            match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_actionMarkTable6919); if (state.failed) return action;
            pushFollow(FOLLOW_numberExpression_in_actionMarkTable6925);
            value=numberExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              right.add(value);
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1266:5: ( COMMA key= stringExpression ASSIGN_EQUAL value= numberExpression )*
            loop128:
            do {
                int alt128=2;
                int LA128_0 = input.LA(1);

                if ( (LA128_0==COMMA) ) {
                    alt128=1;
                }


                switch (alt128) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1266:6: COMMA key= stringExpression ASSIGN_EQUAL value= numberExpression
            	    {
            	    match(input,COMMA,FOLLOW_COMMA_in_actionMarkTable6933); if (state.failed) return action;
            	    pushFollow(FOLLOW_stringExpression_in_actionMarkTable6939);
            	    key=stringExpression();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    if ( state.backtracking==0 ) {
            	      left.add(key);
            	    }
            	    match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_actionMarkTable6943); if (state.failed) return action;
            	    pushFollow(FOLLOW_numberExpression_in_actionMarkTable6949);
            	    value=numberExpression();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    if ( state.backtracking==0 ) {
            	      right.add(value);
            	    }

            	    }
            	    break;

            	default :
            	    break loop128;
                }
            } while (true);

            if ( state.backtracking==0 ) {

                  List<Expression> args = new ArrayList<Expression>();
                  args.add(index);
                  args.add(table);
                  	args.add(ignoreCase);
              	args.add(ignoreLength);
              	args.add(ignoreChar);
                  	args.add(maxIgnoreChar);
                  action = ActionFactory.createStructureAction(name, args, left, right, structure);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_actionMarkTable6975); if (state.failed) return action;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionMarkTable"


    // $ANTLR start "actionGather"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1281:1: actionGather returns [TextMarkerAction action = null] : name= GATHER LPAREN structure= typeExpression ( COMMA (index= numberExpression ( ( COMMA index= numberExpression )=> ( COMMA index= numberExpression ) )* COMMA )? (fname= stringExpression ASSIGN_EQUAL (obj1= numberExpression | obj2= numberListExpression ) ( COMMA fname= stringExpression ASSIGN_EQUAL (obj1= numberExpression | obj2= numberListExpression ) )* )? )? RPAREN ;
    public final TextMarkerAction actionGather() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Expression structure = null;

        Expression index = null;

        Expression fname = null;

        Expression obj1 = null;

        Expression obj2 = null;



            List left = new ArrayList();
            List right = new ArrayList();
            List indexes = new ArrayList();

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1287:5: (name= GATHER LPAREN structure= typeExpression ( COMMA (index= numberExpression ( ( COMMA index= numberExpression )=> ( COMMA index= numberExpression ) )* COMMA )? (fname= stringExpression ASSIGN_EQUAL (obj1= numberExpression | obj2= numberListExpression ) ( COMMA fname= stringExpression ASSIGN_EQUAL (obj1= numberExpression | obj2= numberListExpression ) )* )? )? RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1288:5: name= GATHER LPAREN structure= typeExpression ( COMMA (index= numberExpression ( ( COMMA index= numberExpression )=> ( COMMA index= numberExpression ) )* COMMA )? (fname= stringExpression ASSIGN_EQUAL (obj1= numberExpression | obj2= numberListExpression ) ( COMMA fname= stringExpression ASSIGN_EQUAL (obj1= numberExpression | obj2= numberListExpression ) )* )? )? RPAREN
            {
            name=(Token)match(input,GATHER,FOLLOW_GATHER_in_actionGather7009); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionGather7011); if (state.failed) return action;
            pushFollow(FOLLOW_typeExpression_in_actionGather7017);
            structure=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createStructureAction(name, structure, indexes, left, right);
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1290:5: ( COMMA (index= numberExpression ( ( COMMA index= numberExpression )=> ( COMMA index= numberExpression ) )* COMMA )? (fname= stringExpression ASSIGN_EQUAL (obj1= numberExpression | obj2= numberListExpression ) ( COMMA fname= stringExpression ASSIGN_EQUAL (obj1= numberExpression | obj2= numberListExpression ) )* )? )?
            int alt135=2;
            int LA135_0 = input.LA(1);

            if ( (LA135_0==COMMA) ) {
                alt135=1;
            }
            switch (alt135) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1290:6: COMMA (index= numberExpression ( ( COMMA index= numberExpression )=> ( COMMA index= numberExpression ) )* COMMA )? (fname= stringExpression ASSIGN_EQUAL (obj1= numberExpression | obj2= numberListExpression ) ( COMMA fname= stringExpression ASSIGN_EQUAL (obj1= numberExpression | obj2= numberListExpression ) )* )?
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_actionGather7031); if (state.failed) return action;
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1291:5: (index= numberExpression ( ( COMMA index= numberExpression )=> ( COMMA index= numberExpression ) )* COMMA )?
                    int alt130=2;
                    alt130 = dfa130.predict(input);
                    switch (alt130) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1291:6: index= numberExpression ( ( COMMA index= numberExpression )=> ( COMMA index= numberExpression ) )* COMMA
                            {
                            pushFollow(FOLLOW_numberExpression_in_actionGather7043);
                            index=numberExpression();

                            state._fsp--;
                            if (state.failed) return action;
                            if ( state.backtracking==0 ) {
                              indexes.add(index);
                            }
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1291:53: ( ( COMMA index= numberExpression )=> ( COMMA index= numberExpression ) )*
                            loop129:
                            do {
                                int alt129=2;
                                int LA129_0 = input.LA(1);

                                if ( (LA129_0==COMMA) ) {
                                    int LA129_1 = input.LA(2);

                                    if ( (synpred19_TextMarkerParser()) ) {
                                        alt129=1;
                                    }


                                }


                                switch (alt129) {
                            	case 1 :
                            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1291:54: ( COMMA index= numberExpression )=> ( COMMA index= numberExpression )
                            	    {
                            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1291:88: ( COMMA index= numberExpression )
                            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1291:89: COMMA index= numberExpression
                            	    {
                            	    match(input,COMMA,FOLLOW_COMMA_in_actionGather7059); if (state.failed) return action;
                            	    pushFollow(FOLLOW_numberExpression_in_actionGather7065);
                            	    index=numberExpression();

                            	    state._fsp--;
                            	    if (state.failed) return action;

                            	    }

                            	    if ( state.backtracking==0 ) {
                            	      indexes.add(index);
                            	    }

                            	    }
                            	    break;

                            	default :
                            	    break loop129;
                                }
                            } while (true);

                            match(input,COMMA,FOLLOW_COMMA_in_actionGather7072); if (state.failed) return action;

                            }
                            break;

                    }

                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1292:5: (fname= stringExpression ASSIGN_EQUAL (obj1= numberExpression | obj2= numberListExpression ) ( COMMA fname= stringExpression ASSIGN_EQUAL (obj1= numberExpression | obj2= numberListExpression ) )* )?
                    int alt134=2;
                    int LA134_0 = input.LA(1);

                    if ( (LA134_0==REMOVESTRING||LA134_0==StringLiteral||LA134_0==Identifier) ) {
                        alt134=1;
                    }
                    switch (alt134) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1292:6: fname= stringExpression ASSIGN_EQUAL (obj1= numberExpression | obj2= numberListExpression ) ( COMMA fname= stringExpression ASSIGN_EQUAL (obj1= numberExpression | obj2= numberListExpression ) )*
                            {
                            pushFollow(FOLLOW_stringExpression_in_actionGather7085);
                            fname=stringExpression();

                            state._fsp--;
                            if (state.failed) return action;
                            match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_actionGather7087); if (state.failed) return action;
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1292:44: (obj1= numberExpression | obj2= numberListExpression )
                            int alt131=2;
                            switch ( input.LA(1) ) {
                            case EXP:
                            case LOGN:
                            case SIN:
                            case COS:
                            case TAN:
                            case DecimalLiteral:
                            case FloatingPointLiteral:
                            case LPAREN:
                            case MINUS:
                                {
                                alt131=1;
                                }
                                break;
                            case Identifier:
                                {
                                int LA131_2 = input.LA(2);

                                if ( (((isVariableOfType(input.LT(1).getText(), "INT"))||(isVariableOfType(input.LT(1).getText(), "DOUBLE"))||(isVariableOfType(input.LT(1).getText(), "NUMBERFUNCTION"))||(isVariableOfType(input.LT(1).getText(), "FLOAT")))) ) {
                                    alt131=1;
                                }
                                else if ( (((isVariableOfType(input.LT(1).getText(), "INTLIST"))||(isVariableOfType(input.LT(1).getText(), "DOUBLELIST"))||(isVariableOfType(input.LT(1).getText(), "FLOATLIST")))) ) {
                                    alt131=2;
                                }
                                else {
                                    if (state.backtracking>0) {state.failed=true; return action;}
                                    NoViableAltException nvae =
                                        new NoViableAltException("", 131, 2, input);

                                    throw nvae;
                                }
                                }
                                break;
                            case LCURLY:
                                {
                                alt131=2;
                                }
                                break;
                            default:
                                if (state.backtracking>0) {state.failed=true; return action;}
                                NoViableAltException nvae =
                                    new NoViableAltException("", 131, 0, input);

                                throw nvae;
                            }

                            switch (alt131) {
                                case 1 :
                                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1292:45: obj1= numberExpression
                                    {
                                    pushFollow(FOLLOW_numberExpression_in_actionGather7094);
                                    obj1=numberExpression();

                                    state._fsp--;
                                    if (state.failed) return action;

                                    }
                                    break;
                                case 2 :
                                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1292:71: obj2= numberListExpression
                                    {
                                    pushFollow(FOLLOW_numberListExpression_in_actionGather7102);
                                    obj2=numberListExpression();

                                    state._fsp--;
                                    if (state.failed) return action;

                                    }
                                    break;

                            }

                            if ( state.backtracking==0 ) {
                              left.add(fname); right.add(obj1 != null? obj1 : obj2);
                            }
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1293:5: ( COMMA fname= stringExpression ASSIGN_EQUAL (obj1= numberExpression | obj2= numberListExpression ) )*
                            loop133:
                            do {
                                int alt133=2;
                                int LA133_0 = input.LA(1);

                                if ( (LA133_0==COMMA) ) {
                                    alt133=1;
                                }


                                switch (alt133) {
                            	case 1 :
                            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1293:6: COMMA fname= stringExpression ASSIGN_EQUAL (obj1= numberExpression | obj2= numberListExpression )
                            	    {
                            	    match(input,COMMA,FOLLOW_COMMA_in_actionGather7113); if (state.failed) return action;
                            	    pushFollow(FOLLOW_stringExpression_in_actionGather7119);
                            	    fname=stringExpression();

                            	    state._fsp--;
                            	    if (state.failed) return action;
                            	    match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_actionGather7121); if (state.failed) return action;
                            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1293:50: (obj1= numberExpression | obj2= numberListExpression )
                            	    int alt132=2;
                            	    switch ( input.LA(1) ) {
                            	    case EXP:
                            	    case LOGN:
                            	    case SIN:
                            	    case COS:
                            	    case TAN:
                            	    case DecimalLiteral:
                            	    case FloatingPointLiteral:
                            	    case LPAREN:
                            	    case MINUS:
                            	        {
                            	        alt132=1;
                            	        }
                            	        break;
                            	    case Identifier:
                            	        {
                            	        int LA132_2 = input.LA(2);

                            	        if ( (((isVariableOfType(input.LT(1).getText(), "INT"))||(isVariableOfType(input.LT(1).getText(), "DOUBLE"))||(isVariableOfType(input.LT(1).getText(), "NUMBERFUNCTION"))||(isVariableOfType(input.LT(1).getText(), "FLOAT")))) ) {
                            	            alt132=1;
                            	        }
                            	        else if ( (((isVariableOfType(input.LT(1).getText(), "INTLIST"))||(isVariableOfType(input.LT(1).getText(), "DOUBLELIST"))||(isVariableOfType(input.LT(1).getText(), "FLOATLIST")))) ) {
                            	            alt132=2;
                            	        }
                            	        else {
                            	            if (state.backtracking>0) {state.failed=true; return action;}
                            	            NoViableAltException nvae =
                            	                new NoViableAltException("", 132, 2, input);

                            	            throw nvae;
                            	        }
                            	        }
                            	        break;
                            	    case LCURLY:
                            	        {
                            	        alt132=2;
                            	        }
                            	        break;
                            	    default:
                            	        if (state.backtracking>0) {state.failed=true; return action;}
                            	        NoViableAltException nvae =
                            	            new NoViableAltException("", 132, 0, input);

                            	        throw nvae;
                            	    }

                            	    switch (alt132) {
                            	        case 1 :
                            	            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1293:51: obj1= numberExpression
                            	            {
                            	            pushFollow(FOLLOW_numberExpression_in_actionGather7128);
                            	            obj1=numberExpression();

                            	            state._fsp--;
                            	            if (state.failed) return action;

                            	            }
                            	            break;
                            	        case 2 :
                            	            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1293:77: obj2= numberListExpression
                            	            {
                            	            pushFollow(FOLLOW_numberListExpression_in_actionGather7136);
                            	            obj2=numberListExpression();

                            	            state._fsp--;
                            	            if (state.failed) return action;

                            	            }
                            	            break;

                            	    }

                            	    if ( state.backtracking==0 ) {
                            	      left.add(fname);right.add(obj1 != null? obj1 : obj2);
                            	    }

                            	    }
                            	    break;

                            	default :
                            	    break loop133;
                                }
                            } while (true);


                            }
                            break;

                    }


                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              action = ActionFactory.createStructureAction(name, structure, indexes, left, right);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_actionGather7168); if (state.failed) return action;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionGather"


    // $ANTLR start "actionFill"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1301:1: actionFill returns [TextMarkerAction action = null] : name= FILL LPAREN structure= typeExpression ( COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument )+ RPAREN ;
    public final TextMarkerAction actionFill() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Expression structure = null;

        Expression fname = null;

        Expression obj1 = null;



            List left = new ArrayList();
            List right = new ArrayList();

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1306:5: (name= FILL LPAREN structure= typeExpression ( COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument )+ RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1307:5: name= FILL LPAREN structure= typeExpression ( COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument )+ RPAREN
            {
            name=(Token)match(input,FILL,FOLLOW_FILL_in_actionFill7203); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionFill7205); if (state.failed) return action;
            pushFollow(FOLLOW_typeExpression_in_actionFill7211);
            structure=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createStructureAction(name, structure, null, left, right);
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1309:5: ( COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument )+
            int cnt136=0;
            loop136:
            do {
                int alt136=2;
                int LA136_0 = input.LA(1);

                if ( (LA136_0==COMMA) ) {
                    alt136=1;
                }


                switch (alt136) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1310:5: COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument
            	    {
            	    match(input,COMMA,FOLLOW_COMMA_in_actionFill7229); if (state.failed) return action;
            	    pushFollow(FOLLOW_stringExpression_in_actionFill7235);
            	    fname=stringExpression();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_actionFill7237); if (state.failed) return action;
            	    pushFollow(FOLLOW_argument_in_actionFill7247);
            	    obj1=argument();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    if ( state.backtracking==0 ) {
            	      left.add(fname); right.add(obj1);
            	    }

            	    }
            	    break;

            	default :
            	    if ( cnt136 >= 1 ) break loop136;
            	    if (state.backtracking>0) {state.failed=true; return action;}
                        EarlyExitException eee =
                            new EarlyExitException(136, input);
                        throw eee;
                }
                cnt136++;
            } while (true);

            if ( state.backtracking==0 ) {
              action = ActionFactory.createStructureAction(name, structure, null, left, right);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_actionFill7269); if (state.failed) return action;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionFill"


    // $ANTLR start "actionColor"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1318:1: actionColor returns [TextMarkerAction action = null] : name= COLOR LPAREN type= typeExpression COMMA bgcolor= stringExpression ( COMMA fgcolor= stringExpression ( COMMA selected= booleanExpression )? )? RPAREN ;
    public final TextMarkerAction actionColor() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Expression type = null;

        Expression bgcolor = null;

        Expression fgcolor = null;

        Expression selected = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1319:5: (name= COLOR LPAREN type= typeExpression COMMA bgcolor= stringExpression ( COMMA fgcolor= stringExpression ( COMMA selected= booleanExpression )? )? RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1320:5: name= COLOR LPAREN type= typeExpression COMMA bgcolor= stringExpression ( COMMA fgcolor= stringExpression ( COMMA selected= booleanExpression )? )? RPAREN
            {
            name=(Token)match(input,COLOR,FOLLOW_COLOR_in_actionColor7306); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionColor7308); if (state.failed) return action;
            pushFollow(FOLLOW_typeExpression_in_actionColor7314);
            type=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, type, bgcolor, fgcolor, selected);
            }
            match(input,COMMA,FOLLOW_COMMA_in_actionColor7328); if (state.failed) return action;
            pushFollow(FOLLOW_stringExpression_in_actionColor7339);
            bgcolor=stringExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, type, bgcolor, fgcolor, selected);
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1325:5: ( COMMA fgcolor= stringExpression ( COMMA selected= booleanExpression )? )?
            int alt138=2;
            int LA138_0 = input.LA(1);

            if ( (LA138_0==COMMA) ) {
                alt138=1;
            }
            switch (alt138) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1325:6: COMMA fgcolor= stringExpression ( COMMA selected= booleanExpression )?
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_actionColor7353); if (state.failed) return action;
                    pushFollow(FOLLOW_stringExpression_in_actionColor7363);
                    fgcolor=stringExpression();

                    state._fsp--;
                    if (state.failed) return action;
                    if ( state.backtracking==0 ) {
                      action = ActionFactory.createAction(name, type, bgcolor, fgcolor, selected);
                    }
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1328:5: ( COMMA selected= booleanExpression )?
                    int alt137=2;
                    int LA137_0 = input.LA(1);

                    if ( (LA137_0==COMMA) ) {
                        alt137=1;
                    }
                    switch (alt137) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1328:6: COMMA selected= booleanExpression
                            {
                            match(input,COMMA,FOLLOW_COMMA_in_actionColor7377); if (state.failed) return action;
                            pushFollow(FOLLOW_booleanExpression_in_actionColor7387);
                            selected=booleanExpression();

                            state._fsp--;
                            if (state.failed) return action;

                            }
                            break;

                    }


                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, type, bgcolor, fgcolor, selected);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_actionColor7403); if (state.failed) return action;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionColor"


    // $ANTLR start "actionDel"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1334:1: actionDel returns [TextMarkerAction action = null] : name= DEL ;
    public final TextMarkerAction actionDel() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1335:5: (name= DEL )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1336:5: name= DEL
            {
            name=(Token)match(input,DEL,FOLLOW_DEL_in_actionDel7435); if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, new ArrayList());
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionDel"


    // $ANTLR start "actionLog"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1340:1: actionLog returns [TextMarkerAction action = null] : name= LOG LPAREN lit= stringExpression ( COMMA log= LogLevel )? RPAREN ;
    public final TextMarkerAction actionLog() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Token log=null;
        Expression lit = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1341:5: (name= LOG LPAREN lit= stringExpression ( COMMA log= LogLevel )? RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1342:5: name= LOG LPAREN lit= stringExpression ( COMMA log= LogLevel )? RPAREN
            {
            name=(Token)match(input,LOG,FOLLOW_LOG_in_actionLog7481); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionLog7483); if (state.failed) return action;
            pushFollow(FOLLOW_stringExpression_in_actionLog7489);
            lit=stringExpression();

            state._fsp--;
            if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1342:46: ( COMMA log= LogLevel )?
            int alt139=2;
            int LA139_0 = input.LA(1);

            if ( (LA139_0==COMMA) ) {
                alt139=1;
            }
            switch (alt139) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1342:47: COMMA log= LogLevel
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_actionLog7492); if (state.failed) return action;
                    log=(Token)match(input,LogLevel,FOLLOW_LogLevel_in_actionLog7498); if (state.failed) return action;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              action = ActionFactory.createLogAction(name, lit, log);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_actionLog7514); if (state.failed) return action;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionLog"


    // $ANTLR start "actionMark"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1347:1: actionMark returns [TextMarkerAction action = null] : name= MARK LPAREN type= typeExpression ( COMMA (index= numberExpression )=>index= numberExpression )* RPAREN ;
    public final TextMarkerAction actionMark() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Expression type = null;

        Expression index = null;



        List<Expression> list = new ArrayList<Expression>();

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1351:5: (name= MARK LPAREN type= typeExpression ( COMMA (index= numberExpression )=>index= numberExpression )* RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1352:5: name= MARK LPAREN type= typeExpression ( COMMA (index= numberExpression )=>index= numberExpression )* RPAREN
            {
            name=(Token)match(input,MARK,FOLLOW_MARK_in_actionMark7552); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionMark7554); if (state.failed) return action;
            pushFollow(FOLLOW_typeExpression_in_actionMark7565);
            type=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              list.add(type);
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1355:5: ( COMMA (index= numberExpression )=>index= numberExpression )*
            loop140:
            do {
                int alt140=2;
                int LA140_0 = input.LA(1);

                if ( (LA140_0==COMMA) ) {
                    alt140=1;
                }


                switch (alt140) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1356:5: COMMA (index= numberExpression )=>index= numberExpression
            	    {
            	    match(input,COMMA,FOLLOW_COMMA_in_actionMark7583); if (state.failed) return action;
            	    pushFollow(FOLLOW_numberExpression_in_actionMark7599);
            	    index=numberExpression();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    if ( state.backtracking==0 ) {
            	      list.add(index);
            	    }

            	    }
            	    break;

            	default :
            	    break loop140;
                }
            } while (true);

            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, list);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_actionMark7621); if (state.failed) return action;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionMark"


    // $ANTLR start "actionShift"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1362:1: actionShift returns [TextMarkerAction action = null] : name= SHIFT LPAREN type= typeExpression ( COMMA (index= numberExpression )=>index= numberExpression )* RPAREN ;
    public final TextMarkerAction actionShift() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Expression type = null;

        Expression index = null;



        List<Expression> list = new ArrayList<Expression>();

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1366:5: (name= SHIFT LPAREN type= typeExpression ( COMMA (index= numberExpression )=>index= numberExpression )* RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1367:5: name= SHIFT LPAREN type= typeExpression ( COMMA (index= numberExpression )=>index= numberExpression )* RPAREN
            {
            name=(Token)match(input,SHIFT,FOLLOW_SHIFT_in_actionShift7658); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionShift7660); if (state.failed) return action;
            pushFollow(FOLLOW_typeExpression_in_actionShift7671);
            type=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              list.add(type);
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1370:5: ( COMMA (index= numberExpression )=>index= numberExpression )*
            loop141:
            do {
                int alt141=2;
                int LA141_0 = input.LA(1);

                if ( (LA141_0==COMMA) ) {
                    alt141=1;
                }


                switch (alt141) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1371:5: COMMA (index= numberExpression )=>index= numberExpression
            	    {
            	    match(input,COMMA,FOLLOW_COMMA_in_actionShift7689); if (state.failed) return action;
            	    pushFollow(FOLLOW_numberExpression_in_actionShift7705);
            	    index=numberExpression();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    if ( state.backtracking==0 ) {
            	      list.add(index);
            	    }

            	    }
            	    break;

            	default :
            	    break loop141;
                }
            } while (true);

            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, list);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_actionShift7727); if (state.failed) return action;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionShift"


    // $ANTLR start "actionMarkScore"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1377:1: actionMarkScore returns [TextMarkerAction action = null] : name= MARKSCORE LPAREN score= numberExpression COMMA type= typeExpression ( COMMA (index= numberExpression )=>index= numberExpression )* RPAREN ;
    public final TextMarkerAction actionMarkScore() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Expression score = null;

        Expression type = null;

        Expression index = null;



        List<Expression> list = new ArrayList<Expression>();

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1381:5: (name= MARKSCORE LPAREN score= numberExpression COMMA type= typeExpression ( COMMA (index= numberExpression )=>index= numberExpression )* RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1382:5: name= MARKSCORE LPAREN score= numberExpression COMMA type= typeExpression ( COMMA (index= numberExpression )=>index= numberExpression )* RPAREN
            {
            name=(Token)match(input,MARKSCORE,FOLLOW_MARKSCORE_in_actionMarkScore7764); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionMarkScore7766); if (state.failed) return action;
            pushFollow(FOLLOW_numberExpression_in_actionMarkScore7772);
            score=numberExpression();

            state._fsp--;
            if (state.failed) return action;
            match(input,COMMA,FOLLOW_COMMA_in_actionMarkScore7774); if (state.failed) return action;
            pushFollow(FOLLOW_typeExpression_in_actionMarkScore7780);
            type=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              list.add(score); list.add(type);
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1384:5: ( COMMA (index= numberExpression )=>index= numberExpression )*
            loop142:
            do {
                int alt142=2;
                int LA142_0 = input.LA(1);

                if ( (LA142_0==COMMA) ) {
                    alt142=1;
                }


                switch (alt142) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1385:5: COMMA (index= numberExpression )=>index= numberExpression
            	    {
            	    match(input,COMMA,FOLLOW_COMMA_in_actionMarkScore7798); if (state.failed) return action;
            	    pushFollow(FOLLOW_numberExpression_in_actionMarkScore7814);
            	    index=numberExpression();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    if ( state.backtracking==0 ) {
            	      list.add(index);
            	    }

            	    }
            	    break;

            	default :
            	    break loop142;
                }
            } while (true);

            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, list);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_actionMarkScore7836); if (state.failed) return action;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionMarkScore"


    // $ANTLR start "actionMarkOnce"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1391:1: actionMarkOnce returns [TextMarkerAction action = null] : name= MARKONCE LPAREN ( (score= numberExpression )=>score= numberExpression COMMA )? (type= typeExpression )=>type= typeExpression ( COMMA (index= numberExpression )=>index= numberExpression )* RPAREN ;
    public final TextMarkerAction actionMarkOnce() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Expression score = null;

        Expression type = null;

        Expression index = null;



        List<Expression> list = new ArrayList<Expression>();

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1395:5: (name= MARKONCE LPAREN ( (score= numberExpression )=>score= numberExpression COMMA )? (type= typeExpression )=>type= typeExpression ( COMMA (index= numberExpression )=>index= numberExpression )* RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1396:5: name= MARKONCE LPAREN ( (score= numberExpression )=>score= numberExpression COMMA )? (type= typeExpression )=>type= typeExpression ( COMMA (index= numberExpression )=>index= numberExpression )* RPAREN
            {
            name=(Token)match(input,MARKONCE,FOLLOW_MARKONCE_in_actionMarkOnce7873); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionMarkOnce7875); if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1396:28: ( (score= numberExpression )=>score= numberExpression COMMA )?
            int alt143=2;
            int LA143_0 = input.LA(1);

            if ( (LA143_0==MINUS) && (synpred23_TextMarkerParser())) {
                alt143=1;
            }
            else if ( (LA143_0==Identifier) ) {
                int LA143_2 = input.LA(2);

                if ( (((synpred23_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "DOUBLE")))||(synpred23_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "FLOAT")))||(synpred23_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "NUMBERFUNCTION")))||(synpred23_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "INT"))))) ) {
                    alt143=1;
                }
            }
            else if ( (LA143_0==DecimalLiteral) && (synpred23_TextMarkerParser())) {
                alt143=1;
            }
            else if ( (LA143_0==FloatingPointLiteral) && (synpred23_TextMarkerParser())) {
                alt143=1;
            }
            else if ( (LA143_0==LPAREN) && (synpred23_TextMarkerParser())) {
                alt143=1;
            }
            else if ( ((LA143_0>=EXP && LA143_0<=TAN)) && (synpred23_TextMarkerParser())) {
                alt143=1;
            }
            switch (alt143) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1396:29: (score= numberExpression )=>score= numberExpression COMMA
                    {
                    pushFollow(FOLLOW_numberExpression_in_actionMarkOnce7892);
                    score=numberExpression();

                    state._fsp--;
                    if (state.failed) return action;
                    match(input,COMMA,FOLLOW_COMMA_in_actionMarkOnce7894); if (state.failed) return action;

                    }
                    break;

            }

            pushFollow(FOLLOW_typeExpression_in_actionMarkOnce7912);
            type=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              list.add(score); list.add(type);
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1398:5: ( COMMA (index= numberExpression )=>index= numberExpression )*
            loop144:
            do {
                int alt144=2;
                int LA144_0 = input.LA(1);

                if ( (LA144_0==COMMA) ) {
                    alt144=1;
                }


                switch (alt144) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1399:5: COMMA (index= numberExpression )=>index= numberExpression
            	    {
            	    match(input,COMMA,FOLLOW_COMMA_in_actionMarkOnce7930); if (state.failed) return action;
            	    pushFollow(FOLLOW_numberExpression_in_actionMarkOnce7946);
            	    index=numberExpression();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    if ( state.backtracking==0 ) {
            	      list.add(index);
            	    }

            	    }
            	    break;

            	default :
            	    break loop144;
                }
            } while (true);

            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, list);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_actionMarkOnce7968); if (state.failed) return action;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionMarkOnce"


    // $ANTLR start "actionMarkFast"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1405:1: actionMarkFast returns [TextMarkerAction action = null] : name= MARKFAST LPAREN type= typeExpression COMMA (list1= wordListExpression | list2= stringListExpression ) ( COMMA ignore= booleanExpression ( COMMA numExpr= numberExpression ( COMMA ignoreWS= booleanExpression )? )? )? RPAREN ;
    public final TextMarkerAction actionMarkFast() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Expression type = null;

        Expression list1 = null;

        Expression list2 = null;

        Expression ignore = null;

        Expression numExpr = null;

        Expression ignoreWS = null;



         Expression list = null;

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1409:5: (name= MARKFAST LPAREN type= typeExpression COMMA (list1= wordListExpression | list2= stringListExpression ) ( COMMA ignore= booleanExpression ( COMMA numExpr= numberExpression ( COMMA ignoreWS= booleanExpression )? )? )? RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1410:5: name= MARKFAST LPAREN type= typeExpression COMMA (list1= wordListExpression | list2= stringListExpression ) ( COMMA ignore= booleanExpression ( COMMA numExpr= numberExpression ( COMMA ignoreWS= booleanExpression )? )? )? RPAREN
            {
            name=(Token)match(input,MARKFAST,FOLLOW_MARKFAST_in_actionMarkFast8005); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionMarkFast8007); if (state.failed) return action;
            pushFollow(FOLLOW_typeExpression_in_actionMarkFast8013);
            type=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, type, list, ignore, numExpr);
            }
            match(input,COMMA,FOLLOW_COMMA_in_actionMarkFast8026); if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1412:11: (list1= wordListExpression | list2= stringListExpression )
            int alt145=2;
            switch ( input.LA(1) ) {
            case Identifier:
                {
                int LA145_1 = input.LA(2);

                if ( (!(((isVariableOfType(input.LT(1).getText(), "STRINGLIST"))))) ) {
                    alt145=1;
                }
                else if ( ((isVariableOfType(input.LT(1).getText(), "STRINGLIST"))) ) {
                    alt145=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return action;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 145, 1, input);

                    throw nvae;
                }
                }
                break;
            case RessourceLiteral:
                {
                alt145=1;
                }
                break;
            case LCURLY:
                {
                alt145=2;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return action;}
                NoViableAltException nvae =
                    new NoViableAltException("", 145, 0, input);

                throw nvae;
            }

            switch (alt145) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1412:12: list1= wordListExpression
                    {
                    pushFollow(FOLLOW_wordListExpression_in_actionMarkFast8033);
                    list1=wordListExpression();

                    state._fsp--;
                    if (state.failed) return action;

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1412:41: list2= stringListExpression
                    {
                    pushFollow(FOLLOW_stringListExpression_in_actionMarkFast8041);
                    list2=stringListExpression();

                    state._fsp--;
                    if (state.failed) return action;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              list = list1 == null ? list2 : list1;
            }
            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, type, list, ignore, numExpr);
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1414:5: ( COMMA ignore= booleanExpression ( COMMA numExpr= numberExpression ( COMMA ignoreWS= booleanExpression )? )? )?
            int alt148=2;
            int LA148_0 = input.LA(1);

            if ( (LA148_0==COMMA) ) {
                alt148=1;
            }
            switch (alt148) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1414:6: COMMA ignore= booleanExpression ( COMMA numExpr= numberExpression ( COMMA ignoreWS= booleanExpression )? )?
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_actionMarkFast8057); if (state.failed) return action;
                    pushFollow(FOLLOW_booleanExpression_in_actionMarkFast8063);
                    ignore=booleanExpression();

                    state._fsp--;
                    if (state.failed) return action;
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1414:39: ( COMMA numExpr= numberExpression ( COMMA ignoreWS= booleanExpression )? )?
                    int alt147=2;
                    int LA147_0 = input.LA(1);

                    if ( (LA147_0==COMMA) ) {
                        alt147=1;
                    }
                    switch (alt147) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1414:40: COMMA numExpr= numberExpression ( COMMA ignoreWS= booleanExpression )?
                            {
                            match(input,COMMA,FOLLOW_COMMA_in_actionMarkFast8066); if (state.failed) return action;
                            pushFollow(FOLLOW_numberExpression_in_actionMarkFast8072);
                            numExpr=numberExpression();

                            state._fsp--;
                            if (state.failed) return action;
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1414:73: ( COMMA ignoreWS= booleanExpression )?
                            int alt146=2;
                            int LA146_0 = input.LA(1);

                            if ( (LA146_0==COMMA) ) {
                                alt146=1;
                            }
                            switch (alt146) {
                                case 1 :
                                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1414:74: COMMA ignoreWS= booleanExpression
                                    {
                                    match(input,COMMA,FOLLOW_COMMA_in_actionMarkFast8075); if (state.failed) return action;
                                    pushFollow(FOLLOW_booleanExpression_in_actionMarkFast8081);
                                    ignoreWS=booleanExpression();

                                    state._fsp--;
                                    if (state.failed) return action;

                                    }
                                    break;

                            }


                            }
                            break;

                    }


                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, type, list, ignore, numExpr, ignoreWS);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_actionMarkFast8101); if (state.failed) return action;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionMarkFast"


    // $ANTLR start "actionMarkLast"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1419:1: actionMarkLast returns [TextMarkerAction action = null] : name= MARKLAST LPAREN type= typeExpression RPAREN ;
    public final TextMarkerAction actionMarkLast() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Expression type = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1420:5: (name= MARKLAST LPAREN type= typeExpression RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1421:5: name= MARKLAST LPAREN type= typeExpression RPAREN
            {
            name=(Token)match(input,MARKLAST,FOLLOW_MARKLAST_in_actionMarkLast8133); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionMarkLast8135); if (state.failed) return action;
            pushFollow(FOLLOW_typeExpression_in_actionMarkLast8141);
            type=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, type);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_actionMarkLast8154); if (state.failed) return action;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionMarkLast"


    // $ANTLR start "actionReplace"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1427:1: actionReplace returns [TextMarkerAction action = null] : name= REPLACE LPAREN lit= stringExpression RPAREN ;
    public final TextMarkerAction actionReplace() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Expression lit = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1428:5: (name= REPLACE LPAREN lit= stringExpression RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1429:5: name= REPLACE LPAREN lit= stringExpression RPAREN
            {
            name=(Token)match(input,REPLACE,FOLLOW_REPLACE_in_actionReplace8187); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionReplace8189); if (state.failed) return action;
            pushFollow(FOLLOW_stringExpression_in_actionReplace8195);
            lit=stringExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, lit);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_actionReplace8208); if (state.failed) return action;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionReplace"


    // $ANTLR start "actionRetainType"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1435:1: actionRetainType returns [TextMarkerAction action = null] : name= RETAINTYPE ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN )? ;
    public final TextMarkerAction actionRetainType() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Expression id = null;



        List<Expression> list = new ArrayList<Expression>();

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1439:5: (name= RETAINTYPE ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN )? )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1440:5: name= RETAINTYPE ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN )?
            {
            name=(Token)match(input,RETAINTYPE,FOLLOW_RETAINTYPE_in_actionRetainType8254); if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1440:23: ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN )?
            int alt150=2;
            int LA150_0 = input.LA(1);

            if ( (LA150_0==LPAREN) ) {
                alt150=1;
            }
            switch (alt150) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1440:24: LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN
                    {
                    match(input,LPAREN,FOLLOW_LPAREN_in_actionRetainType8257); if (state.failed) return action;
                    pushFollow(FOLLOW_typeExpression_in_actionRetainType8263);
                    id=typeExpression();

                    state._fsp--;
                    if (state.failed) return action;
                    if ( state.backtracking==0 ) {
                      list.add(id);
                    }
                    if ( state.backtracking==0 ) {
                      action = ActionFactory.createAction(name, list);
                    }
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1442:5: ( COMMA id= typeExpression )*
                    loop149:
                    do {
                        int alt149=2;
                        int LA149_0 = input.LA(1);

                        if ( (LA149_0==COMMA) ) {
                            alt149=1;
                        }


                        switch (alt149) {
                    	case 1 :
                    	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1442:6: COMMA id= typeExpression
                    	    {
                    	    match(input,COMMA,FOLLOW_COMMA_in_actionRetainType8279); if (state.failed) return action;
                    	    pushFollow(FOLLOW_typeExpression_in_actionRetainType8285);
                    	    id=typeExpression();

                    	    state._fsp--;
                    	    if (state.failed) return action;
                    	    if ( state.backtracking==0 ) {
                    	      list.add(id);
                    	    }

                    	    }
                    	    break;

                    	default :
                    	    break loop149;
                        }
                    } while (true);

                    if ( state.backtracking==0 ) {
                      action = ActionFactory.createAction(name, list);
                    }
                    match(input,RPAREN,FOLLOW_RPAREN_in_actionRetainType8302); if (state.failed) return action;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, list);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionRetainType"


    // $ANTLR start "actionFilterType"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1449:1: actionFilterType returns [TextMarkerAction action = null] : name= FILTERTYPE ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN )? ;
    public final TextMarkerAction actionFilterType() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Expression id = null;



        List<Expression> list = new ArrayList<Expression>();

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1453:5: (name= FILTERTYPE ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN )? )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1454:5: name= FILTERTYPE ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN )?
            {
            name=(Token)match(input,FILTERTYPE,FOLLOW_FILTERTYPE_in_actionFilterType8352); if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1454:23: ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN )?
            int alt152=2;
            int LA152_0 = input.LA(1);

            if ( (LA152_0==LPAREN) ) {
                alt152=1;
            }
            switch (alt152) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1454:24: LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN
                    {
                    match(input,LPAREN,FOLLOW_LPAREN_in_actionFilterType8355); if (state.failed) return action;
                    pushFollow(FOLLOW_typeExpression_in_actionFilterType8361);
                    id=typeExpression();

                    state._fsp--;
                    if (state.failed) return action;
                    if ( state.backtracking==0 ) {
                      list.add(id);
                    }
                    if ( state.backtracking==0 ) {
                      action = ActionFactory.createAction(name, list);
                    }
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1456:5: ( COMMA id= typeExpression )*
                    loop151:
                    do {
                        int alt151=2;
                        int LA151_0 = input.LA(1);

                        if ( (LA151_0==COMMA) ) {
                            alt151=1;
                        }


                        switch (alt151) {
                    	case 1 :
                    	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1456:6: COMMA id= typeExpression
                    	    {
                    	    match(input,COMMA,FOLLOW_COMMA_in_actionFilterType8377); if (state.failed) return action;
                    	    pushFollow(FOLLOW_typeExpression_in_actionFilterType8383);
                    	    id=typeExpression();

                    	    state._fsp--;
                    	    if (state.failed) return action;
                    	    if ( state.backtracking==0 ) {
                    	      list.add(id);
                    	    }

                    	    }
                    	    break;

                    	default :
                    	    break loop151;
                        }
                    } while (true);

                    if ( state.backtracking==0 ) {
                      action = ActionFactory.createAction(name, list);
                    }
                    match(input,RPAREN,FOLLOW_RPAREN_in_actionFilterType8400); if (state.failed) return action;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, list);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionFilterType"


    // $ANTLR start "actionAddFilterType"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1462:1: actionAddFilterType returns [TextMarkerAction action = null] : name= ADDFILTERTYPE ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN ) ;
    public final TextMarkerAction actionAddFilterType() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Expression id = null;



        List<Expression> list = new ArrayList<Expression>();

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1466:5: (name= ADDFILTERTYPE ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN ) )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1467:5: name= ADDFILTERTYPE ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN )
            {
            name=(Token)match(input,ADDFILTERTYPE,FOLLOW_ADDFILTERTYPE_in_actionAddFilterType8452); if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1467:26: ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1467:27: LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN
            {
            match(input,LPAREN,FOLLOW_LPAREN_in_actionAddFilterType8455); if (state.failed) return action;
            pushFollow(FOLLOW_typeExpression_in_actionAddFilterType8461);
            id=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              list.add(id);
            }
            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, list);
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1469:5: ( COMMA id= typeExpression )*
            loop153:
            do {
                int alt153=2;
                int LA153_0 = input.LA(1);

                if ( (LA153_0==COMMA) ) {
                    alt153=1;
                }


                switch (alt153) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1469:6: COMMA id= typeExpression
            	    {
            	    match(input,COMMA,FOLLOW_COMMA_in_actionAddFilterType8477); if (state.failed) return action;
            	    pushFollow(FOLLOW_typeExpression_in_actionAddFilterType8483);
            	    id=typeExpression();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    if ( state.backtracking==0 ) {
            	      list.add(id);
            	    }

            	    }
            	    break;

            	default :
            	    break loop153;
                }
            } while (true);

            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, list);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_actionAddFilterType8500); if (state.failed) return action;

            }

            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, list);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionAddFilterType"


    // $ANTLR start "actionAddRetainType"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1475:1: actionAddRetainType returns [TextMarkerAction action = null] : name= ADDRETAINTYPE ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN ) ;
    public final TextMarkerAction actionAddRetainType() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Expression id = null;



        List<Expression> list = new ArrayList<Expression>();

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1479:5: (name= ADDRETAINTYPE ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN ) )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1480:5: name= ADDRETAINTYPE ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN )
            {
            name=(Token)match(input,ADDRETAINTYPE,FOLLOW_ADDRETAINTYPE_in_actionAddRetainType8547); if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1480:26: ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1480:27: LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN
            {
            match(input,LPAREN,FOLLOW_LPAREN_in_actionAddRetainType8550); if (state.failed) return action;
            pushFollow(FOLLOW_typeExpression_in_actionAddRetainType8556);
            id=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              list.add(id);
            }
            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, list);
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1482:5: ( COMMA id= typeExpression )*
            loop154:
            do {
                int alt154=2;
                int LA154_0 = input.LA(1);

                if ( (LA154_0==COMMA) ) {
                    alt154=1;
                }


                switch (alt154) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1482:6: COMMA id= typeExpression
            	    {
            	    match(input,COMMA,FOLLOW_COMMA_in_actionAddRetainType8572); if (state.failed) return action;
            	    pushFollow(FOLLOW_typeExpression_in_actionAddRetainType8578);
            	    id=typeExpression();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    if ( state.backtracking==0 ) {
            	      list.add(id);
            	    }

            	    }
            	    break;

            	default :
            	    break loop154;
                }
            } while (true);

            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, list);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_actionAddRetainType8595); if (state.failed) return action;

            }

            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, list);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionAddRetainType"


    // $ANTLR start "actionRemoveFilterType"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1489:1: actionRemoveFilterType returns [TextMarkerAction action = null] : name= REMOVEFILTERTYPE ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN ) ;
    public final TextMarkerAction actionRemoveFilterType() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Expression id = null;



        List<Expression> list = new ArrayList<Expression>();

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1493:5: (name= REMOVEFILTERTYPE ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN ) )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1494:5: name= REMOVEFILTERTYPE ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN )
            {
            name=(Token)match(input,REMOVEFILTERTYPE,FOLLOW_REMOVEFILTERTYPE_in_actionRemoveFilterType8643); if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1494:29: ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1494:30: LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN
            {
            match(input,LPAREN,FOLLOW_LPAREN_in_actionRemoveFilterType8646); if (state.failed) return action;
            pushFollow(FOLLOW_typeExpression_in_actionRemoveFilterType8652);
            id=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              list.add(id);
            }
            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, list);
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1496:5: ( COMMA id= typeExpression )*
            loop155:
            do {
                int alt155=2;
                int LA155_0 = input.LA(1);

                if ( (LA155_0==COMMA) ) {
                    alt155=1;
                }


                switch (alt155) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1496:6: COMMA id= typeExpression
            	    {
            	    match(input,COMMA,FOLLOW_COMMA_in_actionRemoveFilterType8668); if (state.failed) return action;
            	    pushFollow(FOLLOW_typeExpression_in_actionRemoveFilterType8674);
            	    id=typeExpression();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    if ( state.backtracking==0 ) {
            	      list.add(id);
            	    }

            	    }
            	    break;

            	default :
            	    break loop155;
                }
            } while (true);

            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, list);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_actionRemoveFilterType8691); if (state.failed) return action;

            }

            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, list);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionRemoveFilterType"


    // $ANTLR start "actionRemoveRetainType"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1502:1: actionRemoveRetainType returns [TextMarkerAction action = null] : name= REMOVERETAINTYPE ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN ) ;
    public final TextMarkerAction actionRemoveRetainType() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Expression id = null;



        List<Expression> list = new ArrayList<Expression>();

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1506:5: (name= REMOVERETAINTYPE ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN ) )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1507:5: name= REMOVERETAINTYPE ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN )
            {
            name=(Token)match(input,REMOVERETAINTYPE,FOLLOW_REMOVERETAINTYPE_in_actionRemoveRetainType8738); if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1507:29: ( LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1507:30: LPAREN id= typeExpression ( COMMA id= typeExpression )* RPAREN
            {
            match(input,LPAREN,FOLLOW_LPAREN_in_actionRemoveRetainType8741); if (state.failed) return action;
            pushFollow(FOLLOW_typeExpression_in_actionRemoveRetainType8747);
            id=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              list.add(id);
            }
            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, list);
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1509:5: ( COMMA id= typeExpression )*
            loop156:
            do {
                int alt156=2;
                int LA156_0 = input.LA(1);

                if ( (LA156_0==COMMA) ) {
                    alt156=1;
                }


                switch (alt156) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1509:6: COMMA id= typeExpression
            	    {
            	    match(input,COMMA,FOLLOW_COMMA_in_actionRemoveRetainType8763); if (state.failed) return action;
            	    pushFollow(FOLLOW_typeExpression_in_actionRemoveRetainType8769);
            	    id=typeExpression();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    if ( state.backtracking==0 ) {
            	      list.add(id);
            	    }

            	    }
            	    break;

            	default :
            	    break loop156;
                }
            } while (true);

            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, list);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_actionRemoveRetainType8786); if (state.failed) return action;

            }

            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, list);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionRemoveRetainType"


    // $ANTLR start "actionCall"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1515:1: actionCall returns [TextMarkerAction action = null] : name= CALL lp= LPAREN ns= dottedComponentReference RPAREN ;
    public final TextMarkerAction actionCall() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Token lp=null;
        ComponentReference ns = null;



        String string = "";


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1520:5: (name= CALL lp= LPAREN ns= dottedComponentReference RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1521:5: name= CALL lp= LPAREN ns= dottedComponentReference RPAREN
            {
            name=(Token)match(input,CALL,FOLLOW_CALL_in_actionCall8828); if (state.failed) return action;
            lp=(Token)match(input,LPAREN,FOLLOW_LPAREN_in_actionCall8834); if (state.failed) return action;
            if ( state.backtracking==0 ) {
                 action = ActionFactory.createCallAction(name, StatementFactory.createEmtpyComponentReference(lp));
            }
            pushFollow(FOLLOW_dottedComponentReference_in_actionCall8856);
            ns=dottedComponentReference();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
                 if(ns != null) {action = ActionFactory.createCallAction(name, ns);}
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_actionCall8870); if (state.failed) return action;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionCall"


    // $ANTLR start "actionConfigure"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1530:1: actionConfigure returns [TextMarkerAction action = null] : name= CONFIGURE lp= LPAREN ns= dottedComponentReference ( COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument ( COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument )* )? RPAREN ;
    public final TextMarkerAction actionConfigure() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Token lp=null;
        ComponentReference ns = null;

        Expression fname = null;

        Expression obj1 = null;



            List left = new ArrayList();
            List right = new ArrayList();

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1535:5: (name= CONFIGURE lp= LPAREN ns= dottedComponentReference ( COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument ( COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument )* )? RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1536:5: name= CONFIGURE lp= LPAREN ns= dottedComponentReference ( COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument ( COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument )* )? RPAREN
            {
            name=(Token)match(input,CONFIGURE,FOLLOW_CONFIGURE_in_actionConfigure8905); if (state.failed) return action;
            lp=(Token)match(input,LPAREN,FOLLOW_LPAREN_in_actionConfigure8911); if (state.failed) return action;
            if ( state.backtracking==0 ) {
                 action = ActionFactory.createConfigureAction(name, StatementFactory.createEmtpyComponentReference(lp), null , null);
            }
            pushFollow(FOLLOW_dottedComponentReference_in_actionConfigure8933);
            ns=dottedComponentReference();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
                 if(ns != null) {action = ActionFactory.createConfigureAction(name, ns, null , null);}
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1542:6: ( COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument ( COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument )* )?
            int alt158=2;
            int LA158_0 = input.LA(1);

            if ( (LA158_0==COMMA) ) {
                alt158=1;
            }
            switch (alt158) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1542:7: COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument ( COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument )*
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_actionConfigure8954); if (state.failed) return action;
                    pushFollow(FOLLOW_stringExpression_in_actionConfigure8960);
                    fname=stringExpression();

                    state._fsp--;
                    if (state.failed) return action;
                    match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_actionConfigure8962); if (state.failed) return action;
                    pushFollow(FOLLOW_argument_in_actionConfigure8968);
                    obj1=argument();

                    state._fsp--;
                    if (state.failed) return action;
                    if ( state.backtracking==0 ) {
                      left.add(fname); right.add(obj1);
                    }
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1543:5: ( COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument )*
                    loop157:
                    do {
                        int alt157=2;
                        int LA157_0 = input.LA(1);

                        if ( (LA157_0==COMMA) ) {
                            alt157=1;
                        }


                        switch (alt157) {
                    	case 1 :
                    	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1543:6: COMMA fname= stringExpression ASSIGN_EQUAL obj1= argument
                    	    {
                    	    match(input,COMMA,FOLLOW_COMMA_in_actionConfigure8978); if (state.failed) return action;
                    	    pushFollow(FOLLOW_stringExpression_in_actionConfigure8984);
                    	    fname=stringExpression();

                    	    state._fsp--;
                    	    if (state.failed) return action;
                    	    match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_actionConfigure8986); if (state.failed) return action;
                    	    pushFollow(FOLLOW_argument_in_actionConfigure8992);
                    	    obj1=argument();

                    	    state._fsp--;
                    	    if (state.failed) return action;
                    	    if ( state.backtracking==0 ) {
                    	      left.add(fname);right.add(obj1);
                    	    }

                    	    }
                    	    break;

                    	default :
                    	    break loop157;
                        }
                    } while (true);


                    }
                    break;

            }

            if ( state.backtracking==0 ) {
                 action = ActionFactory.createConfigureAction(name, ns, left , right);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_actionConfigure9016); if (state.failed) return action;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionConfigure"


    // $ANTLR start "actionExec"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1550:1: actionExec returns [TextMarkerAction action = null] : name= EXEC lp= LPAREN ns= dottedComponentReference ( COMMA tl= typeListExpression )? RPAREN ;
    public final TextMarkerAction actionExec() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Token lp=null;
        ComponentReference ns = null;

        Expression tl = null;



        String string = "";

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1554:5: (name= EXEC lp= LPAREN ns= dottedComponentReference ( COMMA tl= typeListExpression )? RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1555:5: name= EXEC lp= LPAREN ns= dottedComponentReference ( COMMA tl= typeListExpression )? RPAREN
            {
            name=(Token)match(input,EXEC,FOLLOW_EXEC_in_actionExec9051); if (state.failed) return action;
            lp=(Token)match(input,LPAREN,FOLLOW_LPAREN_in_actionExec9057); if (state.failed) return action;
            if ( state.backtracking==0 ) {
                 action = ActionFactory.createCallAction(name, StatementFactory.createEmtpyComponentReference(lp));
            }
            pushFollow(FOLLOW_dottedComponentReference_in_actionExec9075);
            ns=dottedComponentReference();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
                 if(ns != null) {action = ActionFactory.createCallAction(name, ns, null);}
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1559:6: ( COMMA tl= typeListExpression )?
            int alt159=2;
            int LA159_0 = input.LA(1);

            if ( (LA159_0==COMMA) ) {
                alt159=1;
            }
            switch (alt159) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1559:7: COMMA tl= typeListExpression
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_actionExec9091); if (state.failed) return action;
                    pushFollow(FOLLOW_typeListExpression_in_actionExec9097);
                    tl=typeListExpression();

                    state._fsp--;
                    if (state.failed) return action;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {
                 if(ns != null) {action = ActionFactory.createCallAction(name, ns, tl);}
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_actionExec9113); if (state.failed) return action;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionExec"


    // $ANTLR start "actionAssign"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1565:1: actionAssign returns [TextMarkerAction action = null] : name= ASSIGN LPAREN (id= Identifier COMMA e= argument ) RPAREN ;
    public final TextMarkerAction actionAssign() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Token id=null;
        Expression e = null;



            VariableReference ref = null;

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1569:5: (name= ASSIGN LPAREN (id= Identifier COMMA e= argument ) RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1570:5: name= ASSIGN LPAREN (id= Identifier COMMA e= argument ) RPAREN
            {
            name=(Token)match(input,ASSIGN,FOLLOW_ASSIGN_in_actionAssign9155); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionAssign9157); if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1571:5: (id= Identifier COMMA e= argument )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1571:6: id= Identifier COMMA e= argument
            {
            id=(Token)match(input,Identifier,FOLLOW_Identifier_in_actionAssign9168); if (state.failed) return action;
            if ( state.backtracking==0 ) {

                  ref = ExpressionFactory.createGenericVariableReference(id);
                  action = ActionFactory.createAction(name, ref, e);
            }
            match(input,COMMA,FOLLOW_COMMA_in_actionAssign9186); if (state.failed) return action;
            pushFollow(FOLLOW_argument_in_actionAssign9192);
            e=argument();

            state._fsp--;
            if (state.failed) return action;

            }

            match(input,RPAREN,FOLLOW_RPAREN_in_actionAssign9200); if (state.failed) return action;
            if ( state.backtracking==0 ) {

                  ref = ExpressionFactory.createGenericVariableReference(id);
                  action = ActionFactory.createAction(name, ref, e);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionAssign"


    // $ANTLR start "actionSetFeature"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1584:1: actionSetFeature returns [TextMarkerAction action = null] : name= SETFEATURE LPAREN f= stringExpression COMMA v= argument RPAREN ;
    public final TextMarkerAction actionSetFeature() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Expression f = null;

        Expression v = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1585:5: (name= SETFEATURE LPAREN f= stringExpression COMMA v= argument RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1586:5: name= SETFEATURE LPAREN f= stringExpression COMMA v= argument RPAREN
            {
            name=(Token)match(input,SETFEATURE,FOLLOW_SETFEATURE_in_actionSetFeature9237); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionSetFeature9239); if (state.failed) return action;
            pushFollow(FOLLOW_stringExpression_in_actionSetFeature9245);
            f=stringExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, f, v);
            }
            match(input,COMMA,FOLLOW_COMMA_in_actionSetFeature9259); if (state.failed) return action;
            pushFollow(FOLLOW_argument_in_actionSetFeature9265);
            v=argument();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, f, v);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_actionSetFeature9278); if (state.failed) return action;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionSetFeature"


    // $ANTLR start "actionGetFeature"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1593:1: actionGetFeature returns [TextMarkerAction action = null] : name= GETFEATURE LPAREN f= stringExpression COMMA v= variable RPAREN ;
    public final TextMarkerAction actionGetFeature() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Expression f = null;

        Expression v = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1594:5: (name= GETFEATURE LPAREN f= stringExpression COMMA v= variable RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1595:5: name= GETFEATURE LPAREN f= stringExpression COMMA v= variable RPAREN
            {
            name=(Token)match(input,GETFEATURE,FOLLOW_GETFEATURE_in_actionGetFeature9307); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionGetFeature9309); if (state.failed) return action;
            pushFollow(FOLLOW_stringExpression_in_actionGetFeature9315);
            f=stringExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, f, v);
            }
            match(input,COMMA,FOLLOW_COMMA_in_actionGetFeature9328); if (state.failed) return action;
            pushFollow(FOLLOW_variable_in_actionGetFeature9334);
            v=variable();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, f, v);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_actionGetFeature9347); if (state.failed) return action;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionGetFeature"


    // $ANTLR start "actionDynamicAnchoring"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1603:1: actionDynamicAnchoring returns [TextMarkerAction action = null] : name= DYNAMICANCHORING LPAREN active= booleanExpression ( COMMA penalty= numberExpression ( COMMA factor= numberExpression )? )? RPAREN ;
    public final TextMarkerAction actionDynamicAnchoring() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Expression active = null;

        Expression penalty = null;

        Expression factor = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1604:5: (name= DYNAMICANCHORING LPAREN active= booleanExpression ( COMMA penalty= numberExpression ( COMMA factor= numberExpression )? )? RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1605:5: name= DYNAMICANCHORING LPAREN active= booleanExpression ( COMMA penalty= numberExpression ( COMMA factor= numberExpression )? )? RPAREN
            {
            name=(Token)match(input,DYNAMICANCHORING,FOLLOW_DYNAMICANCHORING_in_actionDynamicAnchoring9377); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionDynamicAnchoring9379); if (state.failed) return action;
            pushFollow(FOLLOW_booleanExpression_in_actionDynamicAnchoring9385);
            active=booleanExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, active);
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1607:5: ( COMMA penalty= numberExpression ( COMMA factor= numberExpression )? )?
            int alt161=2;
            int LA161_0 = input.LA(1);

            if ( (LA161_0==COMMA) ) {
                alt161=1;
            }
            switch (alt161) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1607:6: COMMA penalty= numberExpression ( COMMA factor= numberExpression )?
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_actionDynamicAnchoring9400); if (state.failed) return action;
                    pushFollow(FOLLOW_numberExpression_in_actionDynamicAnchoring9406);
                    penalty=numberExpression();

                    state._fsp--;
                    if (state.failed) return action;
                    if ( state.backtracking==0 ) {
                      action = ActionFactory.createAction(name, active, penalty);
                    }
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1609:5: ( COMMA factor= numberExpression )?
                    int alt160=2;
                    int LA160_0 = input.LA(1);

                    if ( (LA160_0==COMMA) ) {
                        alt160=1;
                    }
                    switch (alt160) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1609:6: COMMA factor= numberExpression
                            {
                            match(input,COMMA,FOLLOW_COMMA_in_actionDynamicAnchoring9420); if (state.failed) return action;
                            pushFollow(FOLLOW_numberExpression_in_actionDynamicAnchoring9426);
                            factor=numberExpression();

                            state._fsp--;
                            if (state.failed) return action;

                            }
                            break;

                    }


                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, active, penalty, factor);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_actionDynamicAnchoring9443); if (state.failed) return action;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionDynamicAnchoring"


    // $ANTLR start "actionTrim"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1614:1: actionTrim returns [TextMarkerAction action = null] : name= TRIM LPAREN (t1= typeExpression ( COMMA t2= typeExpression )* | tl= typeListExpression ) RPAREN ;
    public final TextMarkerAction actionTrim() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Expression t1 = null;

        Expression t2 = null;

        Expression tl = null;



        List<Expression> list = new ArrayList<Expression>();

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1618:5: (name= TRIM LPAREN (t1= typeExpression ( COMMA t2= typeExpression )* | tl= typeListExpression ) RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1619:5: name= TRIM LPAREN (t1= typeExpression ( COMMA t2= typeExpression )* | tl= typeListExpression ) RPAREN
            {
            name=(Token)match(input,TRIM,FOLLOW_TRIM_in_actionTrim9477); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionTrim9479); if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, list);
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1621:5: (t1= typeExpression ( COMMA t2= typeExpression )* | tl= typeListExpression )
            int alt163=2;
            switch ( input.LA(1) ) {
            case Identifier:
                {
                int LA163_1 = input.LA(2);

                if ( (!(((isVariableOfType(input.LT(1).getText(), "TYPELIST"))))) ) {
                    alt163=1;
                }
                else if ( ((isVariableOfType(input.LT(1).getText(), "TYPELIST"))) ) {
                    alt163=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return action;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 163, 1, input);

                    throw nvae;
                }
                }
                break;
            case BasicAnnotationType:
                {
                alt163=1;
                }
                break;
            case LCURLY:
                {
                alt163=2;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return action;}
                NoViableAltException nvae =
                    new NoViableAltException("", 163, 0, input);

                throw nvae;
            }

            switch (alt163) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1622:5: t1= typeExpression ( COMMA t2= typeExpression )*
                    {
                    pushFollow(FOLLOW_typeExpression_in_actionTrim9501);
                    t1=typeExpression();

                    state._fsp--;
                    if (state.failed) return action;
                    if ( state.backtracking==0 ) {
                      list.add(t1); action = ActionFactory.createAction(name, list);
                    }
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1623:5: ( COMMA t2= typeExpression )*
                    loop162:
                    do {
                        int alt162=2;
                        int LA162_0 = input.LA(1);

                        if ( (LA162_0==COMMA) ) {
                            alt162=1;
                        }


                        switch (alt162) {
                    	case 1 :
                    	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1623:6: COMMA t2= typeExpression
                    	    {
                    	    match(input,COMMA,FOLLOW_COMMA_in_actionTrim9511); if (state.failed) return action;
                    	    pushFollow(FOLLOW_typeExpression_in_actionTrim9517);
                    	    t2=typeExpression();

                    	    state._fsp--;
                    	    if (state.failed) return action;
                    	    if ( state.backtracking==0 ) {
                    	      list.add(t1); action = ActionFactory.createAction(name, list);
                    	    }

                    	    }
                    	    break;

                    	default :
                    	    break loop162;
                        }
                    } while (true);


                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1625:5: tl= typeListExpression
                    {
                    pushFollow(FOLLOW_typeListExpression_in_actionTrim9537);
                    tl=typeListExpression();

                    state._fsp--;
                    if (state.failed) return action;
                    if ( state.backtracking==0 ) {
                      action = ActionFactory.createAction(name, tl);
                    }

                    }
                    break;

            }

            match(input,RPAREN,FOLLOW_RPAREN_in_actionTrim9551); if (state.failed) return action;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionTrim"


    // $ANTLR start "actionUnmark"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1631:1: actionUnmark returns [TextMarkerAction action = null] : name= UNMARK LPAREN f= typeExpression ( COMMA ( (b= booleanExpression )=>b= booleanExpression | (index= numberExpression ( COMMA index= numberExpression )* ) ) )? RPAREN ;
    public final TextMarkerAction actionUnmark() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Expression f = null;

        Expression b = null;

        Expression index = null;



        List<Expression> list = new ArrayList<Expression>();

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1635:5: (name= UNMARK LPAREN f= typeExpression ( COMMA ( (b= booleanExpression )=>b= booleanExpression | (index= numberExpression ( COMMA index= numberExpression )* ) ) )? RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1636:5: name= UNMARK LPAREN f= typeExpression ( COMMA ( (b= booleanExpression )=>b= booleanExpression | (index= numberExpression ( COMMA index= numberExpression )* ) ) )? RPAREN
            {
            name=(Token)match(input,UNMARK,FOLLOW_UNMARK_in_actionUnmark9586); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionUnmark9588); if (state.failed) return action;
            pushFollow(FOLLOW_typeExpression_in_actionUnmark9594);
            f=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, f);
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1639:5: ( COMMA ( (b= booleanExpression )=>b= booleanExpression | (index= numberExpression ( COMMA index= numberExpression )* ) ) )?
            int alt166=2;
            int LA166_0 = input.LA(1);

            if ( (LA166_0==COMMA) ) {
                alt166=1;
            }
            switch (alt166) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1639:6: COMMA ( (b= booleanExpression )=>b= booleanExpression | (index= numberExpression ( COMMA index= numberExpression )* ) )
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_actionUnmark9612); if (state.failed) return action;
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1640:5: ( (b= booleanExpression )=>b= booleanExpression | (index= numberExpression ( COMMA index= numberExpression )* ) )
                    int alt165=2;
                    alt165 = dfa165.predict(input);
                    switch (alt165) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1641:4: (b= booleanExpression )=>b= booleanExpression
                            {
                            pushFollow(FOLLOW_booleanExpression_in_actionUnmark9638);
                            b=booleanExpression();

                            state._fsp--;
                            if (state.failed) return action;
                            if ( state.backtracking==0 ) {
                              action = ActionFactory.createAction(name, f, b);
                            }

                            }
                            break;
                        case 2 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1644:4: (index= numberExpression ( COMMA index= numberExpression )* )
                            {
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1644:4: (index= numberExpression ( COMMA index= numberExpression )* )
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1645:4: index= numberExpression ( COMMA index= numberExpression )*
                            {
                            pushFollow(FOLLOW_numberExpression_in_actionUnmark9662);
                            index=numberExpression();

                            state._fsp--;
                            if (state.failed) return action;
                            if ( state.backtracking==0 ) {
                              list.add(index);
                            }
                            if ( state.backtracking==0 ) {
                              action = ActionFactory.createAction(name, f, list);
                            }
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1647:4: ( COMMA index= numberExpression )*
                            loop164:
                            do {
                                int alt164=2;
                                int LA164_0 = input.LA(1);

                                if ( (LA164_0==COMMA) ) {
                                    alt164=1;
                                }


                                switch (alt164) {
                            	case 1 :
                            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1647:5: COMMA index= numberExpression
                            	    {
                            	    match(input,COMMA,FOLLOW_COMMA_in_actionUnmark9676); if (state.failed) return action;
                            	    pushFollow(FOLLOW_numberExpression_in_actionUnmark9682);
                            	    index=numberExpression();

                            	    state._fsp--;
                            	    if (state.failed) return action;
                            	    if ( state.backtracking==0 ) {
                            	      list.add(index);
                            	    }

                            	    }
                            	    break;

                            	default :
                            	    break loop164;
                                }
                            } while (true);

                            if ( state.backtracking==0 ) {
                              action = ActionFactory.createAction(name, f, list);
                            }

                            }


                            }
                            break;

                    }


                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, f , b, list);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_actionUnmark9729); if (state.failed) return action;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionUnmark"


    // $ANTLR start "actionUnmarkAll"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1659:1: actionUnmarkAll returns [TextMarkerAction action = null] : name= UNMARKALL LPAREN f= typeExpression ( COMMA list= typeListExpression )? RPAREN ;
    public final TextMarkerAction actionUnmarkAll() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Expression f = null;

        Expression list = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1660:5: (name= UNMARKALL LPAREN f= typeExpression ( COMMA list= typeListExpression )? RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1661:5: name= UNMARKALL LPAREN f= typeExpression ( COMMA list= typeListExpression )? RPAREN
            {
            name=(Token)match(input,UNMARKALL,FOLLOW_UNMARKALL_in_actionUnmarkAll9760); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionUnmarkAll9762); if (state.failed) return action;
            pushFollow(FOLLOW_typeExpression_in_actionUnmarkAll9768);
            f=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, f, list);
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1663:5: ( COMMA list= typeListExpression )?
            int alt167=2;
            int LA167_0 = input.LA(1);

            if ( (LA167_0==COMMA) ) {
                alt167=1;
            }
            switch (alt167) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1663:6: COMMA list= typeListExpression
                    {
                    match(input,COMMA,FOLLOW_COMMA_in_actionUnmarkAll9782); if (state.failed) return action;
                    pushFollow(FOLLOW_typeListExpression_in_actionUnmarkAll9788);
                    list=typeListExpression();

                    state._fsp--;
                    if (state.failed) return action;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, f, list);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_actionUnmarkAll9803); if (state.failed) return action;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionUnmarkAll"


    // $ANTLR start "actionTransfer"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1671:1: actionTransfer returns [TextMarkerAction action = null] : name= TRANSFER LPAREN f= typeExpression RPAREN ;
    public final TextMarkerAction actionTransfer() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Expression f = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1672:5: (name= TRANSFER LPAREN f= typeExpression RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1673:5: name= TRANSFER LPAREN f= typeExpression RPAREN
            {
            name=(Token)match(input,TRANSFER,FOLLOW_TRANSFER_in_actionTransfer9835); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionTransfer9837); if (state.failed) return action;
            pushFollow(FOLLOW_typeExpression_in_actionTransfer9843);
            f=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, f);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_actionTransfer9856); if (state.failed) return action;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionTransfer"


    // $ANTLR start "actionTrie"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1678:1: actionTrie returns [TextMarkerAction action = null] : name= TRIE LPAREN key= stringExpression ASSIGN_EQUAL value= typeExpression ( COMMA key= stringExpression ASSIGN_EQUAL value= typeExpression )* COMMA list= wordListExpression COMMA ignoreCase= booleanExpression COMMA ignoreLength= numberExpression COMMA edit= booleanExpression COMMA distance= numberExpression COMMA ignoreChar= stringExpression RPAREN ;
    public final TextMarkerAction actionTrie() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Expression key = null;

        Expression value = null;

        Expression list = null;

        Expression ignoreCase = null;

        Expression ignoreLength = null;

        Expression edit = null;

        Expression distance = null;

        Expression ignoreChar = null;



        Map<Expression, Expression> map = new HashMap<Expression, Expression>();
        List<Expression> left = new ArrayList<Expression>();
        List<Expression> right = new ArrayList<Expression>();

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1684:5: (name= TRIE LPAREN key= stringExpression ASSIGN_EQUAL value= typeExpression ( COMMA key= stringExpression ASSIGN_EQUAL value= typeExpression )* COMMA list= wordListExpression COMMA ignoreCase= booleanExpression COMMA ignoreLength= numberExpression COMMA edit= booleanExpression COMMA distance= numberExpression COMMA ignoreChar= stringExpression RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1685:5: name= TRIE LPAREN key= stringExpression ASSIGN_EQUAL value= typeExpression ( COMMA key= stringExpression ASSIGN_EQUAL value= typeExpression )* COMMA list= wordListExpression COMMA ignoreCase= booleanExpression COMMA ignoreLength= numberExpression COMMA edit= booleanExpression COMMA distance= numberExpression COMMA ignoreChar= stringExpression RPAREN
            {
            name=(Token)match(input,TRIE,FOLLOW_TRIE_in_actionTrie9894); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionTrie9896); if (state.failed) return action;
            pushFollow(FOLLOW_stringExpression_in_actionTrie9910);
            key=stringExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              left.add(key);
            }
            match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_actionTrie9913); if (state.failed) return action;
            pushFollow(FOLLOW_typeExpression_in_actionTrie9928);
            value=typeExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              right.add(value);
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1688:9: ( COMMA key= stringExpression ASSIGN_EQUAL value= typeExpression )*
            loop168:
            do {
                int alt168=2;
                int LA168_0 = input.LA(1);

                if ( (LA168_0==COMMA) ) {
                    int LA168_1 = input.LA(2);

                    if ( (LA168_1==REMOVESTRING||LA168_1==StringLiteral) ) {
                        alt168=1;
                    }
                    else if ( (LA168_1==Identifier) ) {
                        int LA168_3 = input.LA(3);

                        if ( (LA168_3==LPAREN||LA168_3==PLUS||LA168_3==ASSIGN_EQUAL) ) {
                            alt168=1;
                        }


                    }


                }


                switch (alt168) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1688:10: COMMA key= stringExpression ASSIGN_EQUAL value= typeExpression
            	    {
            	    match(input,COMMA,FOLLOW_COMMA_in_actionTrie9941); if (state.failed) return action;
            	    pushFollow(FOLLOW_stringExpression_in_actionTrie9947);
            	    key=stringExpression();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    if ( state.backtracking==0 ) {
            	      left.add(key);
            	    }
            	    match(input,ASSIGN_EQUAL,FOLLOW_ASSIGN_EQUAL_in_actionTrie9951); if (state.failed) return action;
            	    pushFollow(FOLLOW_typeExpression_in_actionTrie9966);
            	    value=typeExpression();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    if ( state.backtracking==0 ) {
            	      right.add(value);
            	    }

            	    }
            	    break;

            	default :
            	    break loop168;
                }
            } while (true);

            match(input,COMMA,FOLLOW_COMMA_in_actionTrie9980); if (state.failed) return action;
            pushFollow(FOLLOW_wordListExpression_in_actionTrie9986);
            list=wordListExpression();

            state._fsp--;
            if (state.failed) return action;
            match(input,COMMA,FOLLOW_COMMA_in_actionTrie10002); if (state.failed) return action;
            pushFollow(FOLLOW_booleanExpression_in_actionTrie10008);
            ignoreCase=booleanExpression();

            state._fsp--;
            if (state.failed) return action;
            match(input,COMMA,FOLLOW_COMMA_in_actionTrie10015); if (state.failed) return action;
            pushFollow(FOLLOW_numberExpression_in_actionTrie10021);
            ignoreLength=numberExpression();

            state._fsp--;
            if (state.failed) return action;
            match(input,COMMA,FOLLOW_COMMA_in_actionTrie10028); if (state.failed) return action;
            pushFollow(FOLLOW_booleanExpression_in_actionTrie10034);
            edit=booleanExpression();

            state._fsp--;
            if (state.failed) return action;
            match(input,COMMA,FOLLOW_COMMA_in_actionTrie10041); if (state.failed) return action;
            pushFollow(FOLLOW_numberExpression_in_actionTrie10047);
            distance=numberExpression();

            state._fsp--;
            if (state.failed) return action;
            match(input,COMMA,FOLLOW_COMMA_in_actionTrie10054); if (state.failed) return action;
            pushFollow(FOLLOW_stringExpression_in_actionTrie10060);
            ignoreChar=stringExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {

                  List<Expression> args = new ArrayList<Expression>();
                  	args.add(ignoreCase);
              	args.add(ignoreLength);
              	args.add(edit);
              	args.add(distance);
              	args.add(ignoreChar);
                  
                  action = ActionFactory.createStructureAction(name, args, left, right, list);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_actionTrie10083); if (state.failed) return action;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionTrie"


    // $ANTLR start "actionAdd"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1712:1: actionAdd returns [TextMarkerAction action = null] : name= ADD LPAREN f= listVariable ( COMMA a= argument )+ RPAREN ;
    public final TextMarkerAction actionAdd() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Expression f = null;

        Expression a = null;



        	List<Expression> list = new ArrayList<Expression>();

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1716:5: (name= ADD LPAREN f= listVariable ( COMMA a= argument )+ RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1717:5: name= ADD LPAREN f= listVariable ( COMMA a= argument )+ RPAREN
            {
            name=(Token)match(input,ADD,FOLLOW_ADD_in_actionAdd10121); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionAdd10123); if (state.failed) return action;
            pushFollow(FOLLOW_listVariable_in_actionAdd10129);
            f=listVariable();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, f, list);
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1719:5: ( COMMA a= argument )+
            int cnt169=0;
            loop169:
            do {
                int alt169=2;
                int LA169_0 = input.LA(1);

                if ( (LA169_0==COMMA) ) {
                    alt169=1;
                }


                switch (alt169) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1719:6: COMMA a= argument
            	    {
            	    match(input,COMMA,FOLLOW_COMMA_in_actionAdd10143); if (state.failed) return action;
            	    pushFollow(FOLLOW_argument_in_actionAdd10149);
            	    a=argument();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    if ( state.backtracking==0 ) {
            	      list.add(a);
            	    }

            	    }
            	    break;

            	default :
            	    if ( cnt169 >= 1 ) break loop169;
            	    if (state.backtracking>0) {state.failed=true; return action;}
                        EarlyExitException eee =
                            new EarlyExitException(169, input);
                        throw eee;
                }
                cnt169++;
            } while (true);

            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, f, list);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_actionAdd10166); if (state.failed) return action;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionAdd"


    // $ANTLR start "actionRemove"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1724:1: actionRemove returns [TextMarkerAction action = null] : name= REMOVE LPAREN f= listVariable ( COMMA a= argument )+ RPAREN ;
    public final TextMarkerAction actionRemove() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Expression f = null;

        Expression a = null;



        	List<Expression> list = new ArrayList<Expression>();

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1728:5: (name= REMOVE LPAREN f= listVariable ( COMMA a= argument )+ RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1729:5: name= REMOVE LPAREN f= listVariable ( COMMA a= argument )+ RPAREN
            {
            name=(Token)match(input,REMOVE,FOLLOW_REMOVE_in_actionRemove10200); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionRemove10202); if (state.failed) return action;
            pushFollow(FOLLOW_listVariable_in_actionRemove10208);
            f=listVariable();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, f, list);
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1731:5: ( COMMA a= argument )+
            int cnt170=0;
            loop170:
            do {
                int alt170=2;
                int LA170_0 = input.LA(1);

                if ( (LA170_0==COMMA) ) {
                    alt170=1;
                }


                switch (alt170) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1731:6: COMMA a= argument
            	    {
            	    match(input,COMMA,FOLLOW_COMMA_in_actionRemove10222); if (state.failed) return action;
            	    pushFollow(FOLLOW_argument_in_actionRemove10228);
            	    a=argument();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    if ( state.backtracking==0 ) {
            	      list.add(a);
            	    }

            	    }
            	    break;

            	default :
            	    if ( cnt170 >= 1 ) break loop170;
            	    if (state.backtracking>0) {state.failed=true; return action;}
                        EarlyExitException eee =
                            new EarlyExitException(170, input);
                        throw eee;
                }
                cnt170++;
            } while (true);

            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, f, list);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_actionRemove10245); if (state.failed) return action;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionRemove"


    // $ANTLR start "actionRemoveDuplicate"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1737:1: actionRemoveDuplicate returns [TextMarkerAction action = null] : name= REMOVEDUPLICATE LPAREN f= listVariable RPAREN ;
    public final TextMarkerAction actionRemoveDuplicate() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Expression f = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1738:5: (name= REMOVEDUPLICATE LPAREN f= listVariable RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1739:5: name= REMOVEDUPLICATE LPAREN f= listVariable RPAREN
            {
            name=(Token)match(input,REMOVEDUPLICATE,FOLLOW_REMOVEDUPLICATE_in_actionRemoveDuplicate10275); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionRemoveDuplicate10277); if (state.failed) return action;
            pushFollow(FOLLOW_listVariable_in_actionRemoveDuplicate10283);
            f=listVariable();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, f);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_actionRemoveDuplicate10296); if (state.failed) return action;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionRemoveDuplicate"


    // $ANTLR start "actionMerge"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1744:1: actionMerge returns [TextMarkerAction action = null] : name= MERGE LPAREN join= booleanExpression COMMA t= listVariable COMMA f= listExpression ( COMMA f= listExpression )+ RPAREN ;
    public final TextMarkerAction actionMerge() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Expression join = null;

        Expression t = null;

        Expression f = null;



        	List<Expression> list = new ArrayList<Expression>();

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1748:5: (name= MERGE LPAREN join= booleanExpression COMMA t= listVariable COMMA f= listExpression ( COMMA f= listExpression )+ RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1749:5: name= MERGE LPAREN join= booleanExpression COMMA t= listVariable COMMA f= listExpression ( COMMA f= listExpression )+ RPAREN
            {
            name=(Token)match(input,MERGE,FOLLOW_MERGE_in_actionMerge10333); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionMerge10335); if (state.failed) return action;
            pushFollow(FOLLOW_booleanExpression_in_actionMerge10341);
            join=booleanExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, join, t, list);
            }
            match(input,COMMA,FOLLOW_COMMA_in_actionMerge10355); if (state.failed) return action;
            pushFollow(FOLLOW_listVariable_in_actionMerge10361);
            t=listVariable();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, join, t, list);
            }
            match(input,COMMA,FOLLOW_COMMA_in_actionMerge10375); if (state.failed) return action;
            pushFollow(FOLLOW_listExpression_in_actionMerge10381);
            f=listExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              list.add(f);
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1754:5: ( COMMA f= listExpression )+
            int cnt171=0;
            loop171:
            do {
                int alt171=2;
                int LA171_0 = input.LA(1);

                if ( (LA171_0==COMMA) ) {
                    alt171=1;
                }


                switch (alt171) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1754:6: COMMA f= listExpression
            	    {
            	    match(input,COMMA,FOLLOW_COMMA_in_actionMerge10391); if (state.failed) return action;
            	    pushFollow(FOLLOW_listExpression_in_actionMerge10397);
            	    f=listExpression();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    if ( state.backtracking==0 ) {
            	      list.add(f);
            	    }

            	    }
            	    break;

            	default :
            	    if ( cnt171 >= 1 ) break loop171;
            	    if (state.backtracking>0) {state.failed=true; return action;}
                        EarlyExitException eee =
                            new EarlyExitException(171, input);
                        throw eee;
                }
                cnt171++;
            } while (true);

            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, join, t, list);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_actionMerge10414); if (state.failed) return action;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionMerge"


    // $ANTLR start "actionGet"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1759:1: actionGet returns [TextMarkerAction action = null] : name= GET LPAREN f= listExpression COMMA var= variable COMMA op= stringExpression RPAREN ;
    public final TextMarkerAction actionGet() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Expression f = null;

        Expression var = null;

        Expression op = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1760:5: (name= GET LPAREN f= listExpression COMMA var= variable COMMA op= stringExpression RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1761:5: name= GET LPAREN f= listExpression COMMA var= variable COMMA op= stringExpression RPAREN
            {
            name=(Token)match(input,GET,FOLLOW_GET_in_actionGet10443); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionGet10445); if (state.failed) return action;
            pushFollow(FOLLOW_listExpression_in_actionGet10451);
            f=listExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, f, var, op);
            }
            match(input,COMMA,FOLLOW_COMMA_in_actionGet10464); if (state.failed) return action;
            pushFollow(FOLLOW_variable_in_actionGet10470);
            var=variable();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, f, var, op);
            }
            match(input,COMMA,FOLLOW_COMMA_in_actionGet10483); if (state.failed) return action;
            pushFollow(FOLLOW_stringExpression_in_actionGet10489);
            op=stringExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, f, var, op);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_actionGet10502); if (state.failed) return action;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionGet"


    // $ANTLR start "actionGetList"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1771:1: actionGetList returns [TextMarkerAction action = null] : name= GETLIST LPAREN var= listVariable COMMA op= stringExpression RPAREN ;
    public final TextMarkerAction actionGetList() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Expression var = null;

        Expression op = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1772:5: (name= GETLIST LPAREN var= listVariable COMMA op= stringExpression RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1773:5: name= GETLIST LPAREN var= listVariable COMMA op= stringExpression RPAREN
            {
            name=(Token)match(input,GETLIST,FOLLOW_GETLIST_in_actionGetList10532); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionGetList10534); if (state.failed) return action;
            pushFollow(FOLLOW_listVariable_in_actionGetList10540);
            var=listVariable();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, var, op);
            }
            match(input,COMMA,FOLLOW_COMMA_in_actionGetList10553); if (state.failed) return action;
            pushFollow(FOLLOW_stringExpression_in_actionGetList10559);
            op=stringExpression();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, var, op);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_actionGetList10572); if (state.failed) return action;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionGetList"


    // $ANTLR start "actionMatchedText"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1780:1: actionMatchedText returns [TextMarkerAction action = null] : name= MATCHEDTEXT LPAREN var= variable ( COMMA index= numberExpression )* RPAREN ;
    public final TextMarkerAction actionMatchedText() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Expression var = null;

        Expression index = null;



        List<Expression> list = new ArrayList<Expression>();

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1784:5: (name= MATCHEDTEXT LPAREN var= variable ( COMMA index= numberExpression )* RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1785:5: name= MATCHEDTEXT LPAREN var= variable ( COMMA index= numberExpression )* RPAREN
            {
            name=(Token)match(input,MATCHEDTEXT,FOLLOW_MATCHEDTEXT_in_actionMatchedText10609); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionMatchedText10611); if (state.failed) return action;
            pushFollow(FOLLOW_variable_in_actionMatchedText10622);
            var=variable();

            state._fsp--;
            if (state.failed) return action;
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1787:5: ( COMMA index= numberExpression )*
            loop172:
            do {
                int alt172=2;
                int LA172_0 = input.LA(1);

                if ( (LA172_0==COMMA) ) {
                    alt172=1;
                }


                switch (alt172) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1788:5: COMMA index= numberExpression
            	    {
            	    match(input,COMMA,FOLLOW_COMMA_in_actionMatchedText10634); if (state.failed) return action;
            	    pushFollow(FOLLOW_numberExpression_in_actionMatchedText10640);
            	    index=numberExpression();

            	    state._fsp--;
            	    if (state.failed) return action;
            	    if ( state.backtracking==0 ) {
            	      list.add(index);
            	    }

            	    }
            	    break;

            	default :
            	    break loop172;
                }
            } while (true);

            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, var, list);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_actionMatchedText10662); if (state.failed) return action;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionMatchedText"


    // $ANTLR start "actionClear"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1794:1: actionClear returns [TextMarkerAction action = null] : name= CLEAR LPAREN var= listVariable RPAREN ;
    public final TextMarkerAction actionClear() throws RecognitionException {
        TextMarkerAction action =  null;

        Token name=null;
        Expression var = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1795:5: (name= CLEAR LPAREN var= listVariable RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1796:5: name= CLEAR LPAREN var= listVariable RPAREN
            {
            name=(Token)match(input,CLEAR,FOLLOW_CLEAR_in_actionClear10695); if (state.failed) return action;
            match(input,LPAREN,FOLLOW_LPAREN_in_actionClear10697); if (state.failed) return action;
            pushFollow(FOLLOW_listVariable_in_actionClear10703);
            var=listVariable();

            state._fsp--;
            if (state.failed) return action;
            if ( state.backtracking==0 ) {
              action = ActionFactory.createAction(name, var);
            }
            match(input,RPAREN,FOLLOW_RPAREN_in_actionClear10716); if (state.failed) return action;

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return action;
    }
    // $ANTLR end "actionClear"


    // $ANTLR start "varArgumentList"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1803:1: varArgumentList returns [List<Expression> args = new ArrayList<Expression>()] : ( LPAREN arg= argument ( COMMA arg= argument )* RPAREN )? ;
    public final List<Expression> varArgumentList() throws RecognitionException {
        List<Expression> args =  new ArrayList<Expression>();

        Expression arg = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1804:2: ( ( LPAREN arg= argument ( COMMA arg= argument )* RPAREN )? )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1805:2: ( LPAREN arg= argument ( COMMA arg= argument )* RPAREN )?
            {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1805:2: ( LPAREN arg= argument ( COMMA arg= argument )* RPAREN )?
            int alt174=2;
            int LA174_0 = input.LA(1);

            if ( (LA174_0==LPAREN) ) {
                alt174=1;
            }
            switch (alt174) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1805:3: LPAREN arg= argument ( COMMA arg= argument )* RPAREN
                    {
                    match(input,LPAREN,FOLLOW_LPAREN_in_varArgumentList10738); if (state.failed) return args;
                    pushFollow(FOLLOW_argument_in_varArgumentList10744);
                    arg=argument();

                    state._fsp--;
                    if (state.failed) return args;
                    if ( state.backtracking==0 ) {
                      args.add(arg);
                    }
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1805:42: ( COMMA arg= argument )*
                    loop173:
                    do {
                        int alt173=2;
                        int LA173_0 = input.LA(1);

                        if ( (LA173_0==COMMA) ) {
                            alt173=1;
                        }


                        switch (alt173) {
                    	case 1 :
                    	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1805:43: COMMA arg= argument
                    	    {
                    	    match(input,COMMA,FOLLOW_COMMA_in_varArgumentList10749); if (state.failed) return args;
                    	    pushFollow(FOLLOW_argument_in_varArgumentList10755);
                    	    arg=argument();

                    	    state._fsp--;
                    	    if (state.failed) return args;
                    	    if ( state.backtracking==0 ) {
                    	      args.add(arg);
                    	    }

                    	    }
                    	    break;

                    	default :
                    	    break loop173;
                        }
                    } while (true);

                    match(input,RPAREN,FOLLOW_RPAREN_in_varArgumentList10761); if (state.failed) return args;

                    }
                    break;

            }


            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return args;
    }
    // $ANTLR end "varArgumentList"


    // $ANTLR start "argument"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1809:1: argument returns [Expression expr = null] options {backtrack=true; } : (a4= stringExpression | a2= booleanExpression | a3= numberExpression | a1= typeExpression );
    public final Expression argument() throws RecognitionException {
        Expression expr =  null;

        Expression a4 = null;

        Expression a2 = null;

        Expression a3 = null;

        Expression a1 = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1813:2: (a4= stringExpression | a2= booleanExpression | a3= numberExpression | a1= typeExpression )
            int alt175=4;
            alt175 = dfa175.predict(input);
            switch (alt175) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1814:3: a4= stringExpression
                    {
                    pushFollow(FOLLOW_stringExpression_in_argument10798);
                    a4=stringExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = a4;
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1815:4: a2= booleanExpression
                    {
                    pushFollow(FOLLOW_booleanExpression_in_argument10809);
                    a2=booleanExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = a2;
                    }

                    }
                    break;
                case 3 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1816:4: a3= numberExpression
                    {
                    pushFollow(FOLLOW_numberExpression_in_argument10820);
                    a3=numberExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = a3;
                    }

                    }
                    break;
                case 4 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1817:4: a1= typeExpression
                    {
                    pushFollow(FOLLOW_typeExpression_in_argument10831);
                    a1=typeExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = a1;
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "argument"


    // $ANTLR start "dottedIdentifier"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1828:1: dottedIdentifier returns [String idString = \"\"] : id= Identifier (dot= DOT idn= Identifier )* ;
    public final String dottedIdentifier() throws RecognitionException {
        String idString =  "";

        Token id=null;
        Token dot=null;
        Token idn=null;

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1829:2: (id= Identifier (dot= DOT idn= Identifier )* )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1830:2: id= Identifier (dot= DOT idn= Identifier )*
            {
            id=(Token)match(input,Identifier,FOLLOW_Identifier_in_dottedIdentifier10868); if (state.failed) return idString;
            if ( state.backtracking==0 ) {
              idString += id.getText();
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1831:2: (dot= DOT idn= Identifier )*
            loop176:
            do {
                int alt176=2;
                int LA176_0 = input.LA(1);

                if ( (LA176_0==DOT) ) {
                    alt176=1;
                }


                switch (alt176) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1832:3: dot= DOT idn= Identifier
            	    {
            	    dot=(Token)match(input,DOT,FOLLOW_DOT_in_dottedIdentifier10881); if (state.failed) return idString;
            	    if ( state.backtracking==0 ) {
            	      idString += dot.getText();
            	    }
            	    idn=(Token)match(input,Identifier,FOLLOW_Identifier_in_dottedIdentifier10891); if (state.failed) return idString;
            	    if ( state.backtracking==0 ) {
            	      idString += idn.getText();
            	    }

            	    }
            	    break;

            	default :
            	    break loop176;
                }
            } while (true);


            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return idString;
    }
    // $ANTLR end "dottedIdentifier"


    // $ANTLR start "dottedId"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1838:1: dottedId returns [Token token = null ] : id= Identifier (dot= DOT id= Identifier )* ;
    public final Token dottedId() throws RecognitionException {
        Token token =  null;

        Token id=null;
        Token dot=null;

        CommonToken ct = null;
        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1840:2: (id= Identifier (dot= DOT id= Identifier )* )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1841:2: id= Identifier (dot= DOT id= Identifier )*
            {
            id=(Token)match(input,Identifier,FOLLOW_Identifier_in_dottedId10923); if (state.failed) return token;
            if ( state.backtracking==0 ) {

              		ct = new CommonToken(id);
              		
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1844:2: (dot= DOT id= Identifier )*
            loop177:
            do {
                int alt177=2;
                int LA177_0 = input.LA(1);

                if ( (LA177_0==DOT) ) {
                    alt177=1;
                }


                switch (alt177) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1845:3: dot= DOT id= Identifier
            	    {
            	    dot=(Token)match(input,DOT,FOLLOW_DOT_in_dottedId10936); if (state.failed) return token;
            	    if ( state.backtracking==0 ) {
            	      ct.setText(ct.getText() + dot.getText());
            	    }
            	    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_dottedId10946); if (state.failed) return token;
            	    if ( state.backtracking==0 ) {
            	      ct.setStopIndex(getBounds(id)[1]);
            	      		                 ct.setText(ct.getText() + id.getText());
            	    }

            	    }
            	    break;

            	default :
            	    break loop177;
                }
            } while (true);

            if ( state.backtracking==0 ) {
              token = ct;
              	 return token;
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return token;
    }
    // $ANTLR end "dottedId"


    // $ANTLR start "dottedComponentReference"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1854:1: dottedComponentReference returns [ComponentReference ref = null ] : id= Identifier (dot= ( DOT | MINUS ) id= Identifier )* ;
    public final ComponentReference dottedComponentReference() throws RecognitionException {
        ComponentReference ref =  null;

        Token id=null;
        Token dot=null;

        CommonToken ct = null;
        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1856:2: (id= Identifier (dot= ( DOT | MINUS ) id= Identifier )* )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1857:2: id= Identifier (dot= ( DOT | MINUS ) id= Identifier )*
            {
            id=(Token)match(input,Identifier,FOLLOW_Identifier_in_dottedComponentReference10981); if (state.failed) return ref;
            if ( state.backtracking==0 ) {

              		ct = new CommonToken(id);
              		//if (ct.getText().equals("<missing Identifier>")) {
              	        //    CommonTokenStream cts = (CommonTokenStream) input;
              	        //    Token lt = cts.LT(1);
              	        //    ct = new CommonToken(lt);
              	        //  }
              		
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1865:2: (dot= ( DOT | MINUS ) id= Identifier )*
            loop178:
            do {
                int alt178=2;
                int LA178_0 = input.LA(1);

                if ( (LA178_0==DOT||LA178_0==MINUS) ) {
                    alt178=1;
                }


                switch (alt178) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1866:3: dot= ( DOT | MINUS ) id= Identifier
            	    {
            	    dot=(Token)input.LT(1);
            	    if ( input.LA(1)==DOT||input.LA(1)==MINUS ) {
            	        input.consume();
            	        state.errorRecovery=false;state.failed=false;
            	    }
            	    else {
            	        if (state.backtracking>0) {state.failed=true; return ref;}
            	        MismatchedSetException mse = new MismatchedSetException(null,input);
            	        throw mse;
            	    }

            	    if ( state.backtracking==0 ) {
            	      ct.setText(ct.getText() + dot.getText());
            	    }
            	    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_dottedComponentReference11010); if (state.failed) return ref;
            	    if ( state.backtracking==0 ) {
            	      ct.setStopIndex(getBounds(id)[1]);
            	      		                 ct.setText(ct.getText() + id.getText());
            	    }

            	    }
            	    break;

            	default :
            	    break loop178;
                }
            } while (true);

            if ( state.backtracking==0 ) {

              	 if (!ct.getText().equals("<missing Identifier>")) ref = StatementFactory.createComponentReference(ct);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return ref;
    }
    // $ANTLR end "dottedComponentReference"


    // $ANTLR start "dottedComponentDeclaration"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1874:1: dottedComponentDeclaration returns [ComponentDeclaration ref = null ] : id= Identifier (dot= ( DOT | MINUS ) id= Identifier )* ;
    public final ComponentDeclaration dottedComponentDeclaration() throws RecognitionException {
        ComponentDeclaration ref =  null;

        Token id=null;
        Token dot=null;

        CommonToken ct = null;
        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1876:2: (id= Identifier (dot= ( DOT | MINUS ) id= Identifier )* )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1877:2: id= Identifier (dot= ( DOT | MINUS ) id= Identifier )*
            {
            id=(Token)match(input,Identifier,FOLLOW_Identifier_in_dottedComponentDeclaration11044); if (state.failed) return ref;
            if ( state.backtracking==0 ) {

              		ct = new CommonToken(id);
              		
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1880:2: (dot= ( DOT | MINUS ) id= Identifier )*
            loop179:
            do {
                int alt179=2;
                int LA179_0 = input.LA(1);

                if ( (LA179_0==DOT||LA179_0==MINUS) ) {
                    alt179=1;
                }


                switch (alt179) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1881:3: dot= ( DOT | MINUS ) id= Identifier
            	    {
            	    dot=(Token)input.LT(1);
            	    if ( input.LA(1)==DOT||input.LA(1)==MINUS ) {
            	        input.consume();
            	        state.errorRecovery=false;state.failed=false;
            	    }
            	    else {
            	        if (state.backtracking>0) {state.failed=true; return ref;}
            	        MismatchedSetException mse = new MismatchedSetException(null,input);
            	        throw mse;
            	    }

            	    if ( state.backtracking==0 ) {
            	      ct.setText(ct.getText() + dot.getText());
            	    }
            	    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_dottedComponentDeclaration11073); if (state.failed) return ref;
            	    if ( state.backtracking==0 ) {
            	      ct.setStopIndex(getBounds(id)[1]);
            	      		                 ct.setText(ct.getText() + id.getText());
            	    }

            	    }
            	    break;

            	default :
            	    break loop179;
                }
            } while (true);

            if ( state.backtracking==0 ) {

              	 if (!ct.getText().equals("<missing Identifier>")) ref = StatementFactory.createComponentDeclaration(ct);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return ref;
    }
    // $ANTLR end "dottedComponentDeclaration"


    // $ANTLR start "annotationType"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1890:1: annotationType returns [Expression at = null] : (atRef= annotationTypeVariableReference | basicAT= BasicAnnotationType ) ;
    public final Expression annotationType() throws RecognitionException {
        Expression at =  null;

        Token basicAT=null;
        Expression atRef = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1891:2: ( (atRef= annotationTypeVariableReference | basicAT= BasicAnnotationType ) )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1892:2: (atRef= annotationTypeVariableReference | basicAT= BasicAnnotationType )
            {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1892:2: (atRef= annotationTypeVariableReference | basicAT= BasicAnnotationType )
            int alt180=2;
            int LA180_0 = input.LA(1);

            if ( (LA180_0==Identifier) ) {
                alt180=1;
            }
            else if ( (LA180_0==BasicAnnotationType) ) {
                alt180=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return at;}
                NoViableAltException nvae =
                    new NoViableAltException("", 180, 0, input);

                throw nvae;
            }
            switch (alt180) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1893:2: atRef= annotationTypeVariableReference
                    {
                    pushFollow(FOLLOW_annotationTypeVariableReference_in_annotationType11107);
                    atRef=annotationTypeVariableReference();

                    state._fsp--;
                    if (state.failed) return at;
                    if ( state.backtracking==0 ) {
                      at = atRef;
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1894:4: basicAT= BasicAnnotationType
                    {
                    basicAT=(Token)match(input,BasicAnnotationType,FOLLOW_BasicAnnotationType_in_annotationType11118); if (state.failed) return at;
                    if ( state.backtracking==0 ) {
                      at = ExpressionFactory.createAnnotationTypeConstantReference(basicAT);
                    }

                    }
                    break;

            }


            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return at;
    }
    // $ANTLR end "annotationType"


    // $ANTLR start "annotationTypeVariableReference"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1898:1: annotationTypeVariableReference returns [Expression typeVar = null] : atRef= dottedId ;
    public final Expression annotationTypeVariableReference() throws RecognitionException {
        Expression typeVar =  null;

        Token atRef = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1899:3: (atRef= dottedId )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1900:3: atRef= dottedId
            {
            pushFollow(FOLLOW_dottedId_in_annotationTypeVariableReference11147);
            atRef=dottedId();

            state._fsp--;
            if (state.failed) return typeVar;
            if ( state.backtracking==0 ) {
              typeVar = ExpressionFactory.createAnnotationTypeVariableReference(atRef);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return typeVar;
    }
    // $ANTLR end "annotationTypeVariableReference"


    // $ANTLR start "wordListExpression"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1904:1: wordListExpression returns [Expression expr = null] : (id= Identifier | path= RessourceLiteral );
    public final Expression wordListExpression() throws RecognitionException {
        Expression expr =  null;

        Token id=null;
        Token path=null;

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1905:2: (id= Identifier | path= RessourceLiteral )
            int alt181=2;
            int LA181_0 = input.LA(1);

            if ( (LA181_0==Identifier) ) {
                alt181=1;
            }
            else if ( (LA181_0==RessourceLiteral) ) {
                alt181=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 181, 0, input);

                throw nvae;
            }
            switch (alt181) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1906:2: id= Identifier
                    {
                    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_wordListExpression11171); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createListVariableReference(id);
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1909:2: path= RessourceLiteral
                    {
                    path=(Token)match(input,RessourceLiteral,FOLLOW_RessourceLiteral_in_wordListExpression11184); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createRessourceReference(path);
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "wordListExpression"


    // $ANTLR start "wordTableExpression"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1914:1: wordTableExpression returns [Expression expr = null] : (id= Identifier | path= RessourceLiteral );
    public final Expression wordTableExpression() throws RecognitionException {
        Expression expr =  null;

        Token id=null;
        Token path=null;

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1915:2: (id= Identifier | path= RessourceLiteral )
            int alt182=2;
            int LA182_0 = input.LA(1);

            if ( (LA182_0==Identifier) ) {
                alt182=1;
            }
            else if ( (LA182_0==RessourceLiteral) ) {
                alt182=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 182, 0, input);

                throw nvae;
            }
            switch (alt182) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1916:2: id= Identifier
                    {
                    id=(Token)match(input,Identifier,FOLLOW_Identifier_in_wordTableExpression11208); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createTableVariableReference(id);
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1919:2: path= RessourceLiteral
                    {
                    path=(Token)match(input,RessourceLiteral,FOLLOW_RessourceLiteral_in_wordTableExpression11221); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createRessourceReference(path);
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "wordTableExpression"


    // $ANTLR start "numberExpression"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1924:1: numberExpression returns [Expression expr = null] : e= additiveExpression ;
    public final Expression numberExpression() throws RecognitionException {
        Expression expr =  null;

        Expression e = null;



        expr = ExpressionFactory.createEmptyNumberExpression(input.LT(1));

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1928:2: (e= additiveExpression )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1929:2: e= additiveExpression
            {
            pushFollow(FOLLOW_additiveExpression_in_numberExpression11250);
            e=additiveExpression();

            state._fsp--;
            if (state.failed) return expr;
            if ( state.backtracking==0 ) {
              if(e!=null) expr = ExpressionFactory.createNumberExpression(e);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "numberExpression"


    // $ANTLR start "additiveExpression"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1934:1: additiveExpression returns [Expression root = null] : expr1= multiplicativeExpression (op= ( PLUS | MINUS ) expr2= multiplicativeExpression )* ;
    public final Expression additiveExpression() throws RecognitionException {
        Expression root =  null;

        Token op=null;
        Expression expr1 = null;

        Expression expr2 = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1935:5: (expr1= multiplicativeExpression (op= ( PLUS | MINUS ) expr2= multiplicativeExpression )* )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1935:9: expr1= multiplicativeExpression (op= ( PLUS | MINUS ) expr2= multiplicativeExpression )*
            {
            pushFollow(FOLLOW_multiplicativeExpression_in_additiveExpression11276);
            expr1=multiplicativeExpression();

            state._fsp--;
            if (state.failed) return root;
            if ( state.backtracking==0 ) {
              root=expr1;
            }
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1936:2: (op= ( PLUS | MINUS ) expr2= multiplicativeExpression )*
            loop183:
            do {
                int alt183=2;
                int LA183_0 = input.LA(1);

                if ( ((LA183_0>=PLUS && LA183_0<=MINUS)) ) {
                    alt183=1;
                }


                switch (alt183) {
            	case 1 :
            	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1936:4: op= ( PLUS | MINUS ) expr2= multiplicativeExpression
            	    {
            	    op=(Token)input.LT(1);
            	    if ( (input.LA(1)>=PLUS && input.LA(1)<=MINUS) ) {
            	        input.consume();
            	        state.errorRecovery=false;state.failed=false;
            	    }
            	    else {
            	        if (state.backtracking>0) {state.failed=true; return root;}
            	        MismatchedSetException mse = new MismatchedSetException(null,input);
            	        throw mse;
            	    }

            	    pushFollow(FOLLOW_multiplicativeExpression_in_additiveExpression11295);
            	    expr2=multiplicativeExpression();

            	    state._fsp--;
            	    if (state.failed) return root;
            	    if ( state.backtracking==0 ) {
            	      root=ExpressionFactory.createBinaryArithmeticExpr(root,expr2,op);
            	    }

            	    }
            	    break;

            	default :
            	    break loop183;
                }
            } while (true);


            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return root;
    }
    // $ANTLR end "additiveExpression"


    // $ANTLR start "multiplicativeExpression"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1940:1: multiplicativeExpression returns [Expression root = null] : (expr1= simpleNumberExpression (op= ( STAR | SLASH | PERCENT ) sNE= simpleNumberExpression )* | e1= numberFunction ) ;
    public final Expression multiplicativeExpression() throws RecognitionException {
        Expression root =  null;

        Token op=null;
        Expression expr1 = null;

        Expression sNE = null;

        Expression e1 = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1941:5: ( (expr1= simpleNumberExpression (op= ( STAR | SLASH | PERCENT ) sNE= simpleNumberExpression )* | e1= numberFunction ) )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1942:2: (expr1= simpleNumberExpression (op= ( STAR | SLASH | PERCENT ) sNE= simpleNumberExpression )* | e1= numberFunction )
            {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1942:2: (expr1= simpleNumberExpression (op= ( STAR | SLASH | PERCENT ) sNE= simpleNumberExpression )* | e1= numberFunction )
            int alt185=2;
            switch ( input.LA(1) ) {
            case DecimalLiteral:
            case FloatingPointLiteral:
            case LPAREN:
            case MINUS:
                {
                alt185=1;
                }
                break;
            case Identifier:
                {
                int LA185_2 = input.LA(2);

                if ( (LA185_2==LPAREN) ) {
                    alt185=2;
                }
                else if ( (LA185_2==EOF||LA185_2==RPAREN||LA185_2==RBRACK||(LA185_2>=COMMA && LA185_2<=SLASH)||(LA185_2>=LESS && LA185_2<=GREATER)||LA185_2==PERCENT||(LA185_2>=EQUAL && LA185_2<=NOTEQUAL)||(LA185_2>=LESSEQUAL && LA185_2<=GREATEREQUAL)) ) {
                    alt185=1;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return root;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 185, 2, input);

                    throw nvae;
                }
                }
                break;
            case EXP:
            case LOGN:
            case SIN:
            case COS:
            case TAN:
                {
                alt185=2;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return root;}
                NoViableAltException nvae =
                    new NoViableAltException("", 185, 0, input);

                throw nvae;
            }

            switch (alt185) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1942:3: expr1= simpleNumberExpression (op= ( STAR | SLASH | PERCENT ) sNE= simpleNumberExpression )*
                    {
                    pushFollow(FOLLOW_simpleNumberExpression_in_multiplicativeExpression11324);
                    expr1=simpleNumberExpression();

                    state._fsp--;
                    if (state.failed) return root;
                    if ( state.backtracking==0 ) {
                      root=expr1;
                    }
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1943:2: (op= ( STAR | SLASH | PERCENT ) sNE= simpleNumberExpression )*
                    loop184:
                    do {
                        int alt184=2;
                        int LA184_0 = input.LA(1);

                        if ( ((LA184_0>=STAR && LA184_0<=SLASH)||LA184_0==PERCENT) ) {
                            alt184=1;
                        }


                        switch (alt184) {
                    	case 1 :
                    	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1943:4: op= ( STAR | SLASH | PERCENT ) sNE= simpleNumberExpression
                    	    {
                    	    op=(Token)input.LT(1);
                    	    if ( (input.LA(1)>=STAR && input.LA(1)<=SLASH)||input.LA(1)==PERCENT ) {
                    	        input.consume();
                    	        state.errorRecovery=false;state.failed=false;
                    	    }
                    	    else {
                    	        if (state.backtracking>0) {state.failed=true; return root;}
                    	        MismatchedSetException mse = new MismatchedSetException(null,input);
                    	        throw mse;
                    	    }

                    	    pushFollow(FOLLOW_simpleNumberExpression_in_multiplicativeExpression11351);
                    	    sNE=simpleNumberExpression();

                    	    state._fsp--;
                    	    if (state.failed) return root;
                    	    if ( state.backtracking==0 ) {
                    	      root=ExpressionFactory.createBinaryArithmeticExpr(root,sNE,op);
                    	    }

                    	    }
                    	    break;

                    	default :
                    	    break loop184;
                        }
                    } while (true);


                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1944:6: e1= numberFunction
                    {
                    pushFollow(FOLLOW_numberFunction_in_multiplicativeExpression11367);
                    e1=numberFunction();

                    state._fsp--;
                    if (state.failed) return root;
                    if ( state.backtracking==0 ) {
                      root = e1;
                    }

                    }
                    break;

            }


            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return root;
    }
    // $ANTLR end "multiplicativeExpression"


    // $ANTLR start "numberExpressionInPar"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1948:1: numberExpressionInPar returns [TextMarkerExpression expr = null] : lp= LPAREN numE= numberExpression rp= RPAREN ;
    public final TextMarkerExpression numberExpressionInPar() throws RecognitionException {
        TextMarkerExpression expr =  null;

        Token lp=null;
        Token rp=null;
        Expression numE = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1949:2: (lp= LPAREN numE= numberExpression rp= RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1950:2: lp= LPAREN numE= numberExpression rp= RPAREN
            {
            lp=(Token)match(input,LPAREN,FOLLOW_LPAREN_in_numberExpressionInPar11391); if (state.failed) return expr;
            pushFollow(FOLLOW_numberExpression_in_numberExpressionInPar11397);
            numE=numberExpression();

            state._fsp--;
            if (state.failed) return expr;
            rp=(Token)match(input,RPAREN,FOLLOW_RPAREN_in_numberExpressionInPar11403); if (state.failed) return expr;
            if ( state.backtracking==0 ) {
              expr = ExpressionFactory.createNumberExpression((TextMarkerExpression)numE); 
              	  expr.setInParantheses(true);
                        expr.setStart(((CommonToken) lp).getStartIndex());
                        expr.setEnd(((CommonToken) rp).getStopIndex()+1);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "numberExpressionInPar"


    // $ANTLR start "simpleNumberExpression"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1958:1: simpleNumberExpression returns [Expression expr = null] : ( (m= MINUS )? numVarRef= numberVariable | (m= MINUS )? decLit= DecimalLiteral | (m= MINUS )? fpLit= FloatingPointLiteral | numExprPar= numberExpressionInPar );
    public final Expression simpleNumberExpression() throws RecognitionException {
        Expression expr =  null;

        Token m=null;
        Token decLit=null;
        Token fpLit=null;
        Expression numVarRef = null;

        TextMarkerExpression numExprPar = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1959:2: ( (m= MINUS )? numVarRef= numberVariable | (m= MINUS )? decLit= DecimalLiteral | (m= MINUS )? fpLit= FloatingPointLiteral | numExprPar= numberExpressionInPar )
            int alt189=4;
            switch ( input.LA(1) ) {
            case MINUS:
                {
                switch ( input.LA(2) ) {
                case FloatingPointLiteral:
                    {
                    alt189=3;
                    }
                    break;
                case DecimalLiteral:
                    {
                    alt189=2;
                    }
                    break;
                case Identifier:
                    {
                    alt189=1;
                    }
                    break;
                default:
                    if (state.backtracking>0) {state.failed=true; return expr;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 189, 1, input);

                    throw nvae;
                }

                }
                break;
            case Identifier:
                {
                alt189=1;
                }
                break;
            case DecimalLiteral:
                {
                alt189=2;
                }
                break;
            case FloatingPointLiteral:
                {
                alt189=3;
                }
                break;
            case LPAREN:
                {
                alt189=4;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 189, 0, input);

                throw nvae;
            }

            switch (alt189) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1960:2: (m= MINUS )? numVarRef= numberVariable
                    {
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1960:4: (m= MINUS )?
                    int alt186=2;
                    int LA186_0 = input.LA(1);

                    if ( (LA186_0==MINUS) ) {
                        alt186=1;
                    }
                    switch (alt186) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1960:4: m= MINUS
                            {
                            m=(Token)match(input,MINUS,FOLLOW_MINUS_in_simpleNumberExpression11428); if (state.failed) return expr;

                            }
                            break;

                    }

                    pushFollow(FOLLOW_numberVariable_in_simpleNumberExpression11435);
                    numVarRef=numberVariable();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      if(m == null) {expr = numVarRef;} else {expr = ExpressionFactory.createNegatedNumberExpression(m, numVarRef);}
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1962:4: (m= MINUS )? decLit= DecimalLiteral
                    {
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1962:4: (m= MINUS )?
                    int alt187=2;
                    int LA187_0 = input.LA(1);

                    if ( (LA187_0==MINUS) ) {
                        alt187=1;
                    }
                    switch (alt187) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1962:5: m= MINUS
                            {
                            m=(Token)match(input,MINUS,FOLLOW_MINUS_in_simpleNumberExpression11450); if (state.failed) return expr;

                            }
                            break;

                    }

                    decLit=(Token)match(input,DecimalLiteral,FOLLOW_DecimalLiteral_in_simpleNumberExpression11458); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createDecimalLiteral(decLit,m);
                    }

                    }
                    break;
                case 3 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1964:4: (m= MINUS )? fpLit= FloatingPointLiteral
                    {
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1964:6: (m= MINUS )?
                    int alt188=2;
                    int LA188_0 = input.LA(1);

                    if ( (LA188_0==MINUS) ) {
                        alt188=1;
                    }
                    switch (alt188) {
                        case 1 :
                            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1964:6: m= MINUS
                            {
                            m=(Token)match(input,MINUS,FOLLOW_MINUS_in_simpleNumberExpression11472); if (state.failed) return expr;

                            }
                            break;

                    }

                    fpLit=(Token)match(input,FloatingPointLiteral,FOLLOW_FloatingPointLiteral_in_simpleNumberExpression11479); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createFloatingPointLiteral(fpLit,m);
                    }

                    }
                    break;
                case 4 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1967:4: numExprPar= numberExpressionInPar
                    {
                    pushFollow(FOLLOW_numberExpressionInPar_in_simpleNumberExpression11495);
                    numExprPar=numberExpressionInPar();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = numExprPar;
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "simpleNumberExpression"


    // $ANTLR start "numberFunction"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1972:1: numberFunction returns [Expression expr = null] : ( (op= ( EXP | LOGN | SIN | COS | TAN ) numExprP= numberExpressionInPar ) | (e= externalNumberFunction )=>e= externalNumberFunction );
    public final Expression numberFunction() throws RecognitionException {
        Expression expr =  null;

        Token op=null;
        TextMarkerExpression numExprP = null;

        Expression e = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1973:2: ( (op= ( EXP | LOGN | SIN | COS | TAN ) numExprP= numberExpressionInPar ) | (e= externalNumberFunction )=>e= externalNumberFunction )
            int alt190=2;
            int LA190_0 = input.LA(1);

            if ( ((LA190_0>=EXP && LA190_0<=TAN)) ) {
                alt190=1;
            }
            else if ( (LA190_0==Identifier) && (synpred30_TextMarkerParser())) {
                alt190=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 190, 0, input);

                throw nvae;
            }
            switch (alt190) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1974:2: (op= ( EXP | LOGN | SIN | COS | TAN ) numExprP= numberExpressionInPar )
                    {
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1974:2: (op= ( EXP | LOGN | SIN | COS | TAN ) numExprP= numberExpressionInPar )
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1974:3: op= ( EXP | LOGN | SIN | COS | TAN ) numExprP= numberExpressionInPar
                    {
                    op=(Token)input.LT(1);
                    if ( (input.LA(1)>=EXP && input.LA(1)<=TAN) ) {
                        input.consume();
                        state.errorRecovery=false;state.failed=false;
                    }
                    else {
                        if (state.backtracking>0) {state.failed=true; return expr;}
                        MismatchedSetException mse = new MismatchedSetException(null,input);
                        throw mse;
                    }

                    pushFollow(FOLLOW_numberExpressionInPar_in_numberFunction11542);
                    numExprP=numberExpressionInPar();

                    state._fsp--;
                    if (state.failed) return expr;

                    }

                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createUnaryArithmeticExpr(numExprP,op);
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1977:4: (e= externalNumberFunction )=>e= externalNumberFunction
                    {
                    pushFollow(FOLLOW_externalNumberFunction_in_numberFunction11566);
                    e=externalNumberFunction();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = e;
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "numberFunction"


    // $ANTLR start "externalNumberFunction"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1981:1: externalNumberFunction returns [Expression expr = null] : {...}?id= Identifier LPAREN args= varArgumentList RPAREN ;
    public final Expression externalNumberFunction() throws RecognitionException {
        Expression expr =  null;

        Token id=null;
        List<Expression> args = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1982:2: ({...}?id= Identifier LPAREN args= varArgumentList RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1983:2: {...}?id= Identifier LPAREN args= varArgumentList RPAREN
            {
            if ( !((isVariableOfType(input.LT(1).getText(), "NUMBERFUNCTION"))) ) {
                if (state.backtracking>0) {state.failed=true; return expr;}
                throw new FailedPredicateException(input, "externalNumberFunction", "isVariableOfType(input.LT(1).getText(), \"NUMBERFUNCTION\")");
            }
            id=(Token)match(input,Identifier,FOLLOW_Identifier_in_externalNumberFunction11591); if (state.failed) return expr;
            match(input,LPAREN,FOLLOW_LPAREN_in_externalNumberFunction11595); if (state.failed) return expr;
            pushFollow(FOLLOW_varArgumentList_in_externalNumberFunction11602);
            args=varArgumentList();

            state._fsp--;
            if (state.failed) return expr;
            match(input,RPAREN,FOLLOW_RPAREN_in_externalNumberFunction11605); if (state.failed) return expr;
            if ( state.backtracking==0 ) {

              		expr = external.createExternalNumberFunction(id, args);
              	
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "externalNumberFunction"


    // $ANTLR start "numberVariable"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1993:1: numberVariable returns [Expression expr = null] : ({...}?numVarRef= Identifier | {...}?numVarRef= Identifier | {...}?numVarRef= Identifier ) ;
    public final Expression numberVariable() throws RecognitionException {
        Expression expr =  null;

        Token numVarRef=null;

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1994:2: ( ({...}?numVarRef= Identifier | {...}?numVarRef= Identifier | {...}?numVarRef= Identifier ) )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1995:5: ({...}?numVarRef= Identifier | {...}?numVarRef= Identifier | {...}?numVarRef= Identifier )
            {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1995:5: ({...}?numVarRef= Identifier | {...}?numVarRef= Identifier | {...}?numVarRef= Identifier )
            int alt191=3;
            int LA191_0 = input.LA(1);

            if ( (LA191_0==Identifier) ) {
                int LA191_1 = input.LA(2);

                if ( ((isVariableOfType(input.LT(1).getText(), "INT"))) ) {
                    alt191=1;
                }
                else if ( ((isVariableOfType(input.LT(1).getText(), "DOUBLE"))) ) {
                    alt191=2;
                }
                else if ( ((isVariableOfType(input.LT(1).getText(), "FLOAT"))) ) {
                    alt191=3;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return expr;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 191, 1, input);

                    throw nvae;
                }
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 191, 0, input);

                throw nvae;
            }
            switch (alt191) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1995:7: {...}?numVarRef= Identifier
                    {
                    if ( !((isVariableOfType(input.LT(1).getText(), "INT"))) ) {
                        if (state.backtracking>0) {state.failed=true; return expr;}
                        throw new FailedPredicateException(input, "numberVariable", "isVariableOfType(input.LT(1).getText(), \"INT\")");
                    }
                    numVarRef=(Token)match(input,Identifier,FOLLOW_Identifier_in_numberVariable11636); if (state.failed) return expr;

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1996:5: {...}?numVarRef= Identifier
                    {
                    if ( !((isVariableOfType(input.LT(1).getText(), "DOUBLE"))) ) {
                        if (state.backtracking>0) {state.failed=true; return expr;}
                        throw new FailedPredicateException(input, "numberVariable", "isVariableOfType(input.LT(1).getText(), \"DOUBLE\")");
                    }
                    numVarRef=(Token)match(input,Identifier,FOLLOW_Identifier_in_numberVariable11649); if (state.failed) return expr;

                    }
                    break;
                case 3 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1997:6: {...}?numVarRef= Identifier
                    {
                    if ( !((isVariableOfType(input.LT(1).getText(), "FLOAT"))) ) {
                        if (state.backtracking>0) {state.failed=true; return expr;}
                        throw new FailedPredicateException(input, "numberVariable", "isVariableOfType(input.LT(1).getText(), \"FLOAT\")");
                    }
                    numVarRef=(Token)match(input,Identifier,FOLLOW_Identifier_in_numberVariable11662); if (state.failed) return expr;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              	 expr = ExpressionFactory.createNumberVariableReference(numVarRef);
            }

            }

        }
        catch (Exception e) {
            expr = ExpressionFactory.createNumberVariableReference(input.LT(1));
        }
        finally {
        }
        return expr;
    }
    // $ANTLR end "numberVariable"


    // $ANTLR start "stringExpression"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2003:1: stringExpression returns [Expression expr = null] : (e= stringFunction | strExpr1= simpleStringExpression ( PLUS (nextstrExpr= simpleStringExpression | ne= numberExpressionInPar | be= simpleBooleanExpression | ( listExpression )=>le= listExpression | te= typeExpression ) )* );
    public final Expression stringExpression() throws RecognitionException {
        Expression expr =  null;

        Expression e = null;

        Expression strExpr1 = null;

        Expression nextstrExpr = null;

        TextMarkerExpression ne = null;

        Expression be = null;

        Expression le = null;

        Expression te = null;



        List<Expression> exprList = new ArrayList<Expression>();
        {expr = ExpressionFactory.createEmptyStringExpression(input.LT(1));}

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2008:2: (e= stringFunction | strExpr1= simpleStringExpression ( PLUS (nextstrExpr= simpleStringExpression | ne= numberExpressionInPar | be= simpleBooleanExpression | ( listExpression )=>le= listExpression | te= typeExpression ) )* )
            int alt194=2;
            switch ( input.LA(1) ) {
            case REMOVESTRING:
                {
                alt194=1;
                }
                break;
            case Identifier:
                {
                int LA194_2 = input.LA(2);

                if ( (LA194_2==LPAREN) ) {
                    alt194=1;
                }
                else if ( (LA194_2==EOF||LA194_2==RPAREN||(LA194_2>=COMMA && LA194_2<=PLUS)||LA194_2==ASSIGN_EQUAL) ) {
                    alt194=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return expr;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 194, 2, input);

                    throw nvae;
                }
                }
                break;
            case StringLiteral:
                {
                alt194=2;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 194, 0, input);

                throw nvae;
            }

            switch (alt194) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2010:2: e= stringFunction
                    {
                    pushFollow(FOLLOW_stringFunction_in_stringExpression11702);
                    e=stringFunction();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = e;
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2012:2: strExpr1= simpleStringExpression ( PLUS (nextstrExpr= simpleStringExpression | ne= numberExpressionInPar | be= simpleBooleanExpression | ( listExpression )=>le= listExpression | te= typeExpression ) )*
                    {
                    pushFollow(FOLLOW_simpleStringExpression_in_stringExpression11715);
                    strExpr1=simpleStringExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      if (strExpr1!=null) exprList.add(strExpr1);
                    }
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2013:2: ( PLUS (nextstrExpr= simpleStringExpression | ne= numberExpressionInPar | be= simpleBooleanExpression | ( listExpression )=>le= listExpression | te= typeExpression ) )*
                    loop193:
                    do {
                        int alt193=2;
                        int LA193_0 = input.LA(1);

                        if ( (LA193_0==PLUS) ) {
                            alt193=1;
                        }


                        switch (alt193) {
                    	case 1 :
                    	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2013:3: PLUS (nextstrExpr= simpleStringExpression | ne= numberExpressionInPar | be= simpleBooleanExpression | ( listExpression )=>le= listExpression | te= typeExpression )
                    	    {
                    	    match(input,PLUS,FOLLOW_PLUS_in_stringExpression11721); if (state.failed) return expr;
                    	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2013:8: (nextstrExpr= simpleStringExpression | ne= numberExpressionInPar | be= simpleBooleanExpression | ( listExpression )=>le= listExpression | te= typeExpression )
                    	    int alt192=5;
                    	    int LA192_0 = input.LA(1);

                    	    if ( (LA192_0==StringLiteral) ) {
                    	        alt192=1;
                    	    }
                    	    else if ( (LA192_0==Identifier) ) {
                    	        int LA192_2 = input.LA(2);

                    	        if ( ((isVariableOfType(input.LT(1).getText(), "STRING"))) ) {
                    	            alt192=1;
                    	        }
                    	        else if ( ((isVariableOfType(input.LT(1).getText(), "BOOLEAN"))) ) {
                    	            alt192=3;
                    	        }
                    	        else if ( (((synpred31_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "INTLIST")))||(synpred31_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "TYPELIST")))||(synpred31_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "FLOATLIST")))||(synpred31_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "BOOLEANLIST")))||(synpred31_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "DOUBLELIST")))||(synpred31_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "STRINGLIST"))))) ) {
                    	            alt192=4;
                    	        }
                    	        else if ( (true) ) {
                    	            alt192=5;
                    	        }
                    	        else {
                    	            if (state.backtracking>0) {state.failed=true; return expr;}
                    	            NoViableAltException nvae =
                    	                new NoViableAltException("", 192, 2, input);

                    	            throw nvae;
                    	        }
                    	    }
                    	    else if ( (LA192_0==LPAREN) ) {
                    	        alt192=2;
                    	    }
                    	    else if ( ((LA192_0>=TRUE && LA192_0<=FALSE)) ) {
                    	        alt192=3;
                    	    }
                    	    else if ( (LA192_0==LCURLY) && (synpred31_TextMarkerParser())) {
                    	        alt192=4;
                    	    }
                    	    else if ( (LA192_0==BasicAnnotationType) ) {
                    	        alt192=5;
                    	    }
                    	    else {
                    	        if (state.backtracking>0) {state.failed=true; return expr;}
                    	        NoViableAltException nvae =
                    	            new NoViableAltException("", 192, 0, input);

                    	        throw nvae;
                    	    }
                    	    switch (alt192) {
                    	        case 1 :
                    	            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2013:9: nextstrExpr= simpleStringExpression
                    	            {
                    	            pushFollow(FOLLOW_simpleStringExpression_in_stringExpression11728);
                    	            nextstrExpr=simpleStringExpression();

                    	            state._fsp--;
                    	            if (state.failed) return expr;
                    	            if ( state.backtracking==0 ) {
                    	              if (nextstrExpr!=null) exprList.add(nextstrExpr);
                    	            }

                    	            }
                    	            break;
                    	        case 2 :
                    	            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2014:5: ne= numberExpressionInPar
                    	            {
                    	            pushFollow(FOLLOW_numberExpressionInPar_in_stringExpression11740);
                    	            ne=numberExpressionInPar();

                    	            state._fsp--;
                    	            if (state.failed) return expr;
                    	            if ( state.backtracking==0 ) {
                    	              if (ne!=null) exprList.add(ne);
                    	            }

                    	            }
                    	            break;
                    	        case 3 :
                    	            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2015:5: be= simpleBooleanExpression
                    	            {
                    	            pushFollow(FOLLOW_simpleBooleanExpression_in_stringExpression11752);
                    	            be=simpleBooleanExpression();

                    	            state._fsp--;
                    	            if (state.failed) return expr;
                    	            if ( state.backtracking==0 ) {
                    	              if (be!=null) exprList.add(be);
                    	            }

                    	            }
                    	            break;
                    	        case 4 :
                    	            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2016:5: ( listExpression )=>le= listExpression
                    	            {
                    	            pushFollow(FOLLOW_listExpression_in_stringExpression11769);
                    	            le=listExpression();

                    	            state._fsp--;
                    	            if (state.failed) return expr;
                    	            if ( state.backtracking==0 ) {
                    	              if (le!=null) exprList.add(le);
                    	            }

                    	            }
                    	            break;
                    	        case 5 :
                    	            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2017:5: te= typeExpression
                    	            {
                    	            pushFollow(FOLLOW_typeExpression_in_stringExpression11781);
                    	            te=typeExpression();

                    	            state._fsp--;
                    	            if (state.failed) return expr;
                    	            if ( state.backtracking==0 ) {
                    	              if (te!=null) exprList.add(te);
                    	            }

                    	            }
                    	            break;

                    	    }


                    	    }
                    	    break;

                    	default :
                    	    break loop193;
                        }
                    } while (true);

                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createStringExpression(exprList);
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "stringExpression"


    // $ANTLR start "stringFunction"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2024:1: stringFunction returns [Expression expr = null] : (name= REMOVESTRING LPAREN var= variable ( COMMA s= stringExpression )+ RPAREN | (e= externalStringFunction )=>e= externalStringFunction );
    public final Expression stringFunction() throws RecognitionException {
        Expression expr =  null;

        Token name=null;
        Expression var = null;

        Expression s = null;

        Expression e = null;


        List<Expression> list = new ArrayList<Expression>();
        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2026:1: (name= REMOVESTRING LPAREN var= variable ( COMMA s= stringExpression )+ RPAREN | (e= externalStringFunction )=>e= externalStringFunction )
            int alt196=2;
            int LA196_0 = input.LA(1);

            if ( (LA196_0==REMOVESTRING) ) {
                alt196=1;
            }
            else if ( (LA196_0==Identifier) && (synpred32_TextMarkerParser())) {
                alt196=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 196, 0, input);

                throw nvae;
            }
            switch (alt196) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2027:2: name= REMOVESTRING LPAREN var= variable ( COMMA s= stringExpression )+ RPAREN
                    {
                    name=(Token)match(input,REMOVESTRING,FOLLOW_REMOVESTRING_in_stringFunction11818); if (state.failed) return expr;
                    match(input,LPAREN,FOLLOW_LPAREN_in_stringFunction11820); if (state.failed) return expr;
                    pushFollow(FOLLOW_variable_in_stringFunction11826);
                    var=variable();

                    state._fsp--;
                    if (state.failed) return expr;
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2027:44: ( COMMA s= stringExpression )+
                    int cnt195=0;
                    loop195:
                    do {
                        int alt195=2;
                        int LA195_0 = input.LA(1);

                        if ( (LA195_0==COMMA) ) {
                            alt195=1;
                        }


                        switch (alt195) {
                    	case 1 :
                    	    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2027:45: COMMA s= stringExpression
                    	    {
                    	    match(input,COMMA,FOLLOW_COMMA_in_stringFunction11829); if (state.failed) return expr;
                    	    pushFollow(FOLLOW_stringExpression_in_stringFunction11835);
                    	    s=stringExpression();

                    	    state._fsp--;
                    	    if (state.failed) return expr;
                    	    if ( state.backtracking==0 ) {
                    	      list.add(s);
                    	    }

                    	    }
                    	    break;

                    	default :
                    	    if ( cnt195 >= 1 ) break loop195;
                    	    if (state.backtracking>0) {state.failed=true; return expr;}
                                EarlyExitException eee =
                                    new EarlyExitException(195, input);
                                throw eee;
                        }
                        cnt195++;
                    } while (true);

                    match(input,RPAREN,FOLLOW_RPAREN_in_stringFunction11840); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createStringFunction(name,var,list);
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2030:2: (e= externalStringFunction )=>e= externalStringFunction
                    {
                    pushFollow(FOLLOW_externalStringFunction_in_stringFunction11862);
                    e=externalStringFunction();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = e;
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "stringFunction"


    // $ANTLR start "externalStringFunction"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2034:1: externalStringFunction returns [Expression expr = null] : {...}?id= Identifier LPAREN args= varArgumentList RPAREN ;
    public final Expression externalStringFunction() throws RecognitionException {
        Expression expr =  null;

        Token id=null;
        List<Expression> args = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2035:2: ({...}?id= Identifier LPAREN args= varArgumentList RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2036:2: {...}?id= Identifier LPAREN args= varArgumentList RPAREN
            {
            if ( !((isVariableOfType(input.LT(1).getText(), "STRINGFUNCTION"))) ) {
                if (state.backtracking>0) {state.failed=true; return expr;}
                throw new FailedPredicateException(input, "externalStringFunction", "isVariableOfType(input.LT(1).getText(), \"STRINGFUNCTION\")");
            }
            id=(Token)match(input,Identifier,FOLLOW_Identifier_in_externalStringFunction11887); if (state.failed) return expr;
            match(input,LPAREN,FOLLOW_LPAREN_in_externalStringFunction11891); if (state.failed) return expr;
            pushFollow(FOLLOW_varArgumentList_in_externalStringFunction11898);
            args=varArgumentList();

            state._fsp--;
            if (state.failed) return expr;
            match(input,RPAREN,FOLLOW_RPAREN_in_externalStringFunction11901); if (state.failed) return expr;
            if ( state.backtracking==0 ) {

              		expr = external.createExternalStringFunction(id, args);
              	
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "externalStringFunction"


    // $ANTLR start "simpleStringExpression"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2046:1: simpleStringExpression returns [Expression expr = null] : (lit= StringLiteral | {...}?variableId= Identifier );
    public final Expression simpleStringExpression() throws RecognitionException {
        Expression expr =  null;

        Token lit=null;
        Token variableId=null;

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2047:2: (lit= StringLiteral | {...}?variableId= Identifier )
            int alt197=2;
            int LA197_0 = input.LA(1);

            if ( (LA197_0==StringLiteral) ) {
                alt197=1;
            }
            else if ( (LA197_0==Identifier) ) {
                alt197=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 197, 0, input);

                throw nvae;
            }
            switch (alt197) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2048:2: lit= StringLiteral
                    {
                    lit=(Token)match(input,StringLiteral,FOLLOW_StringLiteral_in_simpleStringExpression11926); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createSimpleString(lit);
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2049:5: {...}?variableId= Identifier
                    {
                    if ( !((isVariableOfType(input.LT(1).getText(), "STRING"))) ) {
                        if (state.backtracking>0) {state.failed=true; return expr;}
                        throw new FailedPredicateException(input, "simpleStringExpression", "isVariableOfType(input.LT(1).getText(), \"STRING\")");
                    }
                    variableId=(Token)match(input,Identifier,FOLLOW_Identifier_in_simpleStringExpression11941); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createStringVariableReference(variableId);
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "simpleStringExpression"


    // $ANTLR start "booleanExpression"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2060:1: booleanExpression returns [Expression expr = null] : (bcE= composedBooleanExpression | sbE= simpleBooleanExpression );
    public final Expression booleanExpression() throws RecognitionException {
        Expression expr =  null;

        Expression bcE = null;

        Expression sbE = null;



        expr = ExpressionFactory.createEmptyBooleanExpression(input.LT(1));

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2064:2: (bcE= composedBooleanExpression | sbE= simpleBooleanExpression )
            int alt198=2;
            switch ( input.LA(1) ) {
            case TRUE:
                {
                int LA198_1 = input.LA(2);

                if ( (LA198_1==EOF||LA198_1==RPAREN||(LA198_1>=COMMA && LA198_1<=SEMI)) ) {
                    alt198=2;
                }
                else if ( ((LA198_1>=EQUAL && LA198_1<=NOTEQUAL)) ) {
                    alt198=1;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return expr;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 198, 1, input);

                    throw nvae;
                }
                }
                break;
            case FALSE:
                {
                int LA198_2 = input.LA(2);

                if ( (LA198_2==EOF||LA198_2==RPAREN||(LA198_2>=COMMA && LA198_2<=SEMI)) ) {
                    alt198=2;
                }
                else if ( ((LA198_2>=EQUAL && LA198_2<=NOTEQUAL)) ) {
                    alt198=1;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return expr;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 198, 2, input);

                    throw nvae;
                }
                }
                break;
            case Identifier:
                {
                int LA198_3 = input.LA(2);

                if ( (LA198_3==LPAREN||LA198_3==DOT||(LA198_3>=EQUAL && LA198_3<=NOTEQUAL)) ) {
                    alt198=1;
                }
                else if ( (LA198_3==EOF||LA198_3==RPAREN||(LA198_3>=COMMA && LA198_3<=SEMI)) ) {
                    alt198=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return expr;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 198, 3, input);

                    throw nvae;
                }
                }
                break;
            case BasicAnnotationType:
            case XOR:
            case LPAREN:
                {
                alt198=1;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 198, 0, input);

                throw nvae;
            }

            switch (alt198) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2065:2: bcE= composedBooleanExpression
                    {
                    pushFollow(FOLLOW_composedBooleanExpression_in_booleanExpression11978);
                    bcE=composedBooleanExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = bcE;
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2066:4: sbE= simpleBooleanExpression
                    {
                    pushFollow(FOLLOW_simpleBooleanExpression_in_booleanExpression11989);
                    sbE=simpleBooleanExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = sbE;
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "booleanExpression"


    // $ANTLR start "simpleBooleanExpression"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2069:1: simpleBooleanExpression returns [Expression expr = null] : (lbE= literalBooleanExpression | {...}? (variableId= Identifier ) ) ;
    public final Expression simpleBooleanExpression() throws RecognitionException {
        Expression expr =  null;

        Token variableId=null;
        BooleanLiteral lbE = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2070:2: ( (lbE= literalBooleanExpression | {...}? (variableId= Identifier ) ) )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2071:3: (lbE= literalBooleanExpression | {...}? (variableId= Identifier ) )
            {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2071:3: (lbE= literalBooleanExpression | {...}? (variableId= Identifier ) )
            int alt199=2;
            int LA199_0 = input.LA(1);

            if ( ((LA199_0>=TRUE && LA199_0<=FALSE)) ) {
                alt199=1;
            }
            else if ( (LA199_0==Identifier) ) {
                alt199=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 199, 0, input);

                throw nvae;
            }
            switch (alt199) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2071:4: lbE= literalBooleanExpression
                    {
                    pushFollow(FOLLOW_literalBooleanExpression_in_simpleBooleanExpression12014);
                    lbE=literalBooleanExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = lbE;
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2072:4: {...}? (variableId= Identifier )
                    {
                    if ( !((isVariableOfType(input.LT(1).getText(), "BOOLEAN"))) ) {
                        if (state.backtracking>0) {state.failed=true; return expr;}
                        throw new FailedPredicateException(input, "simpleBooleanExpression", "isVariableOfType(input.LT(1).getText(), \"BOOLEAN\")");
                    }
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2072:57: (variableId= Identifier )
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2072:58: variableId= Identifier
                    {
                    variableId=(Token)match(input,Identifier,FOLLOW_Identifier_in_simpleBooleanExpression12027); if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createBooleanVariableReference(variableId);
                    }

                    }


                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              expr = ExpressionFactory.createBooleanExpression(expr);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "simpleBooleanExpression"


    // $ANTLR start "composedBooleanExpression"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2079:1: composedBooleanExpression returns [Expression expr = null] : ( (e2= booleanCompare )=>e2= booleanCompare | (bte= booleanTypeExpression )=>bte= booleanTypeExpression | (bne= booleanNumberExpression )=>bne= booleanNumberExpression | e1= booleanFunction );
    public final Expression composedBooleanExpression() throws RecognitionException {
        Expression expr =  null;

        Expression e2 = null;

        Expression bte = null;

        Expression bne = null;

        Expression e1 = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2080:2: ( (e2= booleanCompare )=>e2= booleanCompare | (bte= booleanTypeExpression )=>bte= booleanTypeExpression | (bne= booleanNumberExpression )=>bne= booleanNumberExpression | e1= booleanFunction )
            int alt200=4;
            int LA200_0 = input.LA(1);

            if ( (LA200_0==TRUE) && (synpred33_TextMarkerParser())) {
                alt200=1;
            }
            else if ( (LA200_0==FALSE) && (synpred33_TextMarkerParser())) {
                alt200=1;
            }
            else if ( (LA200_0==Identifier) ) {
                int LA200_3 = input.LA(2);

                if ( ((synpred33_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "BOOLEAN")))) ) {
                    alt200=1;
                }
                else if ( (((synpred34_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "TYPEFUNCTION")))||synpred34_TextMarkerParser())) ) {
                    alt200=2;
                }
                else if ( ((isVariableOfType(input.LT(1).getText(), "BOOLEANFUNCTION"))) ) {
                    alt200=4;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return expr;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 200, 3, input);

                    throw nvae;
                }
            }
            else if ( (LA200_0==BasicAnnotationType) && (synpred34_TextMarkerParser())) {
                alt200=2;
            }
            else if ( (LA200_0==LPAREN) && (synpred35_TextMarkerParser())) {
                alt200=3;
            }
            else if ( (LA200_0==XOR) ) {
                alt200=4;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 200, 0, input);

                throw nvae;
            }
            switch (alt200) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2081:2: (e2= booleanCompare )=>e2= booleanCompare
                    {
                    pushFollow(FOLLOW_booleanCompare_in_composedBooleanExpression12073);
                    e2=booleanCompare();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = e2;
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2082:4: (bte= booleanTypeExpression )=>bte= booleanTypeExpression
                    {
                    pushFollow(FOLLOW_booleanTypeExpression_in_composedBooleanExpression12093);
                    bte=booleanTypeExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = bte;
                    }

                    }
                    break;
                case 3 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2083:4: (bne= booleanNumberExpression )=>bne= booleanNumberExpression
                    {
                    pushFollow(FOLLOW_booleanNumberExpression_in_composedBooleanExpression12112);
                    bne=booleanNumberExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = bne;
                    }

                    }
                    break;
                case 4 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2084:4: e1= booleanFunction
                    {
                    pushFollow(FOLLOW_booleanFunction_in_composedBooleanExpression12122);
                    e1=booleanFunction();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = e1;
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "composedBooleanExpression"


    // $ANTLR start "booleanFunction"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2088:1: booleanFunction returns [Expression expr = null] : ( (op= XOR LPAREN e1= booleanExpression COMMA e2= booleanExpression RPAREN ) | (e= externalBooleanFunction )=>e= externalBooleanFunction );
    public final Expression booleanFunction() throws RecognitionException {
        Expression expr =  null;

        Token op=null;
        Expression e1 = null;

        Expression e2 = null;

        Expression e = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2090:2: ( (op= XOR LPAREN e1= booleanExpression COMMA e2= booleanExpression RPAREN ) | (e= externalBooleanFunction )=>e= externalBooleanFunction )
            int alt201=2;
            int LA201_0 = input.LA(1);

            if ( (LA201_0==XOR) ) {
                alt201=1;
            }
            else if ( (LA201_0==Identifier) && (synpred36_TextMarkerParser())) {
                alt201=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 201, 0, input);

                throw nvae;
            }
            switch (alt201) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2091:2: (op= XOR LPAREN e1= booleanExpression COMMA e2= booleanExpression RPAREN )
                    {
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2091:2: (op= XOR LPAREN e1= booleanExpression COMMA e2= booleanExpression RPAREN )
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2091:3: op= XOR LPAREN e1= booleanExpression COMMA e2= booleanExpression RPAREN
                    {
                    op=(Token)match(input,XOR,FOLLOW_XOR_in_booleanFunction12147); if (state.failed) return expr;
                    match(input,LPAREN,FOLLOW_LPAREN_in_booleanFunction12149); if (state.failed) return expr;
                    pushFollow(FOLLOW_booleanExpression_in_booleanFunction12155);
                    e1=booleanExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    match(input,COMMA,FOLLOW_COMMA_in_booleanFunction12157); if (state.failed) return expr;
                    pushFollow(FOLLOW_booleanExpression_in_booleanFunction12163);
                    e2=booleanExpression();

                    state._fsp--;
                    if (state.failed) return expr;
                    match(input,RPAREN,FOLLOW_RPAREN_in_booleanFunction12165); if (state.failed) return expr;

                    }

                    if ( state.backtracking==0 ) {
                      expr = ExpressionFactory.createBooleanFunction(op,e1,e2);
                    }

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2093:4: (e= externalBooleanFunction )=>e= externalBooleanFunction
                    {
                    pushFollow(FOLLOW_externalBooleanFunction_in_booleanFunction12187);
                    e=externalBooleanFunction();

                    state._fsp--;
                    if (state.failed) return expr;
                    if ( state.backtracking==0 ) {
                      expr = e;
                    }

                    }
                    break;

            }
        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "booleanFunction"


    // $ANTLR start "externalBooleanFunction"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2097:1: externalBooleanFunction returns [Expression expr = null] : {...}?id= Identifier LPAREN args= varArgumentList RPAREN ;
    public final Expression externalBooleanFunction() throws RecognitionException {
        Expression expr =  null;

        Token id=null;
        List<Expression> args = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2098:2: ({...}?id= Identifier LPAREN args= varArgumentList RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2099:2: {...}?id= Identifier LPAREN args= varArgumentList RPAREN
            {
            if ( !((isVariableOfType(input.LT(1).getText(), "BOOLEANFUNCTION"))) ) {
                if (state.backtracking>0) {state.failed=true; return expr;}
                throw new FailedPredicateException(input, "externalBooleanFunction", "isVariableOfType(input.LT(1).getText(), \"BOOLEANFUNCTION\")");
            }
            id=(Token)match(input,Identifier,FOLLOW_Identifier_in_externalBooleanFunction12213); if (state.failed) return expr;
            match(input,LPAREN,FOLLOW_LPAREN_in_externalBooleanFunction12216); if (state.failed) return expr;
            pushFollow(FOLLOW_varArgumentList_in_externalBooleanFunction12223);
            args=varArgumentList();

            state._fsp--;
            if (state.failed) return expr;
            match(input,RPAREN,FOLLOW_RPAREN_in_externalBooleanFunction12227); if (state.failed) return expr;
            if ( state.backtracking==0 ) {

              		expr = external.createExternalBooleanFunction(id, args);
              	
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "externalBooleanFunction"


    // $ANTLR start "booleanCompare"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2109:1: booleanCompare returns [Expression expr = null] : (e1= simpleBooleanExpression op= ( EQUAL | NOTEQUAL ) e2= booleanExpression ) ;
    public final Expression booleanCompare() throws RecognitionException {
        Expression expr =  null;

        Token op=null;
        Expression e1 = null;

        Expression e2 = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2110:2: ( (e1= simpleBooleanExpression op= ( EQUAL | NOTEQUAL ) e2= booleanExpression ) )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2111:2: (e1= simpleBooleanExpression op= ( EQUAL | NOTEQUAL ) e2= booleanExpression )
            {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2111:2: (e1= simpleBooleanExpression op= ( EQUAL | NOTEQUAL ) e2= booleanExpression )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2111:3: e1= simpleBooleanExpression op= ( EQUAL | NOTEQUAL ) e2= booleanExpression
            {
            pushFollow(FOLLOW_simpleBooleanExpression_in_booleanCompare12252);
            e1=simpleBooleanExpression();

            state._fsp--;
            if (state.failed) return expr;
            op=(Token)input.LT(1);
            if ( (input.LA(1)>=EQUAL && input.LA(1)<=NOTEQUAL) ) {
                input.consume();
                state.errorRecovery=false;state.failed=false;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                MismatchedSetException mse = new MismatchedSetException(null,input);
                throw mse;
            }

            pushFollow(FOLLOW_booleanExpression_in_booleanCompare12270);
            e2=booleanExpression();

            state._fsp--;
            if (state.failed) return expr;

            }

            if ( state.backtracking==0 ) {
              expr = ExpressionFactory.createBooleanFunction(op,e1,e2);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "booleanCompare"


    // $ANTLR start "literalBooleanExpression"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2116:1: literalBooleanExpression returns [BooleanLiteral expr = null] : (value= TRUE | value= FALSE ) ;
    public final BooleanLiteral literalBooleanExpression() throws RecognitionException {
        BooleanLiteral expr =  null;

        Token value=null;

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2117:2: ( (value= TRUE | value= FALSE ) )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2118:2: (value= TRUE | value= FALSE )
            {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2118:2: (value= TRUE | value= FALSE )
            int alt202=2;
            int LA202_0 = input.LA(1);

            if ( (LA202_0==TRUE) ) {
                alt202=1;
            }
            else if ( (LA202_0==FALSE) ) {
                alt202=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                NoViableAltException nvae =
                    new NoViableAltException("", 202, 0, input);

                throw nvae;
            }
            switch (alt202) {
                case 1 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2118:3: value= TRUE
                    {
                    value=(Token)match(input,TRUE,FOLLOW_TRUE_in_literalBooleanExpression12297); if (state.failed) return expr;

                    }
                    break;
                case 2 :
                    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2119:4: value= FALSE
                    {
                    value=(Token)match(input,FALSE,FOLLOW_FALSE_in_literalBooleanExpression12307); if (state.failed) return expr;

                    }
                    break;

            }

            if ( state.backtracking==0 ) {
              expr = ExpressionFactory.createSimpleBooleanExpression(value);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "literalBooleanExpression"


    // $ANTLR start "booleanTypeExpression"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2124:1: booleanTypeExpression returns [Expression expr = null] : e1= typeExpression op= ( EQUAL | NOTEQUAL ) e2= typeExpression ;
    public final Expression booleanTypeExpression() throws RecognitionException {
        Expression expr =  null;

        Token op=null;
        Expression e1 = null;

        Expression e2 = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2125:2: (e1= typeExpression op= ( EQUAL | NOTEQUAL ) e2= typeExpression )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2126:2: e1= typeExpression op= ( EQUAL | NOTEQUAL ) e2= typeExpression
            {
            pushFollow(FOLLOW_typeExpression_in_booleanTypeExpression12334);
            e1=typeExpression();

            state._fsp--;
            if (state.failed) return expr;
            op=(Token)input.LT(1);
            if ( (input.LA(1)>=EQUAL && input.LA(1)<=NOTEQUAL) ) {
                input.consume();
                state.errorRecovery=false;state.failed=false;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                MismatchedSetException mse = new MismatchedSetException(null,input);
                throw mse;
            }

            pushFollow(FOLLOW_typeExpression_in_booleanTypeExpression12354);
            e2=typeExpression();

            state._fsp--;
            if (state.failed) return expr;
            if ( state.backtracking==0 ) {
              expr = ExpressionFactory.createBooleanTypeExpression(e1,op,e2);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "booleanTypeExpression"


    // $ANTLR start "booleanNumberExpression"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2134:1: booleanNumberExpression returns [Expression expr = null] : LPAREN e1= numberExpression op= ( LESS | GREATER | GREATEREQUAL | LESSEQUAL | EQUAL | NOTEQUAL ) e2= numberExpression RPAREN ;
    public final Expression booleanNumberExpression() throws RecognitionException {
        Expression expr =  null;

        Token op=null;
        Expression e1 = null;

        Expression e2 = null;


        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2135:2: ( LPAREN e1= numberExpression op= ( LESS | GREATER | GREATEREQUAL | LESSEQUAL | EQUAL | NOTEQUAL ) e2= numberExpression RPAREN )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2136:2: LPAREN e1= numberExpression op= ( LESS | GREATER | GREATEREQUAL | LESSEQUAL | EQUAL | NOTEQUAL ) e2= numberExpression RPAREN
            {
            match(input,LPAREN,FOLLOW_LPAREN_in_booleanNumberExpression12377); if (state.failed) return expr;
            pushFollow(FOLLOW_numberExpression_in_booleanNumberExpression12384);
            e1=numberExpression();

            state._fsp--;
            if (state.failed) return expr;
            op=(Token)input.LT(1);
            if ( (input.LA(1)>=LESS && input.LA(1)<=GREATER)||(input.LA(1)>=EQUAL && input.LA(1)<=NOTEQUAL)||(input.LA(1)>=LESSEQUAL && input.LA(1)<=GREATEREQUAL) ) {
                input.consume();
                state.errorRecovery=false;state.failed=false;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return expr;}
                MismatchedSetException mse = new MismatchedSetException(null,input);
                throw mse;
            }

            pushFollow(FOLLOW_numberExpression_in_booleanNumberExpression12420);
            e2=numberExpression();

            state._fsp--;
            if (state.failed) return expr;
            match(input,RPAREN,FOLLOW_RPAREN_in_booleanNumberExpression12423); if (state.failed) return expr;
            if ( state.backtracking==0 ) {
              expr = ExpressionFactory.createBooleanNumberExpression(e1,op,e2);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return expr;
    }
    // $ANTLR end "booleanNumberExpression"


    // $ANTLR start "genericVariableReference"
    // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2144:1: genericVariableReference returns [Expression varRef] : id= Identifier ;
    public final Expression genericVariableReference() throws RecognitionException {
        Expression varRef = null;

        Token id=null;

        try {
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2145:1: (id= Identifier )
            // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2146:3: id= Identifier
            {
            id=(Token)match(input,Identifier,FOLLOW_Identifier_in_genericVariableReference12443); if (state.failed) return varRef;
            if ( state.backtracking==0 ) {
              return ExpressionFactory.createGenericVariableReference(id);
            }

            }

        }

        	catch (RecognitionException exception1) {
        		if( reporter != null ) {
        			reporter.reportError(exception1);
        		}
        		recover(input,exception1);
        	}
        	catch (Throwable exception2) {
        		if( reporter != null ) {
        			reporter.reportThrowable(exception2);
        		}
        	}
        finally {
        }
        return varRef;
    }
    // $ANTLR end "genericVariableReference"

    // $ANTLR start synpred1_TextMarkerParser
    public final void synpred1_TextMarkerParser_fragment() throws RecognitionException {   
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:599:3: ( ( ruleElementType | ruleElementLiteral ) VBAR )
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:599:4: ( ruleElementType | ruleElementLiteral ) VBAR
        {
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:599:4: ( ruleElementType | ruleElementLiteral )
        int alt203=2;
        switch ( input.LA(1) ) {
        case Identifier:
            {
            int LA203_1 = input.LA(2);

            if ( (!(((isVariableOfType(input.LT(1).getText(), "STRING"))))) ) {
                alt203=1;
            }
            else if ( ((isVariableOfType(input.LT(1).getText(), "STRING"))) ) {
                alt203=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return ;}
                NoViableAltException nvae =
                    new NoViableAltException("", 203, 1, input);

                throw nvae;
            }
            }
            break;
        case BasicAnnotationType:
            {
            alt203=1;
            }
            break;
        case StringLiteral:
            {
            alt203=2;
            }
            break;
        default:
            if (state.backtracking>0) {state.failed=true; return ;}
            NoViableAltException nvae =
                new NoViableAltException("", 203, 0, input);

            throw nvae;
        }

        switch (alt203) {
            case 1 :
                // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:599:5: ruleElementType
                {
                pushFollow(FOLLOW_ruleElementType_in_synpred1_TextMarkerParser1979);
                ruleElementType();

                state._fsp--;
                if (state.failed) return ;

                }
                break;
            case 2 :
                // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:599:23: ruleElementLiteral
                {
                pushFollow(FOLLOW_ruleElementLiteral_in_synpred1_TextMarkerParser1983);
                ruleElementLiteral();

                state._fsp--;
                if (state.failed) return ;

                }
                break;

        }

        match(input,VBAR,FOLLOW_VBAR_in_synpred1_TextMarkerParser1986); if (state.failed) return ;

        }
    }
    // $ANTLR end synpred1_TextMarkerParser

    // $ANTLR start synpred2_TextMarkerParser
    public final void synpred2_TextMarkerParser_fragment() throws RecognitionException {   
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:607:4: ( ruleElements )
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:607:5: ruleElements
        {
        pushFollow(FOLLOW_ruleElements_in_synpred2_TextMarkerParser2065);
        ruleElements();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred2_TextMarkerParser

    // $ANTLR start synpred5_TextMarkerParser
    public final void synpred5_TextMarkerParser_fragment() throws RecognitionException {   
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:668:2: ( booleanListExpression )
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:668:3: booleanListExpression
        {
        pushFollow(FOLLOW_booleanListExpression_in_synpred5_TextMarkerParser2506);
        booleanListExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred5_TextMarkerParser

    // $ANTLR start synpred6_TextMarkerParser
    public final void synpred6_TextMarkerParser_fragment() throws RecognitionException {   
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:669:4: ( intListExpression )
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:669:5: intListExpression
        {
        pushFollow(FOLLOW_intListExpression_in_synpred6_TextMarkerParser2522);
        intListExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred6_TextMarkerParser

    // $ANTLR start synpred7_TextMarkerParser
    public final void synpred7_TextMarkerParser_fragment() throws RecognitionException {   
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:670:4: ( doubleListExpression )
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:670:5: doubleListExpression
        {
        pushFollow(FOLLOW_doubleListExpression_in_synpred7_TextMarkerParser2538);
        doubleListExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred7_TextMarkerParser

    // $ANTLR start synpred8_TextMarkerParser
    public final void synpred8_TextMarkerParser_fragment() throws RecognitionException {   
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:671:4: ( floatListExpression )
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:671:5: floatListExpression
        {
        pushFollow(FOLLOW_floatListExpression_in_synpred8_TextMarkerParser2554);
        floatListExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred8_TextMarkerParser

    // $ANTLR start synpred9_TextMarkerParser
    public final void synpred9_TextMarkerParser_fragment() throws RecognitionException {   
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:672:4: ( stringListExpression )
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:672:5: stringListExpression
        {
        pushFollow(FOLLOW_stringListExpression_in_synpred9_TextMarkerParser2570);
        stringListExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred9_TextMarkerParser

    // $ANTLR start synpred10_TextMarkerParser
    public final void synpred10_TextMarkerParser_fragment() throws RecognitionException {   
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:673:4: ( typeListExpression )
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:673:5: typeListExpression
        {
        pushFollow(FOLLOW_typeListExpression_in_synpred10_TextMarkerParser2586);
        typeListExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred10_TextMarkerParser

    // $ANTLR start synpred11_TextMarkerParser
    public final void synpred11_TextMarkerParser_fragment() throws RecognitionException {   
        Expression e1 = null;


        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:715:2: (e1= doubleListExpression )
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:715:3: e1= doubleListExpression
        {
        pushFollow(FOLLOW_doubleListExpression_in_synpred11_TextMarkerParser2799);
        e1=doubleListExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred11_TextMarkerParser

    // $ANTLR start synpred12_TextMarkerParser
    public final void synpred12_TextMarkerParser_fragment() throws RecognitionException {   
        Expression e1 = null;


        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:717:2: (e1= floatListExpression )
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:717:3: e1= floatListExpression
        {
        pushFollow(FOLLOW_floatListExpression_in_synpred12_TextMarkerParser2820);
        e1=floatListExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred12_TextMarkerParser

    // $ANTLR start synpred14_TextMarkerParser
    public final void synpred14_TextMarkerParser_fragment() throws RecognitionException {   
        TextMarkerCondition c = null;


        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:895:4: (c= externalCondition )
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:895:5: c= externalCondition
        {
        pushFollow(FOLLOW_externalCondition_in_synpred14_TextMarkerParser3788);
        c=externalCondition();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred14_TextMarkerParser

    // $ANTLR start synpred15_TextMarkerParser
    public final void synpred15_TextMarkerParser_fragment() throws RecognitionException {   
        Token name=null;
        Expression type = null;

        Expression a = null;

        Expression min = null;

        Expression max = null;

        Expression var = null;


        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:956:6: (name= COUNT LPAREN type= listExpression COMMA a= argument ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN )
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:956:6: name= COUNT LPAREN type= listExpression COMMA a= argument ( COMMA min= numberExpression COMMA max= numberExpression )? ( COMMA var= numberVariable )? RPAREN
        {
        name=(Token)match(input,COUNT,FOLLOW_COUNT_in_synpred15_TextMarkerParser4216); if (state.failed) return ;
        match(input,LPAREN,FOLLOW_LPAREN_in_synpred15_TextMarkerParser4218); if (state.failed) return ;
        pushFollow(FOLLOW_listExpression_in_synpred15_TextMarkerParser4224);
        type=listExpression();

        state._fsp--;
        if (state.failed) return ;
        match(input,COMMA,FOLLOW_COMMA_in_synpred15_TextMarkerParser4239); if (state.failed) return ;
        pushFollow(FOLLOW_argument_in_synpred15_TextMarkerParser4245);
        a=argument();

        state._fsp--;
        if (state.failed) return ;
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:960:6: ( COMMA min= numberExpression COMMA max= numberExpression )?
        int alt204=2;
        int LA204_0 = input.LA(1);

        if ( (LA204_0==COMMA) ) {
            int LA204_1 = input.LA(2);

            if ( ((LA204_1>=EXP && LA204_1<=TAN)||LA204_1==DecimalLiteral||LA204_1==FloatingPointLiteral||LA204_1==LPAREN||LA204_1==MINUS) ) {
                alt204=1;
            }
            else if ( (LA204_1==Identifier) ) {
                int LA204_4 = input.LA(3);

                if ( (LA204_4==LPAREN||LA204_4==COMMA||(LA204_4>=PLUS && LA204_4<=SLASH)||LA204_4==PERCENT) ) {
                    alt204=1;
                }
            }
        }
        switch (alt204) {
            case 1 :
                // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:960:7: COMMA min= numberExpression COMMA max= numberExpression
                {
                match(input,COMMA,FOLLOW_COMMA_in_synpred15_TextMarkerParser4261); if (state.failed) return ;
                pushFollow(FOLLOW_numberExpression_in_synpred15_TextMarkerParser4267);
                min=numberExpression();

                state._fsp--;
                if (state.failed) return ;
                match(input,COMMA,FOLLOW_COMMA_in_synpred15_TextMarkerParser4269); if (state.failed) return ;
                pushFollow(FOLLOW_numberExpression_in_synpred15_TextMarkerParser4275);
                max=numberExpression();

                state._fsp--;
                if (state.failed) return ;

                }
                break;

        }

        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:962:6: ( COMMA var= numberVariable )?
        int alt205=2;
        int LA205_0 = input.LA(1);

        if ( (LA205_0==COMMA) ) {
            alt205=1;
        }
        switch (alt205) {
            case 1 :
                // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:962:7: COMMA var= numberVariable
                {
                match(input,COMMA,FOLLOW_COMMA_in_synpred15_TextMarkerParser4293); if (state.failed) return ;
                pushFollow(FOLLOW_numberVariable_in_synpred15_TextMarkerParser4299);
                var=numberVariable();

                state._fsp--;
                if (state.failed) return ;

                }
                break;

        }

        match(input,RPAREN,FOLLOW_RPAREN_in_synpred15_TextMarkerParser4315); if (state.failed) return ;

        }
    }
    // $ANTLR end synpred15_TextMarkerParser

    // $ANTLR start synpred16_TextMarkerParser
    public final void synpred16_TextMarkerParser_fragment() throws RecognitionException {   
        Expression list2 = null;


        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1001:27: (list2= stringListExpression )
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1001:28: list2= stringListExpression
        {
        pushFollow(FOLLOW_stringListExpression_in_synpred16_TextMarkerParser4680);
        list2=stringListExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred16_TextMarkerParser

    // $ANTLR start synpred17_TextMarkerParser
    public final void synpred17_TextMarkerParser_fragment() throws RecognitionException {   
        TextMarkerAction a = null;


        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1201:4: (a= externalAction )
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1201:5: a= externalAction
        {
        pushFollow(FOLLOW_externalAction_in_synpred17_TextMarkerParser6496);
        a=externalAction();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred17_TextMarkerParser

    // $ANTLR start synpred18_TextMarkerParser
    public final void synpred18_TextMarkerParser_fragment() throws RecognitionException {   
        Expression index = null;


        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1239:54: ( COMMA index= numberExpression )
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1239:55: COMMA index= numberExpression
        {
        match(input,COMMA,FOLLOW_COMMA_in_synpred18_TextMarkerParser6666); if (state.failed) return ;
        pushFollow(FOLLOW_numberExpression_in_synpred18_TextMarkerParser6672);
        index=numberExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred18_TextMarkerParser

    // $ANTLR start synpred19_TextMarkerParser
    public final void synpred19_TextMarkerParser_fragment() throws RecognitionException {   
        Expression index = null;


        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1291:54: ( COMMA index= numberExpression )
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1291:55: COMMA index= numberExpression
        {
        match(input,COMMA,FOLLOW_COMMA_in_synpred19_TextMarkerParser7049); if (state.failed) return ;
        pushFollow(FOLLOW_numberExpression_in_synpred19_TextMarkerParser7055);
        index=numberExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred19_TextMarkerParser

    // $ANTLR start synpred23_TextMarkerParser
    public final void synpred23_TextMarkerParser_fragment() throws RecognitionException {   
        Expression score = null;


        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1396:29: (score= numberExpression )
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1396:30: score= numberExpression
        {
        pushFollow(FOLLOW_numberExpression_in_synpred23_TextMarkerParser7883);
        score=numberExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred23_TextMarkerParser

    // $ANTLR start synpred24_TextMarkerParser
    public final void synpred24_TextMarkerParser_fragment() throws RecognitionException {   
        Expression type = null;


        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1396:92: (type= typeExpression )
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1396:93: type= typeExpression
        {
        pushFollow(FOLLOW_typeExpression_in_synpred24_TextMarkerParser7903);
        type=typeExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred24_TextMarkerParser

    // $ANTLR start synpred26_TextMarkerParser
    public final void synpred26_TextMarkerParser_fragment() throws RecognitionException {   
        Expression b = null;


        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1641:4: (b= booleanExpression )
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1641:5: b= booleanExpression
        {
        pushFollow(FOLLOW_booleanExpression_in_synpred26_TextMarkerParser9629);
        b=booleanExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred26_TextMarkerParser

    // $ANTLR start synpred27_TextMarkerParser
    public final void synpred27_TextMarkerParser_fragment() throws RecognitionException {   
        Expression a4 = null;


        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1814:3: (a4= stringExpression )
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1814:3: a4= stringExpression
        {
        pushFollow(FOLLOW_stringExpression_in_synpred27_TextMarkerParser10798);
        a4=stringExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred27_TextMarkerParser

    // $ANTLR start synpred28_TextMarkerParser
    public final void synpred28_TextMarkerParser_fragment() throws RecognitionException {   
        Expression a2 = null;


        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1815:4: (a2= booleanExpression )
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1815:4: a2= booleanExpression
        {
        pushFollow(FOLLOW_booleanExpression_in_synpred28_TextMarkerParser10809);
        a2=booleanExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred28_TextMarkerParser

    // $ANTLR start synpred29_TextMarkerParser
    public final void synpred29_TextMarkerParser_fragment() throws RecognitionException {   
        Expression a3 = null;


        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1816:4: (a3= numberExpression )
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1816:4: a3= numberExpression
        {
        pushFollow(FOLLOW_numberExpression_in_synpred29_TextMarkerParser10820);
        a3=numberExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred29_TextMarkerParser

    // $ANTLR start synpred30_TextMarkerParser
    public final void synpred30_TextMarkerParser_fragment() throws RecognitionException {   
        Expression e = null;


        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1977:4: (e= externalNumberFunction )
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:1977:5: e= externalNumberFunction
        {
        pushFollow(FOLLOW_externalNumberFunction_in_synpred30_TextMarkerParser11558);
        e=externalNumberFunction();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred30_TextMarkerParser

    // $ANTLR start synpred31_TextMarkerParser
    public final void synpred31_TextMarkerParser_fragment() throws RecognitionException {   
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2016:5: ( listExpression )
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2016:6: listExpression
        {
        pushFollow(FOLLOW_listExpression_in_synpred31_TextMarkerParser11761);
        listExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred31_TextMarkerParser

    // $ANTLR start synpred32_TextMarkerParser
    public final void synpred32_TextMarkerParser_fragment() throws RecognitionException {   
        Expression e = null;


        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2030:2: (e= externalStringFunction )
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2030:3: e= externalStringFunction
        {
        pushFollow(FOLLOW_externalStringFunction_in_synpred32_TextMarkerParser11854);
        e=externalStringFunction();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred32_TextMarkerParser

    // $ANTLR start synpred33_TextMarkerParser
    public final void synpred33_TextMarkerParser_fragment() throws RecognitionException {   
        Expression e2 = null;


        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2081:2: (e2= booleanCompare )
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2081:3: e2= booleanCompare
        {
        pushFollow(FOLLOW_booleanCompare_in_synpred33_TextMarkerParser12065);
        e2=booleanCompare();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred33_TextMarkerParser

    // $ANTLR start synpred34_TextMarkerParser
    public final void synpred34_TextMarkerParser_fragment() throws RecognitionException {   
        Expression bte = null;


        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2082:4: (bte= booleanTypeExpression )
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2082:5: bte= booleanTypeExpression
        {
        pushFollow(FOLLOW_booleanTypeExpression_in_synpred34_TextMarkerParser12085);
        bte=booleanTypeExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred34_TextMarkerParser

    // $ANTLR start synpred35_TextMarkerParser
    public final void synpred35_TextMarkerParser_fragment() throws RecognitionException {   
        Expression bne = null;


        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2083:4: (bne= booleanNumberExpression )
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2083:5: bne= booleanNumberExpression
        {
        pushFollow(FOLLOW_booleanNumberExpression_in_synpred35_TextMarkerParser12104);
        bne=booleanNumberExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred35_TextMarkerParser

    // $ANTLR start synpred36_TextMarkerParser
    public final void synpred36_TextMarkerParser_fragment() throws RecognitionException {   
        Expression e = null;


        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2093:4: (e= externalBooleanFunction )
        // org\\apache\\uima\\textmarker\\ide\\core\\parser\\TextMarkerParser.g:2093:5: e= externalBooleanFunction
        {
        pushFollow(FOLLOW_externalBooleanFunction_in_synpred36_TextMarkerParser12179);
        e=externalBooleanFunction();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred36_TextMarkerParser

    // Delegated rules

    public final boolean synpred16_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred16_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred18_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred18_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred6_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred6_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred12_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred12_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred11_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred11_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred23_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred23_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred27_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred27_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred34_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred34_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred17_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred17_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred33_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred33_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred9_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred9_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred2_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred2_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred35_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred35_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred10_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred10_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred1_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred1_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred14_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred14_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred31_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred31_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred36_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred36_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred19_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred19_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred5_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred5_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred30_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred30_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred15_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred15_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred24_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred24_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred7_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred7_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred29_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred29_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred28_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred28_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred26_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred26_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred32_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred32_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred8_TextMarkerParser() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred8_TextMarkerParser_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }


    protected DFA31 dfa31 = new DFA31(this);
    protected DFA86 dfa86 = new DFA86(this);
    protected DFA121 dfa121 = new DFA121(this);
    protected DFA123 dfa123 = new DFA123(this);
    protected DFA130 dfa130 = new DFA130(this);
    protected DFA165 dfa165 = new DFA165(this);
    protected DFA175 dfa175 = new DFA175(this);
    static final String DFA31_eotS =
        "\11\uffff";
    static final String DFA31_eofS =
        "\11\uffff";
    static final String DFA31_minS =
        "\1\11\1\120\3\u0080\1\u0081\1\uffff\1\u0080\1\uffff";
    static final String DFA31_maxS =
        "\1\11\1\u0080\1\u008c\2\u0080\1\u008c\1\uffff\1\u0089\1\uffff";
    static final String DFA31_acceptS =
        "\6\uffff\1\1\1\uffff\1\2";
    static final String DFA31_specialS =
        "\11\uffff}>";
    static final String[] DFA31_transitionS = {
            "\1\1",
            "\1\3\57\uffff\1\2",
            "\1\5\10\uffff\1\4\1\uffff\2\6",
            "\1\5",
            "\1\7",
            "\1\10\11\uffff\2\6",
            "",
            "\1\5\10\uffff\1\4",
            ""
    };

    static final short[] DFA31_eot = DFA.unpackEncodedString(DFA31_eotS);
    static final short[] DFA31_eof = DFA.unpackEncodedString(DFA31_eofS);
    static final char[] DFA31_min = DFA.unpackEncodedStringToUnsignedChars(DFA31_minS);
    static final char[] DFA31_max = DFA.unpackEncodedStringToUnsignedChars(DFA31_maxS);
    static final short[] DFA31_accept = DFA.unpackEncodedString(DFA31_acceptS);
    static final short[] DFA31_special = DFA.unpackEncodedString(DFA31_specialS);
    static final short[][] DFA31_transition;

    static {
        int numStates = DFA31_transitionS.length;
        DFA31_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA31_transition[i] = DFA.unpackEncodedString(DFA31_transitionS[i]);
        }
    }

    class DFA31 extends DFA {

        public DFA31(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 31;
            this.eot = DFA31_eot;
            this.eof = DFA31_eof;
            this.min = DFA31_min;
            this.max = DFA31_max;
            this.accept = DFA31_accept;
            this.special = DFA31_special;
            this.transition = DFA31_transition;
        }
        public String getDescription() {
            return "459:2: (declareToken= DECLARE (lazyParent= annotationType )? id= Identifier ( COMMA id= Identifier )* end= SEMI | declareToken= DECLARE type= annotationType id= Identifier ( LPAREN (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString ) fname= Identifier ( COMMA (obj1= annotationType | obj2= StringString | obj3= DoubleString | obj6= FloatString | obj4= IntString | obj5= BooleanString ) fname= Identifier )* RPAREN ) SEMI )";
        }
    }
    static final String DFA86_eotS =
        "\37\uffff";
    static final String DFA86_eofS =
        "\37\uffff";
    static final String DFA86_minS =
        "\1\10\33\uffff\1\117\2\uffff";
    static final String DFA86_maxS =
        "\1\u008e\33\uffff\1\u008b\2\uffff";
    static final String DFA86_acceptS =
        "\1\uffff\1\1\1\2\1\3\1\4\1\5\1\6\1\7\1\10\1\11\1\12\1\13\1\14\1"+
        "\15\1\16\1\17\1\20\1\21\1\22\1\23\1\24\1\25\1\26\1\27\1\30\1\31"+
        "\1\32\1\33\1\uffff\1\34\1\35";
    static final String DFA86_specialS =
        "\34\uffff\1\0\2\uffff}>";
    static final String[] DFA86_transitionS = {
            "\1\2\3\uffff\1\1\1\3\1\4\1\20\1\5\1\6\1\7\1\10\1\11\1\13\1"+
            "\14\1\32\1\15\1\16\1\17\1\21\1\22\1\23\1\24\34\uffff\1\26\1"+
            "\27\1\25\1\30\1\31\4\uffff\1\12\6\uffff\1\33\64\uffff\1\34\15"+
            "\uffff\1\12",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\36\61\uffff\1\35\1\36\3\uffff\1\36\4\uffff\1\36",
            "",
            ""
    };

    static final short[] DFA86_eot = DFA.unpackEncodedString(DFA86_eotS);
    static final short[] DFA86_eof = DFA.unpackEncodedString(DFA86_eofS);
    static final char[] DFA86_min = DFA.unpackEncodedStringToUnsignedChars(DFA86_minS);
    static final char[] DFA86_max = DFA.unpackEncodedStringToUnsignedChars(DFA86_maxS);
    static final short[] DFA86_accept = DFA.unpackEncodedString(DFA86_acceptS);
    static final short[] DFA86_special = DFA.unpackEncodedString(DFA86_specialS);
    static final short[][] DFA86_transition;

    static {
        int numStates = DFA86_transitionS.length;
        DFA86_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA86_transition[i] = DFA.unpackEncodedString(DFA86_transitionS[i]);
        }
    }

    class DFA86 extends DFA {

        public DFA86(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 86;
            this.eot = DFA86_eot;
            this.eof = DFA86_eof;
            this.min = DFA86_min;
            this.max = DFA86_max;
            this.accept = DFA86_accept;
            this.special = DFA86_special;
            this.transition = DFA86_transition;
        }
        public String getDescription() {
            return "867:2: (c= conditionAnd | c= conditionContains | c= conditionContextCount | c= conditionCount | c= conditionCurrentCount | c= conditionInList | c= conditionLast | c= conditionMofN | c= conditionNear | c= conditionNot | c= conditionOr | c= conditionPartOf | c= conditionPosition | c= conditionRegExp | c= conditionScore | c= conditionTotalCount | c= conditionVote | c= conditionIf | c= conditionFeature | c= conditionParse | c= conditionIs | c= conditionBefore | c= conditionAfter | c= conditionStartsWith | c= conditionEndsWith | c= conditionPartOfNeq | c= conditionSize | (c= externalCondition )=>c= externalCondition | c= variableCondition )";
        }
        public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
            TokenStream input = (TokenStream)_input;
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA86_28 = input.LA(1);

                         
                        int index86_28 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA86_28==LPAREN) && (synpred14_TextMarkerParser())) {s = 29;}

                        else if ( (LA86_28==THEN||LA86_28==RPAREN||LA86_28==RCURLY||LA86_28==COMMA) ) {s = 30;}

                         
                        input.seek(index86_28);
                        if ( s>=0 ) return s;
                        break;
            }
            if (state.backtracking>0) {state.failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 86, _s, input);
            error(nvae);
            throw nvae;
        }
    }
    static final String DFA121_eotS =
        "\54\uffff";
    static final String DFA121_eofS =
        "\54\uffff";
    static final String DFA121_minS =
        "\1\7\50\uffff\1\u0081\2\uffff";
    static final String DFA121_maxS =
        "\1\u0080\50\uffff\1\u008b\2\uffff";
    static final String DFA121_acceptS =
        "\1\uffff\1\1\1\2\1\3\1\4\1\5\1\6\1\7\1\10\1\11\1\12\1\13\1\14\1"+
        "\15\1\16\1\17\1\20\1\21\1\22\1\23\1\24\1\25\1\26\1\27\1\30\1\31"+
        "\1\32\1\33\1\34\1\35\1\36\1\37\1\40\1\41\1\42\1\43\1\44\1\45\1\46"+
        "\1\47\1\50\1\uffff\1\51\1\52";
    static final String DFA121_specialS =
        "\51\uffff\1\0\2\uffff}>";
    static final String[] DFA121_transitionS = {
            "\1\25\27\uffff\1\13\1\26\1\14\1\uffff\1\1\1\2\1\3\1\4\1\5\1"+
            "\24\1\6\1\30\1\7\1\10\1\11\1\12\1\15\1\27\1\42\1\16\1\17\1\20"+
            "\1\21\1\22\1\23\1\41\1\43\1\44\5\uffff\1\46\1\50\1\45\1\47\1"+
            "\uffff\1\31\1\32\1\33\1\34\1\35\1\36\1\uffff\1\37\1\uffff\1"+
            "\40\61\uffff\1\51",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\52\4\uffff\1\53\4\uffff\1\53",
            "",
            ""
    };

    static final short[] DFA121_eot = DFA.unpackEncodedString(DFA121_eotS);
    static final short[] DFA121_eof = DFA.unpackEncodedString(DFA121_eofS);
    static final char[] DFA121_min = DFA.unpackEncodedStringToUnsignedChars(DFA121_minS);
    static final char[] DFA121_max = DFA.unpackEncodedStringToUnsignedChars(DFA121_maxS);
    static final short[] DFA121_accept = DFA.unpackEncodedString(DFA121_acceptS);
    static final short[] DFA121_special = DFA.unpackEncodedString(DFA121_specialS);
    static final short[][] DFA121_transition;

    static {
        int numStates = DFA121_transitionS.length;
        DFA121_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA121_transition[i] = DFA.unpackEncodedString(DFA121_transitionS[i]);
        }
    }

    class DFA121 extends DFA {

        public DFA121(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 121;
            this.eot = DFA121_eot;
            this.eof = DFA121_eof;
            this.min = DFA121_min;
            this.max = DFA121_max;
            this.accept = DFA121_accept;
            this.special = DFA121_special;
            this.transition = DFA121_transition;
        }
        public String getDescription() {
            return "1160:2: (a= actionColor | a= actionDel | a= actionLog | a= actionMark | a= actionMarkScore | a= actionMarkFast | a= actionMarkLast | a= actionReplace | a= actionRetainType | a= actionFilterType | a= actionCreate | a= actionFill | a= actionCall | a= actionAssign | a= actionSetFeature | a= actionGetFeature | a= actionUnmark | a= actionUnmarkAll | a= actionTransfer | a= actionMarkOnce | a= actionTrie | a= actionGather | a= actionExec | a= actionMarkTable | a= actionAdd | a= actionRemove | a= actionRemoveDuplicate | a= actionMerge | a= actionGet | a= actionGetList | a= actionMatchedText | a= actionClear | a= actionShift | a= actionConfigure | a= actionDynamicAnchoring | a= actionTrim | a= actionAddFilterType | a= actionAddRetainType | a= actionRemoveFilterType | a= actionRemoveRetainType | (a= externalAction )=>a= externalAction | a= variableAction )";
        }
        public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
            TokenStream input = (TokenStream)_input;
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA121_41 = input.LA(1);

                         
                        int index121_41 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA121_41==LPAREN) && (synpred17_TextMarkerParser())) {s = 42;}

                        else if ( (LA121_41==RCURLY||LA121_41==COMMA) ) {s = 43;}

                         
                        input.seek(index121_41);
                        if ( s>=0 ) return s;
                        break;
            }
            if (state.backtracking>0) {state.failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 121, _s, input);
            error(nvae);
            throw nvae;
        }
    }
    static final String DFA123_eotS =
        "\12\uffff";
    static final String DFA123_eofS =
        "\12\uffff";
    static final String DFA123_minS =
        "\1\115\1\uffff\1\0\7\uffff";
    static final String DFA123_maxS =
        "\1\u008e\1\uffff\1\0\7\uffff";
    static final String DFA123_acceptS =
        "\1\uffff\1\1\5\uffff\1\2\2\uffff";
    static final String DFA123_specialS =
        "\2\uffff\1\0\7\uffff}>";
    static final String[] DFA123_transitionS = {
            "\1\7\32\uffff\5\1\6\uffff\1\1\3\uffff\1\1\2\uffff\1\7\5\uffff"+
            "\1\2\1\1\1\7\13\uffff\1\1",
            "",
            "\1\uffff",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA123_eot = DFA.unpackEncodedString(DFA123_eotS);
    static final short[] DFA123_eof = DFA.unpackEncodedString(DFA123_eofS);
    static final char[] DFA123_min = DFA.unpackEncodedStringToUnsignedChars(DFA123_minS);
    static final char[] DFA123_max = DFA.unpackEncodedStringToUnsignedChars(DFA123_maxS);
    static final short[] DFA123_accept = DFA.unpackEncodedString(DFA123_acceptS);
    static final short[] DFA123_special = DFA.unpackEncodedString(DFA123_specialS);
    static final short[][] DFA123_transition;

    static {
        int numStates = DFA123_transitionS.length;
        DFA123_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA123_transition[i] = DFA.unpackEncodedString(DFA123_transitionS[i]);
        }
    }

    class DFA123 extends DFA {

        public DFA123(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 123;
            this.eot = DFA123_eot;
            this.eof = DFA123_eof;
            this.min = DFA123_min;
            this.max = DFA123_max;
            this.accept = DFA123_accept;
            this.special = DFA123_special;
            this.transition = DFA123_transition;
        }
        public String getDescription() {
            return "1239:5: (index= numberExpression ( ( COMMA index= numberExpression )=> ( COMMA index= numberExpression ) )* COMMA )?";
        }
        public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
            TokenStream input = (TokenStream)_input;
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA123_2 = input.LA(1);

                         
                        int index123_2 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (((isVariableOfType(input.LT(1).getText(), "INT"))||(isVariableOfType(input.LT(1).getText(), "DOUBLE"))||(isVariableOfType(input.LT(1).getText(), "NUMBERFUNCTION"))||(isVariableOfType(input.LT(1).getText(), "FLOAT")))) ) {s = 1;}

                        else if ( (((isVariableOfType(input.LT(1).getText(), "STRINGFUNCTION"))||(isVariableOfType(input.LT(1).getText(), "STRING")))) ) {s = 7;}

                         
                        input.seek(index123_2);
                        if ( s>=0 ) return s;
                        break;
            }
            if (state.backtracking>0) {state.failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 123, _s, input);
            error(nvae);
            throw nvae;
        }
    }
    static final String DFA130_eotS =
        "\12\uffff";
    static final String DFA130_eofS =
        "\12\uffff";
    static final String DFA130_minS =
        "\1\115\1\uffff\1\0\7\uffff";
    static final String DFA130_maxS =
        "\1\u008e\1\uffff\1\0\7\uffff";
    static final String DFA130_acceptS =
        "\1\uffff\1\1\5\uffff\1\2\2\uffff";
    static final String DFA130_specialS =
        "\2\uffff\1\0\7\uffff}>";
    static final String[] DFA130_transitionS = {
            "\1\7\32\uffff\5\1\6\uffff\1\1\3\uffff\1\1\2\uffff\1\7\5\uffff"+
            "\1\2\1\1\1\7\13\uffff\1\1",
            "",
            "\1\uffff",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA130_eot = DFA.unpackEncodedString(DFA130_eotS);
    static final short[] DFA130_eof = DFA.unpackEncodedString(DFA130_eofS);
    static final char[] DFA130_min = DFA.unpackEncodedStringToUnsignedChars(DFA130_minS);
    static final char[] DFA130_max = DFA.unpackEncodedStringToUnsignedChars(DFA130_maxS);
    static final short[] DFA130_accept = DFA.unpackEncodedString(DFA130_acceptS);
    static final short[] DFA130_special = DFA.unpackEncodedString(DFA130_specialS);
    static final short[][] DFA130_transition;

    static {
        int numStates = DFA130_transitionS.length;
        DFA130_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA130_transition[i] = DFA.unpackEncodedString(DFA130_transitionS[i]);
        }
    }

    class DFA130 extends DFA {

        public DFA130(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 130;
            this.eot = DFA130_eot;
            this.eof = DFA130_eof;
            this.min = DFA130_min;
            this.max = DFA130_max;
            this.accept = DFA130_accept;
            this.special = DFA130_special;
            this.transition = DFA130_transition;
        }
        public String getDescription() {
            return "1291:5: (index= numberExpression ( ( COMMA index= numberExpression )=> ( COMMA index= numberExpression ) )* COMMA )?";
        }
        public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
            TokenStream input = (TokenStream)_input;
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA130_2 = input.LA(1);

                         
                        int index130_2 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (((isVariableOfType(input.LT(1).getText(), "INT"))||(isVariableOfType(input.LT(1).getText(), "DOUBLE"))||(isVariableOfType(input.LT(1).getText(), "NUMBERFUNCTION"))||(isVariableOfType(input.LT(1).getText(), "FLOAT")))) ) {s = 1;}

                        else if ( (((isVariableOfType(input.LT(1).getText(), "STRINGFUNCTION"))||(isVariableOfType(input.LT(1).getText(), "STRING")))) ) {s = 7;}

                         
                        input.seek(index130_2);
                        if ( s>=0 ) return s;
                        break;
            }
            if (state.backtracking>0) {state.failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 130, _s, input);
            error(nvae);
            throw nvae;
        }
    }
    static final String DFA165_eotS =
        "\13\uffff";
    static final String DFA165_eofS =
        "\13\uffff";
    static final String DFA165_minS =
        "\1\120\2\uffff\1\0\1\uffff\1\0\5\uffff";
    static final String DFA165_maxS =
        "\1\u008e\2\uffff\1\0\1\uffff\1\0\5\uffff";
    static final String DFA165_acceptS =
        "\1\uffff\2\1\1\uffff\1\1\1\uffff\1\1\1\2\3\uffff";
    static final String DFA165_specialS =
        "\1\0\2\uffff\1\1\1\uffff\1\2\5\uffff}>";
    static final String[] DFA165_transitionS = {
            "\1\4\27\uffff\5\7\1\6\1\1\1\2\3\uffff\1\7\3\uffff\1\7\10\uffff"+
            "\1\3\1\5\14\uffff\1\7",
            "",
            "",
            "\1\uffff",
            "",
            "\1\uffff",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA165_eot = DFA.unpackEncodedString(DFA165_eotS);
    static final short[] DFA165_eof = DFA.unpackEncodedString(DFA165_eofS);
    static final char[] DFA165_min = DFA.unpackEncodedStringToUnsignedChars(DFA165_minS);
    static final char[] DFA165_max = DFA.unpackEncodedStringToUnsignedChars(DFA165_maxS);
    static final short[] DFA165_accept = DFA.unpackEncodedString(DFA165_acceptS);
    static final short[] DFA165_special = DFA.unpackEncodedString(DFA165_specialS);
    static final short[][] DFA165_transition;

    static {
        int numStates = DFA165_transitionS.length;
        DFA165_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA165_transition[i] = DFA.unpackEncodedString(DFA165_transitionS[i]);
        }
    }

    class DFA165 extends DFA {

        public DFA165(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 165;
            this.eot = DFA165_eot;
            this.eof = DFA165_eof;
            this.min = DFA165_min;
            this.max = DFA165_max;
            this.accept = DFA165_accept;
            this.special = DFA165_special;
            this.transition = DFA165_transition;
        }
        public String getDescription() {
            return "1640:5: ( (b= booleanExpression )=>b= booleanExpression | (index= numberExpression ( COMMA index= numberExpression )* ) )";
        }
        public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
            TokenStream input = (TokenStream)_input;
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA165_0 = input.LA(1);

                         
                        int index165_0 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA165_0==TRUE) && (synpred26_TextMarkerParser())) {s = 1;}

                        else if ( (LA165_0==FALSE) && (synpred26_TextMarkerParser())) {s = 2;}

                        else if ( (LA165_0==Identifier) ) {s = 3;}

                        else if ( (LA165_0==BasicAnnotationType) && (synpred26_TextMarkerParser())) {s = 4;}

                        else if ( (LA165_0==LPAREN) ) {s = 5;}

                        else if ( (LA165_0==XOR) && (synpred26_TextMarkerParser())) {s = 6;}

                        else if ( ((LA165_0>=EXP && LA165_0<=TAN)||LA165_0==DecimalLiteral||LA165_0==FloatingPointLiteral||LA165_0==MINUS) ) {s = 7;}

                         
                        input.seek(index165_0);
                        if ( s>=0 ) return s;
                        break;
                    case 1 : 
                        int LA165_3 = input.LA(1);

                         
                        int index165_3 = input.index();
                        input.rewind();
                        s = -1;
                        if ( ((synpred26_TextMarkerParser()||(synpred26_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "BOOLEAN")))||(synpred26_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "BOOLEANFUNCTION")))||(synpred26_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "BOOLEAN")))||(synpred26_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "TYPEFUNCTION"))))) ) {s = 6;}

                        else if ( (((isVariableOfType(input.LT(1).getText(), "INT"))||(isVariableOfType(input.LT(1).getText(), "DOUBLE"))||(isVariableOfType(input.LT(1).getText(), "NUMBERFUNCTION"))||(isVariableOfType(input.LT(1).getText(), "FLOAT")))) ) {s = 7;}

                         
                        input.seek(index165_3);
                        if ( s>=0 ) return s;
                        break;
                    case 2 : 
                        int LA165_5 = input.LA(1);

                         
                        int index165_5 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred26_TextMarkerParser()) ) {s = 6;}

                        else if ( (true) ) {s = 7;}

                         
                        input.seek(index165_5);
                        if ( s>=0 ) return s;
                        break;
            }
            if (state.backtracking>0) {state.failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 165, _s, input);
            error(nvae);
            throw nvae;
        }
    }
    static final String DFA175_eotS =
        "\16\uffff";
    static final String DFA175_eofS =
        "\16\uffff";
    static final String DFA175_minS =
        "\1\115\1\uffff\1\0\3\uffff\2\0\6\uffff";
    static final String DFA175_maxS =
        "\1\u008e\1\uffff\1\0\3\uffff\2\0\6\uffff";
    static final String DFA175_acceptS =
        "\1\uffff\1\1\2\uffff\1\2\4\uffff\1\3\3\uffff\1\4";
    static final String DFA175_specialS =
        "\2\uffff\1\0\3\uffff\1\1\1\2\6\uffff}>";
    static final String[] DFA175_transitionS = {
            "\1\1\2\uffff\1\6\27\uffff\5\11\3\4\3\uffff\1\11\3\uffff\1\11"+
            "\2\uffff\1\1\5\uffff\1\2\1\7\14\uffff\1\11",
            "",
            "\1\uffff",
            "",
            "",
            "",
            "\1\uffff",
            "\1\uffff",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA175_eot = DFA.unpackEncodedString(DFA175_eotS);
    static final short[] DFA175_eof = DFA.unpackEncodedString(DFA175_eofS);
    static final char[] DFA175_min = DFA.unpackEncodedStringToUnsignedChars(DFA175_minS);
    static final char[] DFA175_max = DFA.unpackEncodedStringToUnsignedChars(DFA175_maxS);
    static final short[] DFA175_accept = DFA.unpackEncodedString(DFA175_acceptS);
    static final short[] DFA175_special = DFA.unpackEncodedString(DFA175_specialS);
    static final short[][] DFA175_transition;

    static {
        int numStates = DFA175_transitionS.length;
        DFA175_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA175_transition[i] = DFA.unpackEncodedString(DFA175_transitionS[i]);
        }
    }

    class DFA175 extends DFA {

        public DFA175(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 175;
            this.eot = DFA175_eot;
            this.eof = DFA175_eof;
            this.min = DFA175_min;
            this.max = DFA175_max;
            this.accept = DFA175_accept;
            this.special = DFA175_special;
            this.transition = DFA175_transition;
        }
        public String getDescription() {
            return "1809:1: argument returns [Expression expr = null] options {backtrack=true; } : (a4= stringExpression | a2= booleanExpression | a3= numberExpression | a1= typeExpression );";
        }
        public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
            TokenStream input = (TokenStream)_input;
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA175_2 = input.LA(1);

                         
                        int index175_2 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (((synpred27_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "STRINGFUNCTION")))||(synpred27_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "STRING"))))) ) {s = 1;}

                        else if ( (((synpred28_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "BOOLEANFUNCTION")))||(synpred28_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "BOOLEAN")))||synpred28_TextMarkerParser()||(synpred28_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "TYPEFUNCTION")))||(synpred28_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "BOOLEAN"))))) ) {s = 4;}

                        else if ( (((synpred29_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "FLOAT")))||(synpred29_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "DOUBLE")))||(synpred29_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "NUMBERFUNCTION")))||(synpred29_TextMarkerParser()&&(isVariableOfType(input.LT(1).getText(), "INT"))))) ) {s = 9;}

                        else if ( (true) ) {s = 13;}

                         
                        input.seek(index175_2);
                        if ( s>=0 ) return s;
                        break;
                    case 1 : 
                        int LA175_6 = input.LA(1);

                         
                        int index175_6 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred28_TextMarkerParser()) ) {s = 4;}

                        else if ( (true) ) {s = 13;}

                         
                        input.seek(index175_6);
                        if ( s>=0 ) return s;
                        break;
                    case 2 : 
                        int LA175_7 = input.LA(1);

                         
                        int index175_7 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred28_TextMarkerParser()) ) {s = 4;}

                        else if ( (synpred29_TextMarkerParser()) ) {s = 9;}

                         
                        input.seek(index175_7);
                        if ( s>=0 ) return s;
                        break;
            }
            if (state.backtracking>0) {state.failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 175, _s, input);
            error(nvae);
            throw nvae;
        }
    }
 

    public static final BitSet FOLLOW_packageDeclaration_in_file_input73 = new BitSet(new long[]{0x0000000000000E00L,0x040000FC7FF10000L,0x0000000000000003L});
    public static final BitSet FOLLOW_globalStatements_in_file_input87 = new BitSet(new long[]{0x0000000000000E00L,0x040000FC3FC10000L,0x0000000000000003L});
    public static final BitSet FOLLOW_statements_in_file_input94 = new BitSet(new long[]{0x0000000000000000L});
    public static final BitSet FOLLOW_EOF_in_file_input100 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_PackageString_in_packageDeclaration121 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_dottedId_in_packageDeclaration132 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_packageDeclaration139 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_statement_in_statements163 = new BitSet(new long[]{0x0000000000000E02L,0x040000FC3FC10000L,0x0000000000000003L});
    public static final BitSet FOLLOW_globalStatement_in_globalStatements189 = new BitSet(new long[]{0x0000000000000002L,0x0000000040300000L});
    public static final BitSet FOLLOW_importStatement_in_globalStatement213 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_declaration_in_statement239 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_variableDeclaration_in_statement250 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_blockDeclaration_in_statement261 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_simpleStatement_in_statement274 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_TypeSystemString_in_importStatement303 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_dottedComponentDeclaration_in_importStatement315 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_importStatement323 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ScriptString_in_importStatement333 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_dottedComponentDeclaration_in_importStatement345 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_importStatement353 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_EngineString_in_importStatement363 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_dottedComponentDeclaration_in_importStatement375 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_importStatement383 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_IntString_in_variableDeclaration410 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration416 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201800L});
    public static final BitSet FOLLOW_COMMA_in_variableDeclaration423 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration428 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201800L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_variableDeclaration438 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_variableDeclaration444 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_variableDeclaration449 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_DoubleString_in_variableDeclaration463 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration469 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201800L});
    public static final BitSet FOLLOW_COMMA_in_variableDeclaration477 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration483 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201800L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_variableDeclaration494 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_variableDeclaration500 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_variableDeclaration505 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_FloatString_in_variableDeclaration519 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration525 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201800L});
    public static final BitSet FOLLOW_COMMA_in_variableDeclaration533 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration539 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201800L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_variableDeclaration550 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_variableDeclaration556 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_variableDeclaration561 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_StringString_in_variableDeclaration575 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration581 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201800L});
    public static final BitSet FOLLOW_COMMA_in_variableDeclaration589 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration595 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201800L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_variableDeclaration606 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_variableDeclaration612 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_variableDeclaration617 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_BooleanString_in_variableDeclaration631 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration637 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201800L});
    public static final BitSet FOLLOW_COMMA_in_variableDeclaration645 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration651 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201800L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_variableDeclaration662 = new BitSet(new long[]{0x0000000000000000L,0x0000E00000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_variableDeclaration668 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_variableDeclaration673 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_TypeString_in_variableDeclaration687 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration693 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201800L});
    public static final BitSet FOLLOW_COMMA_in_variableDeclaration701 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration707 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201800L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_variableDeclaration718 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_annotationType_in_variableDeclaration724 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_variableDeclaration729 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_WORDLIST_in_variableDeclaration757 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration763 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_variableDeclaration766 = new BitSet(new long[]{0x0000000000000000L,0x0800000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_wordListExpression_in_variableDeclaration772 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_variableDeclaration776 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_WORDTABLE_in_variableDeclaration810 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration816 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_variableDeclaration819 = new BitSet(new long[]{0x0000000000000000L,0x0800000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_wordTableExpression_in_variableDeclaration825 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_variableDeclaration830 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_BOOLEANLIST_in_variableDeclaration864 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration870 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_variableDeclaration873 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000021L});
    public static final BitSet FOLLOW_booleanListExpression_in_variableDeclaration879 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_variableDeclaration884 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_INTLIST_in_variableDeclaration918 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration924 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_variableDeclaration927 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000021L});
    public static final BitSet FOLLOW_numberListExpression_in_variableDeclaration933 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_variableDeclaration938 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_DOUBLELIST_in_variableDeclaration973 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration979 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_variableDeclaration982 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000021L});
    public static final BitSet FOLLOW_numberListExpression_in_variableDeclaration988 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_variableDeclaration993 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_FLOATLIST_in_variableDeclaration1029 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration1035 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_variableDeclaration1038 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000021L});
    public static final BitSet FOLLOW_numberListExpression_in_variableDeclaration1044 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_variableDeclaration1049 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_STRINGLIST_in_variableDeclaration1091 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration1097 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_variableDeclaration1100 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000021L});
    public static final BitSet FOLLOW_stringListExpression_in_variableDeclaration1106 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_variableDeclaration1111 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_TYPELIST_in_variableDeclaration1153 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaration1159 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000201000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_variableDeclaration1162 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000021L});
    public static final BitSet FOLLOW_typeListExpression_in_variableDeclaration1168 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_variableDeclaration1173 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_DECLARE_in_declaration1241 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_annotationType_in_declaration1247 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_declaration1257 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001800L});
    public static final BitSet FOLLOW_COMMA_in_declaration1269 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_declaration1279 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001800L});
    public static final BitSet FOLLOW_SEMI_in_declaration1298 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_DECLARE_in_declaration1311 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_annotationType_in_declaration1315 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_declaration1322 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_declaration1329 = new BitSet(new long[]{0x0000000000000000L,0x000000003E010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_annotationType_in_declaration1344 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_StringString_in_declaration1357 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_DoubleString_in_declaration1370 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_FloatString_in_declaration1382 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_IntString_in_declaration1396 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_BooleanString_in_declaration1408 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_declaration1428 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_declaration1440 = new BitSet(new long[]{0x0000000000000000L,0x000000003E010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_annotationType_in_declaration1455 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_StringString_in_declaration1468 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_DoubleString_in_declaration1481 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_FloatString_in_declaration1493 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_IntString_in_declaration1507 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_BooleanString_in_declaration1519 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_declaration1538 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_declaration1546 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_declaration1549 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_BlockString_in_blockDeclaration1610 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_AutomataBlockString_in_blockDeclaration1618 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_blockDeclaration1622 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_blockDeclaration1629 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_blockDeclaration1637 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_ruleElementWithCA_in_blockDeclaration1644 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000020L});
    public static final BitSet FOLLOW_LCURLY_in_blockDeclaration1650 = new BitSet(new long[]{0x0000000000000E00L,0x040000FC3FC10000L,0x0000000000000043L});
    public static final BitSet FOLLOW_statements_in_blockDeclaration1656 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000040L});
    public static final BitSet FOLLOW_RCURLY_in_blockDeclaration1662 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_typeExpression_in_ruleElementWithCA1692 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x000000000080A028L});
    public static final BitSet FOLLOW_quantifierPart_in_ruleElementWithCA1698 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000020L});
    public static final BitSet FOLLOW_LCURLY_in_ruleElementWithCA1711 = new BitSet(new long[]{0xF80000007FFFF100L,0x0000000000008810L,0x0000000000004041L});
    public static final BitSet FOLLOW_conditions_in_ruleElementWithCA1717 = new BitSet(new long[]{0x0000000000000000L,0x0000000000008000L,0x0000000000000040L});
    public static final BitSet FOLLOW_THEN_in_ruleElementWithCA1721 = new BitSet(new long[]{0x07FFFFFB80000080L,0x00000000000057EFL,0x0000000000000001L});
    public static final BitSet FOLLOW_actions_in_ruleElementWithCA1727 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000040L});
    public static final BitSet FOLLOW_RCURLY_in_ruleElementWithCA1735 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_typeExpression_in_ruleElementWithoutCA1775 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x000000000080A008L});
    public static final BitSet FOLLOW_quantifierPart_in_ruleElementWithoutCA1781 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ruleElements_in_simpleStatement1823 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_SEMI_in_simpleStatement1832 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ruleElement_in_ruleElements1860 = new BitSet(new long[]{0x0000000000000E02L,0x040000FC3FC10000L,0x0000000000000003L});
    public static final BitSet FOLLOW_ruleElement_in_ruleElements1869 = new BitSet(new long[]{0x0000000000000E02L,0x040000FC3FC10000L,0x0000000000000003L});
    public static final BitSet FOLLOW_ruleElementType_in_blockRuleElement1896 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ruleElementType_in_ruleElement1920 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ruleElementLiteral_in_ruleElement1931 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ruleElementComposed_in_ruleElement1942 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_ruleElementComposed1970 = new BitSet(new long[]{0x0000000000000E00L,0x040000FC3FC10000L,0x0000000000000003L});
    public static final BitSet FOLLOW_ruleElementType_in_ruleElementComposed1995 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000020000L});
    public static final BitSet FOLLOW_ruleElementLiteral_in_ruleElementComposed2002 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000020000L});
    public static final BitSet FOLLOW_VBAR_in_ruleElementComposed2011 = new BitSet(new long[]{0x0000000000000000L,0x0400000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_ruleElementType_in_ruleElementComposed2018 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000020004L});
    public static final BitSet FOLLOW_ruleElementLiteral_in_ruleElementComposed2025 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000020004L});
    public static final BitSet FOLLOW_VBAR_in_ruleElementComposed2036 = new BitSet(new long[]{0x0000000000000000L,0x0400000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_ruleElementType_in_ruleElementComposed2043 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000020004L});
    public static final BitSet FOLLOW_ruleElementLiteral_in_ruleElementComposed2050 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000020004L});
    public static final BitSet FOLLOW_ruleElements_in_ruleElementComposed2072 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_ruleElementComposed2082 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x000000000080A028L});
    public static final BitSet FOLLOW_quantifierPart_in_ruleElementComposed2088 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000020L});
    public static final BitSet FOLLOW_LCURLY_in_ruleElementComposed2092 = new BitSet(new long[]{0xF80000007FFFF100L,0x0000000000008810L,0x0000000000004041L});
    public static final BitSet FOLLOW_conditions_in_ruleElementComposed2098 = new BitSet(new long[]{0x0000000000000000L,0x0000000000008000L,0x0000000000000040L});
    public static final BitSet FOLLOW_THEN_in_ruleElementComposed2102 = new BitSet(new long[]{0x07FFFFFB80000080L,0x00000000000057EFL,0x0000000000000001L});
    public static final BitSet FOLLOW_actions_in_ruleElementComposed2108 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000040L});
    public static final BitSet FOLLOW_RCURLY_in_ruleElementComposed2116 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_typeExpression_in_ruleElementType2152 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x000000000080A028L});
    public static final BitSet FOLLOW_quantifierPart_in_ruleElementType2158 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000020L});
    public static final BitSet FOLLOW_LCURLY_in_ruleElementType2171 = new BitSet(new long[]{0xF80000007FFFF100L,0x0000000000008810L,0x0000000000004041L});
    public static final BitSet FOLLOW_conditions_in_ruleElementType2197 = new BitSet(new long[]{0x0000000000000000L,0x0000000000008000L,0x0000000000000040L});
    public static final BitSet FOLLOW_THEN_in_ruleElementType2220 = new BitSet(new long[]{0x07FFFFFB80000080L,0x00000000000057EFL,0x0000000000000001L});
    public static final BitSet FOLLOW_actions_in_ruleElementType2226 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000040L});
    public static final BitSet FOLLOW_RCURLY_in_ruleElementType2234 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_simpleStringExpression_in_ruleElementLiteral2287 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x000000000080A028L});
    public static final BitSet FOLLOW_quantifierPart_in_ruleElementLiteral2293 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000020L});
    public static final BitSet FOLLOW_LCURLY_in_ruleElementLiteral2306 = new BitSet(new long[]{0xF80000007FFFF100L,0x0000000000008810L,0x0000000000004041L});
    public static final BitSet FOLLOW_conditions_in_ruleElementLiteral2322 = new BitSet(new long[]{0x0000000000000000L,0x0000000000008000L,0x0000000000000040L});
    public static final BitSet FOLLOW_THEN_in_ruleElementLiteral2335 = new BitSet(new long[]{0x07FFFFFB80000080L,0x00000000000057EFL,0x0000000000000001L});
    public static final BitSet FOLLOW_actions_in_ruleElementLiteral2341 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000040L});
    public static final BitSet FOLLOW_RCURLY_in_ruleElementLiteral2358 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_condition_in_conditions2417 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_conditions2422 = new BitSet(new long[]{0xF80000007FFFF100L,0x0000000000000810L,0x0000000000004001L});
    public static final BitSet FOLLOW_condition_in_conditions2428 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_action_in_actions2465 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actions2470 = new BitSet(new long[]{0x07FFFFFB80000080L,0x00000000000057EFL,0x0000000000000001L});
    public static final BitSet FOLLOW_action_in_actions2476 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_booleanListExpression_in_listExpression2514 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_intListExpression_in_listExpression2530 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_doubleListExpression_in_listExpression2546 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_floatListExpression_in_listExpression2562 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_stringListExpression_in_listExpression2578 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_typeListExpression_in_listExpression2594 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_simpleBooleanListExpression_in_booleanListExpression2618 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_LCURLY_in_simpleBooleanListExpression2639 = new BitSet(new long[]{0x0000000000000000L,0x0000C00000000000L,0x0000000000000041L});
    public static final BitSet FOLLOW_simpleBooleanExpression_in_simpleBooleanListExpression2646 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000840L});
    public static final BitSet FOLLOW_COMMA_in_simpleBooleanListExpression2651 = new BitSet(new long[]{0x0000000000000000L,0x0000C00000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_simpleBooleanExpression_in_simpleBooleanListExpression2657 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000840L});
    public static final BitSet FOLLOW_RCURLY_in_simpleBooleanListExpression2666 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_simpleBooleanListExpression2683 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_simpleIntListExpression_in_intListExpression2708 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_LCURLY_in_simpleIntListExpression2729 = new BitSet(new long[]{0x0000000000000000L,0x0088000000000000L,0x0000000000004043L});
    public static final BitSet FOLLOW_simpleNumberExpression_in_simpleIntListExpression2736 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000840L});
    public static final BitSet FOLLOW_COMMA_in_simpleIntListExpression2741 = new BitSet(new long[]{0x0000000000000000L,0x0088000000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_simpleNumberExpression_in_simpleIntListExpression2747 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000840L});
    public static final BitSet FOLLOW_RCURLY_in_simpleIntListExpression2756 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_simpleIntListExpression2773 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_doubleListExpression_in_numberListExpression2807 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_floatListExpression_in_numberListExpression2828 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_intListExpression_in_numberListExpression2840 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_simpleDoubleListExpression_in_doubleListExpression2863 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_LCURLY_in_simpleDoubleListExpression2884 = new BitSet(new long[]{0x0000000000000000L,0x0088000000000000L,0x0000000000004043L});
    public static final BitSet FOLLOW_simpleNumberExpression_in_simpleDoubleListExpression2891 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000840L});
    public static final BitSet FOLLOW_COMMA_in_simpleDoubleListExpression2896 = new BitSet(new long[]{0x0000000000000000L,0x0088000000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_simpleNumberExpression_in_simpleDoubleListExpression2902 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000840L});
    public static final BitSet FOLLOW_RCURLY_in_simpleDoubleListExpression2911 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_simpleDoubleListExpression2928 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_simpleFloatListExpression_in_floatListExpression2952 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_LCURLY_in_simpleFloatListExpression2973 = new BitSet(new long[]{0x0000000000000000L,0x0088000000000000L,0x0000000000004043L});
    public static final BitSet FOLLOW_simpleNumberExpression_in_simpleFloatListExpression2980 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000840L});
    public static final BitSet FOLLOW_COMMA_in_simpleFloatListExpression2985 = new BitSet(new long[]{0x0000000000000000L,0x0088000000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_simpleNumberExpression_in_simpleFloatListExpression2991 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000840L});
    public static final BitSet FOLLOW_RCURLY_in_simpleFloatListExpression3000 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_simpleFloatListExpression3017 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_simpleStringListExpression_in_stringListExpression3042 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_LCURLY_in_simpleStringListExpression3063 = new BitSet(new long[]{0x0000000000000000L,0x0400000000000000L,0x0000000000000041L});
    public static final BitSet FOLLOW_simpleStringExpression_in_simpleStringListExpression3070 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000840L});
    public static final BitSet FOLLOW_COMMA_in_simpleStringListExpression3075 = new BitSet(new long[]{0x0000000000000000L,0x0400000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_simpleStringExpression_in_simpleStringListExpression3081 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000840L});
    public static final BitSet FOLLOW_RCURLY_in_simpleStringListExpression3090 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_simpleStringListExpression3107 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_simpleTypeListExpression_in_typeListExpression3132 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_LCURLY_in_simpleTypeListExpression3153 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000041L});
    public static final BitSet FOLLOW_simpleTypeExpression_in_simpleTypeListExpression3160 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000840L});
    public static final BitSet FOLLOW_COMMA_in_simpleTypeListExpression3165 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_simpleTypeExpression_in_simpleTypeListExpression3171 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000840L});
    public static final BitSet FOLLOW_RCURLY_in_simpleTypeListExpression3180 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_simpleTypeListExpression3197 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_typeFunction_in_typeExpression3228 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_simpleTypeExpression_in_typeExpression3239 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_externalTypeFunction_in_typeFunction3273 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_externalTypeFunction3298 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_externalTypeFunction3302 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000006L});
    public static final BitSet FOLLOW_varArgumentList_in_externalTypeFunction3309 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_externalTypeFunction3313 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_annotationType_in_simpleTypeExpression3336 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_variable3360 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_listVariable3387 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_STAR_in_quantifierPart3414 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000800000L});
    public static final BitSet FOLLOW_QUESTION_in_quantifierPart3420 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_PLUS_in_quantifierPart3432 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000800000L});
    public static final BitSet FOLLOW_QUESTION_in_quantifierPart3438 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_QUESTION_in_quantifierPart3450 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000800000L});
    public static final BitSet FOLLOW_QUESTION_in_quantifierPart3456 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_LBRACK_in_quantifierPart3469 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_quantifierPart3475 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000810L});
    public static final BitSet FOLLOW_COMMA_in_quantifierPart3478 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004013L});
    public static final BitSet FOLLOW_numberExpression_in_quantifierPart3485 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000010L});
    public static final BitSet FOLLOW_RBRACK_in_quantifierPart3495 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000800000L});
    public static final BitSet FOLLOW_QUESTION_in_quantifierPart3501 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionAnd_in_condition3544 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionContains_in_condition3553 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionContextCount_in_condition3562 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionCount_in_condition3571 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionCurrentCount_in_condition3580 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionInList_in_condition3589 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionLast_in_condition3598 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionMofN_in_condition3607 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionNear_in_condition3616 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionNot_in_condition3625 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionOr_in_condition3634 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionPartOf_in_condition3643 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionPosition_in_condition3652 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionRegExp_in_condition3661 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionScore_in_condition3670 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionTotalCount_in_condition3679 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionVote_in_condition3688 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionIf_in_condition3697 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionFeature_in_condition3706 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionParse_in_condition3715 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionIs_in_condition3724 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionBefore_in_condition3733 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionAfter_in_condition3742 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionStartsWith_in_condition3751 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionEndsWith_in_condition3760 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionPartOfNeq_in_condition3769 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionSize_in_condition3778 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_externalCondition_in_condition3796 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_variableCondition_in_condition3805 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_variableCondition3838 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_externalCondition3867 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_externalCondition3870 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000006L});
    public static final BitSet FOLLOW_varArgumentList_in_externalCondition3880 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_externalCondition3887 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_AND_in_conditionAnd3915 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionAnd3917 = new BitSet(new long[]{0xF80000007FFFF100L,0x0000000000000810L,0x0000000000004001L});
    public static final BitSet FOLLOW_conditions_in_conditionAnd3923 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionAnd3937 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_CONTAINS_in_conditionContains3983 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionContains3985 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000021L});
    public static final BitSet FOLLOW_typeExpression_in_conditionContains3992 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_listExpression_in_conditionContains4000 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_conditionContains4002 = new BitSet(new long[]{0x0000000000000000L,0x0488FF0000012000L,0x0000000000004003L});
    public static final BitSet FOLLOW_argument_in_conditionContains4008 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionContains4017 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionContains4023 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_conditionContains4025 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionContains4031 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionContains4034 = new BitSet(new long[]{0x0000000000000000L,0x0000E00000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_conditionContains4040 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionContains4057 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_CONTEXTCOUNT_in_conditionContextCount4093 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionContextCount4095 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_conditionContextCount4101 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionContextCount4115 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionContextCount4121 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_conditionContextCount4123 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionContextCount4129 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionContextCount4144 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000004001L});
    public static final BitSet FOLLOW_numberVariable_in_conditionContextCount4150 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionContextCount4165 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_COUNT_in_conditionCount4216 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionCount4218 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000021L});
    public static final BitSet FOLLOW_listExpression_in_conditionCount4224 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_conditionCount4239 = new BitSet(new long[]{0x0000000000000000L,0x0488FF0000012000L,0x0000000000004003L});
    public static final BitSet FOLLOW_argument_in_conditionCount4245 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionCount4261 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionCount4267 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_conditionCount4269 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionCount4275 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionCount4293 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000004001L});
    public static final BitSet FOLLOW_numberVariable_in_conditionCount4299 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionCount4315 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_COUNT_in_conditionCount4331 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionCount4333 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_conditionCount4339 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionCount4353 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionCount4359 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_conditionCount4361 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionCount4367 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionCount4382 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000004001L});
    public static final BitSet FOLLOW_numberVariable_in_conditionCount4388 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionCount4405 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_CURRENTCOUNT_in_conditionCurrentCount4445 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionCurrentCount4447 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_conditionCurrentCount4453 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionCurrentCount4467 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionCurrentCount4473 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_conditionCurrentCount4475 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionCurrentCount4481 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionCurrentCount4497 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000004001L});
    public static final BitSet FOLLOW_numberVariable_in_conditionCurrentCount4503 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionCurrentCount4518 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_TOTALCOUNT_in_conditionTotalCount4557 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionTotalCount4559 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_conditionTotalCount4565 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionTotalCount4579 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionTotalCount4585 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_conditionTotalCount4587 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionTotalCount4593 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionTotalCount4608 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000004001L});
    public static final BitSet FOLLOW_numberVariable_in_conditionTotalCount4614 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionTotalCount4629 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_INLIST_in_conditionInList4670 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionInList4672 = new BitSet(new long[]{0x0000000000000000L,0x0800000000000000L,0x0000000000000021L});
    public static final BitSet FOLLOW_stringListExpression_in_conditionInList4687 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_wordListExpression_in_conditionInList4695 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionInList4704 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionInList4710 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionInList4713 = new BitSet(new long[]{0x0000000000000000L,0x0000E00000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_conditionInList4719 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionInList4737 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_LAST_in_conditionLast4781 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionLast4783 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_conditionLast4789 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionLast4802 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_MOFN_in_conditionMofN4838 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionMofN4840 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionMofN4846 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_conditionMofN4848 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionMofN4854 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_conditionMofN4856 = new BitSet(new long[]{0xF80000007FFFF100L,0x0000000000000810L,0x0000000000004001L});
    public static final BitSet FOLLOW_conditions_in_conditionMofN4862 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionMofN4877 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_NEAR_in_conditionNear4909 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionNear4911 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_conditionNear4917 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_conditionNear4919 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionNear4925 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_conditionNear4927 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionNear4933 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionNear4941 = new BitSet(new long[]{0x0000000000000000L,0x0000E00000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_conditionNear4947 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionNear4950 = new BitSet(new long[]{0x0000000000000000L,0x0000E00000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_conditionNear4956 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionNear4976 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_MINUS_in_conditionNot5009 = new BitSet(new long[]{0xF80000007FFFF100L,0x0000000000000810L,0x0000000000004001L});
    public static final BitSet FOLLOW_condition_in_conditionNot5015 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_NOT_in_conditionNot5026 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionNot5028 = new BitSet(new long[]{0xF80000007FFFF100L,0x0000000000000810L,0x0000000000004001L});
    public static final BitSet FOLLOW_condition_in_conditionNot5034 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionNot5036 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_OR_in_conditionOr5076 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionOr5078 = new BitSet(new long[]{0xF80000007FFFF100L,0x0000000000000810L,0x0000000000004001L});
    public static final BitSet FOLLOW_conditions_in_conditionOr5084 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionOr5097 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_PARTOF_in_conditionPartOf5125 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionPartOf5127 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000021L});
    public static final BitSet FOLLOW_typeExpression_in_conditionPartOf5134 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_typeListExpression_in_conditionPartOf5140 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionPartOf5157 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_PARTOFNEQ_in_conditionPartOfNeq5190 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionPartOfNeq5192 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000021L});
    public static final BitSet FOLLOW_typeExpression_in_conditionPartOfNeq5199 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_typeListExpression_in_conditionPartOfNeq5205 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionPartOfNeq5222 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_POSITION_in_conditionPosition5259 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionPosition5261 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_conditionPosition5267 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_conditionPosition5280 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionPosition5286 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionPosition5300 = new BitSet(new long[]{0x0000000000000000L,0x0000E00000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_conditionPosition5306 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionPosition5321 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_REGEXP_in_conditionRegExp5349 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionRegExp5351 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_variable_in_conditionRegExp5358 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_conditionRegExp5360 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_conditionRegExp5368 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionRegExp5371 = new BitSet(new long[]{0x0000000000000000L,0x0000E00000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_conditionRegExp5377 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionRegExp5395 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_SCORE_in_conditionScore5429 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionScore5431 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionScore5437 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionScore5440 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionScore5446 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionScore5455 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000004001L});
    public static final BitSet FOLLOW_numberVariable_in_conditionScore5461 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionScore5478 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_VOTE_in_conditionVote5510 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionVote5512 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_conditionVote5518 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_conditionVote5520 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_conditionVote5526 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionVote5539 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_IF_in_conditionIf5573 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionIf5575 = new BitSet(new long[]{0x0000000000000000L,0x0000E00000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_conditionIf5581 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionIf5594 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_FEATURE_in_conditionFeature5633 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionFeature5635 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_conditionFeature5641 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_conditionFeature5643 = new BitSet(new long[]{0x0000000000000000L,0x0488FF0000012000L,0x0000000000004003L});
    public static final BitSet FOLLOW_argument_in_conditionFeature5649 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionFeature5662 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_PARSE_in_conditionParse5693 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionParse5695 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_genericVariableReference_in_conditionParse5704 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionParse5717 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_IS_in_conditionIs5747 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionIs5749 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000021L});
    public static final BitSet FOLLOW_typeExpression_in_conditionIs5756 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_typeListExpression_in_conditionIs5762 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionIs5776 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_BEFORE_in_conditionBefore5805 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionBefore5807 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000021L});
    public static final BitSet FOLLOW_typeExpression_in_conditionBefore5814 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_typeListExpression_in_conditionBefore5820 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionBefore5834 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_AFTER_in_conditionAfter5863 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionAfter5865 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000021L});
    public static final BitSet FOLLOW_typeExpression_in_conditionAfter5872 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_typeListExpression_in_conditionAfter5878 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionAfter5892 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_STARTSWITH_in_conditionStartsWith5925 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionStartsWith5927 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000021L});
    public static final BitSet FOLLOW_typeExpression_in_conditionStartsWith5934 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_typeListExpression_in_conditionStartsWith5940 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionStartsWith5954 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ENDSWITH_in_conditionEndsWith5987 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionEndsWith5989 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000021L});
    public static final BitSet FOLLOW_typeExpression_in_conditionEndsWith5996 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_typeListExpression_in_conditionEndsWith6002 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionEndsWith6016 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_SIZE_in_conditionSize6049 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_conditionSize6051 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000021L});
    public static final BitSet FOLLOW_listExpression_in_conditionSize6057 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionSize6060 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionSize6066 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_conditionSize6068 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_conditionSize6074 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_conditionSize6079 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000004001L});
    public static final BitSet FOLLOW_numberVariable_in_conditionSize6085 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_conditionSize6100 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionColor_in_action6133 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionDel_in_action6142 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionLog_in_action6151 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionMark_in_action6160 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionMarkScore_in_action6169 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionMarkFast_in_action6178 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionMarkLast_in_action6187 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionReplace_in_action6196 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionRetainType_in_action6205 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionFilterType_in_action6214 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionCreate_in_action6223 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionFill_in_action6232 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionCall_in_action6241 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionAssign_in_action6250 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionSetFeature_in_action6259 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionGetFeature_in_action6268 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionUnmark_in_action6277 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionUnmarkAll_in_action6286 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionTransfer_in_action6295 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionMarkOnce_in_action6304 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionTrie_in_action6313 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionGather_in_action6322 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionExec_in_action6332 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionMarkTable_in_action6341 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionAdd_in_action6350 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionRemove_in_action6359 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionRemoveDuplicate_in_action6368 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionMerge_in_action6377 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionGet_in_action6386 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionGetList_in_action6396 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionMatchedText_in_action6405 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionClear_in_action6414 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionShift_in_action6423 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionConfigure_in_action6432 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionDynamicAnchoring_in_action6441 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionTrim_in_action6450 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionAddFilterType_in_action6459 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionAddRetainType_in_action6468 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionRemoveFilterType_in_action6477 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_actionRemoveRetainType_in_action6486 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_externalAction_in_action6504 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_variableAction_in_action6513 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_variableAction6544 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_externalAction6570 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_externalAction6574 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000006L});
    public static final BitSet FOLLOW_varArgumentList_in_externalAction6583 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_externalAction6588 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_CREATE_in_actionCreate6624 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionCreate6626 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionCreate6632 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionCreate6639 = new BitSet(new long[]{0x0000000000000000L,0x04881F0000002000L,0x0000000000004007L});
    public static final BitSet FOLLOW_numberExpression_in_actionCreate6660 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionCreate6677 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionCreate6683 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionCreate6689 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000005L});
    public static final BitSet FOLLOW_stringExpression_in_actionCreate6707 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000200000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_actionCreate6709 = new BitSet(new long[]{0x0000000000000000L,0x0488FF0000012000L,0x0000000000004003L});
    public static final BitSet FOLLOW_argument_in_actionCreate6715 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionCreate6725 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionCreate6731 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000200000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_actionCreate6733 = new BitSet(new long[]{0x0000000000000000L,0x0488FF0000012000L,0x0000000000004003L});
    public static final BitSet FOLLOW_argument_in_actionCreate6739 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionCreate6770 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_MARKTABLE_in_actionMarkTable6805 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionMarkTable6807 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionMarkTable6818 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionMarkTable6820 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionMarkTable6831 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionMarkTable6833 = new BitSet(new long[]{0x0000000000000000L,0x0800000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_wordTableExpression_in_actionMarkTable6843 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionMarkTable6850 = new BitSet(new long[]{0x0000000000000000L,0x0400E00000012000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_actionMarkTable6862 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionMarkTable6869 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionMarkTable6875 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionMarkTable6882 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionMarkTable6888 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionMarkTable6894 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionMarkTable6900 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionMarkTable6902 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionMarkTable6915 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000200000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_actionMarkTable6919 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionMarkTable6925 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionMarkTable6933 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionMarkTable6939 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000200000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_actionMarkTable6943 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionMarkTable6949 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionMarkTable6975 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_GATHER_in_actionGather7009 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionGather7011 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionGather7017 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionGather7031 = new BitSet(new long[]{0x0000000000000000L,0x04881F0000002000L,0x0000000000004007L});
    public static final BitSet FOLLOW_numberExpression_in_actionGather7043 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionGather7059 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionGather7065 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionGather7072 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000005L});
    public static final BitSet FOLLOW_stringExpression_in_actionGather7085 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000200000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_actionGather7087 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004023L});
    public static final BitSet FOLLOW_numberExpression_in_actionGather7094 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_numberListExpression_in_actionGather7102 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionGather7113 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionGather7119 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000200000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_actionGather7121 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004023L});
    public static final BitSet FOLLOW_numberExpression_in_actionGather7128 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_numberListExpression_in_actionGather7136 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionGather7168 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_FILL_in_actionFill7203 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionFill7205 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionFill7211 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionFill7229 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionFill7235 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000200000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_actionFill7237 = new BitSet(new long[]{0x0000000000000000L,0x0488FF0000012000L,0x0000000000004003L});
    public static final BitSet FOLLOW_argument_in_actionFill7247 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionFill7269 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_COLOR_in_actionColor7306 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionColor7308 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionColor7314 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionColor7328 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionColor7339 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionColor7353 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionColor7363 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionColor7377 = new BitSet(new long[]{0x0000000000000000L,0x0000E00000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_actionColor7387 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_actionColor7403 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_DEL_in_actionDel7435 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_LOG_in_actionLog7481 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionLog7483 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionLog7489 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionLog7492 = new BitSet(new long[]{0x0000000000000000L,0x0000000000020000L});
    public static final BitSet FOLLOW_LogLevel_in_actionLog7498 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_actionLog7514 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_MARK_in_actionMark7552 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionMark7554 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionMark7565 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionMark7583 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionMark7599 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionMark7621 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_SHIFT_in_actionShift7658 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionShift7660 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionShift7671 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionShift7689 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionShift7705 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionShift7727 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_MARKSCORE_in_actionMarkScore7764 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionMarkScore7766 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionMarkScore7772 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionMarkScore7774 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionMarkScore7780 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionMarkScore7798 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionMarkScore7814 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionMarkScore7836 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_MARKONCE_in_actionMarkOnce7873 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionMarkOnce7875 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000010000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionMarkOnce7892 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionMarkOnce7894 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionMarkOnce7912 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionMarkOnce7930 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionMarkOnce7946 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionMarkOnce7968 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_MARKFAST_in_actionMarkFast8005 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionMarkFast8007 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionMarkFast8013 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionMarkFast8026 = new BitSet(new long[]{0x0000000000000000L,0x0800000000000000L,0x0000000000000021L});
    public static final BitSet FOLLOW_wordListExpression_in_actionMarkFast8033 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_stringListExpression_in_actionMarkFast8041 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionMarkFast8057 = new BitSet(new long[]{0x0000000000000000L,0x0000E00000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_actionMarkFast8063 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionMarkFast8066 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionMarkFast8072 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionMarkFast8075 = new BitSet(new long[]{0x0000000000000000L,0x0000E00000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_actionMarkFast8081 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_actionMarkFast8101 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_MARKLAST_in_actionMarkLast8133 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionMarkLast8135 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionMarkLast8141 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_actionMarkLast8154 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_REPLACE_in_actionReplace8187 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionReplace8189 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionReplace8195 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_actionReplace8208 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_RETAINTYPE_in_actionRetainType8254 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionRetainType8257 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionRetainType8263 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionRetainType8279 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionRetainType8285 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionRetainType8302 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_FILTERTYPE_in_actionFilterType8352 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionFilterType8355 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionFilterType8361 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionFilterType8377 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionFilterType8383 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionFilterType8400 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ADDFILTERTYPE_in_actionAddFilterType8452 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionAddFilterType8455 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionAddFilterType8461 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionAddFilterType8477 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionAddFilterType8483 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionAddFilterType8500 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ADDRETAINTYPE_in_actionAddRetainType8547 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionAddRetainType8550 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionAddRetainType8556 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionAddRetainType8572 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionAddRetainType8578 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionAddRetainType8595 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_REMOVEFILTERTYPE_in_actionRemoveFilterType8643 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionRemoveFilterType8646 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionRemoveFilterType8652 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionRemoveFilterType8668 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionRemoveFilterType8674 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionRemoveFilterType8691 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_REMOVERETAINTYPE_in_actionRemoveRetainType8738 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionRemoveRetainType8741 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionRemoveRetainType8747 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionRemoveRetainType8763 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionRemoveRetainType8769 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionRemoveRetainType8786 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_CALL_in_actionCall8828 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionCall8834 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_dottedComponentReference_in_actionCall8856 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_actionCall8870 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_CONFIGURE_in_actionConfigure8905 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionConfigure8911 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_dottedComponentReference_in_actionConfigure8933 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionConfigure8954 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionConfigure8960 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000200000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_actionConfigure8962 = new BitSet(new long[]{0x0000000000000000L,0x0488FF0000012000L,0x0000000000004003L});
    public static final BitSet FOLLOW_argument_in_actionConfigure8968 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionConfigure8978 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionConfigure8984 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000200000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_actionConfigure8986 = new BitSet(new long[]{0x0000000000000000L,0x0488FF0000012000L,0x0000000000004003L});
    public static final BitSet FOLLOW_argument_in_actionConfigure8992 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionConfigure9016 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_EXEC_in_actionExec9051 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionExec9057 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_dottedComponentReference_in_actionExec9075 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionExec9091 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000021L});
    public static final BitSet FOLLOW_typeListExpression_in_actionExec9097 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_actionExec9113 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ASSIGN_in_actionAssign9155 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionAssign9157 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_actionAssign9168 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionAssign9186 = new BitSet(new long[]{0x0000000000000000L,0x0488FF0000012000L,0x0000000000004003L});
    public static final BitSet FOLLOW_argument_in_actionAssign9192 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_actionAssign9200 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_SETFEATURE_in_actionSetFeature9237 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionSetFeature9239 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionSetFeature9245 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionSetFeature9259 = new BitSet(new long[]{0x0000000000000000L,0x0488FF0000012000L,0x0000000000004003L});
    public static final BitSet FOLLOW_argument_in_actionSetFeature9265 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_actionSetFeature9278 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_GETFEATURE_in_actionGetFeature9307 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionGetFeature9309 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionGetFeature9315 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionGetFeature9328 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_variable_in_actionGetFeature9334 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_actionGetFeature9347 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_DYNAMICANCHORING_in_actionDynamicAnchoring9377 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionDynamicAnchoring9379 = new BitSet(new long[]{0x0000000000000000L,0x0000E00000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_actionDynamicAnchoring9385 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionDynamicAnchoring9400 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionDynamicAnchoring9406 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionDynamicAnchoring9420 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionDynamicAnchoring9426 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_actionDynamicAnchoring9443 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_TRIM_in_actionTrim9477 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionTrim9479 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000021L});
    public static final BitSet FOLLOW_typeExpression_in_actionTrim9501 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionTrim9511 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionTrim9517 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_typeListExpression_in_actionTrim9537 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_actionTrim9551 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_UNMARK_in_actionUnmark9586 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionUnmark9588 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionUnmark9594 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionUnmark9612 = new BitSet(new long[]{0x0000000000000000L,0x0088FF0000010000L,0x0000000000004003L});
    public static final BitSet FOLLOW_booleanExpression_in_actionUnmark9638 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_numberExpression_in_actionUnmark9662 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionUnmark9676 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionUnmark9682 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionUnmark9729 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_UNMARKALL_in_actionUnmarkAll9760 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionUnmarkAll9762 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionUnmarkAll9768 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionUnmarkAll9782 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000021L});
    public static final BitSet FOLLOW_typeListExpression_in_actionUnmarkAll9788 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_actionUnmarkAll9803 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_TRANSFER_in_actionTransfer9835 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionTransfer9837 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionTransfer9843 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_actionTransfer9856 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_TRIE_in_actionTrie9894 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionTrie9896 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionTrie9910 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000200000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_actionTrie9913 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionTrie9928 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionTrie9941 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionTrie9947 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000200000L});
    public static final BitSet FOLLOW_ASSIGN_EQUAL_in_actionTrie9951 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_actionTrie9966 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionTrie9980 = new BitSet(new long[]{0x0000000000000000L,0x0800000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_wordListExpression_in_actionTrie9986 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionTrie10002 = new BitSet(new long[]{0x0000000000000000L,0x0000E00000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_actionTrie10008 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionTrie10015 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionTrie10021 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionTrie10028 = new BitSet(new long[]{0x0000000000000000L,0x0000E00000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_actionTrie10034 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionTrie10041 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionTrie10047 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionTrie10054 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionTrie10060 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_actionTrie10083 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ADD_in_actionAdd10121 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionAdd10123 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_listVariable_in_actionAdd10129 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionAdd10143 = new BitSet(new long[]{0x0000000000000000L,0x0488FF0000012000L,0x0000000000004003L});
    public static final BitSet FOLLOW_argument_in_actionAdd10149 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionAdd10166 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_REMOVE_in_actionRemove10200 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionRemove10202 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_listVariable_in_actionRemove10208 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionRemove10222 = new BitSet(new long[]{0x0000000000000000L,0x0488FF0000012000L,0x0000000000004003L});
    public static final BitSet FOLLOW_argument_in_actionRemove10228 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionRemove10245 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_REMOVEDUPLICATE_in_actionRemoveDuplicate10275 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionRemoveDuplicate10277 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_listVariable_in_actionRemoveDuplicate10283 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_actionRemoveDuplicate10296 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_MERGE_in_actionMerge10333 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionMerge10335 = new BitSet(new long[]{0x0000000000000000L,0x0000E00000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_actionMerge10341 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionMerge10355 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_listVariable_in_actionMerge10361 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionMerge10375 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000021L});
    public static final BitSet FOLLOW_listExpression_in_actionMerge10381 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionMerge10391 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000021L});
    public static final BitSet FOLLOW_listExpression_in_actionMerge10397 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionMerge10414 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_GET_in_actionGet10443 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionGet10445 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000021L});
    public static final BitSet FOLLOW_listExpression_in_actionGet10451 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionGet10464 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_variable_in_actionGet10470 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionGet10483 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionGet10489 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_actionGet10502 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_GETLIST_in_actionGetList10532 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionGetList10534 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_listVariable_in_actionGetList10540 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_actionGetList10553 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_actionGetList10559 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_actionGetList10572 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_MATCHEDTEXT_in_actionMatchedText10609 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionMatchedText10611 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_variable_in_actionMatchedText10622 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_actionMatchedText10634 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_actionMatchedText10640 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_actionMatchedText10662 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_CLEAR_in_actionClear10695 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_actionClear10697 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_listVariable_in_actionClear10703 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_actionClear10716 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_varArgumentList10738 = new BitSet(new long[]{0x0000000000000000L,0x0488FF0000012000L,0x0000000000004003L});
    public static final BitSet FOLLOW_argument_in_varArgumentList10744 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_varArgumentList10749 = new BitSet(new long[]{0x0000000000000000L,0x0488FF0000012000L,0x0000000000004003L});
    public static final BitSet FOLLOW_argument_in_varArgumentList10755 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_varArgumentList10761 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_stringExpression_in_argument10798 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_booleanExpression_in_argument10809 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_numberExpression_in_argument10820 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_typeExpression_in_argument10831 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_dottedIdentifier10868 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000200L});
    public static final BitSet FOLLOW_DOT_in_dottedIdentifier10881 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_dottedIdentifier10891 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000200L});
    public static final BitSet FOLLOW_Identifier_in_dottedId10923 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000200L});
    public static final BitSet FOLLOW_DOT_in_dottedId10936 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_dottedId10946 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000200L});
    public static final BitSet FOLLOW_Identifier_in_dottedComponentReference10981 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000004200L});
    public static final BitSet FOLLOW_set_in_dottedComponentReference10994 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_dottedComponentReference11010 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000004200L});
    public static final BitSet FOLLOW_Identifier_in_dottedComponentDeclaration11044 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000004200L});
    public static final BitSet FOLLOW_set_in_dottedComponentDeclaration11057 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_Identifier_in_dottedComponentDeclaration11073 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000004200L});
    public static final BitSet FOLLOW_annotationTypeVariableReference_in_annotationType11107 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_BasicAnnotationType_in_annotationType11118 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_dottedId_in_annotationTypeVariableReference11147 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_wordListExpression11171 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_RessourceLiteral_in_wordListExpression11184 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_wordTableExpression11208 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_RessourceLiteral_in_wordTableExpression11221 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_additiveExpression_in_numberExpression11250 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_multiplicativeExpression_in_additiveExpression11276 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000006000L});
    public static final BitSet FOLLOW_set_in_additiveExpression11285 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_multiplicativeExpression_in_additiveExpression11295 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000006000L});
    public static final BitSet FOLLOW_simpleNumberExpression_in_multiplicativeExpression11324 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000418000L});
    public static final BitSet FOLLOW_set_in_multiplicativeExpression11333 = new BitSet(new long[]{0x0000000000000000L,0x0088000000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_simpleNumberExpression_in_multiplicativeExpression11351 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000418000L});
    public static final BitSet FOLLOW_numberFunction_in_multiplicativeExpression11367 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_numberExpressionInPar11391 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_numberExpressionInPar11397 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_numberExpressionInPar11403 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_MINUS_in_simpleNumberExpression11428 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000004001L});
    public static final BitSet FOLLOW_numberVariable_in_simpleNumberExpression11435 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_MINUS_in_simpleNumberExpression11450 = new BitSet(new long[]{0x0000000000000000L,0x0008000000000000L});
    public static final BitSet FOLLOW_DecimalLiteral_in_simpleNumberExpression11458 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_MINUS_in_simpleNumberExpression11472 = new BitSet(new long[]{0x0000000000000000L,0x0080000000000000L});
    public static final BitSet FOLLOW_FloatingPointLiteral_in_simpleNumberExpression11479 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_numberExpressionInPar_in_simpleNumberExpression11495 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_set_in_numberFunction11520 = new BitSet(new long[]{0x0000000000000000L,0x0088000000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpressionInPar_in_numberFunction11542 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_externalNumberFunction_in_numberFunction11566 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_externalNumberFunction11591 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_externalNumberFunction11595 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000006L});
    public static final BitSet FOLLOW_varArgumentList_in_externalNumberFunction11602 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_externalNumberFunction11605 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_numberVariable11636 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_numberVariable11649 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_numberVariable11662 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_stringFunction_in_stringExpression11702 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_simpleStringExpression_in_stringExpression11715 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000002000L});
    public static final BitSet FOLLOW_PLUS_in_stringExpression11721 = new BitSet(new long[]{0x0000000000000000L,0x0488C00000010000L,0x0000000000004023L});
    public static final BitSet FOLLOW_simpleStringExpression_in_stringExpression11728 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000002000L});
    public static final BitSet FOLLOW_numberExpressionInPar_in_stringExpression11740 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000002000L});
    public static final BitSet FOLLOW_simpleBooleanExpression_in_stringExpression11752 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000002000L});
    public static final BitSet FOLLOW_listExpression_in_stringExpression11769 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000002000L});
    public static final BitSet FOLLOW_typeExpression_in_stringExpression11781 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000002000L});
    public static final BitSet FOLLOW_REMOVESTRING_in_stringFunction11818 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_stringFunction11820 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_variable_in_stringFunction11826 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_stringFunction11829 = new BitSet(new long[]{0x0000000000000000L,0x0400000000002000L,0x0000000000000001L});
    public static final BitSet FOLLOW_stringExpression_in_stringFunction11835 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_RPAREN_in_stringFunction11840 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_externalStringFunction_in_stringFunction11862 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_externalStringFunction11887 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_externalStringFunction11891 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000006L});
    public static final BitSet FOLLOW_varArgumentList_in_externalStringFunction11898 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_externalStringFunction11901 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_StringLiteral_in_simpleStringExpression11926 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_simpleStringExpression11941 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_composedBooleanExpression_in_booleanExpression11978 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_simpleBooleanExpression_in_booleanExpression11989 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_literalBooleanExpression_in_simpleBooleanExpression12014 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_simpleBooleanExpression12027 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_booleanCompare_in_composedBooleanExpression12073 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_booleanTypeExpression_in_composedBooleanExpression12093 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_booleanNumberExpression_in_composedBooleanExpression12112 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_booleanFunction_in_composedBooleanExpression12122 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_XOR_in_booleanFunction12147 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_booleanFunction12149 = new BitSet(new long[]{0x0000000000000000L,0x0000E00000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_booleanFunction12155 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_booleanFunction12157 = new BitSet(new long[]{0x0000000000000000L,0x0000E00000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_booleanFunction12163 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_booleanFunction12165 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_externalBooleanFunction_in_booleanFunction12187 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_externalBooleanFunction12213 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_externalBooleanFunction12216 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000006L});
    public static final BitSet FOLLOW_varArgumentList_in_externalBooleanFunction12223 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_externalBooleanFunction12227 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_simpleBooleanExpression_in_booleanCompare12252 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000003000000L});
    public static final BitSet FOLLOW_set_in_booleanCompare12258 = new BitSet(new long[]{0x0000000000000000L,0x0000E00000010000L,0x0000000000000003L});
    public static final BitSet FOLLOW_booleanExpression_in_booleanCompare12270 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_TRUE_in_literalBooleanExpression12297 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_FALSE_in_literalBooleanExpression12307 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_typeExpression_in_booleanTypeExpression12334 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000003000000L});
    public static final BitSet FOLLOW_set_in_booleanTypeExpression12341 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000001L});
    public static final BitSet FOLLOW_typeExpression_in_booleanTypeExpression12354 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_booleanNumberExpression12377 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_booleanNumberExpression12384 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x000000001B180000L});
    public static final BitSet FOLLOW_set_in_booleanNumberExpression12391 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_booleanNumberExpression12420 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_booleanNumberExpression12423 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_genericVariableReference12443 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ruleElementType_in_synpred1_TextMarkerParser1979 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000020000L});
    public static final BitSet FOLLOW_ruleElementLiteral_in_synpred1_TextMarkerParser1983 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000020000L});
    public static final BitSet FOLLOW_VBAR_in_synpred1_TextMarkerParser1986 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ruleElements_in_synpred2_TextMarkerParser2065 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_booleanListExpression_in_synpred5_TextMarkerParser2506 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_intListExpression_in_synpred6_TextMarkerParser2522 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_doubleListExpression_in_synpred7_TextMarkerParser2538 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_floatListExpression_in_synpred8_TextMarkerParser2554 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_stringListExpression_in_synpred9_TextMarkerParser2570 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_typeListExpression_in_synpred10_TextMarkerParser2586 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_doubleListExpression_in_synpred11_TextMarkerParser2799 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_floatListExpression_in_synpred12_TextMarkerParser2820 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_externalCondition_in_synpred14_TextMarkerParser3788 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_COUNT_in_synpred15_TextMarkerParser4216 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_LPAREN_in_synpred15_TextMarkerParser4218 = new BitSet(new long[]{0x0000000000000000L,0x0000000000010000L,0x0000000000000021L});
    public static final BitSet FOLLOW_listExpression_in_synpred15_TextMarkerParser4224 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_synpred15_TextMarkerParser4239 = new BitSet(new long[]{0x0000000000000000L,0x0488FF0000012000L,0x0000000000004003L});
    public static final BitSet FOLLOW_argument_in_synpred15_TextMarkerParser4245 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_synpred15_TextMarkerParser4261 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_synpred15_TextMarkerParser4267 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_COMMA_in_synpred15_TextMarkerParser4269 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_synpred15_TextMarkerParser4275 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000804L});
    public static final BitSet FOLLOW_COMMA_in_synpred15_TextMarkerParser4293 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000004001L});
    public static final BitSet FOLLOW_numberVariable_in_synpred15_TextMarkerParser4299 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_RPAREN_in_synpred15_TextMarkerParser4315 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_stringListExpression_in_synpred16_TextMarkerParser4680 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_externalAction_in_synpred17_TextMarkerParser6496 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_COMMA_in_synpred18_TextMarkerParser6666 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_synpred18_TextMarkerParser6672 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_COMMA_in_synpred19_TextMarkerParser7049 = new BitSet(new long[]{0x0000000000000000L,0x00881F0000000000L,0x0000000000004003L});
    public static final BitSet FOLLOW_numberExpression_in_synpred19_TextMarkerParser7055 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_numberExpression_in_synpred23_TextMarkerParser7883 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_typeExpression_in_synpred24_TextMarkerParser7903 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_booleanExpression_in_synpred26_TextMarkerParser9629 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_stringExpression_in_synpred27_TextMarkerParser10798 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_booleanExpression_in_synpred28_TextMarkerParser10809 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_numberExpression_in_synpred29_TextMarkerParser10820 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_externalNumberFunction_in_synpred30_TextMarkerParser11558 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_listExpression_in_synpred31_TextMarkerParser11761 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_externalStringFunction_in_synpred32_TextMarkerParser11854 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_booleanCompare_in_synpred33_TextMarkerParser12065 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_booleanTypeExpression_in_synpred34_TextMarkerParser12085 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_booleanNumberExpression_in_synpred35_TextMarkerParser12104 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_externalBooleanFunction_in_synpred36_TextMarkerParser12179 = new BitSet(new long[]{0x0000000000000002L});

}